/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BLOOM_FILTER_BENCH_SKEL_H__
#define __BLOOM_FILTER_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bloom_filter_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bloom_map;
		struct bpf_map *array_map;
		struct bpf_map *hashmap;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *bloom_lookup;
		struct bpf_program *bloom_update;
		struct bpf_program *bloom_hashmap_lookup;
	} progs;
	struct {
		struct bpf_link *bloom_lookup;
		struct bpf_link *bloom_update;
		struct bpf_link *bloom_hashmap_lookup;
	} links;
	struct bloom_filter_bench__rodata {
		__u32 nr_rand_bytes;
		__u32 hit_key;
		__u32 drop_key;
		__u32 false_hit_key;
		_Bool hashmap_use_bloom;
		_Bool count_false_hits;
	} *rodata;
	struct bloom_filter_bench__bss {
		int error;
		__u8 rand_vals[2500000];
		__u8 value_size;
		char __pad0[91];
		struct {
			__u32 stats[3];
			long: 32;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
			long: 64;
		} percpu_stats[256];
	} *bss;

#ifdef __cplusplus
	static inline struct bloom_filter_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bloom_filter_bench *open_and_load();
	static inline int load(struct bloom_filter_bench *skel);
	static inline int attach(struct bloom_filter_bench *skel);
	static inline void detach(struct bloom_filter_bench *skel);
	static inline void destroy(struct bloom_filter_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bloom_filter_bench__destroy(struct bloom_filter_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bloom_filter_bench__create_skeleton(struct bloom_filter_bench *obj);

static inline struct bloom_filter_bench *
bloom_filter_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bloom_filter_bench *obj;
	int err;

	obj = (struct bloom_filter_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bloom_filter_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bloom_filter_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bloom_filter_bench *
bloom_filter_bench__open(void)
{
	return bloom_filter_bench__open_opts(NULL);
}

static inline int
bloom_filter_bench__load(struct bloom_filter_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bloom_filter_bench *
bloom_filter_bench__open_and_load(void)
{
	struct bloom_filter_bench *obj;
	int err;

	obj = bloom_filter_bench__open();
	if (!obj)
		return NULL;
	err = bloom_filter_bench__load(obj);
	if (err) {
		bloom_filter_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bloom_filter_bench__attach(struct bloom_filter_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bloom_filter_bench__detach(struct bloom_filter_bench *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bloom_filter_bench__elf_bytes(size_t *sz);

static inline int
bloom_filter_bench__create_skeleton(struct bloom_filter_bench *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bloom_filter_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 5;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "bloom_map";
	s->maps[0].map = &obj->maps.bloom_map;

	s->maps[1].name = "array_map";
	s->maps[1].map = &obj->maps.array_map;

	s->maps[2].name = "hashmap";
	s->maps[2].map = &obj->maps.hashmap;

	s->maps[3].name = "bloom_fi.rodata";
	s->maps[3].map = &obj->maps.rodata;
	s->maps[3].mmaped = (void **)&obj->rodata;

	s->maps[4].name = "bloom_fi.bss";
	s->maps[4].map = &obj->maps.bss;
	s->maps[4].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bloom_lookup";
	s->progs[0].prog = &obj->progs.bloom_lookup;
	s->progs[0].link = &obj->links.bloom_lookup;

	s->progs[1].name = "bloom_update";
	s->progs[1].prog = &obj->progs.bloom_update;
	s->progs[1].link = &obj->links.bloom_update;

	s->progs[2].name = "bloom_hashmap_lookup";
	s->progs[2].prog = &obj->progs.bloom_hashmap_lookup;
	s->progs[2].link = &obj->links.bloom_hashmap_lookup;

	s->data = (void *)bloom_filter_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bloom_filter_bench__elf_bytes(size_t *sz)
{
	*sz = 7408;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\xb0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\
\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x62\x6c\x6f\x6f\
\x6d\x5f\x66\x69\x6c\x74\x65\x72\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x62\x6c\x6f\
\x6f\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x4c\x42\x42\x31\x5f\x32\0\x4c\
\x42\x42\x31\x5f\x33\0\x4c\x42\x42\x31\x5f\x35\0\x4c\x42\x42\x31\x5f\x36\0\x4c\
\x42\x42\x33\x5f\x31\0\x4c\x42\x42\x33\x5f\x35\0\x4c\x42\x42\x33\x5f\x37\0\x4c\
\x42\x42\x33\x5f\x36\0\x4c\x42\x42\x33\x5f\x31\x31\0\x4c\x42\x42\x33\x5f\x31\
\x32\0\x4c\x42\x42\x33\x5f\x31\x30\0\x62\x6c\x6f\x6f\x6d\x5f\x6c\x6f\x6f\x6b\
\x75\x70\0\x62\x6c\x6f\x6f\x6d\x5f\x6d\x61\x70\0\x61\x72\x72\x61\x79\x5f\x6d\
\x61\x70\0\x65\x72\x72\x6f\x72\0\x70\x65\x72\x63\x70\x75\x5f\x73\x74\x61\x74\
\x73\0\x62\x6c\x6f\x6f\x6d\x5f\x75\x70\x64\x61\x74\x65\0\x62\x6c\x6f\x6f\x6d\
\x5f\x68\x61\x73\x68\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\0\x68\x61\x73\x68\
\x6d\x61\x70\x5f\x75\x73\x65\x5f\x62\x6c\x6f\x6f\x6d\0\x76\x61\x6c\x75\x65\x5f\
\x73\x69\x7a\x65\0\x72\x61\x6e\x64\x5f\x76\x61\x6c\x73\0\x68\x61\x73\x68\x6d\
\x61\x70\0\x63\x6f\x75\x6e\x74\x5f\x66\x61\x6c\x73\x65\x5f\x68\x69\x74\x73\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6e\x72\x5f\x72\x61\x6e\x64\x5f\x62\x79\x74\
\x65\x73\0\x68\x69\x74\x5f\x6b\x65\x79\0\x64\x72\x6f\x70\x5f\x6b\x65\x79\0\x66\
\x61\x6c\x73\x65\x5f\x68\x69\x74\x5f\x6b\x65\x79\0\x2e\x72\x65\x6c\x2e\x74\x65\
\x78\x74\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\
\x78\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x42\x54\x46\0\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x4d\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x62\x02\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\x71\
\0\0\0\x03\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\x78\0\0\0\x03\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\x7f\0\0\0\x03\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\
\0\x86\0\0\0\x03\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\0\x04\0\0\0\0\
\0\0\x01\xe0\0\0\0\0\0\0\0\0\0\0\0\x94\0\0\0\x04\0\0\0\0\0\0\x01\x30\0\0\0\0\0\
\0\0\0\0\0\0\x9b\0\0\0\x04\0\0\0\0\0\0\x02\x68\0\0\0\0\0\0\0\0\0\0\0\xa2\0\0\0\
\x04\0\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\0\0\0\0\xa9\0\0\0\x04\0\0\0\0\0\0\x01\
\xb0\0\0\0\0\0\0\0\0\0\0\0\xb1\0\0\0\x04\0\0\0\0\0\0\x01\xd0\0\0\0\0\0\0\0\0\0\
\0\0\xb9\0\0\0\x04\0\0\0\0\0\0\x02\xe0\0\0\0\0\0\0\0\0\0\0\0\xc1\x12\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\0\0\0\xce\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x10\0\0\0\xd8\x11\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x10\0\0\0\xe2\
\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xe8\x11\0\0\x07\0\0\0\0\0\
\x26\x26\0\0\0\0\0\0\x01\0\0\0\0\0\xf5\x12\0\0\x04\0\0\0\0\0\0\0\x78\0\0\0\0\0\
\0\0\x78\0\0\x01\x02\x12\0\0\x04\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\x02\x40\0\0\x01\
\x17\x11\0\0\x06\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\x01\x29\x11\0\0\x07\0\
\0\0\0\0\x26\x25\xa4\0\0\0\0\0\0\0\x01\0\0\x01\x34\x11\0\0\x07\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\x26\x25\xa0\0\0\x01\x3e\x11\0\0\x08\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x08\0\0\x01\x46\x11\0\0\x06\0\0\0\0\0\0\0\x11\0\0\0\0\0\0\0\x01\0\0\x01\
\x57\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\x60\x11\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\x6e\x11\0\0\x06\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\x04\0\0\x01\x76\x11\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\
\x01\x7f\x11\0\0\x06\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\x04\xbf\x23\0\0\0\0\0\0\
\x79\x14\0\0\0\0\0\0\x71\x34\0\x08\0\0\0\0\x16\x30\0\x03\0\0\0\0\xb7\x30\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\x57\x05\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\x59\x16\0\0\x07\
\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x44\x20\0\0\0\
\0\0\x01\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x01\x05\0\0\x0a\0\0\0\0\x85\0\0\0\
\0\0\0\x08\x54\0\0\0\0\0\0\xff\x67\0\0\0\0\0\0\x08\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0f\x10\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x04\x20\0\0\0\0\0\x01\x63\x12\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\xb4\x10\0\0\0\0\0\0\x73\xa1\xff\xf8\0\0\0\0\xbf\
\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa4\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x10\0\0\0\0\0\x01\x73\xa1\xff\xf8\0\0\
\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\xbf\x3a\0\0\0\
\0\0\0\x07\x30\0\0\xff\xff\xff\xf0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa4\xb4\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x70\0\0\0\0\x04\0\x85\0\0\0\0\0\0\x07\xbc\x60\0\
\0\0\0\0\0\x18\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x90\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x05\0\0\x16\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x26\0\0\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x20\0\0\0\0\
\x85\0\0\0\0\0\0\x08\x54\0\0\0\0\0\0\xff\x67\0\0\0\0\0\0\x08\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x04\x20\0\0\0\0\0\
\x01\x63\x12\0\0\0\0\0\0\x71\x19\0\0\0\0\0\0\x0c\x61\0\0\0\0\0\0\x04\x70\0\0\
\xff\xff\xff\xff\x56\x70\0\x02\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x54\
\x60\0\0\0\x1f\xff\xff\x71\x18\0\0\0\0\0\0\x16\x10\xff\xe7\0\0\0\0\x18\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x26\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\x59\x16\0\xff\xe7\xff\xff\xff\xfe\x16\0\xff\xdf\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x44\x20\0\0\0\0\0\x02\x63\
\x12\0\0\0\0\0\0\x05\0\xff\xed\0\0\0\0\x71\x18\0\0\0\0\0\0\x16\x10\0\x0d\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x16\x10\0\x09\0\0\0\
\0\x85\0\0\0\0\0\0\x08\x54\0\0\0\0\0\0\xff\x67\0\0\0\0\0\0\x08\x18\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x61\x21\0\x08\0\0\0\0\x04\x20\0\0\0\0\
\0\x01\x63\x12\0\x08\0\0\0\0\x85\0\0\0\0\0\0\x08\x54\0\0\0\0\0\0\xff\x67\0\0\0\
\0\0\0\x08\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x61\x21\0\
\x04\0\0\0\0\x04\x20\0\0\0\0\0\x01\x63\x12\0\x04\0\0\0\0\x05\0\xff\xd0\0\0\0\0\
\x47\x50\x4c\0\0\x26\x25\xa0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\
\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\x98\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\
\x02\0\0\0\x01\0\0\0\0\0\0\0\x88\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\xb0\0\0\0\
\x12\0\0\0\x01\0\0\0\0\0\0\0\xc0\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\
\x17\0\0\0\x01\0\0\0\0\0\0\x01\x18\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\x01\x30\0\0\
\0\x19\0\0\0\x01\0\0\0\0\0\0\x01\x48\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\x01\x80\0\
\0\0\x14\0\0\0\x01\0\0\0\0\0\0\x01\xf8\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\x02\x10\
\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\x02\x38\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\x02\
\x78\0\0\0\x1b\0\0\0\x01\0\0\0\0\0\0\x02\xb0\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\
\x02\xf8\0\0\0\x14\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x04\xcc\0\0\
\x04\xcc\0\0\x05\xac\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\
\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x1e\0\0\0\x05\
\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\0\x19\0\
\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x28\x0e\0\0\0\0\0\0\x07\0\
\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x04\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\0\x19\0\0\0\x09\0\0\0\0\
\0\0\0\x32\0\0\0\x0b\0\0\0\x40\0\0\0\x3b\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\
\x02\0\0\0\0\0\0\x10\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\
\0\0\0\x04\0\0\x01\0\0\0\x08\0\0\0\x19\0\0\0\x0f\0\0\0\0\0\0\0\x45\x0e\0\0\0\0\
\0\0\x11\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\
\0\x4d\0\0\0\x13\0\0\0\x51\x0c\0\0\x01\0\0\0\x14\0\0\0\0\x02\0\0\0\0\0\0\x17\0\
\0\0\x5e\x07\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x19\0\0\0\x66\x08\0\0\0\0\0\
\0\x1a\0\0\0\x6c\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x1c\0\0\
\0\x79\x04\0\0\x02\0\0\0\x10\0\0\0\x86\0\0\0\x16\0\0\0\0\0\0\0\x8a\0\0\0\x1d\0\
\0\0\x40\0\0\0\x91\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\0\0\x0d\0\0\x04\0\0\0\
\x1f\0\0\0\x86\0\0\0\x16\0\0\0\x97\0\0\0\x18\0\0\0\x9b\0\0\0\x13\0\0\0\x9f\0\0\
\0\x1b\0\0\0\xa4\x08\0\0\0\0\0\0\x20\0\0\0\xaa\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\
\0\0\xbd\x0c\0\0\0\0\0\0\x1e\0\0\0\xcc\x0c\0\0\x01\0\0\0\x14\0\0\0\xd9\x0c\0\0\
\x01\0\0\0\x14\0\0\0\xee\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\x24\0\0\0\x04\0\0\0\x04\0\0\0\xf3\x0e\0\0\0\0\0\0\x25\0\0\0\x01\0\0\
\0\0\x0a\0\0\0\0\0\0\x19\0\0\0\xfc\x0e\0\0\0\0\0\0\x27\0\0\0\x01\0\0\x01\x0a\
\x0e\0\0\0\0\0\0\x27\0\0\0\x01\0\0\x01\x12\x0e\0\0\0\0\0\0\x27\0\0\0\x01\0\0\
\x01\x1b\x0e\0\0\0\0\0\0\x27\0\0\0\x01\0\0\x01\x29\x0e\0\0\0\0\0\0\x02\0\0\0\
\x01\0\0\0\0\x0a\0\0\0\0\0\0\x2e\0\0\0\0\x09\0\0\0\0\0\0\x1d\0\0\x01\x2f\x0e\0\
\0\0\0\0\0\x2d\0\0\0\x01\0\0\x01\x41\x08\0\0\0\0\0\0\x31\0\0\x01\x46\x01\0\0\0\
\0\0\0\x01\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x04\0\x26\x25\
\xa0\0\0\x01\x54\x0e\0\0\0\0\0\0\x32\0\0\0\x01\0\0\x01\x5e\x0e\0\0\0\0\0\0\x2d\
\0\0\0\x01\0\0\x01\x6f\x0e\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\0\x04\0\0\x01\0\0\
\x01\0\0\0\x01\x7a\0\0\0\x37\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\
\x04\0\0\0\x03\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x04\0\0\x01\0\0\0\x01\
\x80\x0e\0\0\0\0\0\0\x38\0\0\0\x01\0\0\x05\x70\x0f\0\0\x01\0\0\0\x04\0\0\0\x26\
\0\0\0\0\0\0\0\x04\0\0\x05\x78\x0f\0\0\x06\0\0\0\x12\0\0\0\x28\0\0\0\0\0\0\0\
\x04\0\0\0\x29\0\0\0\x04\0\0\0\x04\0\0\0\x2a\0\0\0\x08\0\0\0\x04\0\0\0\x2b\0\0\
\0\x0c\0\0\0\x04\0\0\0\x2f\0\0\0\x10\0\0\0\x01\0\0\0\x34\0\0\0\x11\0\0\0\x01\0\
\0\x05\x80\x0f\0\0\x04\0\x27\x26\0\0\0\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\x33\0\0\0\
\x04\0\x26\x25\xa0\0\0\0\x35\0\x26\x25\xa4\0\0\0\x01\0\0\0\x39\0\x26\x26\0\0\
\x01\0\0\0\0\x05\x85\x0f\0\0\x03\0\0\0\x28\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\x0e\0\0\0\x10\0\0\0\x10\0\0\0\x12\0\0\0\x20\0\0\0\x08\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\
\x70\x65\0\x6d\x61\x70\x5f\x65\x78\x74\x72\x61\0\x62\x6c\x6f\x6f\x6d\x5f\x6d\
\x61\x70\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x61\x72\x72\x61\x79\x5f\x6d\x61\
\x70\0\x68\x61\x73\x68\x6d\x61\x70\0\x63\x74\x78\0\x62\x6c\x6f\x6f\x6d\x5f\x6c\
\x6f\x6f\x6b\x75\x70\0\x62\x70\x66\x5f\x6d\x61\x70\0\x5f\x5f\x75\x33\x32\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\
\x5f\x63\x74\x78\0\x6d\x61\x70\0\x75\x70\x64\x61\x74\x65\0\x5f\x42\x6f\x6f\x6c\
\0\x6b\x65\x79\0\x76\x61\x6c\0\x64\x61\x74\x61\0\x5f\x5f\x75\x36\x34\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x6c\x6f\
\x6f\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x62\x6c\x6f\x6f\x6d\x5f\x75\x70\
\x64\x61\x74\x65\0\x62\x6c\x6f\x6f\x6d\x5f\x68\x61\x73\x68\x6d\x61\x70\x5f\x6c\
\x6f\x6f\x6b\x75\x70\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6e\
\x72\x5f\x72\x61\x6e\x64\x5f\x62\x79\x74\x65\x73\0\x68\x69\x74\x5f\x6b\x65\x79\
\0\x64\x72\x6f\x70\x5f\x6b\x65\x79\0\x66\x61\x6c\x73\x65\x5f\x68\x69\x74\x5f\
\x6b\x65\x79\0\x65\x72\x72\x6f\x72\0\x68\x61\x73\x68\x6d\x61\x70\x5f\x75\x73\
\x65\x5f\x62\x6c\x6f\x6f\x6d\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x63\x68\x61\x72\0\x72\x61\x6e\x64\x5f\x76\x61\x6c\x73\0\x63\x6f\x75\
\x6e\x74\x5f\x66\x61\x6c\x73\x65\x5f\x68\x69\x74\x73\0\x76\x61\x6c\x75\x65\x5f\
\x73\x69\x7a\x65\0\x73\x74\x61\x74\x73\0\x70\x65\x72\x63\x70\x75\x5f\x73\x74\
\x61\x74\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x6c\x6f\x6f\x6d\x5f\
\x66\x69\x6c\x74\x65\x72\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x62\x6c\x6f\x6f\x6d\
\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\
\x66\x5f\x6d\x61\x70\x20\x2a\x6d\x61\x70\x2c\x20\x5f\x5f\x75\x33\x32\x20\x2a\
\x6b\x65\x79\x2c\x20\x76\x6f\x69\x64\x20\x2a\x76\x61\x6c\x2c\0\x09\x69\x66\x20\
\x28\x64\x61\x74\x61\x2d\x3e\x75\x70\x64\x61\x74\x65\x29\0\x09\x09\x65\x72\x72\
\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x70\x75\x73\x68\x5f\x65\x6c\x65\
\x6d\x28\x64\x61\x74\x61\x2d\x3e\x6d\x61\x70\x2c\x20\x76\x61\x6c\x2c\x20\x30\
\x29\x3b\0\x09\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x70\
\x65\x65\x6b\x5f\x65\x6c\x65\x6d\x28\x64\x61\x74\x61\x2d\x3e\x6d\x61\x70\x2c\
\x20\x76\x61\x6c\x29\x3b\0\x09\x69\x66\x20\x28\x65\x72\x72\x29\x20\x7b\0\x09\
\x09\x65\x72\x72\x6f\x72\x20\x7c\x3d\x20\x31\x3b\0\x09\x5f\x5f\x75\x33\x32\x20\
\x63\x70\x75\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\
\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x09\x70\x65\x72\x63\
\x70\x75\x5f\x73\x74\x61\x74\x73\x5b\x63\x70\x75\x20\x26\x20\x32\x35\x35\x5d\
\x2e\x73\x74\x61\x74\x73\x5b\x6b\x65\x79\x5d\x2b\x2b\x3b\0\x7d\0\x09\x64\x61\
\x74\x61\x2e\x6d\x61\x70\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\
\x66\x5f\x6d\x61\x70\x20\x2a\x29\x26\x62\x6c\x6f\x6f\x6d\x5f\x6d\x61\x70\x3b\0\
\x09\x64\x61\x74\x61\x2e\x75\x70\x64\x61\x74\x65\x20\x3d\x20\x66\x61\x6c\x73\
\x65\x3b\0\x09\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x6d\x61\x70\
\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x2c\x20\x62\
\x6c\x6f\x6f\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x2c\x20\x26\x64\x61\x74\
\x61\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\
\x74\x20\x62\x6c\x6f\x6f\x6d\x5f\x75\x70\x64\x61\x74\x65\x28\x76\x6f\x69\x64\
\x20\x2a\x63\x74\x78\x29\0\x09\x64\x61\x74\x61\x2e\x75\x70\x64\x61\x74\x65\x20\
\x3d\x20\x74\x72\x75\x65\x3b\0\x69\x6e\x74\x20\x62\x6c\x6f\x6f\x6d\x5f\x68\x61\
\x73\x68\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x28\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x69\x6e\x64\x65\x78\x20\x3d\x20\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x70\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x33\x32\
\x28\x29\x3b\0\x09\x09\x09\x09\x09\x20\x20\x20\x20\x20\x72\x61\x6e\x64\x5f\x76\
\x61\x6c\x73\x20\x2b\x20\x69\x6e\x64\x65\x78\x29\x3b\0\x09\x09\x72\x65\x73\x75\
\x6c\x74\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\x6d\x61\x70\x2c\0\x09\x09\x69\x66\
\x20\x28\x72\x65\x73\x75\x6c\x74\x29\x20\x7b\0\x09\x66\x6f\x72\x20\x28\x69\x20\
\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x31\x30\x32\x34\x3b\x20\x69\x2b\x2b\x2c\
\x20\x69\x6e\x64\x65\x78\x20\x2b\x3d\x20\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\
\x65\x29\x20\x7b\0\x09\x09\x69\x6e\x64\x65\x78\x20\x3d\x20\x69\x6e\x64\x65\x78\
\x20\x26\x20\x62\x69\x74\x6d\x61\x73\x6b\x3b\0\x09\x09\x69\x66\x20\x28\x68\x61\
\x73\x68\x6d\x61\x70\x5f\x75\x73\x65\x5f\x62\x6c\x6f\x6f\x6d\x29\x20\x7b\0\x09\
\x09\x09\x09\x09\x09\x72\x61\x6e\x64\x5f\x76\x61\x6c\x73\x20\x2b\x20\x69\x6e\
\x64\x65\x78\x29\x3b\0\x09\x09\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x70\x65\x65\x6b\x5f\x65\x6c\x65\x6d\x28\x26\x62\x6c\x6f\x6f\x6d\
\x5f\x6d\x61\x70\x2c\0\x09\x09\x09\x69\x66\x20\x28\x65\x72\x72\x29\x20\x7b\0\
\x09\x09\x09\x09\x09\x65\x72\x72\x6f\x72\x20\x7c\x3d\x20\x32\x3b\0\x09\x09\x09\
\x69\x66\x20\x28\x68\x61\x73\x68\x6d\x61\x70\x5f\x75\x73\x65\x5f\x62\x6c\x6f\
\x6f\x6d\x20\x26\x26\x20\x63\x6f\x75\x6e\x74\x5f\x66\x61\x6c\x73\x65\x5f\x68\
\x69\x74\x73\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\
\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x2e\x74\x65\x78\x74\0\x66\x65\x6e\x74\
\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\
\x67\x69\x64\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\x03\x74\
\0\0\x03\xa8\0\0\0\0\0\0\0\x08\0\0\x05\x8b\0\0\0\x01\0\0\0\0\0\0\0\x21\0\0\x05\
\x91\0\0\0\x03\0\0\0\0\0\0\0\x15\0\0\0\x78\0\0\0\x22\0\0\0\xf0\0\0\0\x23\0\0\0\
\x10\0\0\x05\x8b\0\0\0\x0d\0\0\0\0\0\0\x01\x8d\0\0\x02\x0b\0\x01\x1c\0\0\0\0\
\x08\0\0\x01\x8d\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\x01\x8d\0\0\x02\x46\0\x01\x30\
\x0c\0\0\0\x18\0\0\x01\x8d\0\0\x02\x46\0\x01\x30\x06\0\0\0\x20\0\0\x01\x8d\0\0\
\x02\x59\0\x01\x34\x09\0\0\0\x38\0\0\x01\x8d\0\0\x02\x87\0\x01\x3c\x09\0\0\0\
\x40\0\0\x01\x8d\0\0\x02\xb2\0\x01\x44\x06\0\0\0\x48\0\0\x01\x8d\0\0\x02\xbe\0\
\x01\x48\x09\0\0\0\x80\0\0\x01\x8d\0\0\x02\xcc\0\x01\x04\x0e\0\0\0\x88\0\0\x01\
\x8d\0\0\x02\xf5\0\x01\x0c\x13\0\0\0\x90\0\0\x01\x8d\0\0\x02\xf5\0\x01\x0c\x02\
\0\0\0\xb0\0\0\x01\x8d\0\0\x02\xf5\0\x01\x0c\x24\0\0\0\xd0\0\0\x01\x8d\0\0\x03\
\x1c\0\x01\x64\x01\0\0\x05\x91\0\0\0\x29\0\0\0\0\0\0\x01\x8d\0\0\x03\x1e\0\x01\
\x80\x0b\0\0\0\x20\0\0\x01\x8d\0\0\x03\x48\0\x01\x84\x0e\0\0\0\x30\0\0\x01\x8d\
\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\x01\x8d\0\0\x03\x5e\0\x01\x8c\x02\0\0\0\x68\0\0\
\x01\x8d\0\0\x03\x9c\0\x01\x94\x02\0\0\0\x78\0\0\x01\x8d\0\0\x03\xa7\0\x01\xa4\
\0\0\0\0\x80\0\0\x01\x8d\0\0\x03\xc3\0\x01\xb8\x0e\0\0\0\x88\0\0\x01\x8d\0\0\
\x03\x1e\0\x01\xb4\x0b\0\0\0\xa8\0\0\x01\x8d\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\x01\
\x8d\0\0\x03\x5e\0\x01\xc0\x02\0\0\0\xe0\0\0\x01\x8d\0\0\x03\x9c\0\x01\xc8\x02\
\0\0\0\xf0\0\0\x01\x8d\0\0\x03\xd8\0\x01\xd8\0\0\0\0\xf8\0\0\x01\x8d\0\0\x03\
\xfc\0\x01\xec\x10\0\0\x01\x30\0\0\x01\x8d\0\0\x04\x22\0\x02\x3c\x15\0\0\x01\
\x48\0\0\x01\x8d\0\0\x04\x40\0\x02\x38\x0c\0\0\x01\x60\0\0\x01\x8d\0\0\x04\x69\
\0\x02\x40\x07\0\0\x01\x68\0\0\x01\x8d\0\0\0\0\0\0\0\0\0\0\x01\xb0\0\0\x01\x8d\
\0\0\x04\x79\0\x01\xf8\x26\0\0\x01\xb8\0\0\x01\x8d\0\0\x04\x79\0\x01\xf8\x23\0\
\0\x01\xc0\0\0\x01\x8d\0\0\x04\x79\0\x01\xf8\x10\0\0\x01\xc8\0\0\x01\x8d\0\0\
\x04\x79\0\x01\xf8\x02\0\0\x01\xd0\0\0\x01\x8d\0\0\x03\x1c\0\x02\x68\x01\0\0\
\x01\xe0\0\0\x01\x8d\0\0\x04\xac\0\x01\xfc\x11\0\0\x01\xe8\0\0\x01\x8d\0\0\x04\
\xc7\0\x02\x04\x07\0\0\x01\xf0\0\0\x01\x8d\0\0\x04\xc7\0\x02\x04\x07\0\0\x01\
\xf8\0\0\x01\x8d\0\0\x04\xe2\0\x02\x0c\x11\0\0\x02\x10\0\0\x01\x8d\0\0\x04\xfc\
\0\x02\x08\x0a\0\0\x02\x28\0\0\x01\x8d\0\0\x05\x23\0\x02\x10\x08\0\0\x02\x38\0\
\0\x01\x8d\0\0\x05\x31\0\x02\x18\x0c\0\0\x02\x68\0\0\x01\x8d\0\0\x05\x42\0\x02\
\x4c\x08\0\0\x02\x70\0\0\x01\x8d\0\0\x05\x42\0\x02\x4c\x1a\0\0\x02\x78\0\0\x01\
\x8d\0\0\x05\x42\0\x02\x4c\x1d\0\0\x02\x90\0\0\x01\x8d\0\0\x05\x42\0\x02\x4c\
\x08\0\0\x02\x98\0\0\x01\x8d\0\0\x02\xcc\0\x01\x04\x0e\0\0\x02\xa0\0\0\x01\x8d\
\0\0\x02\xf5\0\x01\x0c\x13\0\0\x02\xa8\0\0\x01\x8d\0\0\x02\xf5\0\x01\x0c\x02\0\
\0\x02\xc8\0\0\x01\x8d\0\0\x02\xf5\0\x01\x0c\x24\0\0\x02\xe0\0\0\x01\x8d\0\0\
\x02\xcc\0\x01\x04\x0e\0\0\x02\xe8\0\0\x01\x8d\0\0\x02\xf5\0\x01\x0c\x13\0\0\
\x02\xf0\0\0\x01\x8d\0\0\x02\xf5\0\x01\x0c\x02\0\0\x03\x10\0\0\x01\x8d\0\0\x02\
\xf5\0\x01\x0c\x24\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\
\xc4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\x03\x18\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x20\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x05\xf8\0\0\0\0\0\0\x03\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\x28\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x3a\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\
\x2c\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\x42\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\
\x27\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x28\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x8d\0\0\0\x09\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x28\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\
\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x97\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x48\0\0\0\0\0\0\x01\x10\0\0\0\x02\0\0\0\
\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\xb6\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x58\0\0\0\0\0\0\x0a\x90\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\xbb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x15\xe8\0\0\0\0\0\0\x03\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct bloom_filter_bench *bloom_filter_bench::open(const struct bpf_object_open_opts *opts) { return bloom_filter_bench__open_opts(opts); }
struct bloom_filter_bench *bloom_filter_bench::open_and_load() { return bloom_filter_bench__open_and_load(); }
int bloom_filter_bench::load(struct bloom_filter_bench *skel) { return bloom_filter_bench__load(skel); }
int bloom_filter_bench::attach(struct bloom_filter_bench *skel) { return bloom_filter_bench__attach(skel); }
void bloom_filter_bench::detach(struct bloom_filter_bench *skel) { bloom_filter_bench__detach(skel); }
void bloom_filter_bench::destroy(struct bloom_filter_bench *skel) { bloom_filter_bench__destroy(skel); }
const void *bloom_filter_bench::elf_bytes(size_t *sz) { return bloom_filter_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bloom_filter_bench__assert(struct bloom_filter_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->nr_rand_bytes) == 4, "unexpected size of 'nr_rand_bytes'");
	_Static_assert(sizeof(s->rodata->hit_key) == 4, "unexpected size of 'hit_key'");
	_Static_assert(sizeof(s->rodata->drop_key) == 4, "unexpected size of 'drop_key'");
	_Static_assert(sizeof(s->rodata->false_hit_key) == 4, "unexpected size of 'false_hit_key'");
	_Static_assert(sizeof(s->rodata->hashmap_use_bloom) == 1, "unexpected size of 'hashmap_use_bloom'");
	_Static_assert(sizeof(s->rodata->count_false_hits) == 1, "unexpected size of 'count_false_hits'");
	_Static_assert(sizeof(s->bss->error) == 4, "unexpected size of 'error'");
	_Static_assert(sizeof(s->bss->rand_vals) == 2500000, "unexpected size of 'rand_vals'");
	_Static_assert(sizeof(s->bss->value_size) == 1, "unexpected size of 'value_size'");
	_Static_assert(sizeof(s->bss->percpu_stats) == 65536, "unexpected size of 'percpu_stats'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BLOOM_FILTER_BENCH_SKEL_H__ */
