/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BPF_ITER_TEST_KERN4_SKEL_H__
#define __BPF_ITER_TEST_KERN4_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bpf_iter_test_kern4 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *dump_bpf_map;
	} progs;
	struct {
		struct bpf_link *dump_bpf_map;
	} links;
	struct bpf_iter_test_kern4__bss {
		__u32 map1_id;
		__u32 map2_id;
		__u32 map1_accessed;
		__u32 map2_accessed;
		__u64 map1_seqnum;
		__u64 map2_seqnum1;
		__u64 map2_seqnum2;
	} *bss;
	struct bpf_iter_test_kern4__rodata {
		__u32 ret1;
		__u32 print_len;
	} *rodata;

#ifdef __cplusplus
	static inline struct bpf_iter_test_kern4 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_iter_test_kern4 *open_and_load();
	static inline int load(struct bpf_iter_test_kern4 *skel);
	static inline int attach(struct bpf_iter_test_kern4 *skel);
	static inline void detach(struct bpf_iter_test_kern4 *skel);
	static inline void destroy(struct bpf_iter_test_kern4 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_iter_test_kern4__destroy(struct bpf_iter_test_kern4 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_iter_test_kern4__create_skeleton(struct bpf_iter_test_kern4 *obj);

static inline struct bpf_iter_test_kern4 *
bpf_iter_test_kern4__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_iter_test_kern4 *obj;
	int err;

	obj = (struct bpf_iter_test_kern4 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_iter_test_kern4__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_iter_test_kern4__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_iter_test_kern4 *
bpf_iter_test_kern4__open(void)
{
	return bpf_iter_test_kern4__open_opts(NULL);
}

static inline int
bpf_iter_test_kern4__load(struct bpf_iter_test_kern4 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_iter_test_kern4 *
bpf_iter_test_kern4__open_and_load(void)
{
	struct bpf_iter_test_kern4 *obj;
	int err;

	obj = bpf_iter_test_kern4__open();
	if (!obj)
		return NULL;
	err = bpf_iter_test_kern4__load(obj);
	if (err) {
		bpf_iter_test_kern4__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_iter_test_kern4__attach(struct bpf_iter_test_kern4 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_iter_test_kern4__detach(struct bpf_iter_test_kern4 *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_iter_test_kern4__elf_bytes(size_t *sz);

static inline int
bpf_iter_test_kern4__create_skeleton(struct bpf_iter_test_kern4 *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_iter_test_kern4";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "bpf_iter.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = "bpf_iter.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "dump_bpf_map";
	s->progs[0].prog = &obj->progs.dump_bpf_map;
	s->progs[0].link = &obj->links.dump_bpf_map;

	s->data = (void *)bpf_iter_test_kern4__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_iter_test_kern4__elf_bytes(size_t *sz)
{
	*sz = 8384;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\x40\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x69\x74\x65\
\x72\x2f\x62\x70\x66\x5f\x6d\x61\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\
\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\
\x74\x65\x73\x74\x5f\x6b\x65\x72\x6e\x34\x2e\x63\0\x4c\x42\x42\x30\x5f\x31\x34\
\0\x4c\x42\x42\x30\x5f\x33\0\x4c\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\x31\
\x31\0\x4c\x42\x42\x30\x5f\x39\0\x4c\x42\x42\x30\x5f\x31\x30\0\x4c\x42\x42\x30\
\x5f\x31\x33\0\x64\x75\x6d\x70\x5f\x62\x70\x66\x5f\x6d\x61\x70\0\x6d\x61\x70\
\x31\x5f\x69\x64\0\x6d\x61\x70\x32\x5f\x69\x64\0\x6d\x61\x70\x31\x5f\x73\x65\
\x71\x6e\x75\x6d\0\x6d\x61\x70\x31\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x6d\
\x61\x70\x32\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x6d\x61\x70\x32\x5f\x73\x65\
\x71\x6e\x75\x6d\x31\0\x72\x65\x74\x31\0\x6d\x61\x70\x32\x5f\x73\x65\x71\x6e\
\x75\x6d\x32\0\x70\x72\x69\x6e\x74\x5f\x6c\x65\x6e\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x65\x6c\x69\x74\x65\x72\x2f\x62\x70\x66\x5f\x6d\x61\x70\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\
\x03\0\0\0\0\0\0\x02\x28\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\x03\0\0\0\0\0\0\0\x78\
\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\x03\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\
\x5f\0\0\0\x03\0\0\0\0\0\0\x01\xc0\0\0\0\0\0\0\0\0\0\0\0\x67\0\0\0\x03\0\0\0\0\
\0\0\x01\x80\0\0\0\0\0\0\0\0\0\0\0\x6e\0\0\0\x03\0\0\0\0\0\0\x01\xa0\0\0\0\0\0\
\0\0\0\0\0\0\x76\0\0\0\x03\0\0\0\0\0\0\x01\xe8\0\0\0\0\0\0\0\0\0\0\0\x7e\x12\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x38\0\0\0\x8b\x11\0\0\x05\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\x93\x11\0\0\x05\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\
\0\0\0\x9b\x11\0\0\x05\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\xa7\x11\0\0\
\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\xb5\x11\0\0\x05\0\0\0\0\0\0\0\
\x0c\0\0\0\0\0\0\0\x04\0\0\0\xc3\x11\0\0\x05\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x08\0\0\0\xd0\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xd5\x11\0\0\
\x05\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x08\0\0\0\xe2\x11\0\0\x06\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x04\0\0\0\xec\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\x79\x21\0\0\0\0\0\0\xb4\x70\0\0\0\0\0\0\x79\x62\0\0\0\0\0\0\x79\x21\0\x08\0\0\
\0\0\x15\x20\0\x40\0\0\0\0\x61\x42\0\x3c\0\0\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x61\x33\0\0\0\0\0\0\x1e\x43\0\x05\0\0\0\0\x18\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x61\x44\0\0\0\0\0\0\x61\x52\0\x3c\0\0\0\0\x5e\x54\0\x36\0\0\0\0\x79\x11\
\0\0\0\0\0\0\x79\x11\0\x10\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\x61\x42\0\x3c\0\0\0\
\0\x5e\x43\0\x08\0\0\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x31\0\0\0\0\0\
\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x43\0\0\0\0\0\0\x04\x40\0\0\0\0\0\
\x01\x63\x34\0\0\0\0\0\0\xb4\x70\0\0\0\0\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x61\x33\0\0\0\0\0\0\x61\x22\0\x3c\0\0\0\0\x5e\x23\0\x16\0\0\0\0\x18\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x56\x20\0\x0a\0\0\0\0\x18\x30\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x31\0\0\0\0\0\0\xb4\x70\0\0\0\0\0\0\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x16\x10\0\x06\0\0\0\0\xb4\x70\0\0\0\
\0\0\x01\x05\0\0\x04\0\0\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x31\0\0\0\
\0\0\0\xb4\x70\0\0\0\0\0\0\x04\x20\0\0\0\0\0\x01\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x63\x12\0\0\0\0\0\0\x18\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x18\0\0\0\0\
\0\0\x16\x10\0\x09\0\0\0\0\xb4\x90\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\
\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\xb4\x30\0\0\0\0\0\x08\x85\0\0\0\0\0\0\x7f\
\x04\x90\0\0\0\0\0\x01\x61\x18\0\0\0\0\0\0\xae\x91\xff\xf8\0\0\0\0\xbc\x07\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x30\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\
\xa0\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\xb8\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\0\
\xe8\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\x01\x10\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\
\x01\x30\0\0\0\x10\0\0\0\x01\0\0\0\0\0\0\x01\x50\0\0\0\x11\0\0\0\x01\0\0\0\0\0\
\0\x01\x80\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x01\xa8\0\0\0\x0f\0\0\0\x01\0\0\0\0\
\0\0\x01\xc0\0\0\0\x13\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x08\xb8\0\
\0\x08\xb8\0\0\x0c\x14\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x04\0\0\x02\0\0\0\
\x10\0\0\0\x13\0\0\0\x03\0\0\0\0\0\0\0\x18\0\0\0\x04\0\0\0\x40\0\0\0\0\x02\0\0\
\0\0\0\0\x08\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\0\x0d\0\0\x01\0\0\0\x06\0\0\0\
\x1c\0\0\0\x01\0\0\0\x20\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x24\x0c\0\0\x01\
\0\0\0\x05\0\0\0\x31\x04\0\0\x03\0\0\0\x18\0\0\0\x3f\0\0\0\x09\0\0\0\0\0\0\0\
\x43\0\0\0\x0a\0\0\0\x40\0\0\0\x4e\0\0\0\x0a\0\0\0\x80\0\0\0\0\x02\0\0\0\0\0\0\
\x43\0\0\0\x56\x08\0\0\0\0\0\0\x0b\0\0\0\x5c\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\
\0\x6f\x04\0\0\x1b\0\0\x02\0\0\0\0\x77\0\0\0\x0d\0\0\0\0\0\0\0\x7b\0\0\0\x04\0\
\0\0\x40\0\0\0\x8a\0\0\0\x0f\0\0\0\x80\0\0\0\x93\0\0\0\x10\0\0\0\xc0\0\0\0\x9c\
\0\0\0\x11\0\0\0\xe0\0\0\0\xa5\0\0\0\x11\0\0\x01\0\0\0\0\xb0\0\0\0\x11\0\0\x01\
\x20\0\0\0\xbc\0\0\0\x14\0\0\x01\x40\0\0\0\xc6\0\0\0\x11\0\0\x01\x80\0\0\0\xd0\
\0\0\0\x06\0\0\x01\xa0\0\0\0\xde\0\0\0\x06\0\0\x01\xc0\0\0\0\xe8\0\0\0\x11\0\0\
\x01\xe0\0\0\0\xeb\0\0\0\x06\0\0\x02\0\0\0\0\xf5\0\0\0\x11\0\0\x02\x20\0\0\x01\
\x05\0\0\0\x11\0\0\x02\x40\0\0\x01\x17\0\0\0\x11\0\0\x02\x60\0\0\x01\x31\0\0\0\
\x15\0\0\x02\x80\0\0\x01\x35\0\0\0\x16\0\0\x02\xc0\0\0\x01\x3b\0\0\0\x18\0\0\
\x03\0\0\0\x01\x40\0\0\0\x1a\0\0\x03\x80\0\0\x01\x4f\0\0\0\x1a\0\0\x03\x88\0\0\
\x01\x56\0\0\0\x1c\0\0\x08\0\0\0\x01\x5d\0\0\0\x1c\0\0\x08\x40\0\0\x01\x65\0\0\
\0\x21\0\0\x08\x80\0\0\x01\x6a\0\0\0\x29\0\0\x09\x80\0\0\x01\x77\0\0\0\x1c\0\0\
\x0a\x80\0\0\x01\x80\0\0\0\x31\0\0\x0a\xc0\0\0\0\0\x02\0\0\0\0\0\0\x0e\0\0\0\0\
\x0a\0\0\0\0\0\0\x44\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\x01\x86\x06\0\0\x1f\0\0\0\
\x04\0\0\x01\x93\0\0\0\0\0\0\x01\xa7\0\0\0\x01\0\0\x01\xb9\0\0\0\x02\0\0\x01\
\xcc\0\0\0\x03\0\0\x01\xe4\0\0\0\x04\0\0\x02\x02\0\0\0\x05\0\0\x02\x1b\0\0\0\
\x06\0\0\x02\x35\0\0\0\x07\0\0\x02\x4e\0\0\0\x08\0\0\x02\x68\0\0\0\x09\0\0\x02\
\x7e\0\0\0\x0a\0\0\x02\x9b\0\0\0\x0b\0\0\x02\xb1\0\0\0\x0c\0\0\x02\xcc\0\0\0\
\x0d\0\0\x02\xe6\0\0\0\x0e\0\0\x02\xfa\0\0\0\x0f\0\0\x03\x0f\0\0\0\x10\0\0\x03\
\x23\0\0\0\x11\0\0\x03\x37\0\0\0\x12\0\0\x03\x4d\0\0\0\x13\0\0\x03\x69\0\0\0\
\x14\0\0\x03\x8a\0\0\0\x15\0\0\x03\xad\0\0\0\x16\0\0\x03\xc0\0\0\0\x17\0\0\x03\
\xd3\0\0\0\x18\0\0\x03\xeb\0\0\0\x19\0\0\x04\x04\0\0\0\x1a\0\0\x04\x1c\0\0\0\
\x1b\0\0\x04\x31\0\0\0\x1c\0\0\x04\x4c\0\0\0\x1d\0\0\x04\x66\0\0\0\x1e\0\0\x04\
\x80\x08\0\0\0\0\0\0\x12\0\0\x04\x84\x08\0\0\0\0\0\0\x13\0\0\x04\x8a\x01\0\0\0\
\0\0\0\x04\0\0\0\x20\0\0\x04\x97\x08\0\0\0\0\0\0\x0a\0\0\0\0\x02\0\0\0\0\0\0\
\x45\0\0\0\0\x02\0\0\0\0\0\0\x46\0\0\x04\x9b\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x19\0\0\0\x10\0\0\x04\xa0\x01\0\0\0\0\
\0\0\x04\0\0\0\x20\0\0\x04\xb4\x08\0\0\0\0\0\0\x1b\0\0\x04\xb9\x01\0\0\0\0\0\0\
\x01\x04\0\0\x08\0\0\x04\xbf\x08\0\0\0\0\0\0\x1d\0\0\0\0\x04\0\0\x01\0\0\0\x08\
\0\0\x04\xca\0\0\0\x1e\0\0\0\0\0\0\x04\xd2\x08\0\0\0\0\0\0\x1f\0\0\x04\xd6\x08\
\0\0\0\0\0\0\x20\0\0\x04\xdc\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\x04\xe6\x04\0\
\0\x03\0\0\0\x20\0\0\x04\xf2\0\0\0\x22\0\0\0\0\0\0\x04\xf7\0\0\0\x23\0\0\0\x40\
\0\0\x04\xfd\0\0\0\x25\0\0\0\xc0\0\0\x05\x02\x08\0\0\0\0\0\0\x1c\0\0\x05\x10\
\x04\0\0\x02\0\0\0\x10\0\0\x05\x1a\0\0\0\x24\0\0\0\0\0\0\x05\x1f\0\0\0\x24\0\0\
\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x23\0\0\x05\x24\x08\0\0\0\0\0\0\x26\0\0\0\0\x02\
\0\0\0\0\0\0\x27\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\x02\0\0\
\0\0\0\0\x21\0\0\x05\x30\x04\0\0\x04\0\0\0\x20\0\0\x01\x80\0\0\0\x22\0\0\0\0\0\
\0\x05\x36\0\0\0\x2a\0\0\0\x40\0\0\x05\x40\0\0\0\x2e\0\0\0\x60\0\0\x05\x44\0\0\
\0\x23\0\0\0\x80\0\0\x05\x4e\x08\0\0\0\0\0\0\x2b\0\0\x05\x5d\x04\0\0\x01\0\0\0\
\x04\0\0\x05\x6a\0\0\0\x2c\0\0\0\0\0\0\x05\x73\x08\0\0\0\0\0\0\x2d\0\0\0\0\x04\
\0\0\x01\0\0\0\x04\0\0\x05\x83\0\0\0\x06\0\0\0\0\0\0\x05\x88\x04\0\0\x01\0\0\0\
\x04\0\0\x05\x9e\0\0\0\x2f\0\0\0\0\0\0\x05\xa3\x08\0\0\0\0\0\0\x30\0\0\0\0\x04\
\0\0\x01\0\0\0\x04\0\0\x04\xca\0\0\0\x06\0\0\0\0\0\0\0\0\x04\0\0\x04\0\0\0\x0c\
\0\0\x05\x83\0\0\0\x32\0\0\0\0\0\0\x05\xac\0\0\0\x35\0\0\0\x20\0\0\x05\xb1\0\0\
\0\x1a\0\0\0\x40\0\0\x05\xb7\0\0\0\x1a\0\0\0\x48\0\0\x05\xc5\x08\0\0\0\0\0\0\
\x33\0\0\x05\xd0\x04\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x34\0\0\0\0\0\0\0\0\x05\0\
\0\x01\0\0\0\x04\0\0\x05\xd9\0\0\0\x2b\0\0\0\0\0\0\x05\xdf\x06\0\0\x20\0\0\0\
\x04\0\0\x05\xed\0\0\0\0\0\0\x06\x02\0\0\0\x01\0\0\x06\x1e\0\0\0\x02\0\0\x06\
\x33\0\0\0\x03\0\0\x06\x4b\0\0\0\x04\0\0\x06\x63\0\0\0\x05\0\0\x06\x7c\0\0\0\
\x06\0\0\x06\x8e\0\0\0\x07\0\0\x06\xa7\0\0\0\x08\0\0\x06\xc0\0\0\0\x09\0\0\x06\
\xda\0\0\0\x0a\0\0\x06\xef\0\0\0\x0b\0\0\x07\x05\0\0\0\x0c\0\0\x07\x1c\0\0\0\
\x0d\0\0\x07\x33\0\0\0\x0e\0\0\x07\x48\0\0\0\x0f\0\0\x07\x64\0\0\0\x10\0\0\x07\
\x79\0\0\0\x11\0\0\x07\x96\0\0\0\x12\0\0\x07\xb5\0\0\0\x13\0\0\x07\xd1\0\0\0\
\x14\0\0\x07\xea\0\0\0\x15\0\0\x08\x05\0\0\0\x16\0\0\x08\x22\0\0\0\x17\0\0\x08\
\x3e\0\0\0\x18\0\0\x08\x64\0\0\0\x19\0\0\x08\x81\0\0\0\x1a\0\0\x08\x97\0\0\0\
\x1b\0\0\x08\xb0\0\0\0\x1c\0\0\x08\xc2\0\0\0\x1d\0\0\x08\xd4\0\0\0\x1e\0\0\x08\
\xec\0\0\0\x1f\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x19\0\0\0\x04\0\0\x09\
\x02\x0e\0\0\0\0\0\0\x36\0\0\0\x01\0\0\x09\x0b\x0e\0\0\0\0\0\0\x12\0\0\0\x01\0\
\0\x09\x13\x0e\0\0\0\0\0\0\x12\0\0\0\x01\0\0\x09\x1b\x0e\0\0\0\0\0\0\x12\0\0\0\
\x01\0\0\x09\x29\x0e\0\0\0\0\0\0\x12\0\0\0\x01\0\0\x09\x37\x0e\0\0\0\0\0\0\x0a\
\0\0\0\x01\0\0\x09\x43\x0e\0\0\0\0\0\0\x0a\0\0\0\x01\0\0\x09\x50\x0e\0\0\0\0\0\
\0\x0a\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x40\0\0\0\0\x09\0\0\0\0\0\0\x12\0\0\
\x09\x5d\x0e\0\0\0\0\0\0\x3f\0\0\0\x01\0\0\x09\x62\x0e\0\0\0\0\0\0\x3f\0\0\0\
\x01\0\0\x09\x6c\x07\0\0\0\0\0\0\0\0\0\x09\x75\x07\0\0\0\0\0\0\0\0\0\x01\x31\
\x07\0\0\0\0\0\0\0\0\0\x09\x81\x07\0\0\0\0\0\0\0\0\0\x0b\xf2\x0f\0\0\x01\0\0\0\
\x04\0\0\0\x37\0\0\0\0\0\0\0\x04\0\0\x0b\xfa\x0f\0\0\x07\0\0\0\x28\0\0\0\x38\0\
\0\0\0\0\0\0\x04\0\0\0\x39\0\0\0\x04\0\0\0\x04\0\0\0\x3a\0\0\0\x08\0\0\0\x04\0\
\0\0\x3b\0\0\0\x0c\0\0\0\x04\0\0\0\x3c\0\0\0\x10\0\0\0\x08\0\0\0\x3d\0\0\0\x18\
\0\0\0\x08\0\0\0\x3e\0\0\0\x20\0\0\0\x08\0\0\x0b\xff\x0f\0\0\x02\0\0\0\x08\0\0\
\0\x41\0\0\0\0\0\0\0\x04\0\0\0\x42\0\0\0\x04\0\0\0\x04\0\x62\x70\x66\x5f\x69\
\x74\x65\x72\x5f\x5f\x62\x70\x66\x5f\x6d\x61\x70\0\x6d\x65\x74\x61\0\x6d\x61\
\x70\0\x63\x74\x78\0\x69\x6e\x74\0\x64\x75\x6d\x70\x5f\x62\x70\x66\x5f\x6d\x61\
\x70\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6d\x65\x74\x61\0\x73\x65\x71\0\x73\
\x65\x73\x73\x69\x6f\x6e\x5f\x69\x64\0\x73\x65\x71\x5f\x6e\x75\x6d\0\x5f\x5f\
\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x62\x70\x66\x5f\x6d\x61\x70\0\x6f\x70\x73\0\x69\x6e\x6e\x65\x72\x5f\
\x6d\x61\x70\x5f\x6d\x65\x74\x61\0\x73\x65\x63\x75\x72\x69\x74\x79\0\x6d\x61\
\x70\x5f\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\
\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6d\
\x61\x70\x5f\x65\x78\x74\x72\x61\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x73\
\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\x6f\x66\x66\0\x74\x69\x6d\x65\x72\x5f\x6f\
\x66\x66\0\x69\x64\0\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\0\x62\x74\x66\x5f\x6b\
\x65\x79\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x61\x6c\x75\x65\
\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x6d\x6c\x69\x6e\x75\x78\
\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\0\x6d\
\x65\x6d\x63\x67\0\x6e\x61\x6d\x65\0\x62\x79\x70\x61\x73\x73\x5f\x73\x70\x65\
\x63\x5f\x76\x31\0\x66\x72\x6f\x7a\x65\x6e\0\x72\x65\x66\x63\x6e\x74\0\x75\x73\
\x65\x72\x63\x6e\x74\0\x77\x6f\x72\x6b\0\x66\x72\x65\x65\x7a\x65\x5f\x6d\x75\
\x74\x65\x78\0\x77\x72\x69\x74\x65\x63\x6e\x74\0\x6f\x77\x6e\x65\x72\0\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x50\x52\x4f\x47\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\x5f\x41\x52\x52\
\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\
\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x50\x45\x52\x43\x50\x55\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\x5f\x54\x52\x41\x43\x45\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\
\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\
\x52\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x4c\x52\x55\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x50\x4d\x5f\x54\x52\x49\x45\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x52\x41\x59\x5f\x4f\
\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x48\x41\x53\x48\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x43\x50\x55\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x58\x53\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x48\x41\x53\x48\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\
\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\x45\
\x55\x53\x45\x50\x4f\x52\x54\x5f\x53\x4f\x43\x4b\x41\x52\x52\x41\x59\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x43\
\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x51\x55\x45\x55\x45\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\x5f\x48\x41\x53\
\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\
\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\
\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x49\x4e\x4f\x44\x45\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x54\x41\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x42\x4c\x4f\x4f\x4d\x5f\
\x46\x49\x4c\x54\x45\x52\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x36\x34\0\x63\x68\x61\x72\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x62\x6f\x6f\
\x6c\0\x5f\x42\x6f\x6f\x6c\0\x61\x74\x6f\x6d\x69\x63\x36\x34\x5f\x74\0\x63\x6f\
\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x77\x6f\x72\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x64\x61\x74\
\x61\0\x65\x6e\x74\x72\x79\0\x66\x75\x6e\x63\0\x61\x74\x6f\x6d\x69\x63\x5f\x6c\
\x6f\x6e\x67\x5f\x74\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\x78\x74\0\
\x70\x72\x65\x76\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\x63\x5f\x74\0\x6d\x75\x74\
\x65\x78\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\x71\0\x77\x61\x69\x74\
\x5f\x6c\x69\x73\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\
\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\
\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6c\
\x6f\x63\x6b\0\x6f\x70\x74\x69\x6d\x69\x73\x74\x69\x63\x5f\x73\x70\x69\x6e\x5f\
\x71\x75\x65\x75\x65\0\x74\x61\x69\x6c\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x74\
\x79\x70\x65\0\x6a\x69\x74\x65\x64\0\x78\x64\x70\x5f\x68\x61\x73\x5f\x66\x72\
\x61\x67\x73\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x73\x70\x69\x6e\x6c\
\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\
\x79\x70\x65\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x55\x4e\
\x53\x50\x45\x43\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\
\x4f\x43\x4b\x45\x54\x5f\x46\x49\x4c\x54\x45\x52\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x4b\x50\x52\x4f\x42\x45\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\x43\x4c\x53\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\x41\
\x43\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\
\x43\x45\x50\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\x5f\x58\x44\x50\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\
\x43\x4b\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\
\x5f\x49\x4e\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\
\x54\x5f\x4f\x55\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x4c\x57\x54\x5f\x58\x4d\x49\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x53\x4f\x43\x4b\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x44\x45\x56\x49\x43\
\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x4d\
\x53\x47\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\
\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\x5f\x41\
\x44\x44\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\
\x54\x5f\x53\x45\x47\x36\x4c\x4f\x43\x41\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x4c\x49\x52\x43\x5f\x4d\x4f\x44\x45\x32\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x52\x45\x55\x53\x45\
\x50\x4f\x52\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x46\
\x4c\x4f\x57\x5f\x44\x49\x53\x53\x45\x43\x54\x4f\x52\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x59\x53\x43\
\x54\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\
\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\x5f\x57\x52\x49\x54\x41\x42\x4c\
\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\
\x55\x50\x5f\x53\x4f\x43\x4b\x4f\x50\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x49\x4e\x47\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\x53\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x45\x58\x54\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x53\x4d\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x4c\x4f\x4f\x4b\x55\x50\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6d\x61\x70\x31\x5f\x69\x64\0\x6d\x61\x70\
\x32\x5f\x69\x64\0\x6d\x61\x70\x31\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x6d\
\x61\x70\x32\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x6d\x61\x70\x31\x5f\x73\x65\
\x71\x6e\x75\x6d\0\x6d\x61\x70\x32\x5f\x73\x65\x71\x6e\x75\x6d\x31\0\x6d\x61\
\x70\x32\x5f\x73\x65\x71\x6e\x75\x6d\x32\0\x72\x65\x74\x31\0\x70\x72\x69\x6e\
\x74\x5f\x6c\x65\x6e\0\x73\x65\x71\x5f\x66\x69\x6c\x65\0\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x6f\x70\x73\0\x6d\x65\x6d\x5f\x63\x67\x72\x6f\x75\x70\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\
\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\
\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\
\x73\x74\x5f\x6b\x65\x72\x6e\x34\x2e\x63\0\x09\x73\x74\x72\x75\x63\x74\x20\x73\
\x65\x71\x5f\x66\x69\x6c\x65\x20\x2a\x73\x65\x71\x20\x3d\x20\x63\x74\x78\x2d\
\x3e\x6d\x65\x74\x61\x2d\x3e\x73\x65\x71\x3b\0\x09\x73\x74\x72\x75\x63\x74\x20\
\x62\x70\x66\x5f\x6d\x61\x70\x20\x2a\x6d\x61\x70\x20\x3d\x20\x63\x74\x78\x2d\
\x3e\x6d\x61\x70\x3b\0\x09\x69\x66\x20\x28\x6d\x61\x70\x20\x3d\x3d\x20\x28\x76\
\x6f\x69\x64\x20\x2a\x29\x30\x29\0\x09\x69\x66\x20\x28\x6d\x61\x70\x2d\x3e\x69\
\x64\x20\x21\x3d\x20\x6d\x61\x70\x31\x5f\x69\x64\x20\x26\x26\x20\x6d\x61\x70\
\x2d\x3e\x69\x64\x20\x21\x3d\x20\x6d\x61\x70\x32\x5f\x69\x64\x29\0\x09\x73\x65\
\x71\x5f\x6e\x75\x6d\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6d\x65\x74\x61\x2d\x3e\
\x73\x65\x71\x5f\x6e\x75\x6d\x3b\0\x09\x69\x66\x20\x28\x6d\x61\x70\x2d\x3e\x69\
\x64\x20\x3d\x3d\x20\x6d\x61\x70\x31\x5f\x69\x64\x29\x20\x7b\0\x09\x09\x6d\x61\
\x70\x31\x5f\x73\x65\x71\x6e\x75\x6d\x20\x3d\x20\x73\x65\x71\x5f\x6e\x75\x6d\
\x3b\0\x09\x09\x6d\x61\x70\x31\x5f\x61\x63\x63\x65\x73\x73\x65\x64\x2b\x2b\x3b\
\0\x09\x69\x66\x20\x28\x6d\x61\x70\x2d\x3e\x69\x64\x20\x3d\x3d\x20\x6d\x61\x70\
\x32\x5f\x69\x64\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x6d\x61\x70\x32\x5f\x61\
\x63\x63\x65\x73\x73\x65\x64\x20\x3d\x3d\x20\x30\x29\x20\x7b\0\x09\x09\x09\x6d\
\x61\x70\x32\x5f\x73\x65\x71\x6e\x75\x6d\x31\x20\x3d\x20\x73\x65\x71\x5f\x6e\
\x75\x6d\x3b\0\x09\x09\x09\x69\x66\x20\x28\x72\x65\x74\x31\x29\0\x09\x09\x09\
\x6d\x61\x70\x32\x5f\x73\x65\x71\x6e\x75\x6d\x32\x20\x3d\x20\x73\x65\x71\x5f\
\x6e\x75\x6d\x3b\0\x09\x09\x6d\x61\x70\x32\x5f\x61\x63\x63\x65\x73\x73\x65\x64\
\x2b\x2b\x3b\0\x09\x66\x6f\x72\x20\x28\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\
\x20\x70\x72\x69\x6e\x74\x5f\x6c\x65\x6e\x3b\x20\x69\x2b\x2b\x29\0\x09\x09\x62\
\x70\x66\x5f\x73\x65\x71\x5f\x77\x72\x69\x74\x65\x28\x73\x65\x71\x2c\x20\x26\
\x73\x65\x71\x5f\x6e\x75\x6d\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x65\x71\
\x5f\x6e\x75\x6d\x29\x29\x3b\0\x7d\0\x30\x3a\x30\0\x30\x3a\x31\0\x30\x3a\x31\
\x31\0\x30\x3a\x32\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x72\
\x6f\x64\x61\x74\x61\0\x69\x74\x65\x72\x2f\x62\x70\x66\x5f\x6d\x61\x70\0\0\0\0\
\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\x02\x3c\0\0\x02\x50\
\0\0\0\x9c\0\0\0\x08\0\0\x0c\x07\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\x0c\
\x07\0\0\0\x23\0\0\0\0\0\0\x09\x8c\0\0\x0a\x0b\0\0\x48\x1e\0\0\0\x10\0\0\x09\
\x8c\0\0\x0a\x0b\0\0\x48\x24\0\0\0\x18\0\0\x09\x8c\0\0\x0a\x33\0\0\x4c\x1d\0\0\
\0\x20\0\0\x09\x8c\0\0\x0a\x54\0\0\x5c\x06\0\0\0\x28\0\0\x09\x8c\0\0\x0a\x6b\0\
\0\x6c\x0b\0\0\0\x30\0\0\x09\x8c\0\0\x0a\x6b\0\0\x6c\x11\0\0\0\x48\0\0\x09\x8c\
\0\0\x0a\x6b\0\0\x6c\x19\0\0\0\x50\0\0\x09\x8c\0\0\x0a\x6b\0\0\x6c\x27\0\0\0\
\x68\0\0\x09\x8c\0\0\x0a\x6b\0\0\x6c\x21\0\0\0\x70\0\0\x09\x8c\0\0\x0a\x6b\0\0\
\x6c\x06\0\0\0\x78\0\0\x09\x8c\0\0\x0a\x9a\0\0\x78\x11\0\0\0\x80\0\0\x09\x8c\0\
\0\x0a\x9a\0\0\x78\x17\0\0\0\x88\0\0\x09\x8c\0\0\x0a\x9a\0\0\x78\x0a\0\0\0\x90\
\0\0\x09\x8c\0\0\x0a\xb9\0\0\x7c\x0b\0\0\0\x98\0\0\x09\x8c\0\0\x0a\xb9\0\0\x7c\
\x06\0\0\0\xa0\0\0\x09\x8c\0\0\x0a\xd4\0\0\x80\x0f\0\0\0\xb8\0\0\x09\x8c\0\0\
\x0a\xed\0\0\x84\x10\0\0\0\xe8\0\0\x09\x8c\0\0\x0b\0\0\0\x90\x11\0\0\x01\0\0\0\
\x09\x8c\0\0\x0b\0\0\0\x90\x0b\0\0\x01\x08\0\0\x09\x8c\0\0\x0b\0\0\0\x90\x06\0\
\0\x01\x10\0\0\x09\x8c\0\0\x0b\x1b\0\0\x94\x07\0\0\x01\x28\0\0\x09\x8c\0\0\x0b\
\x1b\0\0\x94\x07\0\0\x01\x30\0\0\x09\x8c\0\0\x0b\x37\0\0\x98\x11\0\0\x01\x50\0\
\0\x09\x8c\0\0\x0b\x52\0\0\x9c\x08\0\0\x01\x68\0\0\x09\x8c\0\0\x0b\x52\0\0\x9c\
\x08\0\0\x01\x80\0\0\x09\x8c\0\0\x0b\x5f\0\0\xa8\x11\0\0\x01\xa0\0\0\x09\x8c\0\
\0\x0b\x7a\0\0\xb0\x10\0\0\x01\xc0\0\0\x09\x8c\0\0\x0b\x8d\0\0\xc0\x12\0\0\x01\
\xd8\0\0\x09\x8c\0\0\x0b\x8d\0\0\xc0\x02\0\0\x01\xf0\0\0\x09\x8c\0\0\0\0\0\0\0\
\0\0\0\x01\xf8\0\0\x09\x8c\0\0\x0b\xae\0\0\xc4\x03\0\0\x02\x10\0\0\x09\x8c\0\0\
\x0b\x8d\0\0\xc0\x1e\0\0\x02\x18\0\0\x09\x8c\0\0\x0b\x8d\0\0\xc0\x12\0\0\x02\
\x20\0\0\x09\x8c\0\0\x0b\x8d\0\0\xc0\x02\0\0\x02\x28\0\0\x09\x8c\0\0\x0b\xdf\0\
\0\xd0\x01\0\0\0\x10\0\0\x0c\x07\0\0\0\x09\0\0\0\0\0\0\0\x02\0\0\x0b\xe1\0\0\0\
\0\0\0\0\x10\0\0\0\x08\0\0\x0b\xe1\0\0\0\0\0\0\0\x18\0\0\0\x02\0\0\x0b\xe5\0\0\
\0\0\0\0\0\x28\0\0\0\x0c\0\0\x0b\xe9\0\0\0\0\0\0\0\x68\0\0\0\x0c\0\0\x0b\xe9\0\
\0\0\0\0\0\0\x78\0\0\0\x02\0\0\x0b\xe1\0\0\0\0\0\0\0\x80\0\0\0\x08\0\0\x0b\xee\
\0\0\0\0\0\0\0\x90\0\0\0\x0c\0\0\x0b\xe9\0\0\0\0\0\0\x01\0\0\0\0\x0c\0\0\x0b\
\xe9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\x01\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x58\0\0\0\0\0\0\x01\xf8\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x50\0\0\0\0\0\0\x02\x38\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x05\x88\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x05\x90\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\
\x90\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\xf5\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x98\0\0\0\0\0\
\0\0\xb0\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x06\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x48\0\0\0\0\0\0\x14\
\xe4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x0b\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x30\0\0\0\0\0\0\x03\x0c\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct bpf_iter_test_kern4 *bpf_iter_test_kern4::open(const struct bpf_object_open_opts *opts) { return bpf_iter_test_kern4__open_opts(opts); }
struct bpf_iter_test_kern4 *bpf_iter_test_kern4::open_and_load() { return bpf_iter_test_kern4__open_and_load(); }
int bpf_iter_test_kern4::load(struct bpf_iter_test_kern4 *skel) { return bpf_iter_test_kern4__load(skel); }
int bpf_iter_test_kern4::attach(struct bpf_iter_test_kern4 *skel) { return bpf_iter_test_kern4__attach(skel); }
void bpf_iter_test_kern4::detach(struct bpf_iter_test_kern4 *skel) { bpf_iter_test_kern4__detach(skel); }
void bpf_iter_test_kern4::destroy(struct bpf_iter_test_kern4 *skel) { bpf_iter_test_kern4__destroy(skel); }
const void *bpf_iter_test_kern4::elf_bytes(size_t *sz) { return bpf_iter_test_kern4__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_iter_test_kern4__assert(struct bpf_iter_test_kern4 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->map1_id) == 4, "unexpected size of 'map1_id'");
	_Static_assert(sizeof(s->bss->map2_id) == 4, "unexpected size of 'map2_id'");
	_Static_assert(sizeof(s->bss->map1_accessed) == 4, "unexpected size of 'map1_accessed'");
	_Static_assert(sizeof(s->bss->map2_accessed) == 4, "unexpected size of 'map2_accessed'");
	_Static_assert(sizeof(s->bss->map1_seqnum) == 8, "unexpected size of 'map1_seqnum'");
	_Static_assert(sizeof(s->bss->map2_seqnum1) == 8, "unexpected size of 'map2_seqnum1'");
	_Static_assert(sizeof(s->bss->map2_seqnum2) == 8, "unexpected size of 'map2_seqnum2'");
	_Static_assert(sizeof(s->rodata->ret1) == 4, "unexpected size of 'ret1'");
	_Static_assert(sizeof(s->rodata->print_len) == 4, "unexpected size of 'print_len'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_ITER_TEST_KERN4_SKEL_H__ */
