/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BPF_LOOP_BENCH_SKEL_H__
#define __BPF_LOOP_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bpf_loop_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *benchmark;
	} progs;
	struct {
		struct bpf_link *benchmark;
	} links;
	struct bpf_loop_bench__bss {
		u32 nr_loops;
		char __pad0[4];
		long hits;
	} *bss;

#ifdef __cplusplus
	static inline struct bpf_loop_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_loop_bench *open_and_load();
	static inline int load(struct bpf_loop_bench *skel);
	static inline int attach(struct bpf_loop_bench *skel);
	static inline void detach(struct bpf_loop_bench *skel);
	static inline void destroy(struct bpf_loop_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_loop_bench__destroy(struct bpf_loop_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_loop_bench__create_skeleton(struct bpf_loop_bench *obj);

static inline struct bpf_loop_bench *
bpf_loop_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_loop_bench *obj;
	int err;

	obj = (struct bpf_loop_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_loop_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_loop_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_loop_bench *
bpf_loop_bench__open(void)
{
	return bpf_loop_bench__open_opts(NULL);
}

static inline int
bpf_loop_bench__load(struct bpf_loop_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_loop_bench *
bpf_loop_bench__open_and_load(void)
{
	struct bpf_loop_bench *obj;
	int err;

	obj = bpf_loop_bench__open();
	if (!obj)
		return NULL;
	err = bpf_loop_bench__load(obj);
	if (err) {
		bpf_loop_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_loop_bench__attach(struct bpf_loop_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_loop_bench__detach(struct bpf_loop_bench *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_loop_bench__elf_bytes(size_t *sz);

static inline int
bpf_loop_bench__create_skeleton(struct bpf_loop_bench *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_loop_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "bpf_loop.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "benchmark";
	s->progs[0].prog = &obj->progs.benchmark;
	s->progs[0].link = &obj->links.benchmark;

	s->data = (void *)bpf_loop_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_loop_bench__elf_bytes(size_t *sz)
{
	*sz = 2400;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xe0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\
\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\
\x73\x73\0\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\
\x4c\x42\x42\x30\x5f\x31\0\x65\x6d\x70\x74\x79\x5f\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\0\x4c\x42\x42\x30\x5f\x32\0\x62\x65\x6e\x63\x68\x6d\x61\x72\x6b\0\x6e\x72\
\x5f\x6c\x6f\x6f\x70\x73\0\x68\x69\x74\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\
\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x3f\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x50\0\0\0\x04\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\x57\x02\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x66\0\0\0\x04\0\0\0\0\0\0\0\x80\0\
\0\0\0\0\0\0\0\0\0\0\x6d\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\
\x77\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x80\x11\0\0\x06\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\x85\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x60\0\0\0\0\x03\xe8\x18\x70\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x17\0\0\0\0\
\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\xb5\x61\x17\0\0\0\0\0\0\xdb\x81\0\0\0\0\0\0\x04\x60\0\0\xff\
\xff\xff\xff\x16\x60\0\x01\0\0\0\0\x05\0\xff\xf5\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x08\0\0\0\x01\0\0\
\0\0\0\0\0\x18\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x02\0\0\0\x01\xeb\
\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x01\x40\0\0\x01\x40\0\0\x01\xbf\0\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\x01\0\
\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x02\0\0\0\x13\x08\0\0\0\
\0\0\0\x06\0\0\0\x19\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x0d\0\0\x02\0\0\0\
\x03\0\0\0\x26\0\0\0\x05\0\0\0\x2c\0\0\0\x01\0\0\0\x31\x0c\0\0\0\0\0\0\x07\0\0\
\0\x40\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x0b\0\0\0\x04\0\0\0\x45\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x59\x0e\0\0\0\0\
\0\0\x0a\0\0\0\x01\0\0\0\x62\x08\0\0\0\0\0\0\x05\0\0\0\x66\x0e\0\0\0\0\0\0\x0d\
\0\0\0\x01\0\0\0\x6f\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\x74\x0e\0\0\0\0\0\0\
\x0f\0\0\0\x01\0\0\x01\x91\x0f\0\0\x01\0\0\0\x04\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\
\0\x01\x99\x0f\0\0\x02\0\0\0\x10\0\0\0\x0e\0\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\
\x08\0\0\0\x08\0\x63\x74\x78\0\x69\x6e\x74\0\x62\x65\x6e\x63\x68\x6d\x61\x72\
\x6b\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x69\x6e\x64\x65\x78\0\x64\x61\x74\x61\0\x65\x6d\x70\x74\x79\x5f\x63\x61\x6c\
\x6c\x62\x61\x63\x6b\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x75\x33\x32\0\x6e\x72\x5f\x6c\x6f\x6f\x70\x73\0\x6c\x6f\x6e\x67\0\x68\x69\x74\
\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\
\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\x66\x5f\x6c\x6f\x6f\x70\
\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x69\x6e\x74\x20\x62\x65\x6e\x63\x68\x6d\x61\x72\x6b\x28\x76\x6f\x69\x64\x20\
\x2a\x63\x74\x78\x29\0\x09\x09\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x28\x6e\x72\x5f\
\x6c\x6f\x6f\x70\x73\x2c\x20\x65\x6d\x70\x74\x79\x5f\x63\x61\x6c\x6c\x62\x61\
\x63\x6b\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x09\x5f\x5f\x73\x79\
\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\x5f\x66\x65\x74\x63\x68\x28\x26\x68\
\x69\x74\x73\x2c\x20\x6e\x72\x5f\x6c\x6f\x6f\x70\x73\x29\x3b\0\x09\x66\x6f\x72\
\x20\x28\x69\x6e\x74\x20\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x31\x30\
\x30\x30\x3b\x20\x69\x2b\x2b\x29\x20\x7b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x2e\x74\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\
\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\0\xeb\x9f\
\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\xa4\0\0\0\xc8\0\0\0\0\0\0\0\
\x08\0\0\x01\x9e\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\x01\xa4\0\0\0\x01\0\0\0\0\0\0\
\0\x04\0\0\0\x10\0\0\x01\x9e\0\0\0\x01\0\0\0\0\0\0\0\x79\0\0\0\xf3\0\0\x3c\x02\
\0\0\x01\xa4\0\0\0\x08\0\0\0\0\0\0\0\x79\0\0\0\xfe\0\0\x4c\0\0\0\0\x28\0\0\0\
\x79\0\0\x01\x17\0\0\x58\x0c\0\0\0\x30\0\0\0\x79\0\0\x01\x17\0\0\x58\x03\0\0\0\
\x58\0\0\0\x79\0\0\x01\x46\0\0\x60\x1f\0\0\0\x60\0\0\0\x79\0\0\x01\x46\0\0\x60\
\x03\0\0\0\x68\0\0\0\x79\0\0\x01\x6f\0\0\x54\x14\0\0\0\x70\0\0\0\x79\0\0\x01\
\x6f\0\0\x54\x02\0\0\0\x80\0\0\0\x79\0\0\0\xf3\0\0\x68\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xbb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x01\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\
\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\0\
\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa8\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x08\0\0\0\0\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xb0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x02\xb0\0\0\0\0\0\0\0\x30\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\xad\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x02\xe0\0\0\0\0\0\0\x03\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\xb2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xf8\0\
\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct bpf_loop_bench *bpf_loop_bench::open(const struct bpf_object_open_opts *opts) { return bpf_loop_bench__open_opts(opts); }
struct bpf_loop_bench *bpf_loop_bench::open_and_load() { return bpf_loop_bench__open_and_load(); }
int bpf_loop_bench::load(struct bpf_loop_bench *skel) { return bpf_loop_bench__load(skel); }
int bpf_loop_bench::attach(struct bpf_loop_bench *skel) { return bpf_loop_bench__attach(skel); }
void bpf_loop_bench::detach(struct bpf_loop_bench *skel) { bpf_loop_bench__detach(skel); }
void bpf_loop_bench::destroy(struct bpf_loop_bench *skel) { bpf_loop_bench__destroy(skel); }
const void *bpf_loop_bench::elf_bytes(size_t *sz) { return bpf_loop_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_loop_bench__assert(struct bpf_loop_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->nr_loops) == 4, "unexpected size of 'nr_loops'");
	_Static_assert(sizeof(s->bss->hits) == 8, "unexpected size of 'hits'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_LOOP_BENCH_SKEL_H__ */
