/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __CORE_KERN_OVERFLOW_LSKEL_SKEL_H__
#define __CORE_KERN_OVERFLOW_LSKEL_SKEL_H__

#include <bpf/skel_internal.h>

struct core_kern_overflow_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc core_relo_proto;
	} progs;
	struct {
		int core_relo_proto_fd;
	} links;
	struct core_kern_overflow_lskel__bss {
		int proto_out;
	} *bss;
};

static inline int
core_kern_overflow_lskel__core_relo_proto__attach(struct core_kern_overflow_lskel *skel)
{
	int prog_fd = skel->progs.core_relo_proto.prog_fd;
	int fd = skel_raw_tracepoint_open("sys_enter", prog_fd);

	if (fd > 0)
		skel->links.core_relo_proto_fd = fd;
	return fd;
}

static inline int
core_kern_overflow_lskel__attach(struct core_kern_overflow_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : core_kern_overflow_lskel__core_relo_proto__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
core_kern_overflow_lskel__detach(struct core_kern_overflow_lskel *skel)
{
	skel_closenz(skel->links.core_relo_proto_fd);
}
static void
core_kern_overflow_lskel__destroy(struct core_kern_overflow_lskel *skel)
{
	if (!skel)
		return;
	core_kern_overflow_lskel__detach(skel);
	skel_closenz(skel->progs.core_relo_proto.prog_fd);
	skel_free_map_data(skel->bss, skel->maps.bss.initial_value, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	skel_free(skel);
}
static inline struct core_kern_overflow_lskel *
core_kern_overflow_lskel__open(void)
{
	struct core_kern_overflow_lskel *skel;

	skel = skel_alloc(sizeof(*skel));
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->bss = skel_prep_map_data((void *)"\
\0\0\0\0", 4096, 4);
	if (!skel->bss)
		goto cleanup;
	skel->maps.bss.initial_value = (__u64) (long) skel->bss;
	return skel;
cleanup:
	core_kern_overflow_lskel__destroy(skel);
	return NULL;
}

static inline int
core_kern_overflow_lskel__load(struct core_kern_overflow_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 2496;
	opts.data = (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\
\0\0\0\x18\0\0\0\0\0\0\x01\x58\0\0\x01\x58\0\0\x01\xa1\0\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\
\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x02\0\0\0\x19\x08\0\0\0\0\0\0\x06\
\0\0\0\0\x02\0\0\0\0\0\0\x07\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x08\0\
\0\0\x34\x08\0\0\0\0\0\0\x09\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\0\0\x0d\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\x0b\0\0\0\x4f\x08\0\0\0\0\0\0\x0c\0\0\0\0\x02\0\0\0\0\0\
\0\x0d\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x0e\0\0\0\x62\x01\0\0\0\0\0\
\0\x08\x01\0\0\x40\0\0\0\x67\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\0\x71\x01\0\0\0\
\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x12\0\0\0\x04\
\0\0\0\x76\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x8a\x0e\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\x01\x7b\x0f\0\0\x01\0\0\0\x04\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\x01\x80\
\x0f\0\0\x01\0\0\0\x04\0\0\0\x13\0\0\0\0\0\0\0\x04\0\x63\x74\x78\0\x69\x6e\x74\
\0\x63\x6f\x72\x65\x5f\x72\x65\x6c\x6f\x5f\x70\x72\x6f\x74\x6f\0\x66\x75\x6e\
\x63\x5f\x70\x72\x6f\x74\x6f\x5f\x74\x79\x70\x65\x64\x65\x66\x5f\x6e\x65\x73\
\x74\x65\x64\x32\0\x66\x75\x6e\x63\x5f\x70\x72\x6f\x74\x6f\x5f\x74\x79\x70\x65\
\x64\x65\x66\x5f\x6e\x65\x73\x74\x65\x64\x31\0\x66\x75\x6e\x63\x5f\x70\x72\x6f\
\x74\x6f\x5f\x74\x79\x70\x65\x64\x65\x66\0\x6c\x6f\x6e\x67\0\x70\x72\x6f\x74\
\x6f\x5f\x6f\x75\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\
\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\
\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x63\x6f\x72\x65\x5f\x6b\x65\x72\x6e\x5f\
\x6f\x76\x65\x72\x66\x6c\x6f\x77\x2e\x63\0\x69\x6e\x74\x20\x63\x6f\x72\x65\x5f\
\x72\x65\x6c\x6f\x5f\x70\x72\x6f\x74\x6f\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\
\x78\x29\0\x09\x70\x72\x6f\x74\x6f\x5f\x6f\x75\x74\x20\x3d\x20\x62\x70\x66\x5f\
\x63\x6f\x72\x65\x5f\x74\x79\x70\x65\x5f\x65\x78\x69\x73\x74\x73\x28\x66\x75\
\x6e\x63\x5f\x70\x72\x6f\x74\x6f\x5f\x74\x79\x70\x65\x64\x65\x66\x5f\x6e\x65\
\x73\x74\x65\x64\x32\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x30\0\
\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x61\x77\x5f\x74\x72\x61\
\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\x01\0\0\x04\0\0\0\0\0\0\0\0\0\x63\x6f\x72\x65\
\x5f\x6b\x65\x72\x2e\x62\x73\x73\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\xb7\x10\0\0\0\0\0\
\x01\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x92\0\0\x01\x10\0\0\x3c\0\0\
\0\0\x01\0\0\0\x92\0\0\x01\x2f\0\0\x44\x0c\0\0\0\x04\0\0\0\x92\0\0\x01\x6e\0\0\
\x4c\x02\0\0\0\0\0\0\0\x05\0\0\x01\x79\0\0\0\x08\0\0\0\x11\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x6f\
\x72\x65\x5f\x72\x65\x6c\x6f\x5f\x70\x72\x6f\x74\x6f\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0";
	opts.insns_sz = 1336;
	opts.insns = (void *)"\
\xbf\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\x78\xb7\x20\0\
\0\0\0\0\x88\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x05\0\0\x11\0\0\0\0\x61\
\x1a\xff\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x7c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x80\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\xbf\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\x30\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\x2c\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x20\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\x05\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\x18\x7b\x10\0\0\0\0\0\0\xb7\x10\
\0\0\0\0\0\x12\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x08\x18\xb7\x30\0\0\0\0\0\x1c\
\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\xd7\0\0\0\0\x63\xa7\xff\
\x78\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\x68\
\x63\x10\0\0\0\0\0\0\x61\x06\0\x1c\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\x44\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\x38\xb7\x30\0\0\0\0\0\x48\x85\0\0\0\0\0\0\xa6\xbf\x70\0\
\0\0\0\0\0\xc5\x70\xff\xc6\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x17\
\0\0\0\0\0\0\x79\x36\0\x20\0\0\0\0\x15\x30\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\x80\xb7\x20\0\0\0\0\0\x04\x61\x06\0\x04\0\0\0\0\x45\0\0\x02\0\0\
\0\x01\x85\0\0\0\0\0\0\x94\x05\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\x71\x18\x26\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x02\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\x90\x63\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x08\x88\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x98\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\x80\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\xa0\x7b\x10\0\0\0\0\0\0\xb7\
\x10\0\0\0\0\0\x02\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x08\x90\xb7\x30\0\0\0\0\0\
\x20\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\xa2\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\xb0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\x40\x7b\x10\
\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x08\xb8\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x09\x38\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x08\xe8\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\x80\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\xf0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\x90\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x09\x20\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\
\xb0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x09\xa8\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\x48\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\x4c\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\x50\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\
\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\x78\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\
\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x09\x30\xb7\x30\0\0\0\0\0\x8c\x85\0\0\0\
\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x6d\0\0\0\0\x63\xa7\xff\x80\0\0\0\0\
\x61\x1a\xff\x78\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x0a\xff\x80\0\0\0\0\x63\x60\0\x28\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x63\x60\0\x18\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->bss = skel_finalize_map_data(&skel->maps.bss.initial_value,
					4096, PROT_READ | PROT_WRITE, skel->maps.bss.map_fd);
	if (!skel->bss)
		return -ENOMEM;
	return 0;
}

static inline struct core_kern_overflow_lskel *
core_kern_overflow_lskel__open_and_load(void)
{
	struct core_kern_overflow_lskel *skel;

	skel = core_kern_overflow_lskel__open();
	if (!skel)
		return NULL;
	if (core_kern_overflow_lskel__load(skel)) {
		core_kern_overflow_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

__attribute__((unused)) static void
core_kern_overflow_lskel__assert(struct core_kern_overflow_lskel *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->proto_out) == 4, "unexpected size of 'proto_out'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CORE_KERN_OVERFLOW_LSKEL_SKEL_H__ */
