/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __FOR_EACH_ARRAY_MAP_ELEM_SKEL_H__
#define __FOR_EACH_ARRAY_MAP_ELEM_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct for_each_array_map_elem {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *arraymap;
		struct bpf_map *percpu_map;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_pkt_access;
	} progs;
	struct {
		struct bpf_link *test_pkt_access;
	} links;
	struct for_each_array_map_elem__rodata {
		int bypass_unused;
	} *rodata;
	struct for_each_array_map_elem__bss {
		__u32 cpu;
		char __pad0[4];
		__u64 percpu_val;
		u32 arraymap_output;
	} *bss;

#ifdef __cplusplus
	static inline struct for_each_array_map_elem *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct for_each_array_map_elem *open_and_load();
	static inline int load(struct for_each_array_map_elem *skel);
	static inline int attach(struct for_each_array_map_elem *skel);
	static inline void detach(struct for_each_array_map_elem *skel);
	static inline void destroy(struct for_each_array_map_elem *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
for_each_array_map_elem__destroy(struct for_each_array_map_elem *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
for_each_array_map_elem__create_skeleton(struct for_each_array_map_elem *obj);

static inline struct for_each_array_map_elem *
for_each_array_map_elem__open_opts(const struct bpf_object_open_opts *opts)
{
	struct for_each_array_map_elem *obj;
	int err;

	obj = (struct for_each_array_map_elem *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = for_each_array_map_elem__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	for_each_array_map_elem__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct for_each_array_map_elem *
for_each_array_map_elem__open(void)
{
	return for_each_array_map_elem__open_opts(NULL);
}

static inline int
for_each_array_map_elem__load(struct for_each_array_map_elem *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct for_each_array_map_elem *
for_each_array_map_elem__open_and_load(void)
{
	struct for_each_array_map_elem *obj;
	int err;

	obj = for_each_array_map_elem__open();
	if (!obj)
		return NULL;
	err = for_each_array_map_elem__load(obj);
	if (err) {
		for_each_array_map_elem__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
for_each_array_map_elem__attach(struct for_each_array_map_elem *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
for_each_array_map_elem__detach(struct for_each_array_map_elem *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *for_each_array_map_elem__elf_bytes(size_t *sz);

static inline int
for_each_array_map_elem__create_skeleton(struct for_each_array_map_elem *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "for_each_array_map_elem";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "arraymap";
	s->maps[0].map = &obj->maps.arraymap;

	s->maps[1].name = "percpu_map";
	s->maps[1].map = &obj->maps.percpu_map;

	s->maps[2].name = "for_each.rodata";
	s->maps[2].map = &obj->maps.rodata;
	s->maps[2].mmaped = (void **)&obj->rodata;

	s->maps[3].name = "for_each.bss";
	s->maps[3].map = &obj->maps.bss;
	s->maps[3].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_pkt_access";
	s->progs[0].prog = &obj->progs.test_pkt_access;
	s->progs[0].link = &obj->links.test_pkt_access;

	s->data = (void *)for_each_array_map_elem__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *for_each_array_map_elem__elf_bytes(size_t *sz)
{
	*sz = 9376;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\x60\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x74\x63\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\
\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\
\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x2e\x63\0\x63\x68\x65\
\x63\x6b\x5f\x61\x72\x72\x61\x79\x5f\x65\x6c\x65\x6d\0\x4c\x42\x42\x30\x5f\x32\
\0\x75\x6e\x75\x73\x65\x64\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x63\x68\x65\x63\
\x6b\x5f\x70\x65\x72\x63\x70\x75\x5f\x65\x6c\x65\x6d\0\x4c\x42\x42\x31\x5f\x32\
\0\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x61\x63\x63\x65\x73\x73\0\x61\x72\x72\
\x61\x79\x6d\x61\x70\0\x62\x79\x70\x61\x73\x73\x5f\x75\x6e\x75\x73\x65\x64\0\
\x61\x72\x72\x61\x79\x6d\x61\x70\x5f\x6f\x75\x74\x70\x75\x74\0\x70\x65\x72\x63\
\x70\x75\x5f\x6d\x61\x70\0\x63\x70\x75\0\x70\x65\x72\x63\x70\x75\x5f\x76\x61\
\x6c\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\
\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\x04\0\xff\xf1\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\x02\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x60\0\0\0\x04\0\0\0\0\0\0\0\xb0\0\0\0\0\0\
\0\0\0\0\0\0\x67\x02\0\0\x03\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x20\0\0\0\x76\x02\
\0\0\x03\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x58\0\0\0\x88\0\0\0\x03\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\x8f\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x18\
\0\0\0\x9f\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xa8\x11\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xb6\x11\0\0\x07\0\0\0\0\0\0\0\x10\0\0\
\0\0\0\0\0\x04\0\0\0\xc6\x11\0\0\x08\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\0\
\xd1\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xd5\x11\0\0\x07\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\xe0\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\x79\x13\0\0\0\0\0\0\x61\x34\0\0\0\0\0\0\x0c\x31\0\0\0\0\0\0\x63\x43\0\
\0\0\0\0\0\x61\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\x01\x16\x10\0\x01\0\0\0\x01\xb4\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x10\0\0\0\0\0\0\x63\x41\0\0\0\0\0\0\xb7\0\
\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\x85\0\0\0\0\0\0\x08\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x10\0\0\0\0\0\0\x79\x16\0\0\0\0\0\0\x18\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\xb4\x10\0\0\0\0\0\0\x63\xa1\xff\xf8\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\
\x30\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa4\x18\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x56\x10\0\x08\0\0\0\0\xbf\x3a\0\0\0\0\0\0\
\x07\x30\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\0\0\0\
\0\0\x48\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa4\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x2a\xff\xf8\0\0\0\0\x63\x12\0\0\0\0\0\0\x18\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\
\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa4\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x47\x50\x4c\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x78\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\0\x98\0\0\0\x0f\0\0\0\x01\0\0\
\0\0\0\0\0\x20\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x02\0\0\0\x01\0\0\0\
\0\0\0\0\x50\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\x80\0\0\0\x0a\0\0\0\x01\0\0\0\0\
\0\0\0\x90\0\0\0\x02\0\0\0\x01\0\0\0\0\0\0\0\xb0\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\
\0\0\xd0\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\xe0\0\0\0\x02\0\0\0\x01\xeb\x9f\x01\
\0\0\0\0\x18\0\0\0\0\0\0\x0b\xdc\0\0\x0b\xdc\0\0\x0d\xc0\0\0\0\0\x02\0\0\0\0\0\
\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\
\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\
\0\x02\0\0\0\0\0\0\x08\0\0\0\x19\x08\0\0\0\0\0\0\x09\0\0\0\x1f\x01\0\0\0\0\0\0\
\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x0b\0\0\0\x2c\x08\0\0\0\0\0\0\x0c\0\0\0\
\x32\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x45\0\0\
\0\x01\0\0\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\0\x56\0\0\0\x07\0\0\0\x80\0\0\
\0\x5a\0\0\0\x0a\0\0\0\xc0\0\0\0\x60\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\x02\
\0\0\0\0\0\0\x10\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x06\0\0\0\
\0\x02\0\0\0\0\0\0\x12\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\
\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x45\0\0\0\x0f\0\0\0\0\0\0\0\x4a\0\0\0\x11\
\0\0\0\x40\0\0\0\x56\0\0\0\x07\0\0\0\x80\0\0\0\x5a\0\0\0\x0a\0\0\0\xc0\0\0\0\
\x69\x0e\0\0\0\0\0\0\x13\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x16\0\0\0\x74\x04\0\
\0\x22\0\0\0\xc0\0\0\0\x7e\0\0\0\x08\0\0\0\0\0\0\0\x82\0\0\0\x08\0\0\0\x20\0\0\
\0\x8b\0\0\0\x08\0\0\0\x40\0\0\0\x90\0\0\0\x08\0\0\0\x60\0\0\0\x9e\0\0\0\x08\0\
\0\0\x80\0\0\0\xa7\0\0\0\x08\0\0\0\xa0\0\0\0\xb4\0\0\0\x08\0\0\0\xc0\0\0\0\xbd\
\0\0\0\x08\0\0\0\xe0\0\0\0\xc8\0\0\0\x08\0\0\x01\0\0\0\0\xd1\0\0\0\x08\0\0\x01\
\x20\0\0\0\xe1\0\0\0\x08\0\0\x01\x40\0\0\0\xe9\0\0\0\x08\0\0\x01\x60\0\0\0\xf2\
\0\0\0\x17\0\0\x01\x80\0\0\0\xf5\0\0\0\x08\0\0\x02\x20\0\0\0\xfa\0\0\0\x08\0\0\
\x02\x40\0\0\x01\x05\0\0\0\x08\0\0\x02\x60\0\0\x01\x0a\0\0\0\x08\0\0\x02\x80\0\
\0\x01\x13\0\0\0\x08\0\0\x02\xa0\0\0\x01\x1b\0\0\0\x08\0\0\x02\xc0\0\0\x01\x22\
\0\0\0\x08\0\0\x02\xe0\0\0\x01\x2d\0\0\0\x08\0\0\x03\0\0\0\x01\x37\0\0\0\x18\0\
\0\x03\x20\0\0\x01\x42\0\0\0\x18\0\0\x03\xa0\0\0\x01\x4c\0\0\0\x08\0\0\x04\x20\
\0\0\x01\x58\0\0\0\x08\0\0\x04\x40\0\0\x01\x63\0\0\0\x08\0\0\x04\x60\0\0\0\0\0\
\0\0\x19\0\0\x04\x80\0\0\x01\x6d\0\0\0\x0b\0\0\x04\xc0\0\0\x01\x74\0\0\0\x08\0\
\0\x05\0\0\0\x01\x7d\0\0\0\x08\0\0\x05\x20\0\0\0\0\0\0\0\x1b\0\0\x05\x40\0\0\
\x01\x86\0\0\0\x08\0\0\x05\x80\0\0\x01\x8f\0\0\0\x1d\0\0\x05\xa0\0\0\x01\x9b\0\
\0\0\x0b\0\0\x05\xc0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x04\0\0\0\x05\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x04\0\0\0\x04\0\0\0\0\x05\0\0\x01\0\0\
\0\x08\0\0\x01\xa4\0\0\0\x1a\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x58\0\0\0\0\x05\0\
\0\x01\0\0\0\x08\0\0\x01\xae\0\0\0\x1c\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x57\0\0\
\x01\xb1\x08\0\0\0\0\0\0\x1e\0\0\x01\xb6\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\
\x0d\0\0\x01\0\0\0\x02\0\0\x01\xc4\0\0\0\x15\0\0\x01\xc8\x0c\0\0\x01\0\0\0\x1f\
\0\0\0\0\x02\0\0\0\0\0\0\x22\0\0\x01\xd8\x04\0\0\x1b\0\0\x02\0\0\0\x01\xe0\0\0\
\0\x23\0\0\0\0\0\0\x01\xe4\0\0\0\x21\0\0\0\x40\0\0\x01\xf3\0\0\0\x25\0\0\0\x80\
\0\0\x01\xfc\0\0\0\x26\0\0\0\xc0\0\0\x02\x05\0\0\0\x27\0\0\0\xe0\0\0\x02\x0e\0\
\0\0\x27\0\0\x01\0\0\0\0\x4a\0\0\0\x27\0\0\x01\x20\0\0\x02\x19\0\0\0\x28\0\0\
\x01\x40\0\0\x02\x23\0\0\0\x27\0\0\x01\x80\0\0\x02\x2d\0\0\0\x02\0\0\x01\xa0\0\
\0\x02\x3b\0\0\0\x02\0\0\x01\xc0\0\0\x02\x45\0\0\0\x27\0\0\x01\xe0\0\0\x02\x48\
\0\0\0\x02\0\0\x02\0\0\0\x02\x52\0\0\0\x27\0\0\x02\x20\0\0\x02\x62\0\0\0\x27\0\
\0\x02\x40\0\0\x02\x74\0\0\0\x27\0\0\x02\x60\0\0\x02\x8e\0\0\0\x29\0\0\x02\x80\
\0\0\x02\x92\0\0\0\x2a\0\0\x02\xc0\0\0\x02\x98\0\0\0\x2c\0\0\x03\0\0\0\x02\x9d\
\0\0\0\x2d\0\0\x03\x80\0\0\x02\xac\0\0\0\x2d\0\0\x03\x88\0\0\x02\xb3\0\0\0\x2f\
\0\0\x08\0\0\0\x02\xba\0\0\0\x2f\0\0\x08\x40\0\0\x02\xc2\0\0\0\x34\0\0\x08\x80\
\0\0\x02\xc7\0\0\0\x3c\0\0\x09\x80\0\0\x02\xd4\0\0\0\x2f\0\0\x0a\x80\0\0\x02\
\xdd\0\0\0\x44\0\0\x0a\xc0\0\0\0\0\x02\0\0\0\0\0\0\x24\0\0\0\0\x0a\0\0\0\0\0\0\
\x59\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\x02\xe3\x06\0\0\x1f\0\0\0\x04\0\0\x02\xf0\0\
\0\0\0\0\0\x03\x04\0\0\0\x01\0\0\x03\x16\0\0\0\x02\0\0\x03\x29\0\0\0\x03\0\0\
\x03\x41\0\0\0\x04\0\0\x03\x5f\0\0\0\x05\0\0\x03\x78\0\0\0\x06\0\0\x03\x92\0\0\
\0\x07\0\0\x03\xab\0\0\0\x08\0\0\x03\xc5\0\0\0\x09\0\0\x03\xdb\0\0\0\x0a\0\0\
\x03\xf8\0\0\0\x0b\0\0\x04\x0e\0\0\0\x0c\0\0\x04\x29\0\0\0\x0d\0\0\x04\x43\0\0\
\0\x0e\0\0\x04\x57\0\0\0\x0f\0\0\x04\x6c\0\0\0\x10\0\0\x04\x80\0\0\0\x11\0\0\
\x04\x94\0\0\0\x12\0\0\x04\xaa\0\0\0\x13\0\0\x04\xc6\0\0\0\x14\0\0\x04\xe7\0\0\
\0\x15\0\0\x05\x0a\0\0\0\x16\0\0\x05\x1d\0\0\0\x17\0\0\x05\x30\0\0\0\x18\0\0\
\x05\x48\0\0\0\x19\0\0\x05\x61\0\0\0\x1a\0\0\x05\x79\0\0\0\x1b\0\0\x05\x8e\0\0\
\0\x1c\0\0\x05\xa9\0\0\0\x1d\0\0\x05\xc3\0\0\0\x1e\0\0\x05\xdd\x08\0\0\0\0\0\0\
\x08\0\0\x05\xe1\x08\0\0\0\0\0\0\x0b\0\0\0\0\x02\0\0\0\0\0\0\x5b\0\0\0\0\x02\0\
\0\0\0\0\0\x5a\0\0\x05\xe5\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x2b\0\0\0\x04\0\0\0\x10\0\0\x05\xea\x08\0\0\0\0\0\0\x2e\0\0\x05\
\xef\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\x05\xf5\x08\0\0\0\0\0\0\x30\0\0\0\0\
\x04\0\0\x01\0\0\0\x08\0\0\x06\0\0\0\0\x31\0\0\0\0\0\0\x06\x08\x08\0\0\0\0\0\0\
\x32\0\0\x06\x0c\x08\0\0\0\0\0\0\x33\0\0\x06\x12\x01\0\0\0\0\0\0\x08\x01\0\0\
\x40\0\0\x06\x1c\x04\0\0\x03\0\0\0\x20\0\0\x01\x05\0\0\0\x35\0\0\0\0\0\0\x06\
\x28\0\0\0\x36\0\0\0\x40\0\0\x06\x2e\0\0\0\x38\0\0\0\xc0\0\0\x06\x33\x08\0\0\0\
\0\0\0\x2f\0\0\x06\x41\x04\0\0\x02\0\0\0\x10\0\0\x06\x4b\0\0\0\x37\0\0\0\0\0\0\
\x06\x50\0\0\0\x37\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x36\0\0\x06\x55\x08\0\0\0\
\0\0\0\x39\0\0\0\0\x02\0\0\0\0\0\0\x3a\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x3b\0\0\0\0\x02\0\0\0\0\0\0\x34\0\0\x06\x61\x04\0\0\x04\0\0\0\x20\0\0\x02\
\xdd\0\0\0\x35\0\0\0\0\0\0\x06\x67\0\0\0\x3d\0\0\0\x40\0\0\x06\x71\0\0\0\x41\0\
\0\0\x60\0\0\x06\x75\0\0\0\x36\0\0\0\x80\0\0\x06\x7f\x08\0\0\0\0\0\0\x3e\0\0\
\x06\x8e\x04\0\0\x01\0\0\0\x04\0\0\x06\x9b\0\0\0\x3f\0\0\0\0\0\0\x06\xa4\x08\0\
\0\0\0\0\0\x40\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x06\xb4\0\0\0\x02\0\0\0\0\0\0\
\x06\xb9\x04\0\0\x01\0\0\0\x04\0\0\x06\xcf\0\0\0\x42\0\0\0\0\0\0\x06\xd4\x08\0\
\0\0\0\0\0\x43\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x06\0\0\0\0\x02\0\0\0\0\0\0\0\
\0\x04\0\0\x04\0\0\0\x0c\0\0\x06\xb4\0\0\0\x45\0\0\0\0\0\0\0\x45\0\0\0\x48\0\0\
\0\x20\0\0\x06\xdd\0\0\0\x2d\0\0\0\x40\0\0\x06\xe3\0\0\0\x2d\0\0\0\x48\0\0\x06\
\xf1\x08\0\0\0\0\0\0\x46\0\0\x06\xfc\x04\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x47\0\
\0\0\0\0\0\0\0\x05\0\0\x01\0\0\0\x04\0\0\x07\x05\0\0\0\x3e\0\0\0\0\0\0\x07\x0b\
\x06\0\0\x20\0\0\0\x04\0\0\x07\x19\0\0\0\0\0\0\x07\x2e\0\0\0\x01\0\0\x07\x4a\0\
\0\0\x02\0\0\x07\x5f\0\0\0\x03\0\0\x07\x77\0\0\0\x04\0\0\x07\x8f\0\0\0\x05\0\0\
\x07\xa8\0\0\0\x06\0\0\x07\xba\0\0\0\x07\0\0\x07\xd3\0\0\0\x08\0\0\x07\xec\0\0\
\0\x09\0\0\x08\x06\0\0\0\x0a\0\0\x08\x1b\0\0\0\x0b\0\0\x08\x31\0\0\0\x0c\0\0\
\x08\x48\0\0\0\x0d\0\0\x08\x5f\0\0\0\x0e\0\0\x08\x74\0\0\0\x0f\0\0\x08\x90\0\0\
\0\x10\0\0\x08\xa5\0\0\0\x11\0\0\x08\xc2\0\0\0\x12\0\0\x08\xe1\0\0\0\x13\0\0\
\x08\xfd\0\0\0\x14\0\0\x09\x16\0\0\0\x15\0\0\x09\x31\0\0\0\x16\0\0\x09\x4e\0\0\
\0\x17\0\0\x09\x6a\0\0\0\x18\0\0\x09\x90\0\0\0\x19\0\0\x09\xad\0\0\0\x1a\0\0\
\x09\xc3\0\0\0\x1b\0\0\x09\xdc\0\0\0\x1c\0\0\x09\xee\0\0\0\x1d\0\0\x0a\0\0\0\0\
\x1e\0\0\x0a\x18\0\0\0\x1f\0\0\0\0\x02\0\0\0\0\0\0\x4a\0\0\x0a\x2e\x04\0\0\x01\
\0\0\0\x04\0\0\x0a\x3b\0\0\0\x02\0\0\0\0\0\0\0\0\x0d\0\0\x04\0\0\0\x0b\0\0\x0a\
\x42\0\0\0\x21\0\0\0\x56\0\0\0\x07\0\0\x0a\x46\0\0\0\x0a\0\0\x01\x05\0\0\0\x49\
\0\0\x0a\x4a\x0c\0\0\0\0\0\0\x4b\0\0\x0a\x5b\x0c\0\0\0\0\0\0\x4b\0\0\x0a\x6a\
\x0c\0\0\0\0\0\0\x4b\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x04\0\0\0\x04\0\
\0\x0a\x7c\x0e\0\0\0\0\0\0\x4f\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x52\0\0\0\0\
\x09\0\0\0\0\0\0\x02\0\0\x0a\x85\x0e\0\0\0\0\0\0\x51\0\0\0\x01\0\0\x0a\x93\x0e\
\0\0\0\0\0\0\x08\0\0\0\x01\0\0\x0a\x97\x0e\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\x0a\
\xa2\x0e\0\0\0\0\0\0\x27\0\0\0\x01\0\0\x0a\xb2\x07\0\0\0\0\0\0\0\0\0\x0a\xbb\
\x07\0\0\0\0\0\0\0\0\0\x0a\xc9\x07\0\0\0\0\0\0\0\0\0\x0a\xd5\x07\0\0\0\0\0\0\0\
\0\0\x02\x8e\x07\0\0\0\0\0\0\0\0\0\x0d\x9c\x0f\0\0\x01\0\0\0\x04\0\0\0\x50\0\0\
\0\0\0\0\0\x04\0\0\x0d\xa4\x0f\0\0\x01\0\0\0\x04\0\0\0\x53\0\0\0\0\0\0\0\x04\0\
\0\x0d\xac\x0f\0\0\x03\0\0\0\x14\0\0\0\x54\0\0\0\0\0\0\0\x04\0\0\0\x55\0\0\0\
\x08\0\0\0\x08\0\0\0\x56\0\0\0\x10\0\0\0\x04\0\0\x0d\xb1\x0f\0\0\x02\0\0\0\x40\
\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\x14\0\0\0\x20\0\0\0\x20\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\
\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\
\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\
\x65\x79\0\x76\x61\x6c\x75\x65\0\x61\x72\x72\x61\x79\x6d\x61\x70\0\x70\x65\x72\
\x63\x70\x75\x5f\x6d\x61\x70\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\
\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\
\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\
\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\
\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\
\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\
\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\
\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\
\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\
\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\
\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\
\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\
\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\
\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\
\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\
\x77\x74\x73\x74\x61\x6d\x70\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x73\x6b\0\
\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\
\x6b\x62\0\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x61\x63\x63\x65\x73\x73\0\x62\
\x70\x66\x5f\x6d\x61\x70\0\x6f\x70\x73\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\
\x5f\x6d\x65\x74\x61\0\x73\x65\x63\x75\x72\x69\x74\x79\0\x6d\x61\x70\x5f\x74\
\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\
\x69\x7a\x65\0\x6d\x61\x70\x5f\x65\x78\x74\x72\x61\0\x6d\x61\x70\x5f\x66\x6c\
\x61\x67\x73\0\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\x6f\x66\x66\0\x74\x69\
\x6d\x65\x72\x5f\x6f\x66\x66\0\x69\x64\0\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\0\
\x62\x74\x66\x5f\x6b\x65\x79\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\
\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x6d\
\x6c\x69\x6e\x75\x78\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\
\x62\x74\x66\0\x6d\x65\x6d\x63\x67\0\x6e\x61\x6d\x65\0\x62\x79\x70\x61\x73\x73\
\x5f\x73\x70\x65\x63\x5f\x76\x31\0\x66\x72\x6f\x7a\x65\x6e\0\x72\x65\x66\x63\
\x6e\x74\0\x75\x73\x65\x72\x63\x6e\x74\0\x77\x6f\x72\x6b\0\x66\x72\x65\x65\x7a\
\x65\x5f\x6d\x75\x74\x65\x78\0\x77\x72\x69\x74\x65\x63\x6e\x74\0\x6f\x77\x6e\
\x65\x72\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x50\x52\x4f\x47\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\
\x54\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x41\x52\x52\x41\x59\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\x5f\x54\
\x52\x41\x43\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\
\x52\x4f\x55\x50\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x4c\x52\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x4c\x52\x55\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\x41\
\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x50\x4d\x5f\
\x54\x52\x49\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\
\x52\x41\x59\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x48\x41\x53\x48\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x4d\x41\x50\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x50\x55\x4d\x41\x50\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x58\x53\x4b\x4d\x41\x50\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x48\x41\x53\
\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\
\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x52\x45\x55\x53\x45\x50\x4f\x52\x54\x5f\x53\x4f\x43\x4b\x41\x52\
\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\
\x43\x50\x55\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x51\x55\x45\x55\x45\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\
\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\
\x50\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x52\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x49\x4e\x4f\x44\x45\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x54\x41\x53\x4b\x5f\x53\x54\
\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x42\
\x4c\x4f\x4f\x4d\x5f\x46\x49\x4c\x54\x45\x52\0\x75\x33\x32\0\x75\x36\x34\0\x63\
\x68\x61\x72\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x61\x74\x6f\x6d\x69\x63\
\x36\x34\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\
\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x77\x6f\x72\x6b\x5f\x73\x74\x72\
\x75\x63\x74\0\x65\x6e\x74\x72\x79\0\x66\x75\x6e\x63\0\x61\x74\x6f\x6d\x69\x63\
\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\
\x78\x74\0\x70\x72\x65\x76\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\x63\x5f\x74\0\x6d\
\x75\x74\x65\x78\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\x71\0\x77\x61\
\x69\x74\x5f\x6c\x69\x73\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\
\x5f\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\
\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\
\0\x6c\x6f\x63\x6b\0\x6f\x70\x74\x69\x6d\x69\x73\x74\x69\x63\x5f\x73\x70\x69\
\x6e\x5f\x71\x75\x65\x75\x65\0\x74\x61\x69\x6c\0\x61\x74\x6f\x6d\x69\x63\x5f\
\x74\0\x6a\x69\x74\x65\x64\0\x78\x64\x70\x5f\x68\x61\x73\x5f\x66\x72\x61\x67\
\x73\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x73\x70\x69\x6e\x6c\x6f\x63\
\x6b\0\x72\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\
\x65\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\
\x45\x43\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\
\x4b\x45\x54\x5f\x46\x49\x4c\x54\x45\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x4b\x50\x52\x4f\x42\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\x43\x4c\x53\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\x41\x43\x54\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x45\
\x50\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x58\x44\x50\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x50\x45\
\x52\x46\x5f\x45\x56\x45\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x49\
\x4e\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\
\x4f\x55\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\
\x54\x5f\x58\x4d\x49\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x53\x4f\x43\x4b\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x53\x4b\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x44\x45\x56\x49\x43\x45\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x4d\x53\x47\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\
\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\x5f\x41\x44\x44\
\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\
\x53\x45\x47\x36\x4c\x4f\x43\x41\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x4c\x49\x52\x43\x5f\x4d\x4f\x44\x45\x32\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x52\x45\x55\x53\x45\x50\x4f\
\x52\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x46\x4c\x4f\
\x57\x5f\x44\x49\x53\x53\x45\x43\x54\x4f\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x59\x53\x43\x54\x4c\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\
\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\x5f\x57\x52\x49\x54\x41\x42\x4c\x45\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\
\x5f\x53\x4f\x43\x4b\x4f\x50\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x54\x52\x41\x43\x49\x4e\x47\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x45\x58\x54\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x53\x4d\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x4c\x4f\x4f\x4b\x55\x50\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x63\x61\
\x6c\x6c\x62\x61\x63\x6b\x5f\x63\x74\x78\0\x6f\x75\x74\x70\x75\x74\0\x6d\x61\
\x70\0\x76\x61\x6c\0\x63\x68\x65\x63\x6b\x5f\x61\x72\x72\x61\x79\x5f\x65\x6c\
\x65\x6d\0\x75\x6e\x75\x73\x65\x64\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x63\x68\
\x65\x63\x6b\x5f\x70\x65\x72\x63\x70\x75\x5f\x65\x6c\x65\x6d\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x62\x79\x70\x61\x73\x73\x5f\x75\x6e\x75\x73\x65\x64\0\x63\
\x70\x75\0\x70\x65\x72\x63\x70\x75\x5f\x76\x61\x6c\0\x61\x72\x72\x61\x79\x6d\
\x61\x70\x5f\x6f\x75\x74\x70\x75\x74\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x62\
\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x6d\x61\x70\
\x5f\x6f\x70\x73\0\x6d\x65\x6d\x5f\x63\x67\x72\x6f\x75\x70\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\
\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\
\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x61\x72\x72\x61\
\x79\x5f\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x2e\x63\0\x09\x64\x61\x74\x61\x2d\x3e\
\x6f\x75\x74\x70\x75\x74\x20\x2b\x3d\x20\x2a\x76\x61\x6c\x3b\0\x09\x69\x66\x20\
\x28\x2a\x6b\x65\x79\x20\x3d\x3d\x20\x31\x29\0\x7d\0\x75\x6e\x75\x73\x65\x64\
\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x20\x2a\x6d\x61\x70\x2c\x20\x5f\x5f\x75\x33\x32\x20\x2a\x6b\
\x65\x79\x2c\x20\x5f\x5f\x75\x36\x34\x20\x2a\x76\x61\x6c\x2c\0\x09\x64\x61\x74\
\x61\x2d\x3e\x6f\x75\x74\x70\x75\x74\x20\x3d\x20\x30\x3b\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x31\x3b\0\x63\x68\x65\x63\x6b\x5f\x70\x65\x72\x63\x70\x75\x5f\x65\
\x6c\x65\x6d\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x6d\x61\x70\x20\
\x2a\x6d\x61\x70\x2c\x20\x5f\x5f\x75\x33\x32\x20\x2a\x6b\x65\x79\x2c\x20\x5f\
\x5f\x75\x36\x34\x20\x2a\x76\x61\x6c\x2c\0\x09\x63\x70\x75\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\
\x5f\x69\x64\x28\x29\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x76\x61\x6c\x20\x3d\
\x20\x2a\x76\x61\x6c\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\
\x74\x20\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x61\x63\x63\x65\x73\x73\x28\x73\
\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\
\x62\x29\0\x09\x64\x61\x74\x61\x2e\x6f\x75\x74\x70\x75\x74\x20\x3d\x20\x30\x3b\
\0\x09\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x6d\x61\x70\x5f\x65\
\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x6d\x61\x70\x2c\x20\x63\x68\x65\x63\
\x6b\x5f\x61\x72\x72\x61\x79\x5f\x65\x6c\x65\x6d\x2c\x20\x26\x64\x61\x74\x61\
\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x21\x62\x79\x70\x61\x73\x73\x5f\x75\
\x6e\x75\x73\x65\x64\x29\0\x09\x09\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\
\x68\x5f\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x6d\x61\
\x70\x2c\x20\x75\x6e\x75\x73\x65\x64\x5f\x73\x75\x62\x70\x72\x6f\x67\x2c\x20\
\x26\x64\x61\x74\x61\x2c\x20\x30\x29\x3b\0\x09\x61\x72\x72\x61\x79\x6d\x61\x70\
\x5f\x6f\x75\x74\x70\x75\x74\x20\x3d\x20\x64\x61\x74\x61\x2e\x6f\x75\x74\x70\
\x75\x74\x3b\0\x09\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x6d\x61\
\x70\x5f\x65\x6c\x65\x6d\x28\x26\x70\x65\x72\x63\x70\x75\x5f\x6d\x61\x70\x2c\
\x20\x63\x68\x65\x63\x6b\x5f\x70\x65\x72\x63\x70\x75\x5f\x65\x6c\x65\x6d\x2c\
\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x30\x2c\x20\x30\x29\x3b\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\
\x73\0\x2e\x74\x65\x78\x74\0\x74\x63\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\
\0\0\0\x34\0\0\0\x34\0\0\x01\xb4\0\0\x01\xe8\0\0\0\0\0\0\0\x08\0\0\x0d\xb7\0\0\
\0\x03\0\0\0\0\0\0\0\x4c\0\0\0\x48\0\0\0\x4d\0\0\0\x68\0\0\0\x4e\0\0\x0d\xbd\0\
\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\x10\0\0\x0d\xb7\0\0\0\x0e\0\0\0\0\0\0\x0a\xe0\
\0\0\x0b\x63\0\0\xa0\x12\0\0\0\x08\0\0\x0a\xe0\0\0\x0b\x63\0\0\xa0\x0f\0\0\0\
\x20\0\0\x0a\xe0\0\0\x0b\x7a\0\0\xa4\x06\0\0\0\x30\0\0\x0a\xe0\0\0\x0b\x7a\0\0\
\xa4\x0b\0\0\0\x40\0\0\x0a\xe0\0\0\x0b\x8a\0\0\xb0\x01\0\0\0\x48\0\0\x0a\xe0\0\
\0\x0b\x8c\0\0\x74\0\0\0\0\x50\0\0\x0a\xe0\0\0\x0b\xc8\0\0\x80\x0f\0\0\0\x58\0\
\0\x0a\xe0\0\0\x0b\xdb\0\0\x84\x02\0\0\0\x68\0\0\x0a\xe0\0\0\x0b\xe6\0\0\xc8\0\
\0\0\0\x70\0\0\x0a\xe0\0\0\x0c\x25\0\0\xd4\x08\0\0\0\x78\0\0\x0a\xe0\0\0\x0c\
\x25\0\0\xd4\x06\0\0\0\x90\0\0\x0a\xe0\0\0\x0c\x48\0\0\xd8\x0f\0\0\0\x98\0\0\
\x0a\xe0\0\0\x0c\x48\0\0\xd8\x0d\0\0\0\xb0\0\0\x0a\xe0\0\0\x0c\x5c\0\0\xdc\x02\
\0\0\x0d\xbd\0\0\0\x0c\0\0\0\0\0\0\x0a\xe0\0\0\x0c\x67\0\0\xf4\0\0\0\0\x08\0\0\
\x0a\xe0\0\0\x0c\x92\0\x01\x04\x0e\0\0\0\x18\0\0\x0a\xe0\0\0\0\0\0\0\0\0\0\0\0\
\x20\0\0\x0a\xe0\0\0\x0c\xa4\0\x01\x08\x02\0\0\0\x50\0\0\x0a\xe0\0\0\x0c\xe3\0\
\x01\x0c\x07\0\0\0\x68\0\0\x0a\xe0\0\0\x0c\xe3\0\x01\x0c\x06\0\0\0\x78\0\0\x0a\
\xe0\0\0\x0c\xf8\0\x01\x10\x03\0\0\0\xb0\0\0\x0a\xe0\0\0\x0d\x36\0\x01\x14\x12\
\0\0\0\xc0\0\0\x0a\xe0\0\0\x0d\x36\0\x01\x14\x19\0\0\0\xc8\0\0\x0a\xe0\0\0\x0d\
\x36\0\x01\x14\x12\0\0\0\xd0\0\0\x0a\xe0\0\0\x0d\x56\0\x01\x1c\x02\0\0\x01\x08\
\0\0\x0a\xe0\0\0\x0c\x5c\0\x01\x20\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\x01\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x48\0\0\0\0\0\
\0\x01\x98\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xe0\0\0\0\0\0\0\0\xc0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xa0\0\0\0\0\0\0\x01\x18\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x04\xbc\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\x2a\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\xc0\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\x2f\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xc0\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xe9\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\x20\0\0\
\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xf3\0\0\0\x09\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x20\0\0\0\0\0\0\0\x80\0\0\0\x02\0\
\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xfa\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xa0\0\0\0\0\0\0\x19\xb4\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xff\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x1f\x58\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct for_each_array_map_elem *for_each_array_map_elem::open(const struct bpf_object_open_opts *opts) { return for_each_array_map_elem__open_opts(opts); }
struct for_each_array_map_elem *for_each_array_map_elem::open_and_load() { return for_each_array_map_elem__open_and_load(); }
int for_each_array_map_elem::load(struct for_each_array_map_elem *skel) { return for_each_array_map_elem__load(skel); }
int for_each_array_map_elem::attach(struct for_each_array_map_elem *skel) { return for_each_array_map_elem__attach(skel); }
void for_each_array_map_elem::detach(struct for_each_array_map_elem *skel) { for_each_array_map_elem__detach(skel); }
void for_each_array_map_elem::destroy(struct for_each_array_map_elem *skel) { for_each_array_map_elem__destroy(skel); }
const void *for_each_array_map_elem::elf_bytes(size_t *sz) { return for_each_array_map_elem__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
for_each_array_map_elem__assert(struct for_each_array_map_elem *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->bypass_unused) == 4, "unexpected size of 'bypass_unused'");
	_Static_assert(sizeof(s->bss->cpu) == 4, "unexpected size of 'cpu'");
	_Static_assert(sizeof(s->bss->percpu_val) == 8, "unexpected size of 'percpu_val'");
	_Static_assert(sizeof(s->bss->arraymap_output) == 4, "unexpected size of 'arraymap_output'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FOR_EACH_ARRAY_MAP_ELEM_SKEL_H__ */
