/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __GET_FUNC_ARGS_TEST_SKEL_H__
#define __GET_FUNC_ARGS_TEST_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct get_func_args_test {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test1;
		struct bpf_program *test2;
		struct bpf_program *fmod_ret_test;
		struct bpf_program *fexit_test;
	} progs;
	struct {
		struct bpf_link *test1;
		struct bpf_link *test2;
		struct bpf_link *fmod_ret_test;
		struct bpf_link *fexit_test;
	} links;
	struct get_func_args_test__bss {
		__u64 test1_result;
		__u64 test2_result;
		__u64 test3_result;
		__u64 test4_result;
	} *bss;

#ifdef __cplusplus
	static inline struct get_func_args_test *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct get_func_args_test *open_and_load();
	static inline int load(struct get_func_args_test *skel);
	static inline int attach(struct get_func_args_test *skel);
	static inline void detach(struct get_func_args_test *skel);
	static inline void destroy(struct get_func_args_test *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
get_func_args_test__destroy(struct get_func_args_test *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
get_func_args_test__create_skeleton(struct get_func_args_test *obj);

static inline struct get_func_args_test *
get_func_args_test__open_opts(const struct bpf_object_open_opts *opts)
{
	struct get_func_args_test *obj;
	int err;

	obj = (struct get_func_args_test *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = get_func_args_test__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	get_func_args_test__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct get_func_args_test *
get_func_args_test__open(void)
{
	return get_func_args_test__open_opts(NULL);
}

static inline int
get_func_args_test__load(struct get_func_args_test *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct get_func_args_test *
get_func_args_test__open_and_load(void)
{
	struct get_func_args_test *obj;
	int err;

	obj = get_func_args_test__open();
	if (!obj)
		return NULL;
	err = get_func_args_test__load(obj);
	if (err) {
		get_func_args_test__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
get_func_args_test__attach(struct get_func_args_test *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
get_func_args_test__detach(struct get_func_args_test *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *get_func_args_test__elf_bytes(size_t *sz);

static inline int
get_func_args_test__create_skeleton(struct get_func_args_test *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "get_func_args_test";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "get_func.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test1";
	s->progs[0].prog = &obj->progs.test1;
	s->progs[0].link = &obj->links.test1;

	s->progs[1].name = "test2";
	s->progs[1].prog = &obj->progs.test2;
	s->progs[1].link = &obj->links.test2;

	s->progs[2].name = "fmod_ret_test";
	s->progs[2].prog = &obj->progs.fmod_ret_test;
	s->progs[2].link = &obj->links.fmod_ret_test;

	s->progs[3].name = "fexit_test";
	s->progs[3].prog = &obj->progs.fexit_test;
	s->progs[3].link = &obj->links.fexit_test;

	s->data = (void *)get_func_args_test__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *get_func_args_test__elf_bytes(size_t *sz)
{
	*sz = 8672;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\x20\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x31\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x32\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\
\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x66\x65\x78\
\x69\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\
\x6e\x5f\x74\x65\x73\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x67\
\x65\x74\x5f\x66\x75\x6e\x63\x5f\x61\x72\x67\x73\x5f\x74\x65\x73\x74\x2e\x63\0\
\x4c\x42\x42\x30\x5f\x32\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x36\0\
\x4c\x42\x42\x30\x5f\x38\0\x4c\x42\x42\x30\x5f\x31\x30\0\x4c\x42\x42\x31\x5f\
\x32\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\x42\x31\x5f\x36\0\x4c\x42\x42\x31\x5f\
\x38\0\x4c\x42\x42\x31\x5f\x31\x30\0\x4c\x42\x42\x31\x5f\x31\x32\0\x4c\x42\x42\
\x31\x5f\x31\x34\0\x4c\x42\x42\x31\x5f\x31\x36\0\x4c\x42\x42\x32\x5f\x32\0\x4c\
\x42\x42\x32\x5f\x34\0\x4c\x42\x42\x32\x5f\x36\0\x4c\x42\x42\x32\x5f\x38\0\x4c\
\x42\x42\x32\x5f\x31\x30\0\x4c\x42\x42\x32\x5f\x31\x32\0\x4c\x42\x42\x32\x5f\
\x31\x34\0\x4c\x42\x42\x33\x5f\x32\0\x4c\x42\x42\x33\x5f\x34\0\x4c\x42\x42\x33\
\x5f\x36\0\x4c\x42\x42\x33\x5f\x38\0\x4c\x42\x42\x33\x5f\x31\x30\0\x4c\x42\x42\
\x33\x5f\x31\x32\0\x4c\x42\x42\x33\x5f\x31\x34\0\x4c\x42\x42\x33\x5f\x31\x36\0\
\x74\x65\x73\x74\x31\0\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x74\
\x65\x73\x74\x32\0\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x66\x6d\
\x6f\x64\x5f\x72\x65\x74\x5f\x74\x65\x73\x74\0\x74\x65\x73\x74\x33\x5f\x72\x65\
\x73\x75\x6c\x74\0\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\0\x74\x65\x73\x74\
\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\
\x5f\x74\x65\x73\x74\x31\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\x2e\x72\x65\x6c\x66\x6d\
\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\
\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\
\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\
\x74\x65\x73\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\x04\0\xff\xf1\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x9f\0\0\0\x03\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\xa6\0\0\0\x03\0\
\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x03\0\0\0\0\0\0\0\xc8\0\0\0\0\
\0\0\0\0\0\0\0\xb4\0\0\0\x03\0\0\0\0\0\0\x01\x28\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\
\0\x03\0\0\0\0\0\0\x01\x70\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc3\0\0\0\x04\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\
\xca\0\0\0\x04\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\xd1\0\0\0\x04\0\0\0\0\0\
\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\x04\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\0\
\0\0\0\0\xdf\0\0\0\x04\0\0\0\0\0\0\x01\x50\0\0\0\0\0\0\0\0\0\0\0\xe7\0\0\0\x04\
\0\0\0\0\0\0\x01\xb0\0\0\0\0\0\0\0\0\0\0\0\xef\0\0\0\x04\0\0\0\0\0\0\x02\x08\0\
\0\0\0\0\0\0\0\0\0\0\xf7\0\0\0\x04\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\0\0\0\x05\0\0\0\0\0\0\0\
\x38\0\0\0\0\0\0\0\0\0\0\x01\x06\0\0\0\x05\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\
\0\x01\x0d\0\0\0\x05\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\x01\x14\0\0\0\x05\0\
\0\0\0\0\0\x01\x40\0\0\0\0\0\0\0\0\0\0\x01\x1b\0\0\0\x05\0\0\0\0\0\0\x01\x58\0\
\0\0\0\0\0\0\0\0\0\x01\x23\0\0\0\x05\0\0\0\0\0\0\x01\xb8\0\0\0\0\0\0\0\0\0\0\
\x01\x2b\0\0\0\x05\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x33\0\0\0\x06\0\0\0\0\0\0\0\x38\0\0\0\0\0\
\0\0\0\0\0\x01\x3a\0\0\0\x06\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\x01\x41\0\0\
\0\x06\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\x01\x48\0\0\0\x06\0\0\0\0\0\0\x01\
\x40\0\0\0\0\0\0\0\0\0\0\x01\x4f\0\0\0\x06\0\0\0\0\0\0\x01\x58\0\0\0\0\0\0\0\0\
\0\0\x01\x57\0\0\0\x06\0\0\0\0\0\0\x01\xb8\0\0\0\0\0\0\0\0\0\0\x01\x5f\0\0\0\
\x06\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\x01\x67\0\0\0\x06\0\0\0\0\0\0\x02\
\x20\0\0\0\0\0\0\0\0\0\0\x01\x6f\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x98\0\0\x01\x75\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\x01\x82\x12\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x48\0\0\x01\x88\x11\0\0\x08\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x08\0\0\x01\x95\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x38\0\0\x01\xa3\x11\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\x01\
\xb0\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x50\0\0\x01\xbb\x11\0\0\x08\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\x01\xc8\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\xbf\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb9\xb4\x70\0\0\0\0\0\x01\
\xb4\x10\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\x01\xb4\x10\0\0\0\0\0\0\x18\x80\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7b\x81\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf8\
\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\x7b\xa1\xff\xe8\0\0\0\0\xbf\x3a\0\0\0\0\0\0\
\x07\x30\0\0\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\0\x85\0\0\0\
\0\0\0\xb7\xb4\x10\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\0\xb4\x10\0\0\0\0\0\0\x79\
\x3a\xff\xf8\0\0\0\0\xb4\x20\0\0\0\0\0\x01\x16\x30\0\x01\0\0\0\x01\xb4\x20\0\0\
\0\0\0\0\x5c\x12\0\0\0\0\0\0\x79\x28\0\0\0\0\0\0\x5f\x21\0\0\0\0\0\0\x7b\x82\0\
\0\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf0\xbf\x16\0\0\0\0\0\0\
\xb4\x20\0\0\0\0\0\x01\x85\0\0\0\0\0\0\xb7\xb4\x10\0\0\0\0\0\x01\x15\0\0\x01\
\xff\xff\xff\xea\xb4\x10\0\0\0\0\0\0\x79\x28\0\0\0\0\0\0\x5f\x21\0\0\0\0\0\0\
\x7b\x82\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xe8\xbf\x16\0\
\0\0\0\0\0\x85\0\0\0\0\0\0\xb8\x15\0\0\x01\xff\xff\xff\xa1\xb4\x70\0\0\0\0\0\0\
\x79\x18\0\0\0\0\0\0\x5f\x17\0\0\0\0\0\0\x7b\x81\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb9\xb4\x70\0\0\0\0\0\
\x01\xb4\x10\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\x02\xb4\x10\0\0\0\0\0\0\x18\x80\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x81\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\
\xf8\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\x7b\xa1\xff\xe8\0\0\0\0\x7b\xa1\xff\xe0\0\
\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\xb4\
\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb7\xb4\x10\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\0\
\xb4\x10\0\0\0\0\0\0\x79\x3a\xff\xf8\0\0\0\0\xb4\x20\0\0\0\0\0\x01\x16\x30\0\
\x01\0\0\0\x02\xb4\x20\0\0\0\0\0\0\x5c\x12\0\0\0\0\0\0\x79\x28\0\0\0\0\0\0\x5f\
\x21\0\0\0\0\0\0\x7b\x82\0\0\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\
\xff\xf0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\x85\0\0\0\0\0\0\xb7\xb4\x10\
\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\0\xb4\x10\0\0\0\0\0\0\x79\x3a\xff\xf0\0\0\0\0\
\xb4\x20\0\0\0\0\0\x01\x15\x30\0\x01\0\0\0\x03\xb4\x20\0\0\0\0\0\0\x5c\x12\0\0\
\0\0\0\0\x79\x28\0\0\0\0\0\0\x5f\x21\0\0\0\0\0\0\x7b\x82\0\0\0\0\0\0\xbf\x3a\0\
\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xe8\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\
\x02\x85\0\0\0\0\0\0\xb7\xb4\x10\0\0\0\0\0\x01\x15\0\0\x01\xff\xff\xff\xea\xb4\
\x10\0\0\0\0\0\0\x79\x28\0\0\0\0\0\0\x5f\x21\0\0\0\0\0\0\x7b\x82\0\0\0\0\0\0\
\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xe0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\
\0\0\0\xb8\x79\x2a\xff\xe0\0\0\0\0\xb4\x10\0\0\0\0\0\x01\x15\x20\0\x01\0\0\0\
\x05\xb4\x10\0\0\0\0\0\0\x15\0\0\x01\0\0\0\0\xb4\x70\0\0\0\0\0\0\x5c\x71\0\0\0\
\0\0\0\x79\x18\0\0\0\0\0\0\x5f\x17\0\0\0\0\0\0\x7b\x81\0\0\0\0\0\0\xb4\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x79\x96\0\x08\0\0\0\0\x85\0\0\0\0\
\0\0\xb9\xb4\x70\0\0\0\0\0\x01\xb4\x10\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\x02\xb4\
\x10\0\0\0\0\0\0\x18\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x81\0\0\0\0\0\0\xb7\
\x10\0\0\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\x7b\xa1\xff\
\xe8\0\0\0\0\x7b\xa1\xff\xe0\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\
\xff\xf8\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb7\xb4\x10\0\
\0\0\0\0\x01\x15\0\0\x01\0\0\0\0\xb4\x10\0\0\0\0\0\0\x79\x3a\xff\xf8\0\0\0\0\
\xb4\x20\0\0\0\0\0\x01\x16\x30\0\x01\0\0\0\x01\xb4\x20\0\0\0\0\0\0\x5c\x12\0\0\
\0\0\0\0\x79\x28\0\0\0\0\0\0\x5f\x21\0\0\0\0\0\0\x7b\x82\0\0\0\0\0\0\xbf\x3a\0\
\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf0\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\
\x01\x85\0\0\0\0\0\0\xb7\x79\x2a\xff\xf0\0\0\0\0\xb4\x10\0\0\0\0\0\x01\x1d\x29\
\0\x01\0\0\0\0\xb4\x10\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\0\
\xb4\x20\0\0\0\0\0\0\x5c\x21\0\0\0\0\0\0\x79\x18\0\0\0\0\0\0\x5f\x12\0\0\0\0\0\
\0\x7b\x81\0\0\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xe8\xbf\x16\
\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x02\x85\0\0\0\0\0\0\xb7\xb4\x10\0\0\0\0\0\x01\
\x15\0\0\x01\xff\xff\xff\xea\xb4\x10\0\0\0\0\0\0\x79\x28\0\0\0\0\0\0\x5f\x21\0\
\0\0\0\0\0\x7b\x82\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xe0\
\xbf\x16\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb8\x79\x1a\xff\xe0\0\0\0\0\x4f\x01\0\0\0\
\0\0\0\x15\0\0\x01\0\0\0\0\xb4\x70\0\0\0\0\0\0\x79\x18\0\0\0\0\0\0\x5f\x17\0\0\
\0\0\0\0\x7b\x81\0\0\0\0\0\0\xb4\0\0\0\0\0\x04\xd2\x95\0\0\0\0\0\0\0\xbf\x61\0\
\0\0\0\0\0\x79\x96\0\x08\0\0\0\0\x85\0\0\0\0\0\0\xb9\xb4\x70\0\0\0\0\0\x01\xb4\
\x10\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\x02\xb4\x10\0\0\0\0\0\0\x18\x80\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x7b\x81\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\xf8\0\0\
\0\0\x7b\xa1\xff\xf0\0\0\0\0\x7b\xa1\xff\xe8\0\0\0\0\x7b\xa1\xff\xe0\0\0\0\0\
\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\xb4\x20\0\
\0\0\0\0\0\x85\0\0\0\0\0\0\xb7\xb4\x10\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\0\xb4\
\x10\0\0\0\0\0\0\x79\x3a\xff\xf8\0\0\0\0\xb4\x20\0\0\0\0\0\x01\x16\x30\0\x01\0\
\0\0\x01\xb4\x20\0\0\0\0\0\0\x5c\x12\0\0\0\0\0\0\x79\x28\0\0\0\0\0\0\x5f\x21\0\
\0\0\0\0\0\x7b\x82\0\0\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf0\
\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\x85\0\0\0\0\0\0\xb7\x79\x2a\xff\xf0\
\0\0\0\0\xb4\x10\0\0\0\0\0\x01\x1d\x29\0\x01\0\0\0\0\xb4\x10\0\0\0\0\0\0\xb4\
\x20\0\0\0\0\0\x01\x15\0\0\x01\0\0\0\0\xb4\x20\0\0\0\0\0\0\x5c\x21\0\0\0\0\0\0\
\x79\x18\0\0\0\0\0\0\x5f\x12\0\0\0\0\0\0\x7b\x81\0\0\0\0\0\0\xbf\x3a\0\0\0\0\0\
\0\x07\x30\0\0\xff\xff\xff\xe8\xbf\x16\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x02\x85\0\
\0\0\0\0\0\xb7\xb4\x10\0\0\0\0\0\x01\x15\0\0\x01\xff\xff\xff\xea\xb4\x10\0\0\0\
\0\0\0\x79\x28\0\0\0\0\0\0\x5f\x21\0\0\0\0\0\0\x7b\x82\0\0\0\0\0\0\xbf\x2a\0\0\
\0\0\0\0\x07\x20\0\0\xff\xff\xff\xe0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb8\
\x79\x2a\xff\xe0\0\0\0\0\xb4\x10\0\0\0\0\0\x01\x15\x20\0\x01\0\0\x04\xd2\xb4\
\x10\0\0\0\0\0\0\x15\0\0\x01\0\0\0\0\xb4\x70\0\0\0\0\0\0\x5c\x71\0\0\0\0\0\0\
\x79\x18\0\0\0\0\0\0\x5f\x17\0\0\0\0\0\0\x7b\x81\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x23\0\0\0\x01\
\0\0\0\0\0\0\0\x30\0\0\0\x25\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x27\0\0\0\x01\0\
\0\0\0\0\0\0\x38\0\0\0\x29\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x01\
\x58\0\0\x01\x58\0\0\x06\x0a\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x01\0\0\0\0\
\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\
\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x1c\x0c\0\0\x01\0\0\0\x03\0\0\0\x22\x0c\
\0\0\x01\0\0\0\x03\0\0\0\x28\x0c\0\0\x01\0\0\0\x03\0\0\0\x36\x0c\0\0\x01\0\0\0\
\x03\0\0\0\x41\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x0b\0\0\0\x04\0\0\0\x46\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x5a\x0e\
\0\0\0\0\0\0\x0a\0\0\0\x01\0\0\0\x63\x08\0\0\0\0\0\0\x02\0\0\0\x69\x0e\0\0\0\0\
\0\0\x0d\0\0\0\x01\0\0\0\x76\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\x83\x0e\0\0\0\
\0\0\0\x0d\0\0\0\x01\0\0\0\x90\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\x05\x91\x0f\0\
\0\x01\0\0\0\x04\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\x05\x99\x0f\0\0\x04\0\0\0\x20\
\0\0\0\x0e\0\0\0\0\0\0\0\x08\0\0\0\x0f\0\0\0\x08\0\0\0\x08\0\0\0\x10\0\0\0\x10\
\0\0\0\x08\0\0\0\x11\0\0\0\x18\0\0\0\x08\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\
\x74\x31\0\x74\x65\x73\x74\x32\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x5f\x74\x65\
\x73\x74\0\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\0\x63\x68\x61\x72\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x75\x36\x34\0\x74\x65\x73\x74\x31\x5f\x72\
\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x74\
\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x34\x5f\x72\x65\
\x73\x75\x6c\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x67\x65\x74\x5f\x66\
\x75\x6e\x63\x5f\x61\x72\x67\x73\x5f\x74\x65\x73\x74\x2e\x63\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x31\x29\0\x09\x5f\x5f\x75\
\x36\x34\x20\x63\x6e\x74\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x75\
\x6e\x63\x5f\x61\x72\x67\x5f\x63\x6e\x74\x28\x63\x74\x78\x29\x3b\0\x09\x74\x65\
\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x63\x6e\x74\x20\x3d\x3d\
\x20\x31\x3b\0\x09\x5f\x5f\x75\x36\x34\x20\x61\x20\x3d\x20\x30\x2c\x20\x7a\x20\
\x3d\x20\x30\x2c\x20\x72\x65\x74\x20\x3d\x20\x30\x3b\0\x09\x65\x72\x72\x20\x3d\
\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x61\x72\x67\x28\x63\
\x74\x78\x2c\x20\x30\x2c\x20\x26\x61\x29\x3b\0\x09\x74\x65\x73\x74\x31\x5f\x72\
\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\
\x26\x20\x28\x28\x69\x6e\x74\x29\x20\x61\x20\x3d\x3d\x20\x31\x29\x3b\0\x09\x65\
\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x61\
\x72\x67\x28\x63\x74\x78\x2c\x20\x31\x2c\x20\x26\x7a\x29\x3b\0\x09\x74\x65\x73\
\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\
\x20\x2d\x45\x49\x4e\x56\x41\x4c\x3b\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\
\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x72\x65\x74\x28\x63\x74\x78\x2c\x20\
\x26\x72\x65\x74\x29\x3b\0\x09\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\
\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x2d\x45\x4f\x50\x4e\x4f\x54\x53\
\x55\x50\x50\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\
\x73\x74\x32\x29\0\x09\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\
\x20\x63\x6e\x74\x20\x3d\x3d\x20\x32\x3b\0\x09\x5f\x5f\x75\x36\x34\x20\x61\x20\
\x3d\x20\x30\x2c\x20\x62\x20\x3d\x20\x30\x2c\x20\x7a\x20\x3d\x20\x30\x2c\x20\
\x72\x65\x74\x20\x3d\x20\x30\x3b\0\x09\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\
\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\x26\x20\x28\
\x69\x6e\x74\x29\x20\x61\x20\x3d\x3d\x20\x32\x3b\0\x09\x65\x72\x72\x20\x3d\x20\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x61\x72\x67\x28\x63\x74\
\x78\x2c\x20\x31\x2c\x20\x26\x62\x29\x3b\0\x09\x74\x65\x73\x74\x32\x5f\x72\x65\
\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\x26\
\x20\x62\x20\x3d\x3d\x20\x33\x3b\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x61\x72\x67\x28\x63\x74\x78\x2c\x20\x32\
\x2c\x20\x26\x7a\x29\x3b\0\x09\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\
\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x2d\x45\x49\x4e\x56\x41\x4c\x3b\0\
\x09\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\
\x72\x20\x3d\x3d\x20\x30\x20\x26\x26\x20\x72\x65\x74\x20\x3d\x3d\x20\x35\x3b\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x6d\x6f\x64\x5f\x72\
\x65\x74\x5f\x74\x65\x73\x74\x2c\x20\x69\x6e\x74\x20\x5f\x61\x2c\x20\x69\x6e\
\x74\x20\x2a\x5f\x62\x2c\x20\x69\x6e\x74\x20\x5f\x72\x65\x74\x29\0\x09\x74\x65\
\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x63\x6e\x74\x20\x3d\x3d\
\x20\x32\x3b\0\x09\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\
\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\x26\x20\x28\x28\x69\x6e\x74\x29\
\x20\x61\x20\x3d\x3d\x20\x31\x29\x3b\0\x09\x74\x65\x73\x74\x33\x5f\x72\x65\x73\
\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\x26\x20\
\x28\x28\x69\x6e\x74\x20\x2a\x29\x20\x62\x20\x3d\x3d\x20\x5f\x62\x29\x3b\0\x09\
\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\
\x20\x3d\x3d\x20\x2d\x45\x49\x4e\x56\x41\x4c\x3b\0\x09\x74\x65\x73\x74\x33\x5f\
\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\
\x26\x26\x20\x72\x65\x74\x20\x3d\x3d\x20\x30\x3b\0\x69\x6e\x74\x20\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x28\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\x2c\x20\x69\
\x6e\x74\x20\x5f\x61\x2c\x20\x69\x6e\x74\x20\x2a\x5f\x62\x2c\x20\x69\x6e\x74\
\x20\x5f\x72\x65\x74\x29\0\x09\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\
\x20\x3d\x20\x63\x6e\x74\x20\x3d\x3d\x20\x32\x3b\0\x09\x74\x65\x73\x74\x34\x5f\
\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\
\x26\x26\x20\x28\x28\x69\x6e\x74\x29\x20\x61\x20\x3d\x3d\x20\x31\x29\x3b\0\x09\
\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\
\x20\x3d\x3d\x20\x30\x20\x26\x26\x20\x28\x28\x69\x6e\x74\x20\x2a\x29\x20\x62\
\x20\x3d\x3d\x20\x5f\x62\x29\x3b\0\x09\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\
\x6c\x74\x20\x26\x3d\x20\x65\x72\x72\x20\x3d\x3d\x20\x2d\x45\x49\x4e\x56\x41\
\x4c\x3b\0\x09\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\x26\x3d\x20\
\x65\x72\x72\x20\x3d\x3d\x20\x30\x20\x26\x26\x20\x72\x65\x74\x20\x3d\x3d\x20\
\x31\x32\x33\x34\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x31\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x32\0\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\
\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x66\x65\
\x78\x69\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\
\x72\x6e\x5f\x74\x65\x73\x74\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\
\0\x44\0\0\0\x44\0\0\x06\xe4\0\0\x07\x28\0\0\0\0\0\0\0\x08\0\0\x05\x9e\0\0\0\
\x01\0\0\0\0\0\0\0\x05\0\0\x05\xb6\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\x05\xcd\0\0\
\0\x01\0\0\0\0\0\0\0\x07\0\0\x05\xed\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x10\0\0\
\x05\x9e\0\0\0\x14\0\0\0\0\0\0\0\x9d\0\0\x01\x1b\0\0\x2c\0\0\0\0\x08\0\0\0\x9d\
\0\0\x01\x2f\0\0\x34\x0e\0\0\0\x20\0\0\0\x9d\0\0\x01\x57\0\0\x44\x15\0\0\0\x30\
\0\0\0\x9d\0\0\x01\x57\0\0\x44\x0f\0\0\0\x50\0\0\0\x9d\0\0\x01\x71\0\0\x38\x08\
\0\0\0\x58\0\0\0\x9d\0\0\x01\x71\0\0\x38\x0f\0\0\0\x60\0\0\0\x9d\0\0\x01\x71\0\
\0\x38\x16\0\0\0\x70\0\0\0\x9d\0\0\x01\x57\0\0\x44\x0f\0\0\0\x78\0\0\0\x9d\0\0\
\x01\x8f\0\0\x50\x08\0\0\0\x98\0\0\0\x9d\0\0\x01\xb4\0\0\x78\x16\0\0\0\xa8\0\0\
\0\x9d\0\0\x01\xb4\0\0\x78\x1b\0\0\0\xd0\0\0\0\x9d\0\0\x01\xb4\0\0\x78\x0f\0\0\
\0\xf0\0\0\0\x9d\0\0\x01\xb4\0\0\x78\x1b\0\0\0\xf8\0\0\0\x9d\0\0\x01\xe1\0\0\
\x84\x08\0\0\x01\x18\0\0\0\x9d\0\0\x02\x06\0\0\x88\x16\0\0\x01\x28\0\0\0\x9d\0\
\0\x02\x06\0\0\x88\x0f\0\0\x01\x50\0\0\0\x9d\0\0\x02\x27\0\0\x94\x08\0\0\x01\
\x60\0\0\0\x9d\0\0\x02\x4b\0\0\x98\x16\0\0\x01\x70\0\0\0\x9d\0\0\x02\x4b\0\0\
\x98\x0f\0\0\x01\x88\0\0\0\x9d\0\0\x01\x1b\0\0\x2c\x05\0\0\x05\xb6\0\0\0\x1c\0\
\0\0\0\0\0\0\x9d\0\0\x02\x70\0\0\xb0\0\0\0\0\x08\0\0\0\x9d\0\0\x01\x2f\0\0\xb8\
\x0e\0\0\0\x20\0\0\0\x9d\0\0\x02\x84\0\0\xc8\x15\0\0\0\x30\0\0\0\x9d\0\0\x02\
\x84\0\0\xc8\x0f\0\0\0\x50\0\0\0\x9d\0\0\x02\x9e\0\0\xbc\x08\0\0\0\x58\0\0\0\
\x9d\0\0\x02\x9e\0\0\xbc\x0f\0\0\0\x60\0\0\0\x9d\0\0\x02\x9e\0\0\xbc\x16\0\0\0\
\x68\0\0\0\x9d\0\0\x02\x9e\0\0\xbc\x1d\0\0\0\x78\0\0\0\x9d\0\0\x02\x84\0\0\xc8\
\x0f\0\0\0\x80\0\0\0\x9d\0\0\x01\x8f\0\0\xd4\x08\0\0\0\xa0\0\0\0\x9d\0\0\x02\
\xc3\0\0\xd8\x16\0\0\0\xb0\0\0\0\x9d\0\0\x02\xc3\0\0\xd8\x1b\0\0\0\xd8\0\0\0\
\x9d\0\0\x02\xc3\0\0\xd8\x0f\0\0\0\xf8\0\0\0\x9d\0\0\x02\xc3\0\0\xd8\x1b\0\0\
\x01\0\0\0\0\x9d\0\0\x02\xee\0\0\xe0\x08\0\0\x01\x20\0\0\0\x9d\0\0\x03\x13\0\0\
\xe4\x16\0\0\x01\x30\0\0\0\x9d\0\0\x03\x13\0\0\xe4\x1b\0\0\x01\x58\0\0\0\x9d\0\
\0\x03\x13\0\0\xe4\x0f\0\0\x01\x78\0\0\0\x9d\0\0\x03\x13\0\0\xe4\x1b\0\0\x01\
\x80\0\0\0\x9d\0\0\x03\x38\0\0\xf0\x08\0\0\x01\xa0\0\0\0\x9d\0\0\x03\x5d\0\0\
\xf4\x16\0\0\x01\xb0\0\0\0\x9d\0\0\x03\x5d\0\0\xf4\x0f\0\0\x01\xd8\0\0\0\x9d\0\
\0\x02\x27\0\x01\0\x08\0\0\x01\xe8\0\0\0\x9d\0\0\x03\x7e\0\x01\x04\x1b\0\0\x02\
\x08\0\0\0\x9d\0\0\x03\x7e\0\x01\x04\x16\0\0\x02\x18\0\0\0\x9d\0\0\x03\x7e\0\
\x01\x04\x1b\0\0\x02\x20\0\0\0\x9d\0\0\x03\x7e\0\x01\x04\x0f\0\0\x02\x38\0\0\0\
\x9d\0\0\x02\x70\0\0\xb0\x05\0\0\x05\xcd\0\0\0\x1e\0\0\0\0\0\0\0\x9d\0\0\x03\
\xa5\0\x01\x1c\0\0\0\0\x08\0\0\0\x9d\0\0\x03\xa5\0\x01\x1c\x05\0\0\0\x10\0\0\0\
\x9d\0\0\x01\x2f\0\x01\x24\x0e\0\0\0\x28\0\0\0\x9d\0\0\x03\xdc\0\x01\x34\x15\0\
\0\0\x38\0\0\0\x9d\0\0\x03\xdc\0\x01\x34\x0f\0\0\0\x58\0\0\0\x9d\0\0\x02\x9e\0\
\x01\x28\x08\0\0\0\x60\0\0\0\x9d\0\0\x02\x9e\0\x01\x28\x0f\0\0\0\x68\0\0\0\x9d\
\0\0\x02\x9e\0\x01\x28\x16\0\0\0\x70\0\0\0\x9d\0\0\x02\x9e\0\x01\x28\x1d\0\0\0\
\x80\0\0\0\x9d\0\0\x03\xdc\0\x01\x34\x0f\0\0\0\x88\0\0\0\x9d\0\0\x01\x8f\0\x01\
\x40\x08\0\0\0\xa8\0\0\0\x9d\0\0\x03\xf6\0\x01\x44\x16\0\0\0\xb8\0\0\0\x9d\0\0\
\x03\xf6\0\x01\x44\x1b\0\0\0\xe0\0\0\0\x9d\0\0\x03\xf6\0\x01\x44\x0f\0\0\x01\0\
\0\0\0\x9d\0\0\x03\xf6\0\x01\x44\x1b\0\0\x01\x08\0\0\0\x9d\0\0\x02\xee\0\x01\
\x4c\x08\0\0\x01\x20\0\0\0\x9d\0\0\x04\x23\0\x01\x50\x1b\0\0\x01\x48\0\0\0\x9d\
\0\0\x04\x23\0\x01\x50\x16\0\0\x01\x58\0\0\0\x9d\0\0\x04\x23\0\x01\x50\x1b\0\0\
\x01\x60\0\0\0\x9d\0\0\x04\x23\0\x01\x50\x0f\0\0\x01\x80\0\0\0\x9d\0\0\x04\x23\
\0\x01\x50\x1b\0\0\x01\x88\0\0\0\x9d\0\0\x03\x38\0\x01\x5c\x08\0\0\x01\xa8\0\0\
\0\x9d\0\0\x04\x53\0\x01\x60\x16\0\0\x01\xb8\0\0\0\x9d\0\0\x04\x53\0\x01\x60\
\x0f\0\0\x01\xe0\0\0\0\x9d\0\0\x02\x27\0\x01\x6c\x08\0\0\x01\xf0\0\0\0\x9d\0\0\
\x04\x74\0\x01\x70\x1b\0\0\x01\xf8\0\0\0\x9d\0\0\x04\x74\0\x01\x70\x16\0\0\x02\
\0\0\0\0\x9d\0\0\x04\x74\0\x01\x70\x1b\0\0\x02\x10\0\0\0\x9d\0\0\x04\x74\0\x01\
\x70\x0f\0\0\x02\x28\0\0\0\x9d\0\0\x03\xa5\0\x01\x1c\x05\0\0\x05\xed\0\0\0\x1e\
\0\0\0\0\0\0\0\x9d\0\0\x04\x9b\0\x01\x90\0\0\0\0\x08\0\0\0\x9d\0\0\x04\x9b\0\
\x01\x90\x05\0\0\0\x10\0\0\0\x9d\0\0\x01\x2f\0\x01\x98\x0e\0\0\0\x28\0\0\0\x9d\
\0\0\x04\xcf\0\x01\xa8\x15\0\0\0\x38\0\0\0\x9d\0\0\x04\xcf\0\x01\xa8\x0f\0\0\0\
\x58\0\0\0\x9d\0\0\x02\x9e\0\x01\x9c\x08\0\0\0\x60\0\0\0\x9d\0\0\x02\x9e\0\x01\
\x9c\x0f\0\0\0\x68\0\0\0\x9d\0\0\x02\x9e\0\x01\x9c\x16\0\0\0\x70\0\0\0\x9d\0\0\
\x02\x9e\0\x01\x9c\x1d\0\0\0\x80\0\0\0\x9d\0\0\x04\xcf\0\x01\xa8\x0f\0\0\0\x88\
\0\0\0\x9d\0\0\x01\x8f\0\x01\xb4\x08\0\0\0\xa8\0\0\0\x9d\0\0\x04\xe9\0\x01\xb8\
\x16\0\0\0\xb8\0\0\0\x9d\0\0\x04\xe9\0\x01\xb8\x1b\0\0\0\xe0\0\0\0\x9d\0\0\x04\
\xe9\0\x01\xb8\x0f\0\0\x01\0\0\0\0\x9d\0\0\x04\xe9\0\x01\xb8\x1b\0\0\x01\x08\0\
\0\0\x9d\0\0\x02\xee\0\x01\xc0\x08\0\0\x01\x20\0\0\0\x9d\0\0\x05\x16\0\x01\xc4\
\x1b\0\0\x01\x48\0\0\0\x9d\0\0\x05\x16\0\x01\xc4\x16\0\0\x01\x58\0\0\0\x9d\0\0\
\x05\x16\0\x01\xc4\x1b\0\0\x01\x60\0\0\0\x9d\0\0\x05\x16\0\x01\xc4\x0f\0\0\x01\
\x80\0\0\0\x9d\0\0\x05\x16\0\x01\xc4\x1b\0\0\x01\x88\0\0\0\x9d\0\0\x03\x38\0\
\x01\xd0\x08\0\0\x01\xa8\0\0\0\x9d\0\0\x05\x46\0\x01\xd4\x16\0\0\x01\xb8\0\0\0\
\x9d\0\0\x05\x46\0\x01\xd4\x0f\0\0\x01\xe0\0\0\0\x9d\0\0\x02\x27\0\x01\xe0\x08\
\0\0\x01\xf0\0\0\0\x9d\0\0\x05\x67\0\x01\xe4\x1b\0\0\x02\x10\0\0\0\x9d\0\0\x05\
\x67\0\x01\xe4\x16\0\0\x02\x20\0\0\0\x9d\0\0\x05\x67\0\x01\xe4\x1b\0\0\x02\x28\
\0\0\0\x9d\0\0\x05\x67\0\x01\xe4\x0f\0\0\x02\x40\0\0\0\x9d\0\0\x04\x9b\0\x01\
\x90\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\x5b\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa0\0\0\0\0\0\0\x04\x08\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x06\xa8\0\0\0\0\0\0\x01\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\x40\0\0\0\0\0\0\x02\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0a\x88\0\0\0\0\0\0\x02\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x60\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\xc0\0\0\
\0\0\0\0\x02\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x7d\0\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x08\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x18\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\xd1\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x18\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\xed\0\0\0\x09\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x28\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x08\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0f\x38\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x2c\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x0f\x48\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\x02\x4d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x0f\x58\0\0\0\0\0\0\x07\x7a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\x02\x52\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\
\xd8\0\0\0\0\0\0\x07\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct get_func_args_test *get_func_args_test::open(const struct bpf_object_open_opts *opts) { return get_func_args_test__open_opts(opts); }
struct get_func_args_test *get_func_args_test::open_and_load() { return get_func_args_test__open_and_load(); }
int get_func_args_test::load(struct get_func_args_test *skel) { return get_func_args_test__load(skel); }
int get_func_args_test::attach(struct get_func_args_test *skel) { return get_func_args_test__attach(skel); }
void get_func_args_test::detach(struct get_func_args_test *skel) { get_func_args_test__detach(skel); }
void get_func_args_test::destroy(struct get_func_args_test *skel) { get_func_args_test__destroy(skel); }
const void *get_func_args_test::elf_bytes(size_t *sz) { return get_func_args_test__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
get_func_args_test__assert(struct get_func_args_test *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test1_result) == 8, "unexpected size of 'test1_result'");
	_Static_assert(sizeof(s->bss->test2_result) == 8, "unexpected size of 'test2_result'");
	_Static_assert(sizeof(s->bss->test3_result) == 8, "unexpected size of 'test3_result'");
	_Static_assert(sizeof(s->bss->test4_result) == 8, "unexpected size of 'test4_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __GET_FUNC_ARGS_TEST_SKEL_H__ */
