/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __KFUNC_CALL_RACE_SKEL_H__
#define __KFUNC_CALL_RACE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct kfunc_call_race {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *kfunc_call_fail;
	} progs;
	struct {
		struct bpf_link *kfunc_call_fail;
	} links;

#ifdef __cplusplus
	static inline struct kfunc_call_race *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct kfunc_call_race *open_and_load();
	static inline int load(struct kfunc_call_race *skel);
	static inline int attach(struct kfunc_call_race *skel);
	static inline void detach(struct kfunc_call_race *skel);
	static inline void destroy(struct kfunc_call_race *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
kfunc_call_race__destroy(struct kfunc_call_race *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
kfunc_call_race__create_skeleton(struct kfunc_call_race *obj);

static inline struct kfunc_call_race *
kfunc_call_race__open_opts(const struct bpf_object_open_opts *opts)
{
	struct kfunc_call_race *obj;
	int err;

	obj = (struct kfunc_call_race *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = kfunc_call_race__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	kfunc_call_race__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct kfunc_call_race *
kfunc_call_race__open(void)
{
	return kfunc_call_race__open_opts(NULL);
}

static inline int
kfunc_call_race__load(struct kfunc_call_race *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct kfunc_call_race *
kfunc_call_race__open_and_load(void)
{
	struct kfunc_call_race *obj;
	int err;

	obj = kfunc_call_race__open();
	if (!obj)
		return NULL;
	err = kfunc_call_race__load(obj);
	if (err) {
		kfunc_call_race__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
kfunc_call_race__attach(struct kfunc_call_race *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
kfunc_call_race__detach(struct kfunc_call_race *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *kfunc_call_race__elf_bytes(size_t *sz);

static inline int
kfunc_call_race__create_skeleton(struct kfunc_call_race *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "kfunc_call_race";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "kfunc_call_fail";
	s->progs[0].prog = &obj->progs.kfunc_call_fail;
	s->progs[0].link = &obj->links.kfunc_call_fail;

	s->data = (void *)kfunc_call_race__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *kfunc_call_race__elf_bytes(size_t *sz)
{
	*sz = 2552;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xf8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x72\
\x61\x63\x65\x2e\x63\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x66\x61\x69\
\x6c\0\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x6d\
\x6f\x64\x5f\x6b\x66\x75\x6e\x63\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\x04\0\xff\xf1\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x2e\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x3e\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x59\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\xb4\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x04\0\0\0\x0a\xeb\x9f\
\x01\0\0\0\0\x18\0\0\0\0\0\0\x03\x5c\0\0\x03\x5c\0\0\x02\xa1\0\0\0\0\x02\0\0\0\
\0\0\0\x02\0\0\0\x01\x04\0\0\x22\0\0\0\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\
\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\
\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\
\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\x01\0\
\0\0\0\x5e\0\0\0\x03\0\0\x01\x20\0\0\0\x6e\0\0\0\x03\0\0\x01\x40\0\0\0\x76\0\0\
\0\x03\0\0\x01\x60\0\0\0\x7f\0\0\0\x05\0\0\x01\x80\0\0\0\x82\0\0\0\x03\0\0\x02\
\x20\0\0\0\x87\0\0\0\x03\0\0\x02\x40\0\0\0\x92\0\0\0\x03\0\0\x02\x60\0\0\0\x97\
\0\0\0\x03\0\0\x02\x80\0\0\0\xa0\0\0\0\x03\0\0\x02\xa0\0\0\0\xa8\0\0\0\x03\0\0\
\x02\xc0\0\0\0\xaf\0\0\0\x03\0\0\x02\xe0\0\0\0\xba\0\0\0\x03\0\0\x03\0\0\0\0\
\xc4\0\0\0\x07\0\0\x03\x20\0\0\0\xcf\0\0\0\x07\0\0\x03\xa0\0\0\0\xd9\0\0\0\x03\
\0\0\x04\x20\0\0\0\xe5\0\0\0\x03\0\0\x04\x40\0\0\0\xf0\0\0\0\x03\0\0\x04\x60\0\
\0\0\0\0\0\0\x08\0\0\x04\x80\0\0\0\xfa\0\0\0\x0a\0\0\x04\xc0\0\0\x01\x01\0\0\0\
\x03\0\0\x05\0\0\0\x01\x0a\0\0\0\x03\0\0\x05\x20\0\0\0\0\0\0\0\x0c\0\0\x05\x40\
\0\0\x01\x13\0\0\0\x03\0\0\x05\x80\0\0\x01\x1c\0\0\0\x0e\0\0\x05\xa0\0\0\x01\
\x28\0\0\0\x0a\0\0\x05\xc0\0\0\x01\x31\x08\0\0\0\0\0\0\x04\0\0\x01\x37\x01\0\0\
\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\
\0\0\x01\x44\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\x06\0\0\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x58\0\0\0\x09\0\0\0\
\0\0\0\0\0\x02\0\0\0\0\0\0\x18\0\0\x01\x62\x08\0\0\0\0\0\0\x0b\0\0\x01\x68\x01\
\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x7b\0\0\0\x0d\
\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x19\0\0\x01\x7e\x08\0\0\0\0\0\0\x0f\0\0\x01\
\x83\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x11\0\0\x01\x91\0\
\0\0\x01\0\0\x01\x95\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\x01\x99\x0c\0\0\x01\0\
\0\0\x10\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x11\0\0\x01\xa9\x0c\0\0\x02\
\0\0\0\x13\0\0\x01\xc4\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x15\0\0\0\x06\0\0\0\x04\0\0\x01\xc9\x0e\0\0\0\0\0\0\x16\0\0\0\x01\0\0\
\x01\xd2\x07\0\0\0\0\0\0\0\0\0\x01\xe0\x07\0\0\0\0\0\0\0\0\0\x02\x8f\x0f\0\0\
\x01\0\0\0\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\x02\x97\x0f\0\0\x01\0\0\0\0\0\0\
\0\x14\0\0\0\0\0\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\
\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\
\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\
\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\
\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\
\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\
\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\
\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\
\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\
\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\
\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\
\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\
\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\
\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\
\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\
\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\
\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\
\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\
\x72\0\x63\x74\x78\0\x69\x6e\x74\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\
\x66\x61\x69\x6c\0\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\
\x74\x5f\x6d\x6f\x64\x5f\x6b\x66\x75\x6e\x63\0\x63\x68\x61\x72\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\
\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\
\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6b\
\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x72\x61\x63\x65\x2e\x63\0\x09\x62\x70\
\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x6d\x6f\x64\x5f\
\x6b\x66\x75\x6e\x63\x28\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x74\x63\0\0\0\0\xeb\
\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x2c\0\0\0\x40\0\0\0\0\0\
\0\0\x08\0\0\x02\x9e\0\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\x02\x9e\0\0\0\
\x02\0\0\0\0\0\0\x01\xe9\0\0\x02\x64\0\0\x28\x02\0\0\0\x10\0\0\x01\xe9\0\0\x02\
\x84\0\0\x2c\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x77\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\x90\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\x48\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\x62\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x70\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\x69\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x80\0\0\0\
\0\0\0\x06\x15\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x6e\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x98\0\0\0\0\0\0\0\x60\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct kfunc_call_race *kfunc_call_race::open(const struct bpf_object_open_opts *opts) { return kfunc_call_race__open_opts(opts); }
struct kfunc_call_race *kfunc_call_race::open_and_load() { return kfunc_call_race__open_and_load(); }
int kfunc_call_race::load(struct kfunc_call_race *skel) { return kfunc_call_race__load(skel); }
int kfunc_call_race::attach(struct kfunc_call_race *skel) { return kfunc_call_race__attach(skel); }
void kfunc_call_race::detach(struct kfunc_call_race *skel) { kfunc_call_race__detach(skel); }
void kfunc_call_race::destroy(struct kfunc_call_race *skel) { kfunc_call_race__destroy(skel); }
const void *kfunc_call_race::elf_bytes(size_t *sz) { return kfunc_call_race__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
kfunc_call_race__assert(struct kfunc_call_race *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __KFUNC_CALL_RACE_SKEL_H__ */
