/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __NETCNT_PROG_SKEL_H__
#define __NETCNT_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct netcnt_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *netcnt;
		struct bpf_map *percpu_netcnt;
	} maps;
	struct {
		struct bpf_program *bpf_nextcnt;
	} progs;
	struct {
		struct bpf_link *bpf_nextcnt;
	} links;

#ifdef __cplusplus
	static inline struct netcnt_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct netcnt_prog *open_and_load();
	static inline int load(struct netcnt_prog *skel);
	static inline int attach(struct netcnt_prog *skel);
	static inline void detach(struct netcnt_prog *skel);
	static inline void destroy(struct netcnt_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
netcnt_prog__destroy(struct netcnt_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
netcnt_prog__create_skeleton(struct netcnt_prog *obj);

static inline struct netcnt_prog *
netcnt_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct netcnt_prog *obj;
	int err;

	obj = (struct netcnt_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = netcnt_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	netcnt_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct netcnt_prog *
netcnt_prog__open(void)
{
	return netcnt_prog__open_opts(NULL);
}

static inline int
netcnt_prog__load(struct netcnt_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct netcnt_prog *
netcnt_prog__open_and_load(void)
{
	struct netcnt_prog *obj;
	int err;

	obj = netcnt_prog__open();
	if (!obj)
		return NULL;
	err = netcnt_prog__load(obj);
	if (err) {
		netcnt_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
netcnt_prog__attach(struct netcnt_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
netcnt_prog__detach(struct netcnt_prog *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *netcnt_prog__elf_bytes(size_t *sz);

static inline int
netcnt_prog__create_skeleton(struct netcnt_prog *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "netcnt_prog";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "netcnt";
	s->maps[0].map = &obj->maps.netcnt;

	s->maps[1].name = "percpu_netcnt";
	s->maps[1].map = &obj->maps.percpu_netcnt;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_nextcnt";
	s->progs[0].prog = &obj->progs.bpf_nextcnt;
	s->progs[0].link = &obj->links.bpf_nextcnt;

	s->data = (void *)netcnt_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *netcnt_prog__elf_bytes(size_t *sz)
{
	*sz = 4888;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\xd8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\x72\
\x6f\x75\x70\x2f\x73\x6b\x62\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x6e\x65\x74\x63\x6e\x74\x5f\x70\x72\x6f\x67\x2e\x63\0\x4c\x42\x42\x30\
\x5f\x32\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x36\0\x62\x70\x66\x5f\
\x6e\x65\x78\x74\x63\x6e\x74\0\x6e\x65\x74\x63\x6e\x74\0\x70\x65\x72\x63\x70\
\x75\x5f\x6e\x65\x74\x63\x6e\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x63\x67\x72\x6f\x75\x70\x2f\x73\x6b\x62\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x2a\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x03\0\0\0\0\0\0\0\xc8\0\0\
\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x03\0\0\0\0\0\0\x01\x48\0\0\0\0\0\0\0\0\0\0\0\x46\
\0\0\0\x03\0\0\0\0\0\0\x01\x78\0\0\0\0\0\0\0\0\0\0\0\x4d\x12\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\x80\0\0\0\x59\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\0\0\0\x60\x11\0\0\x04\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x18\0\0\0\x6e\x11\0\
\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x81\0\0\0\0\0\0\xb7\x90\0\0\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\
\xbf\x60\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x51\xbf\x70\0\0\0\0\0\0\x79\x17\0\0\0\0\0\0\x07\x10\0\0\0\0\0\
\x01\x7b\x71\0\0\0\0\0\0\x61\x28\0\0\0\0\0\0\x79\x37\0\x08\0\0\0\0\x0f\x32\0\0\
\0\0\0\0\x7b\x73\0\x08\0\0\0\0\xa5\x10\0\x05\0\0\0\x21\xdb\x61\0\0\0\0\0\0\x7b\
\x79\0\0\0\0\0\0\x79\x17\0\x08\0\0\0\0\xdb\x61\0\x08\0\0\0\0\x7b\x79\0\x08\0\0\
\0\0\x85\0\0\0\0\0\0\x05\x79\x27\0\x10\0\0\0\0\xbf\x10\0\0\0\0\0\0\x1f\x12\0\0\
\0\0\0\0\x79\x37\0\x20\0\0\0\0\x79\x27\0\x08\0\0\0\0\x79\x46\0\x08\0\0\0\0\x27\
\x10\0\0\0\x30\0\0\x18\x50\0\0\x99\x24\xca\0\0\0\0\0\x01\x63\x45\x78\xad\x15\0\
\x05\0\0\0\0\x7b\x70\0\x10\0\0\0\0\x79\x56\0\0\0\0\0\0\x7b\x75\0\x18\0\0\0\0\
\x79\x56\0\x08\0\0\0\0\x7b\x75\0\x20\0\0\0\0\x0f\x24\0\0\0\0\0\0\x1f\x23\0\0\0\
\0\0\0\x37\x10\0\0\x3b\x9a\xca\0\xb4\0\0\0\0\0\0\x01\xad\x21\0\x01\0\0\0\0\xb4\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\
\0\0\0\0\x10\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x08\0\0\0\x01\xeb\x9f\
\x01\0\0\0\0\x18\0\0\0\0\0\0\x05\x3c\0\0\x05\x3c\0\0\x05\xbd\0\0\0\0\x02\0\0\0\
\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x13\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\
\x02\0\0\0\0\0\0\x06\0\0\0\x19\x04\0\0\x02\0\0\0\x10\0\0\0\x30\0\0\0\x07\0\0\0\
\0\0\0\0\x40\0\0\0\x09\0\0\0\x40\0\0\0\x4c\x08\0\0\0\0\0\0\x08\0\0\0\x52\x01\0\
\0\0\0\0\0\x08\0\0\0\x40\0\0\0\x65\x08\0\0\0\0\0\0\x0a\0\0\0\x6b\x01\0\0\0\0\0\
\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\x78\x05\0\0\x02\0\0\xff\0\0\
\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x80\0\0\0\x10\0\0\0\0\0\0\0\0\x04\0\0\x02\0\0\0\
\x10\0\0\0\x85\0\0\0\x07\0\0\0\0\0\0\0\x8d\0\0\0\x07\0\0\0\x40\0\0\0\x93\x08\0\
\0\0\0\0\0\x0f\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x0e\0\0\0\x04\0\0\xfe\xff\0\0\0\0\x04\0\0\x03\0\0\0\x18\0\0\0\xa6\0\0\
\0\x01\0\0\0\0\0\0\0\xab\0\0\0\x05\0\0\0\x40\0\0\0\xaf\0\0\0\x0b\0\0\0\x80\0\0\
\0\xb5\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x14\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x15\0\0\0\0\x02\0\0\0\0\0\0\x16\0\0\0\
\xbc\x05\0\0\x02\0\0\x80\0\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\x80\0\0\0\x18\0\0\0\
\0\0\0\0\0\x04\0\0\x05\0\0\0\x28\0\0\0\x85\0\0\0\x07\0\0\0\0\0\0\0\x8d\0\0\0\
\x07\0\0\0\x40\0\0\0\xcb\0\0\0\x07\0\0\0\x80\0\0\0\xd3\0\0\0\x07\0\0\0\xc0\0\0\
\0\xe0\0\0\0\x07\0\0\x01\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x04\0\0\
\x80\0\0\0\0\0\x04\0\0\x03\0\0\0\x18\0\0\0\xa6\0\0\0\x13\0\0\0\0\0\0\0\xab\0\0\
\0\x05\0\0\0\x40\0\0\0\xaf\0\0\0\x15\0\0\0\x80\0\0\0\xeb\x0e\0\0\0\0\0\0\x19\0\
\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x1c\0\0\0\xf9\x04\0\0\x22\0\0\0\xc0\0\0\x01\
\x03\0\0\0\x09\0\0\0\0\0\0\x01\x07\0\0\0\x09\0\0\0\x20\0\0\x01\x10\0\0\0\x09\0\
\0\0\x40\0\0\x01\x15\0\0\0\x09\0\0\0\x60\0\0\x01\x23\0\0\0\x09\0\0\0\x80\0\0\
\x01\x2c\0\0\0\x09\0\0\0\xa0\0\0\x01\x39\0\0\0\x09\0\0\0\xc0\0\0\x01\x42\0\0\0\
\x09\0\0\0\xe0\0\0\x01\x4d\0\0\0\x09\0\0\x01\0\0\0\x01\x56\0\0\0\x09\0\0\x01\
\x20\0\0\x01\x66\0\0\0\x09\0\0\x01\x40\0\0\x01\x6e\0\0\0\x09\0\0\x01\x60\0\0\
\x01\x77\0\0\0\x1d\0\0\x01\x80\0\0\x01\x7a\0\0\0\x09\0\0\x02\x20\0\0\x01\x7f\0\
\0\0\x09\0\0\x02\x40\0\0\0\x80\0\0\0\x09\0\0\x02\x60\0\0\x01\x8a\0\0\0\x09\0\0\
\x02\x80\0\0\x01\x93\0\0\0\x09\0\0\x02\xa0\0\0\x01\x9b\0\0\0\x09\0\0\x02\xc0\0\
\0\x01\xa2\0\0\0\x09\0\0\x02\xe0\0\0\x01\xad\0\0\0\x09\0\0\x03\0\0\0\x01\xb7\0\
\0\0\x1e\0\0\x03\x20\0\0\x01\xc2\0\0\0\x1e\0\0\x03\xa0\0\0\x01\xcc\0\0\0\x09\0\
\0\x04\x20\0\0\x01\xd8\0\0\0\x09\0\0\x04\x40\0\0\x01\xe3\0\0\0\x09\0\0\x04\x60\
\0\0\0\0\0\0\0\x1f\0\0\x04\x80\0\0\x01\xed\0\0\0\x07\0\0\x04\xc0\0\0\x01\xf4\0\
\0\0\x09\0\0\x05\0\0\0\x01\xfd\0\0\0\x09\0\0\x05\x20\0\0\0\0\0\0\0\x21\0\0\x05\
\x40\0\0\x02\x06\0\0\0\x09\0\0\x05\x80\0\0\x02\x0f\0\0\0\x0e\0\0\x05\xa0\0\0\
\x02\x1b\0\0\0\x07\0\0\x05\xc0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x04\0\
\0\0\x05\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x04\0\0\0\x04\0\0\0\0\x05\0\
\0\x01\0\0\0\x08\0\0\x02\x24\0\0\0\x20\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x28\0\0\
\0\0\x05\0\0\x01\0\0\0\x08\0\0\x02\x2e\0\0\0\x22\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\
\0\x29\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x02\x31\0\0\0\x1b\0\0\x02\x35\x0c\0\0\
\x01\0\0\0\x23\0\0\x02\x41\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x25\0\0\0\x04\0\0\0\x04\0\0\x02\x46\x0e\0\0\0\0\0\0\x26\0\0\0\x01\
\0\0\x02\x4f\x07\0\0\0\0\0\0\0\0\0\x02\x5d\x07\0\0\0\0\0\0\0\0\0\x05\xa4\x0f\0\
\0\x02\0\0\0\x30\0\0\0\x12\0\0\0\0\0\0\0\x18\0\0\0\x1a\0\0\0\x18\0\0\0\x18\0\0\
\x05\xaa\x0f\0\0\x01\0\0\0\x04\0\0\0\x27\0\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x62\
\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6b\
\x65\x79\0\x63\x67\x72\x6f\x75\x70\x5f\x69\x6e\x6f\x64\x65\x5f\x69\x64\0\x61\
\x74\x74\x61\x63\x68\x5f\x74\x79\x70\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x33\
\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x6e\x65\x74\x5f\x63\
\x6e\x74\0\x64\x61\x74\x61\0\x70\x61\x63\x6b\x65\x74\x73\0\x62\x79\x74\x65\x73\
\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x74\
\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6e\x65\x74\x63\x6e\x74\0\
\x70\x65\x72\x63\x70\x75\x5f\x6e\x65\x74\x5f\x63\x6e\x74\0\x70\x72\x65\x76\x5f\
\x74\x73\0\x70\x72\x65\x76\x5f\x70\x61\x63\x6b\x65\x74\x73\0\x70\x72\x65\x76\
\x5f\x62\x79\x74\x65\x73\0\x70\x65\x72\x63\x70\x75\x5f\x6e\x65\x74\x63\x6e\x74\
\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\
\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\
\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\
\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\
\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\
\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\
\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\
\x73\x69\x64\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\
\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\
\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\
\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\
\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\
\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\
\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\
\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x66\x6c\x6f\x77\
\x5f\x6b\x65\x79\x73\0\x73\x6b\0\x73\x6b\x62\0\x62\x70\x66\x5f\x6e\x65\x78\x74\
\x63\x6e\x74\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\
\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\
\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6e\x65\x74\x63\x6e\x74\x5f\x70\x72\
\x6f\x67\x2e\x63\0\x69\x6e\x74\x20\x62\x70\x66\x5f\x6e\x65\x78\x74\x63\x6e\x74\
\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\
\x73\x6b\x62\x29\0\x09\x63\x6e\x74\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\x28\x26\x6e\x65\x74\x63\
\x6e\x74\x2c\x20\x30\x29\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x63\x6e\x74\x20\
\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\
\x72\x61\x67\x65\x28\x26\x70\x65\x72\x63\x70\x75\x5f\x6e\x65\x74\x63\x6e\x74\
\x2c\x20\x30\x29\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x63\x6e\x74\x2d\x3e\x70\
\x61\x63\x6b\x65\x74\x73\x2b\x2b\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x63\x6e\
\x74\x2d\x3e\x62\x79\x74\x65\x73\x20\x2b\x3d\x20\x73\x6b\x62\x2d\x3e\x6c\x65\
\x6e\x3b\0\x09\x69\x66\x20\x28\x70\x65\x72\x63\x70\x75\x5f\x63\x6e\x74\x2d\x3e\
\x70\x61\x63\x6b\x65\x74\x73\x20\x3e\x20\x4d\x41\x58\x5f\x50\x45\x52\x43\x50\
\x55\x5f\x50\x41\x43\x4b\x45\x54\x53\x29\x20\x7b\0\x09\x09\x5f\x5f\x73\x79\x6e\
\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x63\x6e\
\x74\x2d\x3e\x70\x61\x63\x6b\x65\x74\x73\x2c\0\x09\x09\x70\x65\x72\x63\x70\x75\
\x5f\x63\x6e\x74\x2d\x3e\x70\x61\x63\x6b\x65\x74\x73\x20\x3d\x20\x30\x3b\0\x09\
\x09\x09\x09\x20\x20\x20\x20\x20\x70\x65\x72\x63\x70\x75\x5f\x63\x6e\x74\x2d\
\x3e\x62\x79\x74\x65\x73\x29\x3b\0\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\
\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x63\x6e\x74\x2d\x3e\x62\
\x79\x74\x65\x73\x2c\0\x09\x09\x70\x65\x72\x63\x70\x75\x5f\x63\x6e\x74\x2d\x3e\
\x62\x79\x74\x65\x73\x20\x3d\x20\x30\x3b\0\x09\x74\x73\x20\x3d\x20\x62\x70\x66\
\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\x09\x64\x74\
\x20\x3d\x20\x74\x73\x20\x2d\x20\x70\x65\x72\x63\x70\x75\x5f\x63\x6e\x74\x2d\
\x3e\x70\x72\x65\x76\x5f\x74\x73\x3b\0\x09\x69\x66\x20\x28\x63\x6e\x74\x2d\x3e\
\x62\x79\x74\x65\x73\x20\x2b\x20\x70\x65\x72\x63\x70\x75\x5f\x63\x6e\x74\x2d\
\x3e\x62\x79\x74\x65\x73\x20\x2d\x20\x70\x65\x72\x63\x70\x75\x5f\x63\x6e\x74\
\x2d\x3e\x70\x72\x65\x76\x5f\x62\x79\x74\x65\x73\x20\x3c\x20\x64\x74\x29\0\x09\
\x64\x74\x20\x2a\x3d\x20\x4d\x41\x58\x5f\x42\x50\x53\x3b\0\x09\x69\x66\x20\x28\
\x64\x74\x20\x3e\x20\x52\x45\x46\x52\x45\x53\x48\x5f\x54\x49\x4d\x45\x5f\x4e\
\x53\x29\x20\x7b\0\x09\x09\x70\x65\x72\x63\x70\x75\x5f\x63\x6e\x74\x2d\x3e\x70\
\x72\x65\x76\x5f\x74\x73\x20\x3d\x20\x74\x73\x3b\0\x09\x09\x70\x65\x72\x63\x70\
\x75\x5f\x63\x6e\x74\x2d\x3e\x70\x72\x65\x76\x5f\x70\x61\x63\x6b\x65\x74\x73\
\x20\x3d\x20\x63\x6e\x74\x2d\x3e\x70\x61\x63\x6b\x65\x74\x73\x3b\0\x09\x09\x70\
\x65\x72\x63\x70\x75\x5f\x63\x6e\x74\x2d\x3e\x70\x72\x65\x76\x5f\x62\x79\x74\
\x65\x73\x20\x3d\x20\x63\x6e\x74\x2d\x3e\x62\x79\x74\x65\x73\x3b\0\x09\x64\x74\
\x20\x2f\x3d\x20\x4e\x53\x5f\x50\x45\x52\x5f\x53\x45\x43\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x21\x21\x72\x65\x74\x3b\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x6b\x62\0\0\0\0\0\0\0\0\xeb\
\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\x01\xec\0\0\x02\0\0\0\0\0\
\0\0\0\x08\0\0\x05\xb2\0\0\0\x01\0\0\0\0\0\0\0\x24\0\0\0\x10\0\0\x05\xb2\0\0\0\
\x1e\0\0\0\0\0\0\x02\x66\0\0\x02\xdd\0\0\x68\0\0\0\0\x10\0\0\x02\x66\0\0\x03\
\x04\0\0\x88\x08\0\0\0\x38\0\0\x02\x66\0\0\x03\x2e\0\0\x8c\x0f\0\0\0\x60\0\0\
\x02\x66\0\0\x03\x66\0\0\x94\x15\0\0\0\x78\0\0\x02\x66\0\0\x03\x7e\0\0\x98\x1c\
\0\0\0\x80\0\0\x02\x66\0\0\x03\x7e\0\0\x98\x14\0\0\0\x98\0\0\x02\x66\0\0\x03\
\x9e\0\0\xa0\x06\0\0\0\xa0\0\0\x02\x66\0\0\x03\xcf\0\0\xa4\x03\0\0\0\xa8\0\0\
\x02\x66\0\0\x03\xf5\0\0\xac\x17\0\0\0\xb0\0\0\x02\x66\0\0\x04\x10\0\0\xb8\x16\
\0\0\0\xb8\0\0\x02\x66\0\0\x04\x2d\0\0\xb4\x03\0\0\0\xc0\0\0\x02\x66\0\0\x04\
\x51\0\0\xbc\x15\0\0\0\xc8\0\0\x02\x66\0\0\x04\x6a\0\0\xc8\x07\0\0\0\xd0\0\0\
\x02\x66\0\0\x04\x84\0\0\xcc\x18\0\0\0\xd8\0\0\x02\x66\0\0\x04\x84\0\0\xcc\x0a\
\0\0\0\xe8\0\0\x02\x66\0\0\x04\xa4\0\0\xe0\x33\0\0\0\xf0\0\0\x02\x66\0\0\x04\
\xa4\0\0\xe0\x1f\0\0\0\xf8\0\0\x02\x66\0\0\x04\xa4\0\0\xe0\x0b\0\0\x01\0\0\0\
\x02\x66\0\0\x04\xe7\0\0\xd4\x05\0\0\x01\x18\0\0\x02\x66\0\0\x04\xf7\0\0\xf4\
\x06\0\0\x01\x20\0\0\x02\x66\0\0\x05\x14\0\0\xf8\x17\0\0\x01\x28\0\0\x02\x66\0\
\0\x05\x30\0\0\xfc\x23\0\0\x01\x30\0\0\x02\x66\0\0\x05\x30\0\0\xfc\x1c\0\0\x01\
\x38\0\0\x02\x66\0\0\x05\x5b\0\x01\0\x21\0\0\x01\x40\0\0\x02\x66\0\0\x05\x5b\0\
\x01\0\x1a\0\0\x01\x48\0\0\x02\x66\0\0\x04\xa4\0\0\xe0\x11\0\0\x01\x50\0\0\x02\
\x66\0\0\x04\xa4\0\0\xe0\x25\0\0\x01\x58\0\0\x02\x66\0\0\x05\x82\0\0\xd8\x05\0\
\0\x01\x68\0\0\x02\x66\0\0\x04\xa4\0\0\xe0\x3e\0\0\x01\x78\0\0\x02\x66\0\0\x05\
\x95\0\x01\x0c\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x94\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\xf0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xc8\0\0\0\0\0\0\x01\x80\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\x48\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\x78\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\x77\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x80\0\0\
\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\x86\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xa0\0\0\0\0\0\0\
\x0b\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x8b\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\xb8\0\0\0\0\0\0\x02\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct netcnt_prog *netcnt_prog::open(const struct bpf_object_open_opts *opts) { return netcnt_prog__open_opts(opts); }
struct netcnt_prog *netcnt_prog::open_and_load() { return netcnt_prog__open_and_load(); }
int netcnt_prog::load(struct netcnt_prog *skel) { return netcnt_prog__load(skel); }
int netcnt_prog::attach(struct netcnt_prog *skel) { return netcnt_prog__attach(skel); }
void netcnt_prog::detach(struct netcnt_prog *skel) { netcnt_prog__detach(skel); }
void netcnt_prog::destroy(struct netcnt_prog *skel) { netcnt_prog__destroy(skel); }
const void *netcnt_prog::elf_bytes(size_t *sz) { return netcnt_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
netcnt_prog__assert(struct netcnt_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __NETCNT_PROG_SKEL_H__ */
