/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BPF_ITER_TEST_KERN1_SKEL_H__
#define __BPF_ITER_TEST_KERN1_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bpf_iter_test_kern1 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *dump_task;
	} progs;
	struct {
		struct bpf_link *dump_task;
	} links;
	struct bpf_iter_test_kern1__bss {
		int count;
	} *bss;

#ifdef __cplusplus
	static inline struct bpf_iter_test_kern1 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_iter_test_kern1 *open_and_load();
	static inline int load(struct bpf_iter_test_kern1 *skel);
	static inline int attach(struct bpf_iter_test_kern1 *skel);
	static inline void detach(struct bpf_iter_test_kern1 *skel);
	static inline void destroy(struct bpf_iter_test_kern1 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_iter_test_kern1__destroy(struct bpf_iter_test_kern1 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_iter_test_kern1__create_skeleton(struct bpf_iter_test_kern1 *obj);

static inline struct bpf_iter_test_kern1 *
bpf_iter_test_kern1__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_iter_test_kern1 *obj;
	int err;

	obj = (struct bpf_iter_test_kern1 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_iter_test_kern1__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_iter_test_kern1__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_iter_test_kern1 *
bpf_iter_test_kern1__open(void)
{
	return bpf_iter_test_kern1__open_opts(NULL);
}

static inline int
bpf_iter_test_kern1__load(struct bpf_iter_test_kern1 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_iter_test_kern1 *
bpf_iter_test_kern1__open_and_load(void)
{
	struct bpf_iter_test_kern1 *obj;
	int err;

	obj = bpf_iter_test_kern1__open();
	if (!obj)
		return NULL;
	err = bpf_iter_test_kern1__load(obj);
	if (err) {
		bpf_iter_test_kern1__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_iter_test_kern1__attach(struct bpf_iter_test_kern1 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_iter_test_kern1__detach(struct bpf_iter_test_kern1 *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_iter_test_kern1__elf_bytes(size_t *sz);

static inline int
bpf_iter_test_kern1__create_skeleton(struct bpf_iter_test_kern1 *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_iter_test_kern1";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "bpf_iter.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "dump_task";
	s->progs[0].prog = &obj->progs.dump_task;
	s->progs[0].link = &obj->links.dump_task;

	s->data = (void *)bpf_iter_test_kern1__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_iter_test_kern1__elf_bytes(size_t *sz)
{
	*sz = 2248;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x88\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x69\x74\x65\
\x72\x2f\x74\x61\x73\x6b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x62\
\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x5f\x6b\x65\x72\x6e\x31\x2e\
\x63\0\x4c\x42\x42\x30\x5f\x32\0\x64\x75\x6d\x70\x5f\x74\x61\x73\x6b\0\x63\x6f\
\x75\x6e\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x69\x74\x65\
\x72\x2f\x74\x61\x73\x6b\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x04\0\
\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x03\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\x45\
\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\0\x4f\x11\0\0\x05\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x55\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x79\x11\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x61\x26\0\0\0\0\0\0\x67\x20\0\0\0\0\0\x20\xc7\x20\0\0\0\0\0\x20\x65\x20\0\
\x09\0\0\0\x03\x07\x20\0\0\0\0\0\x61\x73\xa2\xff\xff\0\0\0\0\xbf\x2a\0\0\0\0\0\
\0\x07\x20\0\0\xff\xff\xff\xff\xb7\x30\0\0\0\0\0\x01\x85\0\0\0\0\0\0\x7f\x61\
\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x01\x63\x61\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x05\0\0\0\x01\
\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x01\x70\0\0\x01\x70\0\0\x01\xd6\0\0\0\0\
\x02\0\0\0\0\0\0\x02\0\0\0\x01\x04\0\0\x02\0\0\0\x10\0\0\0\x10\0\0\0\x03\0\0\0\
\0\0\0\0\x15\0\0\0\x04\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\0\x02\0\0\0\
\0\0\0\x12\0\0\0\0\x0d\0\0\x01\0\0\0\x06\0\0\0\x1a\0\0\0\x01\0\0\0\x1e\x01\0\0\
\0\0\0\0\x04\x01\0\0\x20\0\0\0\x22\x0c\0\0\x01\0\0\0\x05\0\0\0\x2c\x04\0\0\x03\
\0\0\0\x18\0\0\0\x3a\0\0\0\x09\0\0\0\0\0\0\0\x3e\0\0\0\x0a\0\0\0\x40\0\0\0\x49\
\0\0\0\x0a\0\0\0\x80\0\0\0\0\x02\0\0\0\0\0\0\x11\0\0\0\x51\x08\0\0\0\0\0\0\x0b\
\0\0\0\x57\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\x6a\x01\0\0\0\0\0\0\x01\x01\0\0\
\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x0e\0\0\0\x04\0\0\0\x6f\x01\0\0\
\0\0\0\0\x04\0\0\0\x20\0\0\0\x83\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\x8c\x0e\0\
\0\0\0\0\0\x06\0\0\0\x01\0\0\0\x92\x07\0\0\0\0\0\0\0\0\0\0\x9b\x07\0\0\0\0\0\0\
\0\0\0\x01\xbf\x0f\0\0\x01\0\0\0\x04\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\x01\xc7\
\x0f\0\0\x01\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\x04\0\x62\x70\x66\x5f\x69\x74\
\x65\x72\x5f\x5f\x74\x61\x73\x6b\0\x6d\x65\x74\x61\0\x74\x61\x73\x6b\0\x63\x74\
\x78\0\x69\x6e\x74\0\x64\x75\x6d\x70\x5f\x74\x61\x73\x6b\0\x62\x70\x66\x5f\x69\
\x74\x65\x72\x5f\x6d\x65\x74\x61\0\x73\x65\x71\0\x73\x65\x73\x73\x69\x6f\x6e\
\x5f\x69\x64\0\x73\x65\x71\x5f\x6e\x75\x6d\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x68\x61\x72\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x6f\x75\x6e\x74\0\x73\x65\x71\x5f\x66\
\x69\x6c\x65\0\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\
\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\
\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\
\x5f\x6b\x65\x72\x6e\x5f\x63\x6f\x6d\x6d\x6f\x6e\x2e\x68\0\x09\x73\x74\x72\x75\
\x63\x74\x20\x73\x65\x71\x5f\x66\x69\x6c\x65\x20\x2a\x73\x65\x71\x20\x3d\x20\
\x63\x74\x78\x2d\x3e\x6d\x65\x74\x61\x2d\x3e\x73\x65\x71\x3b\0\x09\x69\x66\x20\
\x28\x63\x6f\x75\x6e\x74\x20\x3c\x20\x34\x29\x20\x7b\0\x09\x09\x63\x20\x3d\x20\
\x53\x54\x41\x52\x54\x5f\x43\x48\x41\x52\x20\x2b\x20\x63\x6f\x75\x6e\x74\x3b\0\
\x09\x09\x62\x70\x66\x5f\x73\x65\x71\x5f\x77\x72\x69\x74\x65\x28\x73\x65\x71\
\x2c\x20\x26\x63\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x63\x29\x29\x3b\0\x09\x09\
\x63\x6f\x75\x6e\x74\x2b\x2b\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x30\x3a\x30\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x69\x74\x65\x72\
\x2f\x74\x61\x73\x6b\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\
\0\0\0\xac\0\0\0\xc0\0\0\0\x2c\0\0\0\x08\0\0\x01\xcc\0\0\0\x01\0\0\0\0\0\0\0\
\x07\0\0\0\x10\0\0\x01\xcc\0\0\0\x0a\0\0\0\0\0\0\0\xa7\0\0\x01\x2c\0\0\x30\x1e\
\0\0\0\x08\0\0\0\xa7\0\0\x01\x2c\0\0\x30\x24\0\0\0\x10\0\0\0\xa7\0\0\x01\x54\0\
\0\x3c\x06\0\0\0\x38\0\0\0\xa7\0\0\x01\x54\0\0\x3c\x06\0\0\0\x40\0\0\0\xa7\0\0\
\x01\x66\0\0\x40\x07\0\0\0\x48\0\0\0\xa7\0\0\x01\x66\0\0\x40\x05\0\0\0\x58\0\0\
\0\xa7\0\0\x01\x66\0\0\x40\x07\0\0\0\x60\0\0\0\xa7\0\0\x01\x80\0\0\x44\x03\0\0\
\0\x70\0\0\0\xa7\0\0\x01\xa5\0\0\x48\x08\0\0\0\x88\0\0\0\xa7\0\0\x01\xb0\0\0\
\x54\x02\0\0\0\x10\0\0\x01\xcc\0\0\0\x02\0\0\0\0\0\0\0\x02\0\0\x01\xbb\0\0\0\0\
\0\0\0\x08\0\0\0\x08\0\0\x01\xbb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x7a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\
\0\0\0\0\0\xa8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\
\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\
\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x08\0\0\0\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x5e\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\x6c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x02\x18\0\0\0\0\0\0\x03\x5e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\x71\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x78\0\0\
\0\0\0\0\x01\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct bpf_iter_test_kern1 *bpf_iter_test_kern1::open(const struct bpf_object_open_opts *opts) { return bpf_iter_test_kern1__open_opts(opts); }
struct bpf_iter_test_kern1 *bpf_iter_test_kern1::open_and_load() { return bpf_iter_test_kern1__open_and_load(); }
int bpf_iter_test_kern1::load(struct bpf_iter_test_kern1 *skel) { return bpf_iter_test_kern1__load(skel); }
int bpf_iter_test_kern1::attach(struct bpf_iter_test_kern1 *skel) { return bpf_iter_test_kern1__attach(skel); }
void bpf_iter_test_kern1::detach(struct bpf_iter_test_kern1 *skel) { bpf_iter_test_kern1__detach(skel); }
void bpf_iter_test_kern1::destroy(struct bpf_iter_test_kern1 *skel) { bpf_iter_test_kern1__destroy(skel); }
const void *bpf_iter_test_kern1::elf_bytes(size_t *sz) { return bpf_iter_test_kern1__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_iter_test_kern1__assert(struct bpf_iter_test_kern1 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->count) == 4, "unexpected size of 'count'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_ITER_TEST_KERN1_SKEL_H__ */
