/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BPF_SYSCALL_MACRO_SKEL_H__
#define __BPF_SYSCALL_MACRO_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bpf_syscall_macro {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *handle_sys_prctl;
		struct bpf_program *prctl_enter;
	} progs;
	struct {
		struct bpf_link *handle_sys_prctl;
		struct bpf_link *prctl_enter;
	} links;
	struct bpf_syscall_macro__bss {
		int arg1;
		char __pad0[4];
		unsigned long arg2;
		unsigned long arg3;
		unsigned long arg4_cx;
		unsigned long arg4;
		unsigned long arg5;
		int arg1_core;
		char __pad1[4];
		unsigned long arg2_core;
		unsigned long arg3_core;
		unsigned long arg4_core_cx;
		unsigned long arg4_core;
		unsigned long arg5_core;
		int option_syscall;
		char __pad2[4];
		unsigned long arg2_syscall;
		unsigned long arg3_syscall;
		unsigned long arg4_syscall;
		unsigned long arg5_syscall;
	} *bss;
	struct bpf_syscall_macro__rodata {
		pid_t filter_pid;
	} *rodata;

#ifdef __cplusplus
	static inline struct bpf_syscall_macro *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_syscall_macro *open_and_load();
	static inline int load(struct bpf_syscall_macro *skel);
	static inline int attach(struct bpf_syscall_macro *skel);
	static inline void detach(struct bpf_syscall_macro *skel);
	static inline void destroy(struct bpf_syscall_macro *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_syscall_macro__destroy(struct bpf_syscall_macro *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_syscall_macro__create_skeleton(struct bpf_syscall_macro *obj);

static inline struct bpf_syscall_macro *
bpf_syscall_macro__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_syscall_macro *obj;
	int err;

	obj = (struct bpf_syscall_macro *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_syscall_macro__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_syscall_macro__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_syscall_macro *
bpf_syscall_macro__open(void)
{
	return bpf_syscall_macro__open_opts(NULL);
}

static inline int
bpf_syscall_macro__load(struct bpf_syscall_macro *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_syscall_macro *
bpf_syscall_macro__open_and_load(void)
{
	struct bpf_syscall_macro *obj;
	int err;

	obj = bpf_syscall_macro__open();
	if (!obj)
		return NULL;
	err = bpf_syscall_macro__load(obj);
	if (err) {
		bpf_syscall_macro__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_syscall_macro__attach(struct bpf_syscall_macro *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_syscall_macro__detach(struct bpf_syscall_macro *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_syscall_macro__elf_bytes(size_t *sz);

static inline int
bpf_syscall_macro__create_skeleton(struct bpf_syscall_macro *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_syscall_macro";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "bpf_sysc.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = "bpf_sysc.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_sys_prctl";
	s->progs[0].prog = &obj->progs.handle_sys_prctl;
	s->progs[0].link = &obj->links.handle_sys_prctl;

	s->progs[1].name = "prctl_enter";
	s->progs[1].prog = &obj->progs.prctl_enter;
	s->progs[1].link = &obj->links.prctl_enter;

	s->data = (void *)bpf_syscall_macro__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_syscall_macro__elf_bytes(size_t *sz)
{
	*sz = 7904;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\x60\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6b\x70\x72\
\x6f\x62\x65\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x70\x72\x63\
\x74\x6c\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x62\x70\x66\x5f\x73\x79\x73\x63\x61\x6c\x6c\x5f\x6d\x61\x63\x72\x6f\
\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x4c\x42\x42\x31\x5f\x32\0\x68\x61\x6e\x64\
\x6c\x65\x5f\x73\x79\x73\x5f\x70\x72\x63\x74\x6c\0\x66\x69\x6c\x74\x65\x72\x5f\
\x70\x69\x64\0\x61\x72\x67\x31\0\x61\x72\x67\x32\0\x61\x72\x67\x33\0\x61\x72\
\x67\x34\x5f\x63\x78\0\x61\x72\x67\x34\0\x61\x72\x67\x35\0\x61\x72\x67\x31\x5f\
\x63\x6f\x72\x65\0\x61\x72\x67\x32\x5f\x63\x6f\x72\x65\0\x61\x72\x67\x33\x5f\
\x63\x6f\x72\x65\0\x61\x72\x67\x34\x5f\x63\x6f\x72\x65\x5f\x63\x78\0\x61\x72\
\x67\x34\x5f\x63\x6f\x72\x65\0\x61\x72\x67\x35\x5f\x63\x6f\x72\x65\0\x70\x72\
\x63\x74\x6c\x5f\x65\x6e\x74\x65\x72\0\x61\x72\x67\x32\x5f\x73\x79\x73\x63\x61\
\x6c\x6c\0\x6f\x70\x74\x69\x6f\x6e\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x61\x72\
\x67\x33\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x61\x72\x67\x34\x5f\x73\x79\x73\x63\
\x61\x6c\x6c\0\x61\x72\x67\x35\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x73\
\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x70\x72\x63\x74\x6c\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x3f\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\x03\0\0\0\0\0\0\x03\x48\0\
\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\x03\0\0\0\0\0\0\x05\x58\0\0\0\0\0\0\0\0\0\0\0\
\x61\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x58\0\0\0\x72\x11\0\0\x05\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x7d\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\x82\x11\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\x87\
\x11\0\0\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\x8c\x11\0\0\x04\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\x94\x11\0\0\x04\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x08\0\0\0\x99\x11\0\0\x04\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x08\0\0\0\x9e\
\x11\0\0\x04\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x04\0\0\0\xa8\x11\0\0\x04\0\0\0\0\
\0\0\0\x38\0\0\0\0\0\0\0\x08\0\0\0\xb2\x11\0\0\x04\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\x08\0\0\0\xbc\x11\0\0\x04\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x08\0\0\0\xc9\
\x11\0\0\x04\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x08\0\0\0\xd3\x11\0\0\x04\0\0\0\0\
\0\0\0\x58\0\0\0\0\0\0\0\x08\0\0\0\xdd\x12\0\0\x03\0\0\0\0\0\0\x03\x58\0\0\0\0\
\0\0\x02\x10\0\0\0\xe9\x11\0\0\x04\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x08\0\0\0\
\xf6\x11\0\0\x04\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\x01\x05\x11\0\0\x04\0\
\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x08\0\0\x01\x12\x11\0\0\x04\0\0\0\0\0\0\0\x78\0\
\0\0\0\0\0\0\x08\0\0\x01\x1f\x11\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x08\0\
\0\x01\x2c\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x61\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x0e\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x77\0\0\0\0\0\0\x20\x5d\x10\0\x62\0\0\0\0\x79\x86\0\x28\0\0\0\0\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb7\x10\0\0\0\0\
\0\x30\xbf\x78\0\0\0\0\0\0\x0f\x71\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb7\x20\0\0\0\0\0\x08\xbf\x37\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\xb7\x10\0\0\
\0\0\0\x38\xbf\x98\0\0\0\0\0\0\x0f\x91\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb7\x20\0\0\0\0\0\x08\xbf\x39\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\xb7\x10\
\0\0\0\0\0\x40\xbf\x68\0\0\0\0\0\0\x0f\x61\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x08\xbf\x36\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x08\xbf\x36\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\x71\xb7\x10\0\0\0\0\0\x48\xbf\x38\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\
\x7b\xa3\xff\xf0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\
\x08\x85\0\0\0\0\0\0\x71\xb7\x10\0\0\0\0\0\0\x0f\x81\0\0\0\0\0\0\xbf\x1a\0\0\0\
\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\xbf\x38\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x2a\xff\xf8\0\0\0\
\0\x63\x12\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\
\0\0\0\0\0\x08\xbf\x37\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x79\x2a\xff\xf8\0\0\0\0\x7b\x12\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\
\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\xbf\x39\0\0\0\0\0\0\x85\0\0\
\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x2a\xff\xf8\0\0\0\0\x7b\
\x12\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\
\0\0\x08\xbf\x36\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x79\x2a\xff\xf8\0\0\0\0\x7b\x12\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\
\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\xbf\x36\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x2a\xff\xf8\0\0\0\0\x7b\x12\0\0\0\
\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\
\x79\x3a\xff\xf0\0\0\0\0\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x79\x2a\xff\xf8\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x79\x61\0\x28\0\0\0\0\xb7\x10\0\0\0\0\0\0\xbf\x36\0\0\0\0\0\0\x0f\x31\0\0\
\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\
\x85\0\0\0\0\0\0\x71\xb7\x10\0\0\0\0\0\x30\xbf\x36\0\0\0\0\0\0\x0f\x31\0\0\0\0\
\0\0\x79\x1a\xff\xf8\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\
\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\x85\0\0\0\0\0\0\x71\xb7\x10\0\0\
\0\0\0\x38\xbf\x36\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\x79\x8a\xff\xf8\0\0\0\0\xbf\
\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\x85\0\0\0\0\
\0\0\x71\xb7\x10\0\0\0\0\0\x40\xbf\x36\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\x79\x9a\
\xff\xf8\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\
\0\0\x08\x85\0\0\0\0\0\0\x71\xb7\x10\0\0\0\0\0\x48\x0f\x61\0\0\0\0\0\0\x79\x7a\
\xff\xf8\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\x20\0\0\0\
\0\0\x08\xbf\x36\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x79\x6a\xff\xf8\0\0\0\0\x85\0\
\0\0\0\0\0\x0e\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\
\0\0\0\0\x20\x5d\x10\0\x10\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x18\
\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x2a\xff\xf0\0\0\0\0\x63\
\x12\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x19\0\0\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x17\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x7b\x16\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\0\0\0\x10\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x07\0\
\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\xb8\0\0\0\x09\0\0\
\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\x01\x20\0\0\0\x0b\0\0\
\0\x01\0\0\0\0\0\0\x01\x68\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\x01\xc0\0\0\0\x0d\0\
\0\0\x01\0\0\0\0\0\0\x02\x08\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\x02\x50\0\0\0\x0f\
\0\0\0\x01\0\0\0\0\0\0\x02\x98\0\0\0\x10\0\0\0\x01\0\0\0\0\0\0\x02\xe0\0\0\0\
\x11\0\0\0\x01\0\0\0\0\0\0\x03\x28\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x04\xb0\0\0\
\0\x06\0\0\0\x01\0\0\0\0\0\0\x04\xd8\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\x04\xf0\0\
\0\0\x15\0\0\0\x01\0\0\0\0\0\0\x05\x10\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\x05\x28\
\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\x05\x40\0\0\0\x18\0\0\0\x01\xeb\x9f\x01\0\0\0\
\0\x18\0\0\0\0\0\0\x05\x30\0\0\x05\x30\0\0\x06\xef\0\0\0\0\x02\0\0\0\0\0\0\x02\
\0\0\0\x01\x04\0\0\x05\0\0\0\xc0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x09\0\0\0\x06\
\0\0\x04\xc0\0\0\0\0\0\0\0\x0c\0\0\x05\0\0\0\0\x13\0\0\0\x06\0\0\x05\x80\0\0\0\
\x19\0\0\0\x06\0\0\x05\xc0\0\0\0\0\x05\0\0\x02\0\0\0\x98\0\0\0\x1d\0\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x27\x08\0\0\0\0\0\0\x05\0\0\0\0\x04\0\0\
\x03\0\0\0\x98\0\0\0\x34\0\0\0\x07\0\0\0\0\0\0\0\x39\0\0\0\x09\0\0\0\x40\0\0\0\
\x3d\0\0\0\x0b\0\0\0\xc0\0\0\0\x42\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x06\0\0\0\x08\0\0\0\x01\0\0\0\x50\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\0\x64\x08\0\0\0\0\0\0\x0a\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\0\x6a\0\0\
\0\x06\0\0\0\0\0\0\0\x6f\0\0\0\x06\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\x08\0\0\0\x10\0\0\0\0\x05\0\0\x02\0\0\0\x10\0\0\0\0\0\0\0\x0d\0\0\0\
\0\0\0\0\x74\0\0\0\x0f\0\0\0\0\0\0\0\0\x04\0\0\x03\0\0\0\x10\0\0\0\x7d\0\0\0\
\x0e\0\0\0\0\0\0\0\x86\0\0\0\x0e\0\0\0\x20\0\0\0\x8f\0\0\0\x06\0\0\0\x40\0\0\0\
\x9d\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x74\x84\0\0\x06\0\0\0\x0c\0\0\0\xaa\0\
\0\0\x10\0\0\0\0\0\0\0\xb0\0\0\0\x12\0\0\0\x20\0\0\0\xb8\0\0\0\x12\x01\0\0\x40\
\0\0\0\xc3\0\0\0\x12\x01\0\0\x41\0\0\0\xd0\0\0\0\x12\x03\0\0\x42\0\0\0\xd4\0\0\
\0\x12\x03\0\0\x5c\0\0\0\xd9\x84\0\0\x05\0\0\0\x04\0\0\0\xe7\0\0\0\x11\x08\0\0\
\0\0\0\0\xed\0\0\0\x11\x01\0\0\x0c\0\0\0\xef\0\0\0\x11\x02\0\0\x0d\0\0\0\xf4\0\
\0\0\x11\x01\0\0\x0f\0\0\0\xf8\0\0\0\x11\x10\0\0\x10\0\0\0\xff\x08\0\0\0\0\0\0\
\x0e\0\0\x01\x05\x08\0\0\0\0\0\0\x11\0\0\0\0\x0d\0\0\x01\0\0\0\x14\0\0\x01\x09\
\0\0\0\x01\0\0\x01\x0d\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\x01\x11\x0c\0\0\x01\
\0\0\0\x13\0\0\x01\x22\x04\0\0\x01\0\0\0\x08\0\0\0\x09\0\0\0\x06\0\0\0\0\0\0\
\x01\x31\x0c\0\0\x01\0\0\0\x13\0\0\x01\x3d\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\
\x01\x42\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\x47\x0e\0\0\0\0\0\0\x06\0\0\0\
\x01\0\0\x01\x4c\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\x54\x0e\0\0\0\0\0\0\x06\
\0\0\0\x01\0\0\x01\x59\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\x5e\x0e\0\0\0\0\0\
\0\x14\0\0\0\x01\0\0\x01\x68\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\x72\x0e\0\0\
\0\0\0\0\x06\0\0\0\x01\0\0\x01\x7c\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\x89\
\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\x93\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\
\x01\x9d\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\x01\xac\x0e\0\0\0\0\0\0\x06\0\0\0\
\x01\0\0\x01\xb9\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\xc6\x0e\0\0\0\0\0\0\x06\
\0\0\0\x01\0\0\x01\xd3\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\
\x2a\0\0\0\0\x09\0\0\0\0\0\0\x2b\0\0\x01\xe0\x08\0\0\0\0\0\0\x2c\0\0\x01\xe6\
\x08\0\0\0\0\0\0\x14\0\0\x01\xf5\x0e\0\0\0\0\0\0\x29\0\0\0\x01\0\0\x02\0\x01\0\
\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x08\0\0\0\
\x04\0\0\x02\x05\x0e\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\x06\xc1\x0f\0\0\x11\0\0\0\
\x88\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\0\x19\0\0\0\x08\0\0\0\x08\0\0\0\x1a\0\0\0\
\x10\0\0\0\x08\0\0\0\x1b\0\0\0\x18\0\0\0\x08\0\0\0\x1c\0\0\0\x20\0\0\0\x08\0\0\
\0\x1d\0\0\0\x28\0\0\0\x08\0\0\0\x1e\0\0\0\x30\0\0\0\x04\0\0\0\x1f\0\0\0\x38\0\
\0\0\x08\0\0\0\x20\0\0\0\x40\0\0\0\x08\0\0\0\x21\0\0\0\x48\0\0\0\x08\0\0\0\x22\
\0\0\0\x50\0\0\0\x08\0\0\0\x23\0\0\0\x58\0\0\0\x08\0\0\0\x24\0\0\0\x60\0\0\0\
\x04\0\0\0\x25\0\0\0\x68\0\0\0\x08\0\0\0\x26\0\0\0\x70\0\0\0\x08\0\0\0\x27\0\0\
\0\x78\0\0\0\x08\0\0\0\x28\0\0\0\x80\0\0\0\x08\0\0\x06\xc6\x0f\0\0\x01\0\0\0\
\x04\0\0\0\x2d\0\0\0\0\0\0\0\x04\0\0\x06\xce\x0f\0\0\x01\0\0\0\x04\0\0\0\x30\0\
\0\0\0\0\0\0\x04\0\x70\x74\x5f\x72\x65\x67\x73\0\x6f\x72\x69\x67\x5f\x67\x70\
\x72\x32\0\x66\x6c\x61\x67\x73\0\x63\x72\x31\0\x75\x73\x65\x72\x5f\x72\x65\x67\
\x73\0\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x61\x72\x67\x73\0\x70\
\x73\x77\0\x67\x70\x72\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x70\x73\x77\x5f\x74\0\x6d\x61\x73\x6b\0\x61\x64\x64\x72\0\x74\x70\x69\
\x5f\x69\x6e\x66\x6f\0\x69\x6e\x74\x5f\x63\x6f\x64\x65\0\x69\x6e\x74\x5f\x70\
\x61\x72\x6d\0\x69\x6e\x74\x5f\x70\x61\x72\x6d\x5f\x6c\x6f\x6e\x67\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x73\x63\x68\x69\x64\0\x69\x6e\x74\
\x70\x61\x72\x6d\0\x61\x64\x61\x70\x74\x65\x72\x5f\x49\x4f\0\x64\x69\x72\x65\
\x63\x74\x65\x64\x5f\x69\x72\x71\0\x69\x73\x63\0\x74\x79\x70\x65\0\x73\x75\x62\
\x63\x68\x61\x6e\x6e\x65\x6c\x5f\x69\x64\0\x63\x73\x73\x69\x64\0\x6d\0\x73\x73\
\x69\x64\0\x6f\x6e\x65\0\x73\x63\x68\x5f\x6e\x6f\0\x5f\x5f\x75\x33\x32\0\x75\
\x33\x32\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\
\x5f\x70\x72\x63\x74\x6c\0\x70\x74\x5f\x72\x65\x67\x73\x5f\x5f\x5f\x73\x33\x39\
\x30\0\x70\x72\x63\x74\x6c\x5f\x65\x6e\x74\x65\x72\0\x61\x72\x67\x31\0\x61\x72\
\x67\x32\0\x61\x72\x67\x33\0\x61\x72\x67\x34\x5f\x63\x78\0\x61\x72\x67\x34\0\
\x61\x72\x67\x35\0\x61\x72\x67\x31\x5f\x63\x6f\x72\x65\0\x61\x72\x67\x32\x5f\
\x63\x6f\x72\x65\0\x61\x72\x67\x33\x5f\x63\x6f\x72\x65\0\x61\x72\x67\x34\x5f\
\x63\x6f\x72\x65\x5f\x63\x78\0\x61\x72\x67\x34\x5f\x63\x6f\x72\x65\0\x61\x72\
\x67\x35\x5f\x63\x6f\x72\x65\0\x6f\x70\x74\x69\x6f\x6e\x5f\x73\x79\x73\x63\x61\
\x6c\x6c\0\x61\x72\x67\x32\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x61\x72\x67\x33\
\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x61\x72\x67\x34\x5f\x73\x79\x73\x63\x61\x6c\
\x6c\0\x61\x72\x67\x35\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x70\x69\x64\x5f\x74\0\
\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x70\x69\x64\x5f\x74\0\x66\x69\x6c\x74\x65\
\x72\x5f\x70\x69\x64\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\
\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\
\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\x66\x5f\x73\x79\x73\x63\x61\x6c\
\x6c\x5f\x6d\x61\x63\x72\x6f\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x4b\x50\
\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\x73\x5f\x70\x72\x63\
\x74\x6c\x29\0\x09\x70\x69\x64\x5f\x74\x20\x70\x69\x64\x20\x3d\x20\x62\x70\x66\
\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\
\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x70\x69\x64\
\x20\x21\x3d\x20\x66\x69\x6c\x74\x65\x72\x5f\x70\x69\x64\x29\0\x09\x72\x65\x61\
\x6c\x5f\x72\x65\x67\x73\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x53\x59\
\x53\x43\x41\x4c\x4c\x5f\x52\x45\x47\x53\x28\x63\x74\x78\x29\x3b\0\x09\x61\x72\
\x67\x31\x20\x3d\x20\x74\x6d\x70\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\
\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x61\x72\x67\x32\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x61\x72\x67\x32\x29\x2c\x20\x26\x50\x54\x5f\
\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x32\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\
\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x72\
\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x61\x72\
\x67\x33\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x61\x72\x67\x33\x29\x2c\x20\x26\
\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x33\x5f\x53\x59\x53\x43\x41\
\x4c\x4c\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x29\x3b\0\x09\x62\x70\x66\
\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\
\x26\x61\x72\x67\x34\x5f\x63\x78\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x61\x72\
\x67\x34\x5f\x63\x78\x29\x2c\x20\x26\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\
\x52\x4d\x34\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x29\x3b\0\x09\x62\x70\
\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\
\x28\x26\x61\x72\x67\x34\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x61\x72\x67\x34\
\x29\x2c\x20\x26\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x34\x5f\x53\
\x59\x53\x43\x41\x4c\x4c\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x29\x3b\0\
\x09\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\
\x6e\x65\x6c\x28\x26\x61\x72\x67\x35\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x61\
\x72\x67\x35\x29\x2c\x20\x26\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\
\x35\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\
\x29\x29\x3b\0\x09\x61\x72\x67\x31\x5f\x63\x6f\x72\x65\x20\x3d\x20\x50\x54\x5f\
\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x31\x5f\x43\x4f\x52\x45\x5f\x53\x59\x53\
\x43\x41\x4c\x4c\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x3b\0\x09\x61\x72\
\x67\x32\x5f\x63\x6f\x72\x65\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\
\x41\x52\x4d\x32\x5f\x43\x4f\x52\x45\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\x72\
\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x3b\0\x09\x61\x72\x67\x33\x5f\x63\x6f\x72\
\x65\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x33\x5f\x43\
\x4f\x52\x45\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\x72\x65\x61\x6c\x5f\x72\x65\
\x67\x73\x29\x3b\0\x09\x61\x72\x67\x34\x5f\x63\x6f\x72\x65\x5f\x63\x78\x20\x3d\
\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x34\x5f\x43\x4f\x52\x45\
\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x3b\0\x09\x61\x72\x67\x34\x5f\x63\
\x6f\x72\x65\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x34\
\x5f\x43\x4f\x52\x45\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\x72\x65\x61\x6c\x5f\
\x72\x65\x67\x73\x29\x3b\0\x09\x61\x72\x67\x35\x5f\x63\x6f\x72\x65\x20\x3d\x20\
\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x35\x5f\x43\x4f\x52\x45\x5f\
\x53\x59\x53\x43\x41\x4c\x4c\x28\x72\x65\x61\x6c\x5f\x72\x65\x67\x73\x29\x3b\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x4b\x50\x52\x4f\x42\x45\x5f\x53\x59\x53\x43\
\x41\x4c\x4c\x28\x70\x72\x63\x74\x6c\x5f\x65\x6e\x74\x65\x72\x2c\x20\x69\x6e\
\x74\x20\x6f\x70\x74\x69\x6f\x6e\x2c\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\x20\x61\x72\x67\x32\x2c\0\x09\x61\x72\x67\x32\x5f\x73\x79\x73\
\x63\x61\x6c\x6c\x20\x3d\x20\x61\x72\x67\x32\x3b\0\x09\x6f\x70\x74\x69\x6f\x6e\
\x5f\x73\x79\x73\x63\x61\x6c\x6c\x20\x3d\x20\x6f\x70\x74\x69\x6f\x6e\x3b\0\x09\
\x61\x72\x67\x33\x5f\x73\x79\x73\x63\x61\x6c\x6c\x20\x3d\x20\x61\x72\x67\x33\
\x3b\0\x09\x61\x72\x67\x34\x5f\x73\x79\x73\x63\x61\x6c\x6c\x20\x3d\x20\x61\x72\
\x67\x34\x3b\0\x09\x61\x72\x67\x35\x5f\x73\x79\x73\x63\x61\x6c\x6c\x20\x3d\x20\
\x61\x72\x67\x35\x3b\0\x30\x3a\x32\x3a\x32\0\x30\x3a\x32\x3a\x33\0\x30\x3a\x32\
\x3a\x34\0\x30\x3a\x32\x3a\x35\0\x30\x3a\x32\x3a\x36\0\x30\x3a\x30\0\x2e\x62\
\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\x70\
\x72\x6f\x62\x65\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x70\x72\
\x63\x74\x6c\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\x04\
\x6c\0\0\x04\x88\0\0\0\xcc\0\0\0\x08\0\0\x06\xd6\0\0\0\x02\0\0\0\0\0\0\0\x15\0\
\0\x03\x58\0\0\0\x17\0\0\0\x10\0\0\x06\xd6\0\0\0\x46\0\0\0\0\0\0\x02\x0e\0\0\
\x02\x8b\0\0\x84\0\0\0\0\x08\0\0\x02\x0e\0\0\x02\xac\0\0\x90\x0e\0\0\0\x10\0\0\
\x02\x0e\0\0\x02\xdb\0\0\x9c\x0d\0\0\0\x28\0\0\x02\x0e\0\0\x02\xac\0\0\x90\x29\
\0\0\0\x30\0\0\x02\x0e\0\0\x02\xdb\0\0\x9c\x06\0\0\0\x38\0\0\x02\x0e\0\0\x02\
\xf3\0\0\xa8\x0e\0\0\0\x40\0\0\x02\x0e\0\0\x03\x1b\0\0\xc4\x07\0\0\0\x78\0\0\
\x02\x0e\0\0\x03\x28\0\0\xc8\x02\0\0\0\xb8\0\0\x02\x0e\0\0\x03\x78\0\0\xcc\x02\
\0\0\0\xf8\0\0\x02\x0e\0\0\x03\xc8\0\0\xd0\x02\0\0\x01\x20\0\0\x02\x0e\0\0\x04\
\x16\0\0\xd4\x02\0\0\x01\x60\0\0\x02\x0e\0\0\x04\x66\0\0\xd8\x02\0\0\x01\xa0\0\
\0\x02\x0e\0\0\x02\xf3\0\0\xa8\x0e\0\0\x01\xa8\0\0\x02\x0e\0\0\x04\xb6\0\0\xe4\
\x0e\0\0\x01\xc0\0\0\x02\x0e\0\0\x04\xb6\0\0\xe4\x0c\0\0\x01\xd0\0\0\x02\x0e\0\
\0\x04\xb6\0\0\xe4\x0e\0\0\x01\xd8\0\0\x02\x0e\0\0\x04\xb6\0\0\xe4\x0c\0\0\x01\
\xe8\0\0\x02\x0e\0\0\x02\xf3\0\0\xa8\x0e\0\0\x01\xf0\0\0\x02\x0e\0\0\x04\xea\0\
\0\xe8\x0e\0\0\x02\x08\0\0\x02\x0e\0\0\x04\xea\0\0\xe8\x0c\0\0\x02\x18\0\0\x02\
\x0e\0\0\x04\xea\0\0\xe8\x0e\0\0\x02\x20\0\0\x02\x0e\0\0\x04\xea\0\0\xe8\x0c\0\
\0\x02\x30\0\0\x02\x0e\0\0\x02\xf3\0\0\xa8\x0e\0\0\x02\x38\0\0\x02\x0e\0\0\x05\
\x1e\0\0\xec\x0e\0\0\x02\x50\0\0\x02\x0e\0\0\x05\x1e\0\0\xec\x0c\0\0\x02\x60\0\
\0\x02\x0e\0\0\x05\x1e\0\0\xec\x0e\0\0\x02\x68\0\0\x02\x0e\0\0\x05\x1e\0\0\xec\
\x0c\0\0\x02\x78\0\0\x02\x0e\0\0\x02\xf3\0\0\xa8\x0e\0\0\x02\x80\0\0\x02\x0e\0\
\0\x05\x52\0\0\xf0\x11\0\0\x02\x98\0\0\x02\x0e\0\0\x05\x52\0\0\xf0\x0f\0\0\x02\
\xa8\0\0\x02\x0e\0\0\x05\x52\0\0\xf0\x11\0\0\x02\xb0\0\0\x02\x0e\0\0\x05\x52\0\
\0\xf0\x0f\0\0\x02\xc0\0\0\x02\x0e\0\0\x02\xf3\0\0\xa8\x0e\0\0\x02\xc8\0\0\x02\
\x0e\0\0\x05\x81\0\0\xf4\x0e\0\0\x02\xe0\0\0\x02\x0e\0\0\x05\x81\0\0\xf4\x0c\0\
\0\x02\xf0\0\0\x02\x0e\0\0\x05\x81\0\0\xf4\x0e\0\0\x02\xf8\0\0\x02\x0e\0\0\x05\
\x81\0\0\xf4\x0c\0\0\x03\x08\0\0\x02\x0e\0\0\x02\xf3\0\0\xa8\x0e\0\0\x03\x10\0\
\0\x02\x0e\0\0\x05\xb5\0\0\xf8\x0e\0\0\x03\x28\0\0\x02\x0e\0\0\x05\xb5\0\0\xf8\
\x0c\0\0\x03\x38\0\0\x02\x0e\0\0\x05\xb5\0\0\xf8\x0e\0\0\x03\x40\0\0\x02\x0e\0\
\0\x05\xb5\0\0\xf8\x0c\0\0\x03\x48\0\0\x02\x0e\0\0\x02\x8b\0\0\x84\x05\0\0\x03\
\x58\0\0\x02\x0e\0\0\x05\xe9\0\x01\x10\x05\0\0\x03\x80\0\0\x02\x0e\0\0\0\0\0\0\
\0\0\0\0\x03\x88\0\0\x02\x0e\0\0\x05\xe9\0\x01\x10\x05\0\0\x03\xb0\0\0\x02\x0e\
\0\0\x05\xe9\0\x01\x10\x05\0\0\x03\xb8\0\0\x02\x0e\0\0\x05\xe9\0\x01\x10\x05\0\
\0\x03\xc8\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\x03\xd0\0\0\x02\x0e\0\0\x05\xe9\0\
\x01\x10\x05\0\0\x03\xf8\0\0\x02\x0e\0\0\x05\xe9\0\x01\x10\x05\0\0\x04\x08\0\0\
\x02\x0e\0\0\0\0\0\0\0\0\0\0\x04\x10\0\0\x02\x0e\0\0\x05\xe9\0\x01\x10\x05\0\0\
\x04\x38\0\0\x02\x0e\0\0\x05\xe9\0\x01\x10\x05\0\0\x04\x48\0\0\x02\x0e\0\0\0\0\
\0\0\0\0\0\0\x04\x50\0\0\x02\x0e\0\0\x05\xe9\0\x01\x10\x05\0\0\x04\x70\0\0\x02\
\x0e\0\0\x05\xe9\0\x01\x10\x05\0\0\x04\x80\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\x04\
\x88\0\0\x02\x0e\0\0\x05\xe9\0\x01\x10\x05\0\0\x04\xa0\0\0\x02\x0e\0\0\x05\xe9\
\0\x01\x10\x05\0\0\x04\xa8\0\0\x02\x0e\0\0\x02\xac\0\x01\x1c\x0e\0\0\x04\xb0\0\
\0\x02\x0e\0\0\x02\xdb\0\x01\x24\x0d\0\0\x04\xc8\0\0\x02\x0e\0\0\x02\xac\0\x01\
\x1c\x29\0\0\x04\xd0\0\0\x02\x0e\0\0\x02\xdb\0\x01\x24\x06\0\0\x04\xd8\0\0\x02\
\x0e\0\0\x06\x2d\0\x01\x34\x0f\0\0\x04\xf0\0\0\x02\x0e\0\0\x06\x43\0\x01\x30\
\x11\0\0\x05\x10\0\0\x02\x0e\0\0\x06\x5d\0\x01\x38\x0f\0\0\x05\x28\0\0\x02\x0e\
\0\0\x06\x73\0\x01\x3c\x0f\0\0\x05\x40\0\0\x02\x0e\0\0\x06\x89\0\x01\x40\x0f\0\
\0\x05\x58\0\0\x02\x0e\0\0\x05\xe9\0\x01\x10\x05\0\0\0\x10\0\0\x06\xd6\0\0\0\
\x0c\0\0\0\x38\0\0\0\x04\0\0\x06\x9f\0\0\0\0\0\0\0\x60\0\0\0\x04\0\0\x06\xa5\0\
\0\0\0\0\0\0\xa0\0\0\0\x04\0\0\x06\xab\0\0\0\0\0\0\0\xe0\0\0\0\x04\0\0\x06\xb1\
\0\0\0\0\0\0\x01\x48\0\0\0\x04\0\0\x06\xb7\0\0\0\0\0\0\x01\x88\0\0\0\x16\0\0\
\x06\xbd\0\0\0\0\0\0\x03\x58\0\0\0\x04\0\0\x06\x9f\0\0\0\0\0\0\x03\x60\0\0\0\
\x16\0\0\x06\xbd\0\0\0\0\0\0\x03\x98\0\0\0\x04\0\0\x06\xa5\0\0\0\0\0\0\x03\xe0\
\0\0\0\x04\0\0\x06\xab\0\0\0\0\0\0\x04\x20\0\0\0\x04\0\0\x06\xb1\0\0\0\0\0\0\
\x04\x60\0\0\0\x04\0\0\x06\xb7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\x01\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xa0\0\
\0\0\0\0\0\x02\x70\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\
\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x10\0\0\0\0\0\
\0\x05\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\
\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x78\0\0\0\0\0\0\0\x88\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\0\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x78\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\x7c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\x01\x35\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x09\x80\0\0\0\0\0\0\x01\x30\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\x01\x52\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x0a\xb0\0\0\0\0\0\0\x0c\x37\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\x01\x57\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\xe8\
\0\0\0\0\0\0\x05\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct bpf_syscall_macro *bpf_syscall_macro::open(const struct bpf_object_open_opts *opts) { return bpf_syscall_macro__open_opts(opts); }
struct bpf_syscall_macro *bpf_syscall_macro::open_and_load() { return bpf_syscall_macro__open_and_load(); }
int bpf_syscall_macro::load(struct bpf_syscall_macro *skel) { return bpf_syscall_macro__load(skel); }
int bpf_syscall_macro::attach(struct bpf_syscall_macro *skel) { return bpf_syscall_macro__attach(skel); }
void bpf_syscall_macro::detach(struct bpf_syscall_macro *skel) { bpf_syscall_macro__detach(skel); }
void bpf_syscall_macro::destroy(struct bpf_syscall_macro *skel) { bpf_syscall_macro__destroy(skel); }
const void *bpf_syscall_macro::elf_bytes(size_t *sz) { return bpf_syscall_macro__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_syscall_macro__assert(struct bpf_syscall_macro *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->arg1) == 4, "unexpected size of 'arg1'");
	_Static_assert(sizeof(s->bss->arg2) == 8, "unexpected size of 'arg2'");
	_Static_assert(sizeof(s->bss->arg3) == 8, "unexpected size of 'arg3'");
	_Static_assert(sizeof(s->bss->arg4_cx) == 8, "unexpected size of 'arg4_cx'");
	_Static_assert(sizeof(s->bss->arg4) == 8, "unexpected size of 'arg4'");
	_Static_assert(sizeof(s->bss->arg5) == 8, "unexpected size of 'arg5'");
	_Static_assert(sizeof(s->bss->arg1_core) == 4, "unexpected size of 'arg1_core'");
	_Static_assert(sizeof(s->bss->arg2_core) == 8, "unexpected size of 'arg2_core'");
	_Static_assert(sizeof(s->bss->arg3_core) == 8, "unexpected size of 'arg3_core'");
	_Static_assert(sizeof(s->bss->arg4_core_cx) == 8, "unexpected size of 'arg4_core_cx'");
	_Static_assert(sizeof(s->bss->arg4_core) == 8, "unexpected size of 'arg4_core'");
	_Static_assert(sizeof(s->bss->arg5_core) == 8, "unexpected size of 'arg5_core'");
	_Static_assert(sizeof(s->bss->option_syscall) == 4, "unexpected size of 'option_syscall'");
	_Static_assert(sizeof(s->bss->arg2_syscall) == 8, "unexpected size of 'arg2_syscall'");
	_Static_assert(sizeof(s->bss->arg3_syscall) == 8, "unexpected size of 'arg3_syscall'");
	_Static_assert(sizeof(s->bss->arg4_syscall) == 8, "unexpected size of 'arg4_syscall'");
	_Static_assert(sizeof(s->bss->arg5_syscall) == 8, "unexpected size of 'arg5_syscall'");
	_Static_assert(sizeof(s->rodata->filter_pid) == 4, "unexpected size of 'filter_pid'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_SYSCALL_MACRO_SKEL_H__ */
