/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BTF_TYPE_TAG_USER_SKEL_H__
#define __BTF_TYPE_TAG_USER_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct btf_type_tag_user {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_user1;
		struct bpf_program *test_user2;
		struct bpf_program *test_sys_getsockname;
	} progs;
	struct {
		struct bpf_link *test_user1;
		struct bpf_link *test_user2;
		struct bpf_link *test_sys_getsockname;
	} links;
	struct btf_type_tag_user__bss {
		int g;
	} *bss;

#ifdef __cplusplus
	static inline struct btf_type_tag_user *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct btf_type_tag_user *open_and_load();
	static inline int load(struct btf_type_tag_user *skel);
	static inline int attach(struct btf_type_tag_user *skel);
	static inline void detach(struct btf_type_tag_user *skel);
	static inline void destroy(struct btf_type_tag_user *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
btf_type_tag_user__destroy(struct btf_type_tag_user *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
btf_type_tag_user__create_skeleton(struct btf_type_tag_user *obj);

static inline struct btf_type_tag_user *
btf_type_tag_user__open_opts(const struct bpf_object_open_opts *opts)
{
	struct btf_type_tag_user *obj;
	int err;

	obj = (struct btf_type_tag_user *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = btf_type_tag_user__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	btf_type_tag_user__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct btf_type_tag_user *
btf_type_tag_user__open(void)
{
	return btf_type_tag_user__open_opts(NULL);
}

static inline int
btf_type_tag_user__load(struct btf_type_tag_user *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct btf_type_tag_user *
btf_type_tag_user__open_and_load(void)
{
	struct btf_type_tag_user *obj;
	int err;

	obj = btf_type_tag_user__open();
	if (!obj)
		return NULL;
	err = btf_type_tag_user__load(obj);
	if (err) {
		btf_type_tag_user__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
btf_type_tag_user__attach(struct btf_type_tag_user *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
btf_type_tag_user__detach(struct btf_type_tag_user *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *btf_type_tag_user__elf_bytes(size_t *sz);

static inline int
btf_type_tag_user__create_skeleton(struct btf_type_tag_user *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "btf_type_tag_user";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "btf_type.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_user1";
	s->progs[0].prog = &obj->progs.test_user1;
	s->progs[0].link = &obj->links.test_user1;

	s->progs[1].name = "test_user2";
	s->progs[1].prog = &obj->progs.test_user2;
	s->progs[1].link = &obj->links.test_user2;

	s->progs[2].name = "test_sys_getsockname";
	s->progs[2].prog = &obj->progs.test_sys_getsockname;
	s->progs[2].link = &obj->links.test_sys_getsockname;

	s->data = (void *)btf_type_tag_user__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *btf_type_tag_user__elf_bytes(size_t *sz)
{
	*sz = 2944;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x80\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\
\x74\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\x67\x5f\x75\x73\x65\x72\
\x5f\x31\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\
\x64\x5f\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\x67\
\x5f\x75\x73\x65\x72\x5f\x32\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x79\x73\
\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6e\x61\x6d\x65\0\x2e\x62\x73\x73\0\x62\x74\
\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\x67\x5f\x75\x73\x65\x72\x2e\x63\0\x74\x65\
\x73\x74\x5f\x75\x73\x65\x72\x31\0\x67\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\
\x32\0\x74\x65\x73\x74\x5f\x73\x79\x73\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6e\x61\
\x6d\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\
\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\
\x5f\x74\x61\x67\x5f\x75\x73\x65\x72\x5f\x31\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\
\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\
\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\x67\x5f\x75\x73\x65\x72\x5f\
\x32\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x79\x73\x5f\x67\
\x65\x74\x73\x6f\x63\x6b\x6e\x61\x6d\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x87\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9b\x12\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\xa6\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\xa8\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\xb3\
\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x79\x11\0\0\0\0\0\0\x61\x11\0\0\
\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x61\x11\0\0\0\0\
\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x79\x11\0\x08\0\0\0\0\x69\x11\0\0\0\0\0\0\x18\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x06\0\0\0\x01\0\0\0\
\0\0\0\0\x10\0\0\0\x06\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x01\x10\0\
\0\x01\x10\0\0\x02\xa5\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x01\0\0\0\0\0\0\
\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\x01\
\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x1c\x0c\0\0\x01\0\0\0\x03\0\0\0\x27\x0c\0\0\
\x01\0\0\0\x03\0\0\0\x32\x0c\0\0\x01\0\0\0\x03\0\0\0\x47\x04\0\0\x02\0\0\0\x10\
\0\0\0\x50\0\0\0\x09\0\0\0\0\0\0\0\x5a\0\0\0\x0d\0\0\0\x10\0\0\0\x62\x08\0\0\0\
\0\0\0\x0a\0\0\0\x6e\x08\0\0\0\0\0\0\x0b\0\0\0\x83\x01\0\0\0\0\0\0\x02\0\0\0\
\x10\0\0\0\x92\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x0c\0\0\0\x0e\0\0\0\x0e\0\0\0\x97\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\xab\x0e\
\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x02\x2f\x0f\0\0\x01\0\0\0\x04\0\0\0\x0f\0\0\0\0\
\0\0\0\x04\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\x31\
\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\x32\0\x74\x65\x73\x74\x5f\x73\x79\x73\
\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6e\x61\x6d\x65\0\x73\x6f\x63\x6b\x61\x64\x64\
\x72\0\x73\x61\x5f\x66\x61\x6d\x69\x6c\x79\0\x73\x61\x5f\x64\x61\x74\x61\0\x73\
\x61\x5f\x66\x61\x6d\x69\x6c\x79\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\
\x73\x61\x5f\x66\x61\x6d\x69\x6c\x79\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x73\x68\x6f\x72\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x67\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\
\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\x67\x5f\x75\x73\
\x65\x72\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\
\x73\x74\x5f\x75\x73\x65\x72\x31\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x62\x70\
\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\
\x74\x61\x67\x5f\x31\x20\x2a\x61\x72\x67\x29\0\x09\x67\x20\x3d\x20\x61\x72\x67\
\x2d\x3e\x61\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\
\x73\x74\x5f\x75\x73\x65\x72\x32\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x62\x70\
\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\
\x74\x61\x67\x5f\x32\x20\x2a\x61\x72\x67\x29\0\x09\x67\x20\x3d\x20\x61\x72\x67\
\x2d\x3e\x70\x2d\x3e\x61\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x28\x74\x65\x73\x74\x5f\x73\x79\x73\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6e\x61\
\x6d\x65\x2c\x20\x69\x6e\x74\x20\x66\x64\x2c\x20\x73\x74\x72\x75\x63\x74\x20\
\x73\x6f\x63\x6b\x61\x64\x64\x72\x20\x2a\x75\x73\x6f\x63\x6b\x61\x64\x64\x72\
\x2c\0\x09\x67\x20\x3d\x20\x75\x73\x6f\x63\x6b\x61\x64\x64\x72\x2d\x3e\x73\x61\
\x5f\x66\x61\x6d\x69\x6c\x79\x3b\0\x30\x3a\x30\0\x2e\x62\x73\x73\0\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\
\x74\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\x67\x5f\x75\x73\x65\x72\
\x5f\x31\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\
\x64\x5f\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x74\x79\x70\x65\x5f\x74\x61\x67\
\x5f\x75\x73\x65\x72\x5f\x32\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x79\x73\
\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6e\x61\x6d\x65\0\0\0\0\xeb\x9f\x01\0\0\0\0\
\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\xec\0\0\x01\x20\0\0\0\x1c\0\0\0\x08\0\0\
\x02\x34\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\x02\x60\0\0\0\x01\0\0\0\0\0\0\0\x06\0\
\0\x02\x8c\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\x02\x34\0\0\0\x04\0\0\0\0\
\0\0\0\xad\0\0\x01\x2a\0\0\x48\x05\0\0\0\x08\0\0\0\xad\0\0\x01\x6b\0\0\x50\x0b\
\0\0\0\x10\0\0\0\xad\0\0\x01\x6b\0\0\x50\x04\0\0\0\x28\0\0\0\xad\0\0\x01\x2a\0\
\0\x48\x05\0\0\x02\x60\0\0\0\x05\0\0\0\0\0\0\0\xad\0\0\x01\x78\0\0\x64\x05\0\0\
\0\x08\0\0\0\xad\0\0\x01\xb9\0\0\x6c\x0b\0\0\0\x10\0\0\0\xad\0\0\x01\xb9\0\0\
\x6c\x0e\0\0\0\x18\0\0\0\xad\0\0\x01\xb9\0\0\x6c\x04\0\0\0\x30\0\0\0\xad\0\0\
\x01\x78\0\0\x64\x05\0\0\x02\x8c\0\0\0\x04\0\0\0\0\0\0\0\xad\0\0\x01\xc9\0\0\
\x8c\x05\0\0\0\x08\0\0\0\xad\0\0\x02\x10\0\0\x98\x11\0\0\0\x10\0\0\0\xad\0\0\
\x02\x10\0\0\x98\x04\0\0\0\x28\0\0\0\xad\0\0\x01\xc9\0\0\x8c\x05\0\0\0\x10\0\0\
\x02\x8c\0\0\0\x01\0\0\0\x08\0\0\0\x08\0\0\x02\x2b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\x53\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\x98\0\0\0\0\0\0\0\xd8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x70\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\x3d\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa8\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x69\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xe8\0\0\0\0\0\0\0\x38\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x82\0\0\0\x08\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x20\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\x20\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xf8\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\x30\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\x01\x28\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\x40\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\x01\x45\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\x50\0\0\0\0\0\0\x03\xcd\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\x01\x4a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x20\0\0\
\0\0\0\0\x01\x5c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct btf_type_tag_user *btf_type_tag_user::open(const struct bpf_object_open_opts *opts) { return btf_type_tag_user__open_opts(opts); }
struct btf_type_tag_user *btf_type_tag_user::open_and_load() { return btf_type_tag_user__open_and_load(); }
int btf_type_tag_user::load(struct btf_type_tag_user *skel) { return btf_type_tag_user__load(skel); }
int btf_type_tag_user::attach(struct btf_type_tag_user *skel) { return btf_type_tag_user__attach(skel); }
void btf_type_tag_user::detach(struct btf_type_tag_user *skel) { btf_type_tag_user__detach(skel); }
void btf_type_tag_user::destroy(struct btf_type_tag_user *skel) { btf_type_tag_user__destroy(skel); }
const void *btf_type_tag_user::elf_bytes(size_t *sz) { return btf_type_tag_user__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
btf_type_tag_user__assert(struct btf_type_tag_user *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->g) == 4, "unexpected size of 'g'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BTF_TYPE_TAG_USER_SKEL_H__ */
