/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __FENTRY_TEST_LSKEL_SKEL_H__
#define __FENTRY_TEST_LSKEL_SKEL_H__

#include <bpf/skel_internal.h>

struct fentry_test_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc test1;
		struct bpf_prog_desc test2;
		struct bpf_prog_desc test3;
		struct bpf_prog_desc test4;
		struct bpf_prog_desc test5;
		struct bpf_prog_desc test6;
		struct bpf_prog_desc test7;
		struct bpf_prog_desc test8;
	} progs;
	struct {
		int test1_fd;
		int test2_fd;
		int test3_fd;
		int test4_fd;
		int test5_fd;
		int test6_fd;
		int test7_fd;
		int test8_fd;
	} links;
	struct fentry_test_lskel__bss {
		__u64 test1_result;
		__u64 test2_result;
		__u64 test3_result;
		__u64 test4_result;
		__u64 test5_result;
		__u64 test6_result;
		__u64 test7_result;
		__u64 test8_result;
	} *bss;
};

static inline int
fentry_test_lskel__test1__attach(struct fentry_test_lskel *skel)
{
	int prog_fd = skel->progs.test1.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test1_fd = fd;
	return fd;
}

static inline int
fentry_test_lskel__test2__attach(struct fentry_test_lskel *skel)
{
	int prog_fd = skel->progs.test2.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test2_fd = fd;
	return fd;
}

static inline int
fentry_test_lskel__test3__attach(struct fentry_test_lskel *skel)
{
	int prog_fd = skel->progs.test3.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test3_fd = fd;
	return fd;
}

static inline int
fentry_test_lskel__test4__attach(struct fentry_test_lskel *skel)
{
	int prog_fd = skel->progs.test4.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test4_fd = fd;
	return fd;
}

static inline int
fentry_test_lskel__test5__attach(struct fentry_test_lskel *skel)
{
	int prog_fd = skel->progs.test5.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test5_fd = fd;
	return fd;
}

static inline int
fentry_test_lskel__test6__attach(struct fentry_test_lskel *skel)
{
	int prog_fd = skel->progs.test6.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test6_fd = fd;
	return fd;
}

static inline int
fentry_test_lskel__test7__attach(struct fentry_test_lskel *skel)
{
	int prog_fd = skel->progs.test7.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test7_fd = fd;
	return fd;
}

static inline int
fentry_test_lskel__test8__attach(struct fentry_test_lskel *skel)
{
	int prog_fd = skel->progs.test8.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test8_fd = fd;
	return fd;
}

static inline int
fentry_test_lskel__attach(struct fentry_test_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : fentry_test_lskel__test1__attach(skel);
	ret = ret < 0 ? ret : fentry_test_lskel__test2__attach(skel);
	ret = ret < 0 ? ret : fentry_test_lskel__test3__attach(skel);
	ret = ret < 0 ? ret : fentry_test_lskel__test4__attach(skel);
	ret = ret < 0 ? ret : fentry_test_lskel__test5__attach(skel);
	ret = ret < 0 ? ret : fentry_test_lskel__test6__attach(skel);
	ret = ret < 0 ? ret : fentry_test_lskel__test7__attach(skel);
	ret = ret < 0 ? ret : fentry_test_lskel__test8__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
fentry_test_lskel__detach(struct fentry_test_lskel *skel)
{
	skel_closenz(skel->links.test1_fd);
	skel_closenz(skel->links.test2_fd);
	skel_closenz(skel->links.test3_fd);
	skel_closenz(skel->links.test4_fd);
	skel_closenz(skel->links.test5_fd);
	skel_closenz(skel->links.test6_fd);
	skel_closenz(skel->links.test7_fd);
	skel_closenz(skel->links.test8_fd);
}
static void
fentry_test_lskel__destroy(struct fentry_test_lskel *skel)
{
	if (!skel)
		return;
	fentry_test_lskel__detach(skel);
	skel_closenz(skel->progs.test1.prog_fd);
	skel_closenz(skel->progs.test2.prog_fd);
	skel_closenz(skel->progs.test3.prog_fd);
	skel_closenz(skel->progs.test4.prog_fd);
	skel_closenz(skel->progs.test5.prog_fd);
	skel_closenz(skel->progs.test6.prog_fd);
	skel_closenz(skel->progs.test7.prog_fd);
	skel_closenz(skel->progs.test8.prog_fd);
	skel_free_map_data(skel->bss, skel->maps.bss.initial_value, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	skel_free(skel);
}
static inline struct fentry_test_lskel *
fentry_test_lskel__open(void)
{
	struct fentry_test_lskel *skel;

	skel = skel_alloc(sizeof(*skel));
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->bss = skel_prep_map_data((void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096, 64);
	if (!skel->bss)
		goto cleanup;
	skel->maps.bss.initial_value = (__u64) (long) skel->bss;
	return skel;
cleanup:
	fentry_test_lskel__destroy(skel);
	return NULL;
}

static inline int
fentry_test_lskel__load(struct fentry_test_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 7000;
	opts.data = (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\
\0\0\0\x18\0\0\0\0\0\0\x01\xf8\0\0\x01\xf8\0\0\x05\x49\0\0\0\0\x02\0\0\0\0\0\0\
\x02\0\0\0\x01\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\
\0\x14\0\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x1c\x0c\0\0\
\x01\0\0\0\x03\0\0\0\x22\x0c\0\0\x01\0\0\0\x03\0\0\0\x28\x0c\0\0\x01\0\0\0\x03\
\0\0\0\x2e\x0c\0\0\x01\0\0\0\x03\0\0\0\x34\x0c\0\0\x01\0\0\0\x03\0\0\0\x3a\x0c\
\0\0\x01\0\0\0\x03\0\0\0\x40\x0c\0\0\x01\0\0\0\x03\0\0\0\x46\x0c\0\0\x01\0\0\0\
\x03\0\0\0\x4c\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x0d\0\0\0\x0f\0\0\0\x04\0\0\0\x51\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x65\x0e\
\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\0\x6e\x08\0\0\0\0\0\0\x02\0\0\0\x74\x0e\0\0\0\0\
\0\0\x11\0\0\0\x01\0\0\0\x81\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x8e\x0e\0\0\0\
\0\0\0\x11\0\0\0\x01\0\0\0\x9b\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\xa8\x0e\0\0\
\0\0\0\0\x11\0\0\0\x01\0\0\0\xb5\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\xc2\x0e\0\
\0\0\0\0\0\x11\0\0\0\x01\0\0\0\xcf\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x04\x7c\
\x0f\0\0\x01\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\x04\x84\x0f\0\0\x08\0\0\
\0\x40\0\0\0\x12\0\0\0\0\0\0\0\x08\0\0\0\x13\0\0\0\x08\0\0\0\x08\0\0\0\x14\0\0\
\0\x10\0\0\0\x08\0\0\0\x15\0\0\0\x18\0\0\0\x08\0\0\0\x16\0\0\0\x20\0\0\0\x08\0\
\0\0\x17\0\0\0\x28\0\0\0\x08\0\0\0\x18\0\0\0\x30\0\0\0\x08\0\0\0\x19\0\0\0\x38\
\0\0\0\x08\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x31\0\x74\x65\x73\x74\
\x32\0\x74\x65\x73\x74\x33\0\x74\x65\x73\x74\x34\0\x74\x65\x73\x74\x35\0\x74\
\x65\x73\x74\x36\0\x74\x65\x73\x74\x37\0\x74\x65\x73\x74\x38\0\x63\x68\x61\x72\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x75\x36\x34\0\x74\x65\x73\x74\x31\
\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\
\0\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x34\x5f\
\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x35\x5f\x72\x65\x73\x75\x6c\x74\0\
\x74\x65\x73\x74\x36\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x37\x5f\x72\
\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x38\x5f\x72\x65\x73\x75\x6c\x74\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\
\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\
\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\
\x74\x31\x2c\x20\x69\x6e\x74\x20\x61\x29\0\x09\x74\x65\x73\x74\x31\x5f\x72\x65\
\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\x3d\x3d\x20\x31\x3b\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x32\x2c\x20\x69\x6e\x74\x20\
\x61\x2c\x20\x5f\x5f\x75\x36\x34\x20\x62\x29\0\x09\x74\x65\x73\x74\x32\x5f\x72\
\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\x3d\x3d\x20\x32\x20\x26\x26\x20\x62\
\x20\x3d\x3d\x20\x33\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x74\x65\x73\x74\x33\x2c\x20\x63\x68\x61\x72\x20\x61\x2c\x20\x69\x6e\x74\x20\
\x62\x2c\x20\x5f\x5f\x75\x36\x34\x20\x63\x29\0\x09\x74\x65\x73\x74\x33\x5f\x72\
\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\x3d\x3d\x20\x34\x20\x26\x26\x20\x62\
\x20\x3d\x3d\x20\x35\x20\x26\x26\x20\x63\x20\x3d\x3d\x20\x36\x3b\0\x69\x6e\x74\
\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x34\x2c\x20\x76\x6f\
\x69\x64\x20\x2a\x61\x2c\x20\x63\x68\x61\x72\x20\x62\x2c\x20\x69\x6e\x74\x20\
\x63\x2c\x20\x5f\x5f\x75\x36\x34\x20\x64\x29\0\x09\x74\x65\x73\x74\x34\x5f\x72\
\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\x3d\x3d\x20\x28\x76\x6f\x69\x64\x20\
\x2a\x29\x37\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\x38\x20\x26\x26\x20\x63\x20\
\x3d\x3d\x20\x39\x20\x26\x26\x20\x64\x20\x3d\x3d\x20\x31\x30\x3b\0\x69\x6e\x74\
\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x35\x2c\x20\x5f\x5f\
\x75\x36\x34\x20\x61\x2c\x20\x76\x6f\x69\x64\x20\x2a\x62\x2c\x20\x73\x68\x6f\
\x72\x74\x20\x63\x2c\x20\x69\x6e\x74\x20\x64\x2c\x20\x5f\x5f\x75\x36\x34\x20\
\x65\x29\0\x09\x74\x65\x73\x74\x35\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\
\x20\x3d\x3d\x20\x31\x31\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\x28\x76\x6f\x69\
\x64\x20\x2a\x29\x31\x32\x20\x26\x26\x20\x63\x20\x3d\x3d\x20\x31\x33\x20\x26\
\x26\x20\x64\x20\x3d\x3d\x20\x31\x34\x20\x26\x26\0\x09\x09\x65\x20\x3d\x3d\x20\
\x31\x35\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\
\x74\x36\x2c\x20\x5f\x5f\x75\x36\x34\x20\x61\x2c\x20\x76\x6f\x69\x64\x20\x2a\
\x62\x2c\x20\x73\x68\x6f\x72\x74\x20\x63\x2c\x20\x69\x6e\x74\x20\x64\x2c\x20\
\x76\x6f\x69\x64\x20\x2a\x20\x65\x2c\x20\x5f\x5f\x75\x36\x34\x20\x66\x29\0\x09\
\x74\x65\x73\x74\x36\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\x3d\x3d\
\x20\x31\x36\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\
\x29\x31\x37\x20\x26\x26\x20\x63\x20\x3d\x3d\x20\x31\x38\x20\x26\x26\x20\x64\
\x20\x3d\x3d\x20\x31\x39\x20\x26\x26\0\x09\x09\x65\x20\x3d\x3d\x20\x28\x76\x6f\
\x69\x64\x20\x2a\x29\x32\x30\x20\x26\x26\x20\x66\x20\x3d\x3d\x20\x32\x31\x3b\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x37\x2c\
\x20\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x5f\x74\x20\x2a\x61\x72\x67\x29\0\x09\x69\x66\x20\x28\x21\x61\
\x72\x67\x29\0\x09\x09\x74\x65\x73\x74\x37\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\
\x20\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\
\x74\x38\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x5f\x74\x20\x2a\x61\x72\x67\x29\0\x09\x69\x66\x20\
\x28\x61\x72\x67\x2d\x3e\x61\x20\x3d\x3d\x20\x30\x29\0\x09\x09\x74\x65\x73\x74\
\x38\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x31\x3b\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x62\x73\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\x66\x65\x6e\x74\x72\
\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x66\
\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x34\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x35\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\
\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x36\0\x66\x65\x6e\x74\x72\x79\x2f\x62\
\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x37\0\x66\x65\x6e\x74\
\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x38\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x59\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x40\0\0\0\x01\0\0\x04\0\0\0\0\0\0\0\0\0\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x2e\x62\x73\x73\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x1b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x47\x50\x4c\0\0\0\0\0\x79\x21\0\0\0\0\0\0\x67\x20\0\0\0\0\0\x20\x77\x20\0\0\
\0\0\0\x20\xb7\x10\0\0\0\0\0\x01\x15\x20\0\x01\0\0\0\x01\xb7\x10\0\0\0\0\0\0\
\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\xdc\0\0\x01\x53\0\0\x2c\x05\0\0\
\0\x01\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xdc\0\0\x01\x6e\0\0\x34\x13\0\
\0\0\x06\0\0\0\xdc\0\0\x01\x6e\0\0\x34\x0f\0\0\0\x09\0\0\0\xdc\0\0\x01\x53\0\0\
\x2c\x05\0\0\0\x1a\0\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\
\0\0\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x79\x41\0\x08\0\0\0\0\xb7\x20\0\0\0\0\0\
\x01\xb7\x30\0\0\0\0\0\x01\x15\x40\0\x01\0\0\0\x03\xb7\x30\0\0\0\0\0\0\x79\x11\
\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\x15\x10\0\x01\0\0\0\
\x02\xb7\x20\0\0\0\0\0\0\x5f\x23\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\
\0\0\0\0\0\0\0\xdc\0\0\x01\x86\0\0\x4c\x05\0\0\0\x03\0\0\0\xdc\0\0\x01\xaa\0\0\
\x54\x18\0\0\0\x05\0\0\0\xdc\0\0\x01\x86\0\0\x4c\x05\0\0\0\x08\0\0\0\xdc\0\0\
\x01\xaa\0\0\x54\x13\0\0\0\x0a\0\0\0\xdc\0\0\x01\xaa\0\0\x54\x18\0\0\0\x0b\0\0\
\0\xdc\0\0\x01\xaa\0\0\x54\x0f\0\0\0\x0e\0\0\0\xdc\0\0\x01\x86\0\0\x4c\x05\0\0\
\0\x1a\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\
\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\0\0\0\0\0\
\0\0\x47\x50\x4c\0\0\0\0\0\x79\x41\0\0\0\0\0\0\x57\x40\0\0\0\0\0\xff\xb7\x20\0\
\0\0\0\0\x01\xb7\x30\0\0\0\0\0\x01\x15\x40\0\x01\0\0\0\x04\xb7\x30\0\0\0\0\0\0\
\x79\x51\0\x08\0\0\0\0\x67\x50\0\0\0\0\0\x20\x77\x50\0\0\0\0\0\x20\xb7\x40\0\0\
\0\0\0\x01\x15\x50\0\x01\0\0\0\x05\xb7\x40\0\0\0\0\0\0\x5f\x34\0\0\0\0\0\0\x79\
\x11\0\x10\0\0\0\0\x15\x10\0\x01\0\0\0\x06\xb7\x20\0\0\0\0\0\0\x5f\x23\0\0\0\0\
\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\xdc\0\0\x01\xcc\0\0\x6c\
\x05\0\0\0\x04\0\0\0\xdc\0\0\x01\xf8\0\0\x74\x13\0\0\0\x06\0\0\0\xdc\0\0\x01\
\xcc\0\0\x6c\x05\0\0\0\x0c\0\0\0\xdc\0\0\x01\xf8\0\0\x74\x18\0\0\0\x0d\0\0\0\
\xdc\0\0\x01\xcc\0\0\x6c\x05\0\0\0\x0e\0\0\0\xdc\0\0\x01\xf8\0\0\x74\x18\0\0\0\
\x11\0\0\0\xdc\0\0\x01\xf8\0\0\x74\x0f\0\0\0\x14\0\0\0\xdc\0\0\x01\xcc\0\0\x6c\
\x05\0\0\0\x1a\0\0\0\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x33\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x79\x31\0\0\0\0\0\0\x55\
\x30\0\x0b\0\0\0\x07\x79\x31\0\x10\0\0\0\0\x67\x30\0\0\0\0\0\x20\x77\x30\0\0\0\
\0\0\x20\x55\x30\0\x07\0\0\0\x09\x79\x31\0\x08\0\0\0\0\x57\x30\0\0\0\0\0\xff\
\x55\x30\0\x04\0\0\0\x08\x79\x11\0\x18\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x15\x10\0\
\x01\0\0\0\x0a\xb7\x20\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x7b\
\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\xdc\0\0\x02\x24\0\0\x8c\0\0\0\0\x01\0\0\0\xdc\0\0\x02\x24\0\0\x8c\x05\0\
\0\0\x02\0\0\0\xdc\0\0\x02\x59\0\0\x94\x20\0\0\0\x03\0\0\0\xdc\0\0\x02\x24\0\0\
\x8c\x05\0\0\0\x04\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\xdc\0\0\x02\x59\0\
\0\x94\x2a\0\0\0\x07\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\xdc\0\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\xdc\0\0\x02\x59\0\0\x94\x2a\0\0\0\x0c\0\0\0\xdc\0\0\x02\
\x59\0\0\x94\x39\0\0\0\x0e\0\0\0\xdc\0\0\x02\x59\0\0\x94\x0f\0\0\0\x11\0\0\0\
\xdc\0\0\x02\x24\0\0\x8c\x05\0\0\0\x1a\0\0\0\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x34\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x34\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\
\x79\x31\0\0\0\0\0\0\x55\x30\0\x0d\0\0\0\x0b\x79\x31\0\x08\0\0\0\0\x55\x30\0\
\x0b\0\0\0\x0c\x79\x31\0\x18\0\0\0\0\x67\x30\0\0\0\0\0\x20\x77\x30\0\0\0\0\0\
\x20\x55\x30\0\x07\0\0\0\x0e\x79\x31\0\x10\0\0\0\0\x57\x30\0\0\0\0\xff\xff\x55\
\x30\0\x04\0\0\0\x0d\x79\x11\0\x20\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x15\x10\0\x01\
\0\0\0\x0f\xb7\x20\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x7b\x12\0\
\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\
\xdc\0\0\x02\x98\0\0\xac\0\0\0\0\x01\0\0\0\xdc\0\0\x02\x98\0\0\xac\x05\0\0\0\
\x02\0\0\0\xdc\0\0\x02\xd7\0\0\xb4\x19\0\0\0\x03\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\xdc\0\0\x02\xd7\0\0\xb4\x19\0\0\0\x05\0\0\0\xdc\0\0\x02\x98\0\0\
\xac\x05\0\0\0\x06\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\xdc\0\0\x02\xd7\0\
\0\xb4\x37\0\0\0\x09\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\xdc\0\0\0\0\0\0\
\0\0\0\0\0\x0b\0\0\0\xdc\0\0\x02\xd7\0\0\xb4\x37\0\0\0\x0e\0\0\0\xdc\0\0\x03\
\x1b\0\0\xb8\x05\0\0\0\x10\0\0\0\xdc\0\0\x02\xd7\0\0\xb4\x0f\0\0\0\x13\0\0\0\
\xdc\0\0\x02\x98\0\0\xac\x05\0\0\0\x1a\0\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x35\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x35\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\
\x79\x31\0\0\0\0\0\0\x55\x30\0\x0f\0\0\0\x10\x79\x31\0\x08\0\0\0\0\x55\x30\0\
\x0d\0\0\0\x11\x79\x31\0\x20\0\0\0\0\x55\x30\0\x0b\0\0\0\x14\x79\x31\0\x18\0\0\
\0\0\x67\x30\0\0\0\0\0\x20\x77\x30\0\0\0\0\0\x20\x55\x30\0\x07\0\0\0\x13\x79\
\x31\0\x10\0\0\0\0\x57\x30\0\0\0\0\xff\xff\x55\x30\0\x04\0\0\0\x12\x79\x11\0\
\x28\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x15\x10\0\x01\0\0\0\x15\xb7\x20\0\0\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\xdc\0\0\x03\x26\0\0\xd0\0\0\
\0\0\x01\0\0\0\xdc\0\0\x03\x26\0\0\xd0\x05\0\0\0\x02\0\0\0\xdc\0\0\x03\x6f\0\0\
\xd8\x19\0\0\0\x03\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xdc\0\0\x03\x6f\0\
\0\xd8\x19\0\0\0\x05\0\0\0\xdc\0\0\x03\x26\0\0\xd0\x05\0\0\0\x06\0\0\0\xdc\0\0\
\x03\x6f\0\0\xd8\x37\0\0\0\x07\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\xdc\0\
\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\xdc\0\0\x03\x6f\0\0\xd8\x37\0\0\0\x0b\0\0\0\xdc\
\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\xdc\0\0\x03\x6f\0\0\xd8\x37\0\0\0\x10\0\0\0\
\xdc\0\0\x03\xb3\0\0\xdc\x18\0\0\0\x12\0\0\0\xdc\0\0\x03\x6f\0\0\xd8\x0f\0\0\0\
\x15\0\0\0\xdc\0\0\x03\x26\0\0\xd0\x05\0\0\0\x1a\0\0\0\x17\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\
\x36\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x36\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x79\x11\
\0\0\0\0\0\0\x55\x10\0\x04\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\xb7\
\x20\0\0\0\0\0\x01\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0b\0\0\0\0\0\0\0\xdc\0\0\x03\xd1\0\x01\x04\x05\0\0\0\x01\0\0\0\xdc\
\0\0\x04\x04\0\x01\x0c\x06\0\0\0\x02\0\0\0\xdc\0\0\x04\x0f\0\x01\x10\x10\0\0\0\
\x06\0\0\0\xdc\0\0\x03\xd1\0\x01\x04\x05\0\0\0\x1a\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\
\x37\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x37\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x79\x11\
\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x55\x10\0\x04\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x38\xb7\x20\0\0\0\0\0\x01\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\xdc\0\0\x04\x23\0\x01\x28\x05\0\
\0\0\x01\0\0\0\xdc\0\0\x04\x56\0\x01\x30\x0b\0\0\0\x02\0\0\0\xdc\0\0\x04\x56\0\
\x01\x30\x06\0\0\0\x03\0\0\0\xdc\0\0\x04\x68\0\x01\x34\x10\0\0\0\x07\0\0\0\xdc\
\0\0\x04\x23\0\x01\x28\x05\0\0\0\x1a\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x38\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x10\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x38\0\0\0\0\0\0\0\0";
	opts.insns_sz = 5856;
	opts.insns = (void *)"\
\xbf\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\x78\xb7\x20\0\
\0\0\0\0\x88\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x05\0\0\x26\0\0\0\0\x61\
\x1a\xff\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x7c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x80\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x84\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x88\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xff\x8c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xff\x90\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\x94\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x98\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x9c\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x10\
\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xbf\
\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x0c\x78\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x0c\x74\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x0c\x68\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x05\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x60\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\
\0\0\0\x12\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x60\xb7\x30\0\0\0\0\0\x1c\x85\0\
\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\xc2\0\0\0\0\x63\xa7\xff\x78\0\0\
\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0c\xb0\x63\x10\0\
\0\0\0\0\0\x61\x06\0\x1c\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x0c\x8c\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\0\0\0\0\0\0\0\
\0\0\0\0\x0c\x80\xb7\x30\0\0\0\0\0\x48\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\
\xc5\x70\xff\xb1\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x17\0\0\0\0\0\
\0\x79\x36\0\x20\0\0\0\0\x15\x30\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x0c\xc8\xb7\x20\0\0\0\0\0\x40\x61\x06\0\x04\0\0\0\0\x45\0\0\x02\0\0\0\x01\x85\
\0\0\0\0\0\0\x94\x05\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\x71\x18\x26\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x02\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x10\x63\
\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x08\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x0d\x18\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0c\xc8\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x20\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\
\x02\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x10\xb7\x30\0\0\0\0\0\x20\x85\0\0\0\0\
\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x8d\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\x0d\x30\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\xf8\x7b\x10\0\0\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x38\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\xf0\
\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x90\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x0e\x38\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0d\
\x98\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x48\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\x0d\xe8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x68\x7b\x10\0\0\
\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x0e\x60\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\
\0\0\x0e\0\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x0e\x04\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x0e\x08\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\
\0\0\0\0\0\0\0\0\x0e\x30\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x0e\x78\xb7\x20\0\0\0\0\0\x11\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x57\0\0\0\0\x18\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\x0d\xe8\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\
\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0d\xe8\xb7\x30\
\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\x0e\x58\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\xc5\x70\xff\x45\0\0\0\0\x63\xa7\xff\x80\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\x0e\x90\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\xa0\x7b\x10\
\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x98\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x0f\x98\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x18\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\xe0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x0f\x20\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\xf0\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x90\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x10\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x10\x08\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x0f\xa8\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x0f\xac\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\xb0\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\
\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\xd8\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\
\0\0\0\0\0\0\0\0\x10\x20\xb7\x20\0\0\0\0\0\x11\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\
\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x0e\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x90\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\
\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\
\0\x0f\x90\xb7\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\
\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xfe\xfc\0\0\0\0\x63\xa7\xff\
\x84\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x10\x38\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x11\x88\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x10\x40\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\x80\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x10\xf0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\xc8\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x10\xf8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\
\xd8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x11\x78\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x11\xf8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\xf0\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\
\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\x90\x63\x10\0\0\0\0\0\0\x61\x06\0\
\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\x94\x63\x10\0\0\0\0\0\0\x79\
\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\x98\x7b\x10\0\0\0\0\0\0\
\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x11\xc0\x63\x10\0\0\0\
\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x12\x08\xb7\x20\0\0\0\0\0\x11\xb7\x30\0\
\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\
\x70\xfe\xc5\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x11\x78\x63\x07\0\x6c\0\0\
\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\
\0\0\0\0\0\0\0\0\0\0\0\0\x11\x78\xb7\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\
\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x11\xe8\x61\x10\0\0\0\0\0\0\
\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xfe\xb3\
\0\0\0\0\x63\xa7\xff\x88\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x12\x20\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\x98\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x12\x28\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\x90\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x12\xc0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\
\xd8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x12\xc8\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x13\xe8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x13\x88\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x14\x08\x7b\x10\0\0\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x14\0\x7b\x10\0\0\0\
\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\xa0\x63\x10\0\
\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\xa4\x63\
\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x13\xa8\
\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x13\xd0\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x14\x18\xb7\x20\0\
\0\0\0\0\x11\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\
\x70\0\0\0\0\0\0\xc5\x70\xfe\x7c\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x13\
\x88\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\
\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x13\x88\xb7\x30\0\0\0\0\0\x8c\
\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x13\
\xf8\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\xc5\x70\xfe\x6a\0\0\0\0\x63\xa7\xff\x8c\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x14\x30\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x15\xd8\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x14\x38\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x15\
\xd0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x14\xe0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x16\x18\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x14\xe8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x16\x28\x7b\x10\0\0\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\x15\xc8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x16\x48\x7b\x10\
\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x16\x40\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x15\xe0\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x15\xe4\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x15\xe8\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\x16\x10\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x16\x58\xb7\x20\0\0\0\0\0\x11\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\x33\0\0\0\0\x18\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\x15\xc8\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\
\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x15\xc8\xb7\
\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\x16\x38\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\
\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xfe\x21\0\0\0\0\x63\xa7\xff\x90\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x16\x70\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x18\x38\
\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x16\x78\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x18\x30\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x17\
\x30\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x18\x78\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\x17\x38\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x18\x88\x7b\x10\0\0\
\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x18\x28\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x18\xa8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\x18\xa0\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\x40\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x18\x44\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x18\x48\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\
\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x18\x70\x63\x10\0\0\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\x18\xb8\xb7\x20\0\0\0\0\0\x11\xb7\x30\0\0\0\0\0\x0c\xb7\
\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xfd\xea\0\0\0\
\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x18\x28\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\
\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\
\0\0\0\x18\x28\xb7\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x18\x98\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\
\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xfd\xd8\0\0\0\0\x63\xa7\
\xff\x94\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x18\xd0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x19\x70\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x18\xd8\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x19\x68\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\x19\x18\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x19\xb0\x7b\x10\0\0\0\0\
\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x19\x20\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x19\xc0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x19\x60\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x19\xe0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x19\xd8\x7b\x10\0\0\0\0\0\0\x61\x06\0\
\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x19\x78\x63\x10\0\0\0\0\0\0\x61\
\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x19\x7c\x63\x10\0\0\0\0\0\0\
\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x19\x80\x7b\x10\0\0\0\0\
\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x19\xa8\x63\x10\0\
\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x19\xf0\xb7\x20\0\0\0\0\0\x11\xb7\
\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\
\xc5\x70\xfd\xa1\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x19\x60\x63\x07\0\x6c\
\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\
\x26\0\0\0\0\0\0\0\0\0\0\0\0\x19\x60\xb7\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\
\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x19\xd0\x61\x10\0\0\0\0\0\
\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xfd\
\x8f\0\0\0\0\x63\xa7\xff\x98\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x08\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x1a\xc0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\x1a\x10\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x1a\xb8\x7b\x10\0\0\0\0\
\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x58\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x1b\0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x60\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\x1b\x10\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\x1a\xb0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x30\x7b\x10\0\0\0\0\0\0\x18\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x28\x7b\x10\0\
\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x1a\xc8\x63\
\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x1a\xcc\
\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x1a\
\xd0\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x1a\xf8\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x40\xb7\x20\
\0\0\0\0\0\x11\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\
\xbf\x70\0\0\0\0\0\0\xc5\x70\xfd\x58\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x1a\xb0\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\
\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x1a\xb0\xb7\x30\0\0\0\0\0\
\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x1b\x20\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\
\0\0\0\0\xa8\xc5\x70\xfd\x46\0\0\0\0\x63\xa7\xff\x9c\0\0\0\0\x61\x1a\xff\x78\0\
\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x0a\
\xff\x80\0\0\0\0\x63\x60\0\x28\0\0\0\0\x61\x0a\xff\x84\0\0\0\0\x63\x60\0\x2c\0\
\0\0\0\x61\x0a\xff\x88\0\0\0\0\x63\x60\0\x30\0\0\0\0\x61\x0a\xff\x8c\0\0\0\0\
\x63\x60\0\x34\0\0\0\0\x61\x0a\xff\x90\0\0\0\0\x63\x60\0\x38\0\0\0\0\x61\x0a\
\xff\x94\0\0\0\0\x63\x60\0\x3c\0\0\0\0\x61\x0a\xff\x98\0\0\0\0\x63\x60\0\x40\0\
\0\0\0\x61\x0a\xff\x9c\0\0\0\0\x63\x60\0\x44\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x63\x60\0\x18\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->bss = skel_finalize_map_data(&skel->maps.bss.initial_value,
					4096, PROT_READ | PROT_WRITE, skel->maps.bss.map_fd);
	if (!skel->bss)
		return -ENOMEM;
	return 0;
}

static inline struct fentry_test_lskel *
fentry_test_lskel__open_and_load(void)
{
	struct fentry_test_lskel *skel;

	skel = fentry_test_lskel__open();
	if (!skel)
		return NULL;
	if (fentry_test_lskel__load(skel)) {
		fentry_test_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

__attribute__((unused)) static void
fentry_test_lskel__assert(struct fentry_test_lskel *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test1_result) == 8, "unexpected size of 'test1_result'");
	_Static_assert(sizeof(s->bss->test2_result) == 8, "unexpected size of 'test2_result'");
	_Static_assert(sizeof(s->bss->test3_result) == 8, "unexpected size of 'test3_result'");
	_Static_assert(sizeof(s->bss->test4_result) == 8, "unexpected size of 'test4_result'");
	_Static_assert(sizeof(s->bss->test5_result) == 8, "unexpected size of 'test5_result'");
	_Static_assert(sizeof(s->bss->test6_result) == 8, "unexpected size of 'test6_result'");
	_Static_assert(sizeof(s->bss->test7_result) == 8, "unexpected size of 'test7_result'");
	_Static_assert(sizeof(s->bss->test8_result) == 8, "unexpected size of 'test8_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FENTRY_TEST_LSKEL_SKEL_H__ */
