/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __FEXIT_SLEEP_LSKEL_SKEL_H__
#define __FEXIT_SLEEP_LSKEL_SKEL_H__

#include <bpf/skel_internal.h>

struct fexit_sleep_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc nanosleep_fentry;
		struct bpf_prog_desc nanosleep_fexit;
	} progs;
	struct {
		int nanosleep_fentry_fd;
		int nanosleep_fexit_fd;
	} links;
	struct fexit_sleep_lskel__bss {
		int pid;
		int fentry_cnt;
		int fexit_cnt;
	} *bss;
};

static inline int
fexit_sleep_lskel__nanosleep_fentry__attach(struct fexit_sleep_lskel *skel)
{
	int prog_fd = skel->progs.nanosleep_fentry.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.nanosleep_fentry_fd = fd;
	return fd;
}

static inline int
fexit_sleep_lskel__nanosleep_fexit__attach(struct fexit_sleep_lskel *skel)
{
	int prog_fd = skel->progs.nanosleep_fexit.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.nanosleep_fexit_fd = fd;
	return fd;
}

static inline int
fexit_sleep_lskel__attach(struct fexit_sleep_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : fexit_sleep_lskel__nanosleep_fentry__attach(skel);
	ret = ret < 0 ? ret : fexit_sleep_lskel__nanosleep_fexit__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
fexit_sleep_lskel__detach(struct fexit_sleep_lskel *skel)
{
	skel_closenz(skel->links.nanosleep_fentry_fd);
	skel_closenz(skel->links.nanosleep_fexit_fd);
}
static void
fexit_sleep_lskel__destroy(struct fexit_sleep_lskel *skel)
{
	if (!skel)
		return;
	fexit_sleep_lskel__detach(skel);
	skel_closenz(skel->progs.nanosleep_fentry.prog_fd);
	skel_closenz(skel->progs.nanosleep_fexit.prog_fd);
	skel_free_map_data(skel->bss, skel->maps.bss.initial_value, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	skel_free(skel);
}
static inline struct fexit_sleep_lskel *
fexit_sleep_lskel__open(void)
{
	struct fexit_sleep_lskel *skel;

	skel = skel_alloc(sizeof(*skel));
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->bss = skel_prep_map_data((void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0", 4096, 12);
	if (!skel->bss)
		goto cleanup;
	skel->maps.bss.initial_value = (__u64) (long) skel->bss;
	return skel;
cleanup:
	fexit_sleep_lskel__destroy(skel);
	return NULL;
}

static inline int
fexit_sleep_lskel__load(struct fexit_sleep_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 2896;
	opts.data = (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\
\0\0\0\x18\0\0\0\0\0\0\x01\x08\0\0\x01\x08\0\0\x01\x6e\0\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\
\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x02\0\0\0\x1a\x0c\0\0\x01\0\0\0\
\x02\0\0\0\x2a\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x06\0\0\0\x08\0\0\0\x04\0\0\0\x2f\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x43\x0e\
\0\0\0\0\0\0\x07\0\0\0\x01\0\0\0\x4b\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\0\x4f\
\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\0\x5a\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\x01\
\x28\x0f\0\0\x01\0\0\0\x04\0\0\0\x09\0\0\0\0\0\0\0\x04\0\0\x01\x30\x0f\0\0\x03\
\0\0\0\x0c\0\0\0\x0a\0\0\0\0\0\0\0\x04\0\0\0\x0b\0\0\0\x04\0\0\0\x04\0\0\0\x0c\
\0\0\0\x08\0\0\0\x04\0\x63\x74\x78\0\x69\x6e\x74\0\x6e\x61\x6e\x6f\x73\x6c\x65\
\x65\x70\x5f\x66\x65\x6e\x74\x72\x79\0\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\
\x66\x65\x78\x69\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x4c\x49\x43\x45\x4e\x53\x45\0\x70\
\x69\x64\0\x66\x65\x6e\x74\x72\x79\x5f\x63\x6e\x74\0\x66\x65\x78\x69\x74\x5f\
\x63\x6e\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x66\x65\x78\x69\x74\x5f\
\x73\x6c\x65\x65\x70\x2e\x63\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\
\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\
\x20\x3e\x3e\x20\x33\x32\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x66\x65\x6e\x74\
\x72\x79\x5f\x63\x6e\x74\x2b\x2b\x3b\0\x7d\0\x09\x66\x65\x78\x69\x74\x5f\x63\
\x6e\x74\x2b\x2b\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x66\x65\
\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x6e\x61\
\x6e\x6f\x73\x6c\x65\x65\x70\0\x66\x65\x78\x69\x74\x2f\x5f\x5f\x73\x33\x39\x30\
\x78\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x02\x8e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\
\0\0\x0c\0\0\0\x01\0\0\x04\0\0\0\0\0\0\0\0\0\x66\x65\x78\x69\x74\x5f\x73\x6c\
\x2e\x62\x73\x73\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x85\0\0\0\0\0\0\
\x0e\x77\0\0\0\0\0\0\x20\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\
\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x5d\x01\0\x05\0\0\0\0\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x21\0\0\0\0\0\0\x07\x20\0\0\0\0\0\x01\x63\x12\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x64\0\0\0\xdb\0\0\x44\x06\0\0\0\x01\0\0\0\x64\0\0\0\xdb\0\0\x44\x21\0\0\0\
\x02\0\0\0\x64\0\0\0\xdb\0\0\x44\x2a\0\0\0\x07\0\0\0\x64\0\0\0\xdb\0\0\x44\x06\
\0\0\0\x08\0\0\0\x64\0\0\x01\x09\0\0\x50\x0c\0\0\0\x0d\0\0\0\x64\0\0\x01\x18\0\
\0\x58\x01\0\0\0\x1a\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x66\
\x65\x6e\x74\x72\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\
\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0\x47\x50\x4c\0\0\0\0\0\x85\0\
\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\
\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x5d\x01\0\x05\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x61\x21\0\0\0\0\0\0\x07\x20\0\0\0\0\0\
\x01\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\
\0\0\0\0\0\0\0\x64\0\0\0\xdb\0\0\x6c\x06\0\0\0\x01\0\0\0\x64\0\0\0\xdb\0\0\x6c\
\x21\0\0\0\x02\0\0\0\x64\0\0\0\xdb\0\0\x6c\x2a\0\0\0\x07\0\0\0\x64\0\0\0\xdb\0\
\0\x6c\x06\0\0\0\x08\0\0\0\x64\0\0\x01\x1a\0\0\x78\x0b\0\0\0\x0d\0\0\0\x64\0\0\
\x01\x18\0\0\x80\x01\0\0\0\x1a\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\
\x5f\x66\x65\x78\x69\x74\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x5f\x5f\x73\x33\x39\x30\x78\x5f\
\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0";
	opts.insns_sz = 2112;
	opts.insns = (void *)"\
\xbf\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\x78\xb7\x20\0\
\0\0\0\0\x88\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x05\0\0\x14\0\0\0\0\x61\
\x1a\xff\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x7c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x80\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x84\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x10\0\0\0\0\
\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xbf\x07\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x07\xa8\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x07\xa4\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x07\x98\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x07\x90\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\
\x12\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x07\x90\xb7\x30\0\0\0\0\0\x1c\x85\0\0\0\0\
\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\xd4\0\0\0\0\x63\xa7\xff\x78\0\0\0\0\
\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x07\xe0\x63\x10\0\0\0\
\0\0\0\x61\x06\0\x1c\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x07\xbc\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\0\0\0\0\0\0\0\0\0\
\0\0\x07\xb0\xb7\x30\0\0\0\0\0\x48\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\
\x70\xff\xc3\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x17\0\0\0\0\0\0\
\x79\x36\0\x20\0\0\0\0\x15\x30\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x07\xf8\xb7\x20\0\0\0\0\0\x0c\x61\x06\0\x04\0\0\0\0\x45\0\0\x02\0\0\0\x01\x85\
\0\0\0\0\0\0\x94\x05\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\x71\x18\x26\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x02\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\x10\x63\
\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x08\x08\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\x18\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x07\xf8\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\x20\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\
\x02\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x08\x10\xb7\x30\0\0\0\0\0\x20\x85\0\0\0\0\
\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x9f\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\x30\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\x28\x7b\x10\0\0\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x08\x38\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\x20\
\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x08\xb0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x09\x68\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\xb8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\x78\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\x18\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\x98\x7b\x10\0\0\
\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\x90\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\
\0\0\x09\x30\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\x34\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\
\0\0\0\0\0\0\x09\x38\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\x60\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\xa8\xb7\x20\0\0\0\0\0\x16\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x69\0\0\0\0\x18\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\x09\x18\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\
\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x09\x18\xb7\x30\
\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\x88\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\xc5\x70\xff\x57\0\0\0\0\x63\xa7\xff\x80\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\xc0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xb8\x7b\x10\
\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x09\xc8\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x0a\xb0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x40\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xf8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x0a\x48\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x08\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xa8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\
\x28\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x0b\x20\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x0a\xc0\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x0a\xc4\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xc8\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\
\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xf0\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\
\0\0\0\0\0\0\0\0\x0b\x38\xb7\x20\0\0\0\0\0\x16\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\
\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x20\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xa8\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\
\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\
\0\x0a\xa8\xb7\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x18\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\
\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xff\x0e\0\0\0\0\x63\xa7\xff\
\x84\0\0\0\0\x61\x1a\xff\x78\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x0a\xff\x80\0\0\0\0\x63\x60\0\x28\0\0\0\0\x61\x0a\xff\
\x84\0\0\0\0\x63\x60\0\x2c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x01\
\0\0\0\0\0\0\x63\x60\0\x18\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->bss = skel_finalize_map_data(&skel->maps.bss.initial_value,
					4096, PROT_READ | PROT_WRITE, skel->maps.bss.map_fd);
	if (!skel->bss)
		return -ENOMEM;
	return 0;
}

static inline struct fexit_sleep_lskel *
fexit_sleep_lskel__open_and_load(void)
{
	struct fexit_sleep_lskel *skel;

	skel = fexit_sleep_lskel__open();
	if (!skel)
		return NULL;
	if (fexit_sleep_lskel__load(skel)) {
		fexit_sleep_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

__attribute__((unused)) static void
fexit_sleep_lskel__assert(struct fexit_sleep_lskel *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->fentry_cnt) == 4, "unexpected size of 'fentry_cnt'");
	_Static_assert(sizeof(s->bss->fexit_cnt) == 4, "unexpected size of 'fexit_cnt'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FEXIT_SLEEP_LSKEL_SKEL_H__ */
