/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __GET_FUNC_IP_TEST_SKEL_H__
#define __GET_FUNC_IP_TEST_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct get_func_ip_test {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test1;
		struct bpf_program *test2;
		struct bpf_program *test3;
		struct bpf_program *test4;
		struct bpf_program *test5;
		struct bpf_program *test6;
		struct bpf_program *test7;
	} progs;
	struct {
		struct bpf_link *test1;
		struct bpf_link *test2;
		struct bpf_link *test3;
		struct bpf_link *test4;
		struct bpf_link *test5;
		struct bpf_link *test6;
		struct bpf_link *test7;
	} links;
	struct get_func_ip_test__bss {
		__u64 test1_result;
		__u64 test2_result;
		__u64 test3_result;
		__u64 test4_result;
		__u64 test5_result;
		__u64 test6_result;
		__u64 test7_result;
	} *bss;

#ifdef __cplusplus
	static inline struct get_func_ip_test *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct get_func_ip_test *open_and_load();
	static inline int load(struct get_func_ip_test *skel);
	static inline int attach(struct get_func_ip_test *skel);
	static inline void detach(struct get_func_ip_test *skel);
	static inline void destroy(struct get_func_ip_test *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
get_func_ip_test__destroy(struct get_func_ip_test *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
get_func_ip_test__create_skeleton(struct get_func_ip_test *obj);

static inline struct get_func_ip_test *
get_func_ip_test__open_opts(const struct bpf_object_open_opts *opts)
{
	struct get_func_ip_test *obj;
	int err;

	obj = (struct get_func_ip_test *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = get_func_ip_test__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	get_func_ip_test__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct get_func_ip_test *
get_func_ip_test__open(void)
{
	return get_func_ip_test__open_opts(NULL);
}

static inline int
get_func_ip_test__load(struct get_func_ip_test *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct get_func_ip_test *
get_func_ip_test__open_and_load(void)
{
	struct get_func_ip_test *obj;
	int err;

	obj = get_func_ip_test__open();
	if (!obj)
		return NULL;
	err = get_func_ip_test__load(obj);
	if (err) {
		get_func_ip_test__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
get_func_ip_test__attach(struct get_func_ip_test *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
get_func_ip_test__detach(struct get_func_ip_test *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *get_func_ip_test__elf_bytes(size_t *sz);

static inline int
get_func_ip_test__create_skeleton(struct get_func_ip_test *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "get_func_ip_test";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "get_func.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 7;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test1";
	s->progs[0].prog = &obj->progs.test1;
	s->progs[0].link = &obj->links.test1;

	s->progs[1].name = "test2";
	s->progs[1].prog = &obj->progs.test2;
	s->progs[1].link = &obj->links.test2;

	s->progs[2].name = "test3";
	s->progs[2].prog = &obj->progs.test3;
	s->progs[2].link = &obj->links.test3;

	s->progs[3].name = "test4";
	s->progs[3].prog = &obj->progs.test4;
	s->progs[3].link = &obj->links.test4;

	s->progs[4].name = "test5";
	s->progs[4].prog = &obj->progs.test5;
	s->progs[4].link = &obj->links.test5;

	s->progs[5].name = "test6";
	s->progs[5].prog = &obj->progs.test6;
	s->progs[5].link = &obj->links.test6;

	s->progs[6].name = "test7";
	s->progs[6].prog = &obj->progs.test7;
	s->progs[6].link = &obj->links.test7;

	s->data = (void *)get_func_ip_test__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *get_func_ip_test__elf_bytes(size_t *sz)
{
	*sz = 6648;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\xb8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x15\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x31\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x32\0\x6b\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x33\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x62\
\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x66\x6d\x6f\x64\
\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\
\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x6b\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x36\x2b\x30\x78\x35\0\x6b\x70\x72\
\x6f\x62\x65\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x37\x2b\x35\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x67\x65\x74\x5f\
\x66\x75\x6e\x63\x5f\x69\x70\x5f\x74\x65\x73\x74\x2e\x63\0\x4c\x42\x42\x30\x5f\
\x32\0\x4c\x42\x42\x31\x5f\x32\0\x4c\x42\x42\x32\x5f\x32\0\x4c\x42\x42\x33\x5f\
\x32\0\x4c\x42\x42\x34\x5f\x32\0\x4c\x42\x42\x35\x5f\x32\0\x4c\x42\x42\x36\x5f\
\x32\0\x74\x65\x73\x74\x31\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x31\0\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\
\x73\x74\x32\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\
\0\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x33\0\x62\
\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x74\x65\x73\x74\
\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x34\0\x62\x70\x66\x5f\x66\
\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x74\x65\x73\x74\x34\x5f\x72\x65\
\x73\x75\x6c\x74\0\x74\x65\x73\x74\x35\0\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\
\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x74\x65\x73\x74\x35\x5f\
\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x36\0\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x36\0\x74\x65\x73\x74\x36\x5f\x72\x65\x73\x75\
\x6c\x74\0\x74\x65\x73\x74\x37\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x37\0\x74\x65\x73\x74\x37\x5f\x72\x65\x73\x75\x6c\x74\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\
\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x72\x65\x6c\
\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x32\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\x66\
\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x2e\x72\x65\x6c\x6b\x72\x65\x74\
\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x34\0\x2e\x72\x65\x6c\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\
\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\
\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x36\x2b\x30\x78\x35\0\x2e\x72\x65\x6c\x6b\x70\x72\
\x6f\x62\x65\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x37\x2b\x35\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd6\x04\0\xff\xf1\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe9\
\0\0\0\x03\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\x04\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf7\0\0\0\x05\0\0\0\0\0\0\
\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xfe\0\0\0\x06\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x05\0\0\0\x07\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x0c\0\0\0\x08\0\
\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\x13\0\0\0\x09\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\x01\x1a\x12\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\x01\x20\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\x31\x11\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\x01\x3e\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\x01\x44\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x55\x11\0\0\x0b\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x08\0\0\x01\x62\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\
\x01\x68\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x79\x11\0\0\x0b\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\x01\x86\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x58\0\0\x01\x8c\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x9d\
\x11\0\0\x0b\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\x01\xaa\x12\0\0\x07\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\x01\xb0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\xc7\x11\0\0\x0b\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x08\0\0\x01\xd4\
\x12\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\x01\xda\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xeb\x11\0\0\x0b\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\
\x08\0\0\x01\xf8\x12\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\x01\xfe\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x0f\x11\0\0\x0b\0\0\0\0\0\0\0\
\x30\0\0\0\0\0\0\0\x08\0\0\x02\x1c\x11\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x85\0\0\0\0\0\0\xad\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x1d\x02\0\x01\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\xad\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\x02\0\x01\0\
\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\
\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\xad\xb7\x10\0\0\0\0\0\
\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\x02\0\x01\0\0\0\0\xb7\x10\0\0\0\0\
\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\xad\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x1d\x02\0\x01\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\
\x61\0\x10\0\0\0\0\x85\0\0\0\0\0\0\xad\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x1d\x02\0\x01\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xbf\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\xad\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x20\0\0\0\0\0\x05\
\xb7\x10\0\0\0\0\0\x01\x1d\x02\0\x01\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\xad\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x20\0\0\0\0\0\x05\
\xb7\x10\0\0\0\0\0\x01\x1d\x02\0\x01\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x30\
\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\0\x30\0\
\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\
\0\x18\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\
\x1b\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\
\x1e\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x20\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\
\x21\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x23\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\
\x24\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x02\xd8\0\0\x02\xd8\0\0\x04\
\xe4\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\
\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\x04\x01\
\0\0\x20\0\0\0\x1c\x0c\0\0\x01\0\0\0\x03\0\0\0\x22\x0c\0\0\x01\0\0\0\x03\0\0\0\
\0\x02\0\0\0\0\0\0\x08\0\0\0\x28\x07\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\
\x04\0\0\0\x14\0\0\0\x07\0\0\0\x30\x0c\0\0\x01\0\0\0\x09\0\0\0\x36\x0c\0\0\x01\
\0\0\0\x09\0\0\0\x3c\x0c\0\0\x01\0\0\0\x03\0\0\0\x42\x0c\0\0\x01\0\0\0\x09\0\0\
\0\x48\x0c\0\0\x01\0\0\0\x09\0\0\0\x4e\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x11\0\0\0\x04\0\0\0\x53\x01\0\0\0\0\0\0\x04\
\0\0\0\x20\0\0\0\x67\x0e\0\0\0\0\0\0\x10\0\0\0\x01\0\0\0\x70\x08\0\0\0\0\0\0\
\x02\0\0\0\x76\x0e\0\0\0\0\0\0\x13\0\0\0\x01\0\0\0\x83\x0e\0\0\0\0\0\0\x13\0\0\
\0\x01\0\0\0\x90\x0e\0\0\0\0\0\0\x13\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\
\x9d\x0e\0\0\0\0\0\0\x17\0\0\0\x02\0\0\0\xae\x0e\0\0\0\0\0\0\x13\0\0\0\x01\0\0\
\0\xbb\x0e\0\0\0\0\0\0\x13\0\0\0\x01\0\0\0\xc8\x0e\0\0\0\0\0\0\x13\0\0\0\x01\0\
\0\0\xd5\x0e\0\0\0\0\0\0\x17\0\0\0\x02\0\0\0\xe6\x0e\0\0\0\0\0\0\x13\0\0\0\x01\
\0\0\0\xf3\x0e\0\0\0\0\0\0\x17\0\0\0\x02\0\0\x01\x04\x0e\0\0\0\0\0\0\x17\0\0\0\
\x02\0\0\x01\x15\x0e\0\0\0\0\0\0\x17\0\0\0\x02\0\0\x01\x26\x0e\0\0\0\0\0\0\x17\
\0\0\0\x02\0\0\x01\x37\x0e\0\0\0\0\0\0\x17\0\0\0\x02\0\0\x04\x18\x0f\0\0\x01\0\
\0\0\x04\0\0\0\x12\0\0\0\0\0\0\0\x04\0\0\x04\x20\x0f\0\0\x07\0\0\0\x38\0\0\0\
\x14\0\0\0\0\0\0\0\x08\0\0\0\x15\0\0\0\x08\0\0\0\x08\0\0\0\x16\0\0\0\x10\0\0\0\
\x08\0\0\0\x19\0\0\0\x18\0\0\0\x08\0\0\0\x1a\0\0\0\x20\0\0\0\x08\0\0\0\x1b\0\0\
\0\x28\0\0\0\x08\0\0\0\x1d\0\0\0\x30\0\0\0\x08\0\0\x04\x25\x0f\0\0\x07\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\0\0\0\
\0\x01\0\0\0\x1f\0\0\0\0\0\0\0\x01\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x21\0\0\0\
\0\0\0\0\x01\0\0\0\x22\0\0\0\0\0\0\0\x01\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\
\x74\x31\0\x74\x65\x73\x74\x32\0\x70\x74\x5f\x72\x65\x67\x73\0\x74\x65\x73\x74\
\x33\0\x74\x65\x73\x74\x34\0\x74\x65\x73\x74\x35\0\x74\x65\x73\x74\x36\0\x74\
\x65\x73\x74\x37\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\
\x5f\x75\x36\x34\0\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\
\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x33\x5f\x72\x65\x73\
\x75\x6c\x74\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x33\
\0\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x35\x5f\
\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x36\x5f\x72\x65\x73\x75\x6c\x74\0\
\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x36\0\x74\x65\x73\
\x74\x37\x5f\x72\x65\x73\x75\x6c\x74\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\
\x5f\x74\x65\x73\x74\x37\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x31\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\
\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x62\x70\
\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\
\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\
\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x67\x65\x74\x5f\x66\x75\x6e\x63\
\x5f\x69\x70\x5f\x74\x65\x73\x74\x2e\x63\0\x09\x5f\x5f\x75\x36\x34\x20\x61\x64\
\x64\x72\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x75\x6e\x63\x5f\x69\
\x70\x28\x63\x74\x78\x29\x3b\0\x09\x74\x65\x73\x74\x31\x5f\x72\x65\x73\x75\x6c\
\x74\x20\x3d\x20\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\x29\x20\
\x61\x64\x64\x72\x20\x3d\x3d\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\
\x5f\x74\x65\x73\x74\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x28\x74\x65\x73\x74\x31\x2c\x20\x69\x6e\x74\x20\x61\x29\0\x09\x74\x65\x73\x74\
\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x28\x63\x6f\x6e\x73\x74\x20\x76\
\x6f\x69\x64\x20\x2a\x29\x20\x61\x64\x64\x72\x20\x3d\x3d\x20\x26\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\x3b\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x32\x2c\x20\x69\x6e\x74\x20\
\x61\x29\0\x09\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x28\
\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\x29\x20\x61\x64\x64\x72\x20\
\x3d\x3d\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x33\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x74\x65\x73\x74\x34\
\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\
\x69\x64\x20\x2a\x29\x20\x61\x64\x64\x72\x20\x3d\x3d\x20\x26\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\x3b\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x4b\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x74\x65\x73\x74\x34\x29\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x35\x2c\x20\
\x69\x6e\x74\x20\x61\x2c\x20\x69\x6e\x74\x20\x2a\x62\x2c\x20\x69\x6e\x74\x20\
\x72\x65\x74\x29\0\x09\x74\x65\x73\x74\x35\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\
\x20\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\x29\x20\x61\x64\x64\
\x72\x20\x3d\x3d\x20\x26\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\
\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\x3b\0\x09\x74\x65\x73\x74\x36\x5f\x72\x65\
\x73\x75\x6c\x74\x20\x3d\x20\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\
\x2a\x29\x20\x61\x64\x64\x72\x20\x3d\x3d\x20\x26\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x36\x20\x2b\x20\x35\x3b\0\x09\x74\x65\x73\x74\
\x37\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x28\x63\x6f\x6e\x73\x74\x20\x76\
\x6f\x69\x64\x20\x2a\x29\x20\x61\x64\x64\x72\x20\x3d\x3d\x20\x26\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x37\x20\x2b\x20\x35\x3b\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x31\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x32\0\x6b\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x65\x73\x74\x33\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\
\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\x66\x6d\x6f\
\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\
\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x6b\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x36\x2b\x30\x78\x35\0\x6b\x70\
\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x37\x2b\x35\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x74\0\0\0\x74\
\0\0\x02\x0c\0\0\x02\x80\0\0\0\0\0\0\0\x08\0\0\x04\x2c\0\0\0\x01\0\0\0\0\0\0\0\
\x05\0\0\x04\x44\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\x04\x5b\0\0\0\x01\0\0\0\0\0\0\
\0\x0a\0\0\x04\x73\0\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\x04\x8e\0\0\0\x01\0\0\0\0\0\
\0\0\x0c\0\0\x04\xae\0\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\x04\xca\0\0\0\x01\0\0\0\0\
\0\0\0\x0e\0\0\0\x10\0\0\x04\x2c\0\0\0\x04\0\0\0\0\0\0\x01\x4e\0\0\x01\xca\0\0\
\x50\x0f\0\0\0\x10\0\0\x01\x4e\0\0\x01\xee\0\0\x58\x25\0\0\0\x30\0\0\x01\x4e\0\
\0\x01\xee\0\0\x58\x0f\0\0\0\x48\0\0\x01\x4e\0\0\x02\x28\0\0\x48\x05\0\0\x04\
\x44\0\0\0\x04\0\0\0\0\0\0\x01\x4e\0\0\x01\xca\0\0\x78\x0f\0\0\0\x10\0\0\x01\
\x4e\0\0\x02\x43\0\0\x80\x25\0\0\0\x30\0\0\x01\x4e\0\0\x02\x43\0\0\x80\x0f\0\0\
\0\x48\0\0\x01\x4e\0\0\x02\x7d\0\0\x70\x05\0\0\x04\x5b\0\0\0\x04\0\0\0\0\0\0\
\x01\x4e\0\0\x01\xca\0\0\xa0\x0f\0\0\0\x10\0\0\x01\x4e\0\0\x02\x98\0\0\xa8\x25\
\0\0\0\x30\0\0\x01\x4e\0\0\x02\x98\0\0\xa8\x0f\0\0\0\x48\0\0\x01\x4e\0\0\x02\
\xd2\0\0\xac\x02\0\0\x04\x73\0\0\0\x04\0\0\0\0\0\0\x01\x4e\0\0\x01\xca\0\0\xc8\
\x0f\0\0\0\x10\0\0\x01\x4e\0\0\x02\xdd\0\0\xd0\x25\0\0\0\x30\0\0\x01\x4e\0\0\
\x02\xdd\0\0\xd0\x0f\0\0\0\x48\0\0\x01\x4e\0\0\x03\x17\0\0\xc0\x05\0\0\x04\x8e\
\0\0\0\x05\0\0\0\0\0\0\x01\x4e\0\0\x03\x30\0\0\xe8\x05\0\0\0\x08\0\0\x01\x4e\0\
\0\x01\xca\0\0\xf0\x0f\0\0\0\x18\0\0\x01\x4e\0\0\x03\x5c\0\0\xf8\x25\0\0\0\x38\
\0\0\x01\x4e\0\0\x03\x5c\0\0\xf8\x0f\0\0\0\x50\0\0\x01\x4e\0\0\x03\x30\0\0\xe8\
\x05\0\0\x04\xae\0\0\0\x04\0\0\0\0\0\0\x01\x4e\0\0\x01\xca\0\x01\x18\x0f\0\0\0\
\x08\0\0\x01\x4e\0\0\x03\x9c\0\x01\x20\x25\0\0\0\x38\0\0\x01\x4e\0\0\x03\x9c\0\
\x01\x20\x0f\0\0\0\x50\0\0\x01\x4e\0\0\x02\xd2\0\x01\x24\x02\0\0\x04\xca\0\0\0\
\x04\0\0\0\0\0\0\x01\x4e\0\0\x01\xca\0\x01\x40\x0f\0\0\0\x08\0\0\x01\x4e\0\0\
\x03\xda\0\x01\x48\x25\0\0\0\x38\0\0\x01\x4e\0\0\x03\xda\0\x01\x48\x0f\0\0\0\
\x50\0\0\x01\x4e\0\0\x02\xd2\0\x01\x4c\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\x03\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x48\0\0\0\
\0\0\0\x03\x90\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\
\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xd8\0\0\0\0\0\0\0\
\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\
\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x30\0\0\0\0\0\0\0\x58\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x01\0\0\0\0\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x88\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x07\xe0\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x73\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\x38\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\x93\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x98\0\0\0\
\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xaf\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\xf8\0\0\0\0\0\0\0\x60\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xc9\0\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x58\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xd1\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\x60\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\x02\x25\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x09\x60\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\x02\x41\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x09\x80\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\x02\x5c\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\xa0\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x02\x78\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\
\xc0\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\x02\x97\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xe0\0\
\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\x02\xbb\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\
\0\0\0\x20\0\0\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\xdb\
\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x20\0\0\0\0\0\0\0\
\x20\0\0\0\x02\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\xf9\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x40\0\0\0\0\0\0\x07\xd4\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\xfe\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\x18\0\0\0\0\0\0\x02\xa0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct get_func_ip_test *get_func_ip_test::open(const struct bpf_object_open_opts *opts) { return get_func_ip_test__open_opts(opts); }
struct get_func_ip_test *get_func_ip_test::open_and_load() { return get_func_ip_test__open_and_load(); }
int get_func_ip_test::load(struct get_func_ip_test *skel) { return get_func_ip_test__load(skel); }
int get_func_ip_test::attach(struct get_func_ip_test *skel) { return get_func_ip_test__attach(skel); }
void get_func_ip_test::detach(struct get_func_ip_test *skel) { get_func_ip_test__detach(skel); }
void get_func_ip_test::destroy(struct get_func_ip_test *skel) { get_func_ip_test__destroy(skel); }
const void *get_func_ip_test::elf_bytes(size_t *sz) { return get_func_ip_test__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
get_func_ip_test__assert(struct get_func_ip_test *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test1_result) == 8, "unexpected size of 'test1_result'");
	_Static_assert(sizeof(s->bss->test2_result) == 8, "unexpected size of 'test2_result'");
	_Static_assert(sizeof(s->bss->test3_result) == 8, "unexpected size of 'test3_result'");
	_Static_assert(sizeof(s->bss->test4_result) == 8, "unexpected size of 'test4_result'");
	_Static_assert(sizeof(s->bss->test5_result) == 8, "unexpected size of 'test5_result'");
	_Static_assert(sizeof(s->bss->test6_result) == 8, "unexpected size of 'test6_result'");
	_Static_assert(sizeof(s->bss->test7_result) == 8, "unexpected size of 'test7_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __GET_FUNC_IP_TEST_SKEL_H__ */
