/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __KFUNC_CALL_TEST_SUBPROG_SKEL_H__
#define __KFUNC_CALL_TEST_SUBPROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct kfunc_call_test_subprog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
	} maps;
	struct {
		struct bpf_program *kfunc_call_test1;
	} progs;
	struct {
		struct bpf_link *kfunc_call_test1;
	} links;
	struct kfunc_call_test_subprog__data {
		int active_res;
		int sk_state_res;
	} *data;

#ifdef __cplusplus
	static inline struct kfunc_call_test_subprog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct kfunc_call_test_subprog *open_and_load();
	static inline int load(struct kfunc_call_test_subprog *skel);
	static inline int attach(struct kfunc_call_test_subprog *skel);
	static inline void detach(struct kfunc_call_test_subprog *skel);
	static inline void destroy(struct kfunc_call_test_subprog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
kfunc_call_test_subprog__destroy(struct kfunc_call_test_subprog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
kfunc_call_test_subprog__create_skeleton(struct kfunc_call_test_subprog *obj);

static inline struct kfunc_call_test_subprog *
kfunc_call_test_subprog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct kfunc_call_test_subprog *obj;
	int err;

	obj = (struct kfunc_call_test_subprog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = kfunc_call_test_subprog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	kfunc_call_test_subprog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct kfunc_call_test_subprog *
kfunc_call_test_subprog__open(void)
{
	return kfunc_call_test_subprog__open_opts(NULL);
}

static inline int
kfunc_call_test_subprog__load(struct kfunc_call_test_subprog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct kfunc_call_test_subprog *
kfunc_call_test_subprog__open_and_load(void)
{
	struct kfunc_call_test_subprog *obj;
	int err;

	obj = kfunc_call_test_subprog__open();
	if (!obj)
		return NULL;
	err = kfunc_call_test_subprog__load(obj);
	if (err) {
		kfunc_call_test_subprog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
kfunc_call_test_subprog__attach(struct kfunc_call_test_subprog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
kfunc_call_test_subprog__detach(struct kfunc_call_test_subprog *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *kfunc_call_test_subprog__elf_bytes(size_t *sz);

static inline int
kfunc_call_test_subprog__create_skeleton(struct kfunc_call_test_subprog *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "kfunc_call_test_subprog";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "kfunc_ca.data";
	s->maps[0].map = &obj->maps.data;
	s->maps[0].mmaped = (void **)&obj->data;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "kfunc_call_test1";
	s->progs[0].prog = &obj->progs.kfunc_call_test1;
	s->progs[0].link = &obj->links.kfunc_call_test1;

	s->data = (void *)kfunc_call_test_subprog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *kfunc_call_test_subprog__elf_bytes(size_t *sz)
{
	*sz = 4544;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x74\x63\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\
\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x73\x75\x62\x70\
\x72\x6f\x67\x2e\x63\0\x4c\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\x34\0\x66\
\x31\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x61\x63\x74\x69\x76\x65\0\x61\x63\
\x74\x69\x76\x65\x5f\x72\x65\x73\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\
\x61\x6c\x6c\x5f\x74\x65\x73\x74\x33\0\x73\x6b\x5f\x73\x74\x61\x74\x65\x5f\x72\
\x65\x73\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\
\x73\x74\x31\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x31\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\
\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x04\0\xff\xf1\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x42\0\0\0\x03\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x03\0\0\
\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x50\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\x53\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\x6e\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x83\x11\
\0\0\x05\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\x90\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xa5\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\
\0\xb6\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x18\x70\0\0\xff\xff\xff\
\xff\0\0\0\0\0\0\0\0\x79\x11\0\xa8\0\0\0\0\x15\x10\0\x1a\0\0\0\0\x85\0\0\0\0\0\
\0\x5f\xbf\x60\0\0\0\0\0\0\x15\x60\0\x17\0\0\0\0\x85\0\0\0\0\0\0\x08\x18\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x99\x15\0\0\x04\
\0\0\0\0\x61\x10\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\
\0\0\0\xbf\x16\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x71\x10\0\0\0\0\0\0\x18\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\
\x20\0\0\0\0\0\x01\xb7\x30\0\0\0\0\0\x02\xb7\x40\0\0\0\0\0\x03\xb7\x50\0\0\0\0\
\0\x04\x85\x01\0\0\xff\xff\xff\xff\xbf\x70\0\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\xff\xff\xff\xff\
\xff\xff\xff\xff\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x07\0\0\0\x01\0\
\0\0\0\0\0\0\x70\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\x90\0\0\0\x09\0\0\0\x0a\0\0\
\0\0\0\0\0\xa0\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\xe0\0\0\0\x0b\0\0\0\x0a\0\0\0\
\0\0\0\0\0\0\0\0\x06\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x04\xac\0\0\
\x04\xac\0\0\x04\xbf\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x04\0\0\x22\0\0\0\
\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\
\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\
\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\
\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\x01\0\0\0\0\x5e\0\0\0\x03\0\0\x01\x20\0\0\0\
\x6e\0\0\0\x03\0\0\x01\x40\0\0\0\x76\0\0\0\x03\0\0\x01\x60\0\0\0\x7f\0\0\0\x05\
\0\0\x01\x80\0\0\0\x82\0\0\0\x03\0\0\x02\x20\0\0\0\x87\0\0\0\x03\0\0\x02\x40\0\
\0\0\x92\0\0\0\x03\0\0\x02\x60\0\0\0\x97\0\0\0\x03\0\0\x02\x80\0\0\0\xa0\0\0\0\
\x03\0\0\x02\xa0\0\0\0\xa8\0\0\0\x03\0\0\x02\xc0\0\0\0\xaf\0\0\0\x03\0\0\x02\
\xe0\0\0\0\xba\0\0\0\x03\0\0\x03\0\0\0\0\xc4\0\0\0\x07\0\0\x03\x20\0\0\0\xcf\0\
\0\0\x07\0\0\x03\xa0\0\0\0\xd9\0\0\0\x03\0\0\x04\x20\0\0\0\xe5\0\0\0\x03\0\0\
\x04\x40\0\0\0\xf0\0\0\0\x03\0\0\x04\x60\0\0\0\0\0\0\0\x08\0\0\x04\x80\0\0\0\
\xfa\0\0\0\x0a\0\0\x04\xc0\0\0\x01\x01\0\0\0\x03\0\0\x05\0\0\0\x01\x0a\0\0\0\
\x03\0\0\x05\x20\0\0\0\0\0\0\0\x0c\0\0\x05\x40\0\0\x01\x13\0\0\0\x03\0\0\x05\
\x80\0\0\x01\x1c\0\0\0\x0e\0\0\x05\xa0\0\0\x01\x28\0\0\0\x0a\0\0\x05\xc0\0\0\
\x01\x31\x08\0\0\0\0\0\0\x04\0\0\x01\x37\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\x01\x44\x01\0\0\0\0\0\0\
\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\
\x05\0\0\x01\0\0\0\x08\0\0\x01\x58\0\0\0\x09\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\
\x25\0\0\x01\x62\x08\0\0\0\0\0\0\x0b\0\0\x01\x68\x01\0\0\0\0\0\0\x08\0\0\0\x40\
\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x7b\0\0\0\x0d\0\0\0\0\0\0\0\0\x02\0\0\0\
\0\0\0\x26\0\0\x01\x7e\x08\0\0\0\0\0\0\x0f\0\0\x01\x83\x01\0\0\0\0\0\0\x01\0\0\
\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x11\0\0\x01\x91\0\0\0\x01\0\0\x01\x95\x01\0\0\
\0\0\0\0\x04\x01\0\0\x20\0\0\x01\x99\x0c\0\0\x01\0\0\0\x10\0\0\0\0\x0d\0\0\x01\
\0\0\0\x14\0\0\0\0\0\0\0\x14\0\0\0\0\x02\0\0\0\0\0\0\x15\0\0\x01\x9c\x04\0\0\
\x03\0\0\0\x18\0\0\x01\xa1\0\0\0\x16\0\0\0\0\0\0\x01\xad\0\0\0\x19\0\0\0\x40\0\
\0\x01\xbc\0\0\0\x03\0\0\0\x80\0\0\x01\xcd\x04\0\0\x02\0\0\0\x04\0\0\x01\xd9\0\
\0\0\x0f\0\0\0\0\0\0\x01\xe3\0\0\0\x17\0\0\0\x10\0\0\x01\xeb\x08\0\0\0\0\0\0\
\x18\0\0\x01\xf1\x01\0\0\0\0\0\0\x02\0\0\0\x10\0\0\x02\0\x01\0\0\0\0\0\0\x08\0\
\0\0\x40\0\0\x02\x0e\x0c\0\0\x02\0\0\0\x13\0\0\0\0\x0d\0\0\x05\0\0\0\x0a\0\0\0\
\0\0\0\0\x14\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\
\0\x0a\0\0\x02\x23\x0c\0\0\x02\0\0\0\x1b\0\0\x02\x38\x0c\0\0\x01\0\0\0\x10\0\0\
\x02\x49\x0e\0\0\0\0\0\0\x11\0\0\0\x01\0\0\x02\x54\x0e\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\0\x0a\0\0\0\0\0\0\x11\0\0\x02\x61\x0e\0\0\0\0\0\0\x20\0\0\0\x02\0\0\
\x02\x71\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x22\0\
\0\0\x06\0\0\0\x04\0\0\x02\x76\x0e\0\0\0\0\0\0\x23\0\0\0\x01\0\0\x02\x7f\x07\0\
\0\0\0\0\0\0\0\0\x02\x8d\x07\0\0\0\0\0\0\0\0\0\x04\xa1\x0f\0\0\x02\0\0\0\x08\0\
\0\0\x1e\0\0\0\0\0\0\0\x04\0\0\0\x1f\0\0\0\x04\0\0\0\x04\0\0\x04\xa7\x0f\0\0\
\x01\0\0\0\x04\0\0\0\x24\0\0\0\0\0\0\0\x04\0\0\x04\xaf\x0f\0\0\x03\0\0\0\0\0\0\
\0\x1a\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\0\0\0\0\x04\0\
\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\
\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\
\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\
\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\
\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\
\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\
\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\
\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\
\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\
\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\
\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\
\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\
\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\
\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\
\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\
\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\
\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x69\
\x6e\x74\0\x66\x31\0\x73\x6f\x63\x6b\0\x5f\x5f\x73\x6b\x5f\x63\x6f\x6d\x6d\x6f\
\x6e\0\x73\x6b\x5f\x70\x61\x63\x69\x6e\x67\x5f\x72\x61\x74\x65\0\x73\x6b\x5f\
\x70\x61\x63\x69\x6e\x67\x5f\x73\x74\x61\x74\x75\x73\0\x73\x6f\x63\x6b\x5f\x63\
\x6f\x6d\x6d\x6f\x6e\0\x73\x6b\x63\x5f\x73\x74\x61\x74\x65\0\x73\x6b\x63\x5f\
\x6e\x75\x6d\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\
\x68\x6f\x72\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x62\
\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x33\0\
\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\
\x31\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x31\0\x61\
\x63\x74\x69\x76\x65\x5f\x72\x65\x73\0\x73\x6b\x5f\x73\x74\x61\x74\x65\x5f\x72\
\x65\x73\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x61\x63\x74\x69\x76\x65\0\x63\
\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\
\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\
\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\
\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\
\x73\x74\x5f\x73\x75\x62\x70\x72\x6f\x67\x2e\x63\0\x69\x6e\x74\x20\x5f\x5f\x6e\
\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x66\x31\x28\x73\x74\x72\x75\x63\x74\x20\x5f\
\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x73\x74\x72\x75\
\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x20\x2a\x73\x6b\x20\x3d\x20\x73\
\x6b\x62\x2d\x3e\x73\x6b\x3b\0\x09\x69\x66\x20\x28\x21\x73\x6b\x29\0\x09\x73\
\x6b\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x66\x75\x6c\x6c\x73\x6f\x63\x6b\
\x28\x73\x6b\x29\x3b\0\x09\x09\x09\x09\x09\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\
\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x29\x3b\0\
\x09\x61\x63\x74\x69\x76\x65\x20\x3d\x20\x28\x69\x6e\x74\x20\x2a\x29\x62\x70\
\x66\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x26\x62\x70\x66\x5f\
\x70\x72\x6f\x67\x5f\x61\x63\x74\x69\x76\x65\x2c\0\x09\x69\x66\x20\x28\x61\x63\
\x74\x69\x76\x65\x29\0\x09\x09\x61\x63\x74\x69\x76\x65\x5f\x72\x65\x73\x20\x3d\
\x20\x2a\x61\x63\x74\x69\x76\x65\x3b\0\x09\x73\x6b\x5f\x73\x74\x61\x74\x65\x5f\
\x72\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\
\x6c\x5f\x74\x65\x73\x74\x33\x28\x28\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\
\x6b\x20\x2a\x29\x73\x6b\x29\x2d\x3e\x73\x6b\x5f\x73\x74\x61\x74\x65\x3b\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x28\x5f\x5f\x75\x33\x32\x29\x62\x70\x66\x5f\x6b\
\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x31\x28\x28\x73\x74\
\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x20\x2a\x29\x73\x6b\x2c\x20\x31\x2c\x20\
\x32\x2c\x20\x33\x2c\x20\x34\x29\x3b\0\x7d\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x66\x31\x28\x73\x6b\x62\x29\x3b\0\x30\x3a\x30\x3a\x30\0\x2e\x64\x61\x74\x61\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\
\x74\x63\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\
\x01\x24\0\0\x01\x48\0\0\0\x1c\0\0\0\x08\0\0\x04\xb6\0\0\0\x01\0\0\0\0\0\0\0\
\x12\0\0\x04\xbc\0\0\0\x01\0\0\0\0\0\0\0\x1d\0\0\0\x10\0\0\x04\xb6\0\0\0\x0f\0\
\0\0\0\0\0\x02\x96\0\0\x03\x19\0\0\x38\0\0\0\0\x10\0\0\x02\x96\0\0\x03\x42\0\0\
\x40\x1d\0\0\0\x18\0\0\x02\x96\0\0\x03\x62\0\0\x4c\x06\0\0\0\x20\0\0\x02\x96\0\
\0\x03\x6c\0\0\x58\x07\0\0\0\x30\0\0\x02\x96\0\0\x03\x62\0\0\x5c\x06\0\0\0\x38\
\0\0\x02\x96\0\0\x03\x87\0\0\x6c\x06\0\0\0\x40\0\0\x02\x96\0\0\x03\xa9\0\0\x68\
\x12\0\0\0\x60\0\0\x02\x96\0\0\x03\xdc\0\0\x70\x06\0\0\0\x68\0\0\x02\x96\0\0\
\x03\xe9\0\0\x74\x10\0\0\0\x70\0\0\x02\x96\0\0\x03\xe9\0\0\x74\x0e\0\0\0\x88\0\
\0\x02\x96\0\0\x04\x01\0\0\x7c\x11\0\0\0\x98\0\0\x02\x96\0\0\x04\x01\0\0\x7c\
\x3a\0\0\0\xa0\0\0\x02\x96\0\0\x04\x01\0\0\x7c\x0f\0\0\0\xb8\0\0\x02\x96\0\0\
\x04\x44\0\0\x84\x10\0\0\0\xf0\0\0\x02\x96\0\0\x04\x88\0\0\x88\x01\0\0\x04\xbc\
\0\0\0\x02\0\0\0\0\0\0\x02\x96\0\0\x04\x8a\0\0\x9c\x09\0\0\0\x08\0\0\x02\x96\0\
\0\x04\x8a\0\0\x9c\x02\0\0\0\x10\0\0\x04\xb6\0\0\0\x01\0\0\0\x98\0\0\0\x15\0\0\
\x04\x9b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\xde\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x20\0\0\0\0\0\0\x01\x50\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x70\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\x70\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\x80\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\x20\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\x88\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\xbf\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x90\0\0\0\0\0\
\0\0\x50\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xc9\0\0\
\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xe0\0\0\0\0\0\0\0\x10\
\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xd0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xf0\0\0\0\0\0\0\x09\x83\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x78\0\0\0\0\0\0\x01\x84\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct kfunc_call_test_subprog *kfunc_call_test_subprog::open(const struct bpf_object_open_opts *opts) { return kfunc_call_test_subprog__open_opts(opts); }
struct kfunc_call_test_subprog *kfunc_call_test_subprog::open_and_load() { return kfunc_call_test_subprog__open_and_load(); }
int kfunc_call_test_subprog::load(struct kfunc_call_test_subprog *skel) { return kfunc_call_test_subprog__load(skel); }
int kfunc_call_test_subprog::attach(struct kfunc_call_test_subprog *skel) { return kfunc_call_test_subprog__attach(skel); }
void kfunc_call_test_subprog::detach(struct kfunc_call_test_subprog *skel) { kfunc_call_test_subprog__detach(skel); }
void kfunc_call_test_subprog::destroy(struct kfunc_call_test_subprog *skel) { kfunc_call_test_subprog__destroy(skel); }
const void *kfunc_call_test_subprog::elf_bytes(size_t *sz) { return kfunc_call_test_subprog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
kfunc_call_test_subprog__assert(struct kfunc_call_test_subprog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->active_res) == 4, "unexpected size of 'active_res'");
	_Static_assert(sizeof(s->data->sk_state_res) == 4, "unexpected size of 'sk_state_res'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __KFUNC_CALL_TEST_SUBPROG_SKEL_H__ */
