/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TAILCALL_BPF2BPF4_SKEL_H__
#define __TAILCALL_BPF2BPF4_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct tailcall_bpf2bpf4 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *jmp_table;
		struct bpf_map *nop_table;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *classifier_1;
		struct bpf_program *classifier_2;
		struct bpf_program *classifier_0;
		struct bpf_program *entry;
	} progs;
	struct {
		struct bpf_link *classifier_1;
		struct bpf_link *classifier_2;
		struct bpf_link *classifier_0;
		struct bpf_link *entry;
	} links;
	struct tailcall_bpf2bpf4__bss {
		int count;
		int noise;
	} *bss;

#ifdef __cplusplus
	static inline struct tailcall_bpf2bpf4 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct tailcall_bpf2bpf4 *open_and_load();
	static inline int load(struct tailcall_bpf2bpf4 *skel);
	static inline int attach(struct tailcall_bpf2bpf4 *skel);
	static inline void detach(struct tailcall_bpf2bpf4 *skel);
	static inline void destroy(struct tailcall_bpf2bpf4 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
tailcall_bpf2bpf4__destroy(struct tailcall_bpf2bpf4 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
tailcall_bpf2bpf4__create_skeleton(struct tailcall_bpf2bpf4 *obj);

static inline struct tailcall_bpf2bpf4 *
tailcall_bpf2bpf4__open_opts(const struct bpf_object_open_opts *opts)
{
	struct tailcall_bpf2bpf4 *obj;
	int err;

	obj = (struct tailcall_bpf2bpf4 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = tailcall_bpf2bpf4__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	tailcall_bpf2bpf4__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct tailcall_bpf2bpf4 *
tailcall_bpf2bpf4__open(void)
{
	return tailcall_bpf2bpf4__open_opts(NULL);
}

static inline int
tailcall_bpf2bpf4__load(struct tailcall_bpf2bpf4 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct tailcall_bpf2bpf4 *
tailcall_bpf2bpf4__open_and_load(void)
{
	struct tailcall_bpf2bpf4 *obj;
	int err;

	obj = tailcall_bpf2bpf4__open();
	if (!obj)
		return NULL;
	err = tailcall_bpf2bpf4__load(obj);
	if (err) {
		tailcall_bpf2bpf4__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
tailcall_bpf2bpf4__attach(struct tailcall_bpf2bpf4 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
tailcall_bpf2bpf4__detach(struct tailcall_bpf2bpf4 *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *tailcall_bpf2bpf4__elf_bytes(size_t *sz);

static inline int
tailcall_bpf2bpf4__create_skeleton(struct tailcall_bpf2bpf4 *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "tailcall_bpf2bpf4";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "jmp_table";
	s->maps[0].map = &obj->maps.jmp_table;

	s->maps[1].name = "nop_table";
	s->maps[1].map = &obj->maps.nop_table;

	s->maps[2].name = "tailcall.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "classifier_1";
	s->progs[0].prog = &obj->progs.classifier_1;
	s->progs[0].link = &obj->links.classifier_1;

	s->progs[1].name = "classifier_2";
	s->progs[1].prog = &obj->progs.classifier_2;
	s->progs[1].link = &obj->links.classifier_2;

	s->progs[2].name = "classifier_0";
	s->progs[2].prog = &obj->progs.classifier_0;
	s->progs[2].link = &obj->links.classifier_0;

	s->progs[3].name = "entry";
	s->progs[3].prog = &obj->progs.entry;
	s->progs[3].link = &obj->links.entry;

	s->data = (void *)tailcall_bpf2bpf4__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *tailcall_bpf2bpf4__elf_bytes(size_t *sz)
{
	*sz = 5272;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x98\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x74\x63\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x62\x70\x66\x32\x62\x70\x66\
\x34\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\
\x61\x69\x6c\x5f\x32\0\x6e\x6f\x69\x73\x65\0\x6e\x6f\x70\x5f\x74\x61\x62\x6c\
\x65\0\x6a\x6d\x70\x5f\x74\x61\x62\x6c\x65\0\x73\x75\x62\x70\x72\x6f\x67\x5f\
\x74\x61\x69\x6c\x5f\x31\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\0\
\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x5f\x31\0\x63\x6c\x61\x73\x73\x69\x66\
\x69\x65\x72\x5f\x32\0\x63\x6f\x75\x6e\x74\0\x63\x6c\x61\x73\x73\x69\x66\x69\
\x65\x72\x5f\x30\0\x65\x6e\x74\x72\x79\0\x5f\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x03\0\0\
\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x48\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\x57\x11\0\0\
\x05\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\x5d\x11\0\0\x06\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x20\0\0\0\x67\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\0\0\0\x71\x12\0\0\x03\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x50\0\0\0\x80\x12\0\0\
\x03\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\x48\0\0\0\x8d\x12\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x10\0\0\0\x9a\x12\0\0\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x38\0\
\0\0\xa7\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xad\x12\0\0\x04\0\
\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x10\0\0\0\xba\x12\0\0\x04\0\0\0\0\0\0\0\x58\0\0\
\0\0\0\0\0\x10\0\0\0\xc0\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x61\
\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x15\x10\0\
\x07\0\0\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\
\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\x01\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xbf\x27\0\0\0\0\
\0\0\xb7\x30\0\0\0\0\0\x02\x85\0\0\0\0\0\0\x0c\x61\x06\0\0\0\0\0\0\x27\0\0\0\0\
\0\0\x03\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xbf\x16\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x01\x85\0\0\0\0\
\0\0\x0c\x61\x06\0\0\0\0\0\0\x67\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\0\xbf\x61\0\0\
\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xbf\x27\0\0\0\
\0\0\0\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0c\x61\x06\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x32\0\0\0\0\0\0\x07\x30\0\0\0\0\0\x01\x63\x23\0\0\0\0\0\0\x85\
\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\
\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x06\
\0\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x08\0\
\0\0\x01\0\0\0\0\0\0\0\xb0\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\0\x08\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x0a\0\0\0\0\0\0\0\x10\0\0\0\x0d\0\0\0\
\x01\0\0\0\0\0\0\0\x38\0\0\0\x05\0\0\0\x0a\0\0\0\0\0\0\0\x48\0\0\0\x09\0\0\0\
\x0a\0\0\0\0\0\0\0\x58\0\0\0\x0a\0\0\0\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\
\x04\xfc\0\0\x04\xfc\0\0\x04\xf5\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\
\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x03\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\x04\0\0\x04\0\0\0\
\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\x2a\0\0\0\
\x05\0\0\0\x80\0\0\0\x33\0\0\0\x05\0\0\0\xc0\0\0\0\x3e\x0e\0\0\0\0\0\0\x07\0\0\
\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x01\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\0\0\x09\0\0\0\0\
\0\0\0\x1e\0\0\0\x0b\0\0\0\x40\0\0\0\x2a\0\0\0\x05\0\0\0\x80\0\0\0\x33\0\0\0\
\x05\0\0\0\xc0\0\0\0\x48\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\
\x10\0\0\0\x52\x04\0\0\x22\0\0\0\xc0\0\0\0\x5c\0\0\0\x11\0\0\0\0\0\0\0\x60\0\0\
\0\x11\0\0\0\x20\0\0\0\x69\0\0\0\x11\0\0\0\x40\0\0\0\x6e\0\0\0\x11\0\0\0\x60\0\
\0\0\x7c\0\0\0\x11\0\0\0\x80\0\0\0\x85\0\0\0\x11\0\0\0\xa0\0\0\0\x92\0\0\0\x11\
\0\0\0\xc0\0\0\0\x9b\0\0\0\x11\0\0\0\xe0\0\0\0\xa6\0\0\0\x11\0\0\x01\0\0\0\0\
\xaf\0\0\0\x11\0\0\x01\x20\0\0\0\xbf\0\0\0\x11\0\0\x01\x40\0\0\0\xc7\0\0\0\x11\
\0\0\x01\x60\0\0\0\xd0\0\0\0\x13\0\0\x01\x80\0\0\0\xd3\0\0\0\x11\0\0\x02\x20\0\
\0\0\xd8\0\0\0\x11\0\0\x02\x40\0\0\0\xe3\0\0\0\x11\0\0\x02\x60\0\0\0\xe8\0\0\0\
\x11\0\0\x02\x80\0\0\0\xf1\0\0\0\x11\0\0\x02\xa0\0\0\0\xf9\0\0\0\x11\0\0\x02\
\xc0\0\0\x01\0\0\0\0\x11\0\0\x02\xe0\0\0\x01\x0b\0\0\0\x11\0\0\x03\0\0\0\x01\
\x15\0\0\0\x14\0\0\x03\x20\0\0\x01\x20\0\0\0\x14\0\0\x03\xa0\0\0\x01\x2a\0\0\0\
\x11\0\0\x04\x20\0\0\x01\x36\0\0\0\x11\0\0\x04\x40\0\0\x01\x41\0\0\0\x11\0\0\
\x04\x60\0\0\0\0\0\0\0\x15\0\0\x04\x80\0\0\x01\x4b\0\0\0\x17\0\0\x04\xc0\0\0\
\x01\x52\0\0\0\x11\0\0\x05\0\0\0\x01\x5b\0\0\0\x11\0\0\x05\x20\0\0\0\0\0\0\0\
\x19\0\0\x05\x40\0\0\x01\x64\0\0\0\x11\0\0\x05\x80\0\0\x01\x6d\0\0\0\x1b\0\0\
\x05\xa0\0\0\x01\x79\0\0\0\x17\0\0\x05\xc0\0\0\x01\x82\x08\0\0\0\0\0\0\x12\0\0\
\x01\x88\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x11\0\0\
\0\x04\0\0\0\x05\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x04\0\0\0\x04\0\0\0\
\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x95\0\0\0\x16\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\
\x2a\0\0\x01\x9f\x08\0\0\0\0\0\0\x18\0\0\x01\xa5\x01\0\0\0\0\0\0\x08\0\0\0\x40\
\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\xb8\0\0\0\x1a\0\0\0\0\0\0\0\0\x02\0\0\0\
\0\0\0\x2b\0\0\x01\xbb\x08\0\0\0\0\0\0\x1c\0\0\x01\xc0\x01\0\0\0\0\0\0\x01\0\0\
\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x01\xce\0\0\0\x0f\0\0\x01\xd2\x0c\0\0\
\x01\0\0\0\x1d\0\0\x01\xe1\x0c\0\0\x01\0\0\0\x1d\0\0\x01\xf0\x0c\0\0\x01\0\0\0\
\x1d\0\0\x01\xfd\x0c\0\0\x01\0\0\0\x1d\0\0\x02\x0a\x0c\0\0\x01\0\0\0\x1d\0\0\
\x02\x17\x0c\0\0\x01\0\0\0\x1d\0\0\x02\x24\x0c\0\0\x01\0\0\0\x1d\0\0\x02\x2a\
\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x02\x30\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\
\x02\x36\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x27\0\
\0\0\x04\0\0\0\x04\0\0\x02\x3b\x0e\0\0\0\0\0\0\x28\0\0\0\x01\0\0\x02\x45\x07\0\
\0\0\0\0\0\0\0\0\x02\x53\x07\0\0\0\0\0\0\0\0\0\x04\xd9\x0f\0\0\x02\0\0\0\x08\0\
\0\0\x25\0\0\0\0\0\0\0\x04\0\0\0\x26\0\0\0\x04\0\0\0\x04\0\0\x04\xde\x0f\0\0\
\x02\0\0\0\x40\0\0\0\x08\0\0\0\0\0\0\0\x20\0\0\0\x0e\0\0\0\x20\0\0\0\x20\0\0\
\x04\xe4\x0f\0\0\x01\0\0\0\x04\0\0\0\x29\0\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\
\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\x5f\
\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6a\x6d\x70\x5f\
\x74\x61\x62\x6c\x65\0\x6e\x6f\x70\x5f\x74\x61\x62\x6c\x65\0\x5f\x5f\x73\x6b\
\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\
\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\
\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\
\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\
\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\
\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\
\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\
\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\
\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\
\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\
\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\
\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\
\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\
\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\
\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x73\x75\x62\x70\x72\x6f\x67\
\x5f\x74\x61\x69\x6c\x5f\x32\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\
\x5f\x31\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\0\x63\x6c\x61\x73\
\x73\x69\x66\x69\x65\x72\x5f\x31\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x5f\
\x32\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x5f\x30\0\x65\x6e\x74\x72\x79\0\
\x63\x6f\x75\x6e\x74\0\x6e\x6f\x69\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\
\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\
\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\
\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x62\x70\x66\x32\x62\x70\x66\x34\x2e\x63\0\x69\
\x6e\x74\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x5f\x32\x28\x73\
\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\
\x62\x29\0\x09\x69\x66\x20\x28\x6e\x6f\x69\x73\x65\x29\0\x09\x5f\x5f\x75\x33\
\x32\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6e\x6f\x70\x5f\x74\x61\
\x62\x6c\x65\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\
\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\x2f\x62\x70\x66\x5f\x68\
\x65\x6c\x70\x65\x72\x73\x2e\x68\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\
\x6c\x65\x28\x22\x72\x31\x20\x3d\x20\x25\x5b\x63\x74\x78\x5d\x5c\x6e\x5c\x74\
\x22\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x20\x2a\
\x20\x33\x3b\0\x69\x6e\x74\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\
\x5f\x31\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\
\x20\x2a\x73\x6b\x62\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x6b\x62\x2d\x3e\
\x6c\x65\x6e\x20\x2a\x20\x32\x3b\0\x69\x6e\x74\x20\x73\x75\x62\x70\x72\x6f\x67\
\x5f\x74\x61\x69\x6c\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\
\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x6b\
\x62\x2d\x3e\x6c\x65\x6e\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x75\x62\x70\
\x72\x6f\x67\x5f\x74\x61\x69\x6c\x5f\x32\x28\x73\x6b\x62\x29\x3b\0\x09\x63\x6f\
\x75\x6e\x74\x2b\x2b\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x75\x62\x70\x72\
\x6f\x67\x5f\x74\x61\x69\x6c\x5f\x31\x28\x73\x6b\x62\x29\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x28\x73\x6b\
\x62\x29\x3b\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x74\x65\x78\x74\0\x74\x63\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\
\0\0\0\0\0\0\x4c\0\0\0\x4c\0\0\x01\xc4\0\0\x02\x10\0\0\0\0\0\0\0\x08\0\0\x04\
\xec\0\0\0\x03\0\0\0\0\0\0\0\x1e\0\0\0\xa8\0\0\0\x1f\0\0\0\xf8\0\0\0\x20\0\0\
\x04\xf2\0\0\0\x04\0\0\0\0\0\0\0\x21\0\0\0\x10\0\0\0\x22\0\0\0\x48\0\0\0\x23\0\
\0\0\x58\0\0\0\x24\0\0\0\x10\0\0\x04\xec\0\0\0\x12\0\0\0\0\0\0\x02\x5c\0\0\x02\
\xd9\0\0\x7c\0\0\0\0\x08\0\0\x02\x5c\0\0\x03\x03\0\0\x84\x06\0\0\0\x20\0\0\x02\
\x5c\0\0\x03\x03\0\0\x84\x06\0\0\0\x30\0\0\x02\x5c\0\0\x03\x0f\0\0\x60\x08\0\0\
\0\x40\0\0\x02\x5c\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\x02\x5c\0\0\x03\x1f\0\0\x68\
\x02\0\0\0\x60\0\0\x03\x47\0\0\x03\xca\0\x01\xd4\x02\0\0\0\x90\0\0\x02\x5c\0\0\
\x03\xea\0\0\x90\x0e\0\0\0\x98\0\0\x02\x5c\0\0\x03\xea\0\0\x90\x12\0\0\0\xa0\0\
\0\x02\x5c\0\0\x03\xea\0\0\x90\x02\0\0\0\xa8\0\0\x02\x5c\0\0\x04\0\0\0\xa0\0\0\
\0\0\xb0\0\0\x03\x47\0\0\x03\xca\0\x01\xd4\x02\0\0\0\xe0\0\0\x02\x5c\0\0\x04\
\x2a\0\0\xac\x0e\0\0\0\xe8\0\0\x02\x5c\0\0\x04\x2a\0\0\xac\x12\0\0\0\xf0\0\0\
\x02\x5c\0\0\x04\x2a\0\0\xac\x02\0\0\0\xf8\0\0\x02\x5c\0\0\x04\x40\0\0\xbc\0\0\
\0\x01\0\0\0\x03\x47\0\0\x03\xca\0\x01\xd4\x02\0\0\x01\x30\0\0\x02\x5c\0\0\x04\
\x68\0\0\xc8\x02\0\0\x04\xf2\0\0\0\x09\0\0\0\0\0\0\x02\x5c\0\0\x04\x7a\0\0\xe0\
\x09\0\0\0\x08\0\0\x02\x5c\0\0\x04\x7a\0\0\xe0\x02\0\0\0\x10\0\0\x02\x5c\0\0\
\x04\x97\0\0\xf8\x07\0\0\0\x38\0\0\x02\x5c\0\0\x04\x7a\0\0\xfc\x09\0\0\0\x40\0\
\0\x02\x5c\0\0\x04\x7a\0\0\xfc\x02\0\0\0\x48\0\0\x02\x5c\0\0\x04\xa1\0\x01\x14\
\x09\0\0\0\x50\0\0\x02\x5c\0\0\x04\xa1\0\x01\x14\x02\0\0\0\x58\0\0\x02\x5c\0\0\
\x04\xbe\0\x01\x2c\x09\0\0\0\x60\0\0\x02\x5c\0\0\x04\xbe\0\x01\x2c\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe9\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\x01\x98\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x02\xc8\0\0\0\0\0\0\x01\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\x08\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x1a\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x70\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x70\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xca\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x04\xb8\0\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\xd4\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x05\x08\0\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\xdb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x05\x58\0\0\0\0\0\0\x0a\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\xe0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x68\0\0\0\
\0\0\0\x02\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct tailcall_bpf2bpf4 *tailcall_bpf2bpf4::open(const struct bpf_object_open_opts *opts) { return tailcall_bpf2bpf4__open_opts(opts); }
struct tailcall_bpf2bpf4 *tailcall_bpf2bpf4::open_and_load() { return tailcall_bpf2bpf4__open_and_load(); }
int tailcall_bpf2bpf4::load(struct tailcall_bpf2bpf4 *skel) { return tailcall_bpf2bpf4__load(skel); }
int tailcall_bpf2bpf4::attach(struct tailcall_bpf2bpf4 *skel) { return tailcall_bpf2bpf4__attach(skel); }
void tailcall_bpf2bpf4::detach(struct tailcall_bpf2bpf4 *skel) { tailcall_bpf2bpf4__detach(skel); }
void tailcall_bpf2bpf4::destroy(struct tailcall_bpf2bpf4 *skel) { tailcall_bpf2bpf4__destroy(skel); }
const void *tailcall_bpf2bpf4::elf_bytes(size_t *sz) { return tailcall_bpf2bpf4__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
tailcall_bpf2bpf4__assert(struct tailcall_bpf2bpf4 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->count) == 4, "unexpected size of 'count'");
	_Static_assert(sizeof(s->bss->noise) == 4, "unexpected size of 'noise'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TAILCALL_BPF2BPF4_SKEL_H__ */
