/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_CORE_EXTERN_SKEL_H__
#define __TEST_CORE_EXTERN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_core_extern {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *handle_sys_enter;
	} progs;
	struct {
		struct bpf_link *handle_sys_enter;
	} links;
	struct test_core_extern__data {
		uint64_t kern_ver;
		uint64_t bpf_syscall;
		uint64_t tristate_val;
		uint64_t bool_val;
		uint64_t char_val;
		uint64_t ushort_val;
		uint64_t int_val;
		uint64_t ulong_val;
		char str_val[8];
		uint64_t missing_val;
	} *data;
	struct test_core_extern__kconfig {
		uint64_t CONFIG_MISSING;
		uint64_t CONFIG_ULONG;
		int CONFIG_INT;
		enum libbpf_tristate CONFIG_TRISTATE;
		int LINUX_KERNEL_VERSION;
		uint16_t CONFIG_USHORT;
		_Bool CONFIG_BOOL;
		_Bool CONFIG_BPF_SYSCALL;
		char CONFIG_CHAR;
		const char CONFIG_STR[8];
	} *kconfig;

#ifdef __cplusplus
	static inline struct test_core_extern *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_core_extern *open_and_load();
	static inline int load(struct test_core_extern *skel);
	static inline int attach(struct test_core_extern *skel);
	static inline void detach(struct test_core_extern *skel);
	static inline void destroy(struct test_core_extern *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_core_extern__destroy(struct test_core_extern *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_core_extern__create_skeleton(struct test_core_extern *obj);

static inline struct test_core_extern *
test_core_extern__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_core_extern *obj;
	int err;

	obj = (struct test_core_extern *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_core_extern__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_core_extern__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_core_extern *
test_core_extern__open(void)
{
	return test_core_extern__open_opts(NULL);
}

static inline int
test_core_extern__load(struct test_core_extern *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_core_extern *
test_core_extern__open_and_load(void)
{
	struct test_core_extern *obj;
	int err;

	obj = test_core_extern__open();
	if (!obj)
		return NULL;
	err = test_core_extern__load(obj);
	if (err) {
		test_core_extern__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_core_extern__attach(struct test_core_extern *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_core_extern__detach(struct test_core_extern *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_core_extern__elf_bytes(size_t *sz);

static inline int
test_core_extern__create_skeleton(struct test_core_extern *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_core_extern";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_cor.data";
	s->maps[0].map = &obj->maps.data;
	s->maps[0].mmaped = (void **)&obj->data;

	s->maps[1].name = "test_co.kconfig";
	s->maps[1].map = &obj->maps.kconfig;
	s->maps[1].mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_sys_enter";
	s->progs[0].prog = &obj->progs.handle_sys_enter;
	s->progs[0].link = &obj->links.handle_sys_enter;

	s->data = (void *)test_core_extern__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_core_extern__elf_bytes(size_t *sz)
{
	*sz = 5152;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\xe0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\x77\
\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x64\x61\x74\x61\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x65\x78\
\x74\x65\x72\x6e\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x68\x61\x6e\x64\x6c\x65\
\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x43\x4f\x4e\x46\x49\x47\x5f\x42\x50\
\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x62\x70\x66\x5f\x73\x79\x73\x63\x61\x6c\
\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x54\x52\x49\x53\x54\x41\x54\x45\0\x74\x72\
\x69\x73\x74\x61\x74\x65\x5f\x76\x61\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x42\x4f\
\x4f\x4c\0\x62\x6f\x6f\x6c\x5f\x76\x61\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x55\
\x53\x48\x4f\x52\x54\0\x75\x73\x68\x6f\x72\x74\x5f\x76\x61\x6c\0\x43\x4f\x4e\
\x46\x49\x47\x5f\x55\x4c\x4f\x4e\x47\0\x75\x6c\x6f\x6e\x67\x5f\x76\x61\x6c\0\
\x4c\x49\x4e\x55\x58\x5f\x4b\x45\x52\x4e\x45\x4c\x5f\x56\x45\x52\x53\x49\x4f\
\x4e\0\x6b\x65\x72\x6e\x5f\x76\x65\x72\0\x43\x4f\x4e\x46\x49\x47\x5f\x43\x48\
\x41\x52\0\x63\x68\x61\x72\x5f\x76\x61\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x49\
\x4e\x54\0\x69\x6e\x74\x5f\x76\x61\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x53\x54\
\x52\0\x73\x74\x72\x5f\x76\x61\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x4d\x49\x53\
\x53\x49\x4e\x47\0\x6d\x69\x73\x73\x69\x6e\x67\x5f\x76\x61\x6c\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\
\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x04\0\xff\
\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x43\0\0\0\x03\0\0\0\0\0\0\x02\xd8\0\0\0\0\0\0\0\0\0\0\0\x4a\
\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x5b\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\x11\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\
\0\0\0\x7a\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\x11\0\0\x04\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\x97\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa3\x11\0\0\x04\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\xac\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xba\x11\0\0\x04\0\0\0\0\0\0\0\x28\
\0\0\0\0\0\0\0\x08\0\0\0\xc5\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd2\x11\0\0\x04\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x08\0\0\0\xdc\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf1\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\xfa\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x06\x11\0\0\
\x04\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x08\0\0\x01\x0f\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\x1a\x11\0\0\x04\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x08\0\
\0\x01\x22\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x2d\x11\0\0\x04\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x08\0\0\x01\x35\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\x44\x11\0\0\x04\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x08\0\0\x01\
\x50\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x18\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x71\x22\0\0\0\0\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x32\0\0\0\
\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x18\x30\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x7b\x32\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x71\x22\0\0\0\0\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x32\0\0\0\0\0\0\
\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\x22\0\0\0\0\0\0\x18\x30\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x7b\x32\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x22\
\0\0\0\0\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x32\0\0\0\0\0\0\x18\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x67\x20\0\0\0\0\0\x20\xc7\x20\0\
\0\0\0\0\x20\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x32\0\0\0\0\0\0\x18\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x67\x20\0\0\0\0\0\x38\xc7\x20\0\
\0\0\0\0\x38\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x32\0\0\0\0\0\0\x18\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x67\x20\0\0\0\0\0\x20\xc7\x20\0\
\0\0\0\0\x20\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x32\0\0\0\0\0\0\x18\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x43\0\x06\0\0\0\0\x67\x40\0\0\0\0\0\x08\x71\x23\
\0\x07\0\0\0\0\x4f\x42\0\0\0\0\0\0\x71\x23\0\x04\0\0\0\0\x67\x20\0\0\0\0\0\x08\
\x71\x53\0\x05\0\0\0\0\x4f\x25\0\0\0\0\0\0\x67\x20\0\0\0\0\0\x10\x4f\x24\0\0\0\
\0\0\0\x71\x43\0\x02\0\0\0\0\x67\x40\0\0\0\0\0\x08\x71\x53\0\x03\0\0\0\0\x4f\
\x45\0\0\0\0\0\0\x71\x53\0\x01\0\0\0\0\x71\x33\0\0\0\0\0\0\x67\x30\0\0\0\0\0\
\x08\x4f\x35\0\0\0\0\0\0\x67\x30\0\0\0\0\0\x10\x4f\x34\0\0\0\0\0\0\x67\x30\0\0\
\0\0\0\x20\x4f\x32\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x23\0\0\
\0\0\0\0\x18\0\0\0\xde\xad\xc0\xde\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x79\x22\0\0\0\0\0\0\x15\x20\0\x04\0\0\0\0\xb7\x20\0\0\0\0\0\x7b\x85\0\
\0\0\0\0\x03\xe7\x67\0\0\0\0\0\0\x20\xc7\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x7b\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\
\0\x18\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\
\x48\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\
\x78\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\x90\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\
\xa8\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\xc0\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\
\xd8\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\0\xf0\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\x01\
\x18\0\0\0\x10\0\0\0\x01\0\0\0\0\0\0\x01\x30\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\
\x01\x58\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x01\x70\0\0\0\x13\0\0\0\x01\0\0\0\0\0\
\0\x01\x98\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\x01\xb0\0\0\0\x15\0\0\0\x01\0\0\0\0\
\0\0\x02\x70\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\x02\x98\0\0\0\x17\0\0\0\x01\0\0\0\
\0\0\0\x02\xd8\0\0\0\x18\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x03\xb0\
\0\0\x03\xb0\0\0\x03\xaa\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x07\0\0\0\0\0\0\
\0\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x09\0\0\0\x01\0\0\0\x0d\x01\0\0\0\0\0\0\
\x04\x01\0\0\x20\0\0\0\x11\x0c\0\0\x01\0\0\0\x03\0\0\0\x22\x08\0\0\0\0\0\0\x07\
\0\0\0\x2b\x08\0\0\0\0\0\0\x08\0\0\0\x36\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\
\x49\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\x52\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\
\0\x5e\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\x6b\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\
\0\0\x74\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\x7d\x0e\0\0\0\0\0\0\x06\0\0\0\x01\
\0\0\0\x88\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\x90\x0e\0\0\0\0\0\0\x06\0\0\0\
\x01\0\0\0\x9a\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x11\0\0\0\x13\0\0\0\x08\0\0\0\x9f\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\xb3\x0e\
\0\0\0\0\0\0\x12\0\0\0\x01\0\0\0\xbb\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\xc7\
\x0e\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xdc\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\0\
\xe2\x0e\0\0\0\0\0\0\x17\0\0\0\x02\0\0\0\xf5\x06\0\0\x03\0\0\0\x04\0\0\x01\x05\
\0\0\0\0\0\0\x01\x0c\0\0\0\x01\0\0\x01\x14\0\0\0\x02\0\0\x01\x1f\x0e\0\0\0\0\0\
\0\x19\0\0\0\x02\0\0\x01\x2f\x0e\0\0\0\0\0\0\x17\0\0\0\x02\0\0\x01\x3b\x0e\0\0\
\0\0\0\0\x11\0\0\0\x02\0\0\x01\x47\x08\0\0\0\0\0\0\x1e\0\0\x01\x50\x08\0\0\0\0\
\0\0\x1f\0\0\x01\x5b\x01\0\0\0\0\0\0\x02\0\0\0\x10\0\0\x01\x6a\x0e\0\0\0\0\0\0\
\x1d\0\0\0\x02\0\0\x01\x78\x0e\0\0\0\0\0\0\x04\0\0\0\x02\0\0\x01\x83\x0e\0\0\0\
\0\0\0\x06\0\0\0\x02\0\0\0\0\x0a\0\0\0\0\0\0\x11\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x23\0\0\0\x13\0\0\0\x08\0\0\x01\x90\x0e\0\0\0\0\0\0\x24\0\0\0\x02\0\0\x01\
\x9b\x0e\0\0\0\0\0\0\x06\0\0\0\x02\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\
\x13\0\0\0\x04\0\0\x01\xaa\x0e\0\0\0\0\0\0\x27\0\0\0\x01\0\0\x03\x82\x0f\0\0\
\x0a\0\0\0\x50\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\x0a\0\0\0\x08\0\0\0\x08\0\0\0\
\x0b\0\0\0\x10\0\0\0\x08\0\0\0\x0c\0\0\0\x18\0\0\0\x08\0\0\0\x0d\0\0\0\x20\0\0\
\0\x08\0\0\0\x0e\0\0\0\x28\0\0\0\x08\0\0\0\x0f\0\0\0\x30\0\0\0\x08\0\0\0\x10\0\
\0\0\x38\0\0\0\x08\0\0\0\x14\0\0\0\x40\0\0\0\x08\0\0\0\x15\0\0\0\x48\0\0\0\x08\
\0\0\x03\x88\x0f\0\0\x01\0\0\0\x04\0\0\0\x28\0\0\0\0\0\0\0\x04\0\0\x03\x90\x0f\
\0\0\x0a\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\x04\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\
\x1a\0\0\0\0\0\0\0\x04\0\0\0\x1b\0\0\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\0\0\0\0\x01\
\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x21\0\0\0\0\0\0\0\x04\0\0\0\x22\0\0\0\0\0\0\
\0\x08\0\0\0\x25\0\0\0\0\0\0\0\x08\0\0\0\x26\0\0\0\0\0\0\0\x08\0\x70\x74\x5f\
\x72\x65\x67\x73\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x75\x69\x6e\x74\x36\x34\x5f\x74\0\x5f\x5f\
\x75\x69\x6e\x74\x36\x34\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x6b\x65\x72\x6e\x5f\x76\x65\x72\0\x62\x70\x66\
\x5f\x73\x79\x73\x63\x61\x6c\x6c\0\x74\x72\x69\x73\x74\x61\x74\x65\x5f\x76\x61\
\x6c\0\x62\x6f\x6f\x6c\x5f\x76\x61\x6c\0\x63\x68\x61\x72\x5f\x76\x61\x6c\0\x75\
\x73\x68\x6f\x72\x74\x5f\x76\x61\x6c\0\x69\x6e\x74\x5f\x76\x61\x6c\0\x75\x6c\
\x6f\x6e\x67\x5f\x76\x61\x6c\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x74\x72\x5f\x76\x61\x6c\
\0\x6d\x69\x73\x73\x69\x6e\x67\x5f\x76\x61\x6c\0\x4c\x49\x4e\x55\x58\x5f\x4b\
\x45\x52\x4e\x45\x4c\x5f\x56\x45\x52\x53\x49\x4f\x4e\0\x5f\x42\x6f\x6f\x6c\0\
\x43\x4f\x4e\x46\x49\x47\x5f\x42\x50\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x6c\
\x69\x62\x62\x70\x66\x5f\x74\x72\x69\x73\x74\x61\x74\x65\0\x54\x52\x49\x5f\x4e\
\x4f\0\x54\x52\x49\x5f\x59\x45\x53\0\x54\x52\x49\x5f\x4d\x4f\x44\x55\x4c\x45\0\
\x43\x4f\x4e\x46\x49\x47\x5f\x54\x52\x49\x53\x54\x41\x54\x45\0\x43\x4f\x4e\x46\
\x49\x47\x5f\x42\x4f\x4f\x4c\0\x43\x4f\x4e\x46\x49\x47\x5f\x43\x48\x41\x52\0\
\x75\x69\x6e\x74\x31\x36\x5f\x74\0\x5f\x5f\x75\x69\x6e\x74\x31\x36\x5f\x74\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x43\x4f\x4e\x46\x49\
\x47\x5f\x55\x53\x48\x4f\x52\x54\0\x43\x4f\x4e\x46\x49\x47\x5f\x49\x4e\x54\0\
\x43\x4f\x4e\x46\x49\x47\x5f\x55\x4c\x4f\x4e\x47\0\x43\x4f\x4e\x46\x49\x47\x5f\
\x53\x54\x52\0\x43\x4f\x4e\x46\x49\x47\x5f\x4d\x49\x53\x53\x49\x4e\x47\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\
\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\
\x73\x74\x5f\x63\x6f\x72\x65\x5f\x65\x78\x74\x65\x72\x6e\x2e\x63\0\x09\x62\x70\
\x66\x5f\x73\x79\x73\x63\x61\x6c\x6c\x20\x3d\x20\x43\x4f\x4e\x46\x49\x47\x5f\
\x42\x50\x46\x5f\x53\x59\x53\x43\x41\x4c\x4c\x3b\0\x09\x74\x72\x69\x73\x74\x61\
\x74\x65\x5f\x76\x61\x6c\x20\x3d\x20\x43\x4f\x4e\x46\x49\x47\x5f\x54\x52\x49\
\x53\x54\x41\x54\x45\x3b\0\x09\x62\x6f\x6f\x6c\x5f\x76\x61\x6c\x20\x3d\x20\x43\
\x4f\x4e\x46\x49\x47\x5f\x42\x4f\x4f\x4c\x3b\0\x09\x75\x73\x68\x6f\x72\x74\x5f\
\x76\x61\x6c\x20\x3d\x20\x43\x4f\x4e\x46\x49\x47\x5f\x55\x53\x48\x4f\x52\x54\
\x3b\0\x09\x75\x6c\x6f\x6e\x67\x5f\x76\x61\x6c\x20\x3d\x20\x43\x4f\x4e\x46\x49\
\x47\x5f\x55\x4c\x4f\x4e\x47\x3b\0\x09\x6b\x65\x72\x6e\x5f\x76\x65\x72\x20\x3d\
\x20\x4c\x49\x4e\x55\x58\x5f\x4b\x45\x52\x4e\x45\x4c\x5f\x56\x45\x52\x53\x49\
\x4f\x4e\x3b\0\x09\x63\x68\x61\x72\x5f\x76\x61\x6c\x20\x3d\x20\x43\x4f\x4e\x46\
\x49\x47\x5f\x43\x48\x41\x52\x3b\0\x09\x69\x6e\x74\x5f\x76\x61\x6c\x20\x3d\x20\
\x43\x4f\x4e\x46\x49\x47\x5f\x49\x4e\x54\x3b\0\x09\x09\x73\x74\x72\x5f\x76\x61\
\x6c\x5b\x69\x5d\x20\x3d\x20\x43\x4f\x4e\x46\x49\x47\x5f\x53\x54\x52\x5b\x69\
\x5d\x3b\0\x09\x69\x66\x20\x28\x43\x4f\x4e\x46\x49\x47\x5f\x4d\x49\x53\x53\x49\
\x4e\x47\x29\0\x09\x09\x6d\x69\x73\x73\x69\x6e\x67\x5f\x76\x61\x6c\x20\x3d\x20\
\x62\x70\x66\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\x68\x65\x6c\x70\x65\x72\x28\
\x63\x74\x78\x2c\x20\x31\x32\x33\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\
\x3b\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x63\x6f\x6e\
\x66\x69\x67\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\x01\x6c\
\0\0\x01\x80\0\0\0\0\0\0\0\x08\0\0\x03\x99\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\
\x10\0\0\x03\x99\0\0\0\x16\0\0\0\0\0\0\x01\xb3\0\0\x02\x2f\0\0\xa4\x10\0\0\0\
\x18\0\0\x01\xb3\0\0\x02\x2f\0\0\xa4\x0e\0\0\0\x30\0\0\x01\xb3\0\0\x02\x52\0\0\
\xa8\x11\0\0\0\x48\0\0\x01\xb3\0\0\x02\x52\0\0\xa8\x0f\0\0\0\x60\0\0\x01\xb3\0\
\0\x02\x73\0\0\xac\x0d\0\0\0\x78\0\0\x01\xb3\0\0\x02\x73\0\0\xac\x0b\0\0\0\x90\
\0\0\x01\xb3\0\0\x02\x8c\0\0\xb4\x0f\0\0\0\xa8\0\0\x01\xb3\0\0\x02\x8c\0\0\xb4\
\x0d\0\0\0\xc0\0\0\x01\xb3\0\0\x02\xa9\0\0\xbc\x0e\0\0\0\xd8\0\0\x01\xb3\0\0\
\x02\xa9\0\0\xbc\x0c\0\0\0\xf0\0\0\x01\xb3\0\0\x02\xc4\0\0\xa0\x0d\0\0\x01\x18\
\0\0\x01\xb3\0\0\x02\xc4\0\0\xa0\x0b\0\0\x01\x30\0\0\x01\xb3\0\0\x02\xe6\0\0\
\xb0\x0d\0\0\x01\x58\0\0\x01\xb3\0\0\x02\xe6\0\0\xb0\x0b\0\0\x01\x70\0\0\x01\
\xb3\0\0\x02\xff\0\0\xb8\x0c\0\0\x01\x98\0\0\x01\xb3\0\0\x02\xff\0\0\xb8\x0a\0\
\0\x01\xb0\0\0\x01\xb3\0\0\x03\x16\0\0\xc8\x0e\0\0\x02\x98\0\0\x01\xb3\0\0\x03\
\x34\0\0\xd4\x06\0\0\x02\xb0\0\0\x01\xb3\0\0\x03\x34\0\0\xd4\x06\0\0\x02\xb8\0\
\0\x01\xb3\0\0\x03\x49\0\0\xdc\x11\0\0\x02\xd8\0\0\x01\xb3\0\0\0\0\0\0\0\0\0\0\
\x02\xf0\0\0\x01\xb3\0\0\x03\x77\0\0\xec\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\x01\x7c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xc0\0\0\
\0\0\0\0\x02\x70\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\
\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x30\0\0\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x30\0\0\0\0\0\0\0\x50\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x80\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x01\x59\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x07\x88\0\0\0\0\0\0\x01\x40\0\0\0\x02\0\0\0\x03\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x6e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\xc8\0\0\0\0\0\0\x07\x72\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\x01\x73\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x10\x40\0\0\0\0\0\0\x01\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0";
}

#ifdef __cplusplus
struct test_core_extern *test_core_extern::open(const struct bpf_object_open_opts *opts) { return test_core_extern__open_opts(opts); }
struct test_core_extern *test_core_extern::open_and_load() { return test_core_extern__open_and_load(); }
int test_core_extern::load(struct test_core_extern *skel) { return test_core_extern__load(skel); }
int test_core_extern::attach(struct test_core_extern *skel) { return test_core_extern__attach(skel); }
void test_core_extern::detach(struct test_core_extern *skel) { test_core_extern__detach(skel); }
void test_core_extern::destroy(struct test_core_extern *skel) { test_core_extern__destroy(skel); }
const void *test_core_extern::elf_bytes(size_t *sz) { return test_core_extern__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_core_extern__assert(struct test_core_extern *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->kern_ver) == 8, "unexpected size of 'kern_ver'");
	_Static_assert(sizeof(s->data->bpf_syscall) == 8, "unexpected size of 'bpf_syscall'");
	_Static_assert(sizeof(s->data->tristate_val) == 8, "unexpected size of 'tristate_val'");
	_Static_assert(sizeof(s->data->bool_val) == 8, "unexpected size of 'bool_val'");
	_Static_assert(sizeof(s->data->char_val) == 8, "unexpected size of 'char_val'");
	_Static_assert(sizeof(s->data->ushort_val) == 8, "unexpected size of 'ushort_val'");
	_Static_assert(sizeof(s->data->int_val) == 8, "unexpected size of 'int_val'");
	_Static_assert(sizeof(s->data->ulong_val) == 8, "unexpected size of 'ulong_val'");
	_Static_assert(sizeof(s->data->str_val) == 8, "unexpected size of 'str_val'");
	_Static_assert(sizeof(s->data->missing_val) == 8, "unexpected size of 'missing_val'");
	_Static_assert(sizeof(s->kconfig->CONFIG_MISSING) == 8, "unexpected size of 'CONFIG_MISSING'");
	_Static_assert(sizeof(s->kconfig->CONFIG_ULONG) == 8, "unexpected size of 'CONFIG_ULONG'");
	_Static_assert(sizeof(s->kconfig->CONFIG_INT) == 4, "unexpected size of 'CONFIG_INT'");
	_Static_assert(sizeof(s->kconfig->CONFIG_TRISTATE) == 4, "unexpected size of 'CONFIG_TRISTATE'");
	_Static_assert(sizeof(s->kconfig->LINUX_KERNEL_VERSION) == 4, "unexpected size of 'LINUX_KERNEL_VERSION'");
	_Static_assert(sizeof(s->kconfig->CONFIG_USHORT) == 2, "unexpected size of 'CONFIG_USHORT'");
	_Static_assert(sizeof(s->kconfig->CONFIG_BOOL) == 1, "unexpected size of 'CONFIG_BOOL'");
	_Static_assert(sizeof(s->kconfig->CONFIG_BPF_SYSCALL) == 1, "unexpected size of 'CONFIG_BPF_SYSCALL'");
	_Static_assert(sizeof(s->kconfig->CONFIG_CHAR) == 1, "unexpected size of 'CONFIG_CHAR'");
	_Static_assert(sizeof(s->kconfig->CONFIG_STR) == 8, "unexpected size of 'CONFIG_STR'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_CORE_EXTERN_SKEL_H__ */
