/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_D_PATH_SKEL_H__
#define __TEST_D_PATH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_d_path {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *prog_stat;
		struct bpf_program *prog_close;
	} progs;
	struct {
		struct bpf_link *prog_stat;
		struct bpf_link *prog_close;
	} links;
	struct test_d_path__bss {
		pid_t my_pid;
		__u32 cnt_stat;
		__u32 cnt_close;
		char paths_stat[7][128];
		char paths_close[7][128];
		int rets_stat[7];
		int rets_close[7];
		int called_stat;
		int called_close;
	} *bss;

#ifdef __cplusplus
	static inline struct test_d_path *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_d_path *open_and_load();
	static inline int load(struct test_d_path *skel);
	static inline int attach(struct test_d_path *skel);
	static inline void detach(struct test_d_path *skel);
	static inline void destroy(struct test_d_path *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_d_path__destroy(struct test_d_path *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_d_path__create_skeleton(struct test_d_path *obj);

static inline struct test_d_path *
test_d_path__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_d_path *obj;
	int err;

	obj = (struct test_d_path *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_d_path__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_d_path__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_d_path *
test_d_path__open(void)
{
	return test_d_path__open_opts(NULL);
}

static inline int
test_d_path__load(struct test_d_path *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_d_path *
test_d_path__open_and_load(void)
{
	struct test_d_path *obj;
	int err;

	obj = test_d_path__open();
	if (!obj)
		return NULL;
	err = test_d_path__load(obj);
	if (err) {
		test_d_path__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_d_path__attach(struct test_d_path *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_d_path__detach(struct test_d_path *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_d_path__elf_bytes(size_t *sz);

static inline int
test_d_path__create_skeleton(struct test_d_path *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_d_path";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_d_p.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "prog_stat";
	s->progs[0].prog = &obj->progs.prog_stat;
	s->progs[0].link = &obj->links.prog_stat;

	s->progs[1].name = "prog_close";
	s->progs[1].prog = &obj->progs.prog_close;
	s->progs[1].link = &obj->links.prog_close;

	s->data = (void *)test_d_path__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_d_path__elf_bytes(size_t *sz)
{
	*sz = 6608;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x10\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\x6e\
\x74\x72\x79\x2f\x73\x65\x63\x75\x72\x69\x74\x79\x5f\x69\x6e\x6f\x64\x65\x5f\
\x67\x65\x74\x61\x74\x74\x72\0\x66\x65\x6e\x74\x72\x79\x2f\x66\x69\x6c\x70\x5f\
\x63\x6c\x6f\x73\x65\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\
\x73\x74\x5f\x64\x5f\x70\x61\x74\x68\x2e\x63\0\x4c\x42\x42\x30\x5f\x33\0\x4c\
\x42\x42\x31\x5f\x33\0\x70\x72\x6f\x67\x5f\x73\x74\x61\x74\0\x63\x61\x6c\x6c\
\x65\x64\x5f\x73\x74\x61\x74\0\x6d\x79\x5f\x70\x69\x64\0\x63\x6e\x74\x5f\x73\
\x74\x61\x74\0\x70\x61\x74\x68\x73\x5f\x73\x74\x61\x74\0\x72\x65\x74\x73\x5f\
\x73\x74\x61\x74\0\x70\x72\x6f\x67\x5f\x63\x6c\x6f\x73\x65\0\x63\x61\x6c\x6c\
\x65\x64\x5f\x63\x6c\x6f\x73\x65\0\x63\x6e\x74\x5f\x63\x6c\x6f\x73\x65\0\x70\
\x61\x74\x68\x73\x5f\x63\x6c\x6f\x73\x65\0\x72\x65\x74\x73\x5f\x63\x6c\x6f\x73\
\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\
\x79\x2f\x73\x65\x63\x75\x72\x69\x74\x79\x5f\x69\x6e\x6f\x64\x65\x5f\x67\x65\
\x74\x61\x74\x74\x72\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x66\x69\x6c\
\x70\x5f\x63\x6c\x6f\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\x04\0\
\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x03\0\0\0\0\0\0\x01\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\0\x04\0\0\0\0\0\0\
\x01\x18\0\0\0\0\0\0\0\0\0\0\0\x6a\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x18\0\0\0\x74\x11\0\0\x05\0\0\0\0\0\0\x07\x44\0\0\0\0\0\0\0\x04\0\0\0\x80\x11\
\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x87\x11\0\0\x05\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x04\0\0\0\x90\x11\0\0\x05\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\x03\
\x80\0\0\0\x9b\x11\0\0\x05\0\0\0\0\0\0\x07\x0c\0\0\0\0\0\0\0\x1c\0\0\0\xa5\x12\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x28\0\0\0\xb0\x11\0\0\x05\0\0\0\0\0\0\
\x07\x48\0\0\0\0\0\0\0\x04\0\0\0\xbd\x11\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x04\0\0\0\xc7\x11\0\0\x05\0\0\0\0\0\0\x03\x8c\0\0\0\0\0\0\x03\x80\0\0\0\xd3\
\x11\0\0\x05\0\0\0\0\0\0\x07\x28\0\0\0\0\0\0\0\x1c\0\0\0\xde\x11\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\x79\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x18\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x63\x12\0\0\0\0\0\0\x77\0\0\0\
\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x10\0\
\x16\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x71\0\0\0\0\0\0\x25\x70\0\
\x12\0\0\0\x06\xbf\x17\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x07\x18\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x80\
\x85\0\0\0\0\0\0\x93\x67\x70\0\0\0\0\0\x02\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0f\x17\0\0\0\0\0\0\x63\x10\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x21\0\0\0\0\0\0\x07\x20\0\0\0\0\0\x01\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x79\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x63\x12\0\0\0\0\0\0\x77\0\0\0\0\0\0\
\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x10\0\x18\0\0\
\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x71\0\0\0\0\0\0\x25\x70\0\x14\0\0\
\0\x06\xb7\x10\0\0\0\0\0\x10\x0f\x61\0\0\0\0\0\0\xbf\x17\0\0\0\0\0\0\x67\x10\0\
\0\0\0\0\x07\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\xbf\x16\0\
\0\0\0\0\0\xb7\x30\0\0\0\0\0\x80\x85\0\0\0\0\0\0\x93\x67\x70\0\0\0\0\0\x02\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x17\0\0\0\0\0\0\x63\x10\0\0\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x07\x20\0\0\0\0\0\x01\x63\
\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x08\0\0\0\x01\0\0\0\
\0\0\0\0\x58\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\x88\0\0\0\x0a\0\0\0\x01\0\0\0\0\
\0\0\0\xc0\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\xe0\0\0\0\x09\0\0\0\x01\0\0\0\0\0\
\0\0\x10\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\
\0\x58\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\0\x98\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\
\xd0\0\0\0\x10\0\0\0\x01\0\0\0\0\0\0\0\xf0\0\0\0\x0e\0\0\0\x01\xeb\x9f\x01\0\0\
\0\0\x18\0\0\0\0\0\0\x08\x2c\0\0\x08\x2c\0\0\x06\x6c\0\0\0\0\x02\0\0\0\0\0\0\
\x02\0\0\0\x01\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\
\0\x14\0\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x1c\x0c\0\0\
\x01\0\0\0\x03\0\0\0\x26\x0c\0\0\x01\0\0\0\x03\0\0\0\x31\x04\0\0\x14\0\0\0\xe8\
\0\0\0\x36\0\0\0\x08\0\0\0\0\0\0\0\x3a\0\0\0\x0f\0\0\0\x80\0\0\0\x41\0\0\0\x12\
\0\0\x01\0\0\0\0\x49\0\0\0\x13\0\0\x01\x40\0\0\0\x4e\0\0\0\x15\0\0\x01\x80\0\0\
\0\x55\0\0\0\x1b\0\0\x01\xc0\0\0\0\x5d\0\0\0\x21\0\0\x02\0\0\0\0\x65\0\0\0\x22\
\0\0\x02\x20\0\0\0\x6c\0\0\0\x23\0\0\x02\x40\0\0\0\x77\0\0\0\x2a\0\0\x03\x40\0\
\0\0\x7d\0\0\0\x2c\0\0\x03\x80\0\0\0\x85\0\0\0\x37\0\0\x04\x80\0\0\0\x8c\0\0\0\
\x39\0\0\x04\xc0\0\0\0\x91\0\0\0\x3b\0\0\x05\xc0\0\0\0\x9b\0\0\0\x3d\0\0\x06\0\
\0\0\0\xa6\0\0\0\x3d\0\0\x06\x40\0\0\0\xb3\0\0\0\x3e\0\0\x06\x80\0\0\0\xb8\0\0\
\0\x3f\0\0\x06\xc0\0\0\0\xc2\0\0\0\x40\0\0\x07\0\0\0\0\xcb\0\0\0\x40\0\0\x07\
\x20\0\0\0\0\x05\0\0\x02\0\0\0\x10\0\0\0\xd4\0\0\0\x09\0\0\0\0\0\0\0\xdd\0\0\0\
\x0b\0\0\0\0\0\0\0\xe8\x04\0\0\x01\0\0\0\x08\0\0\0\xf3\0\0\0\x0a\0\0\0\0\0\0\0\
\0\x02\0\0\0\0\0\0\x09\0\0\0\xf8\x04\0\0\x02\0\0\0\x10\0\0\0\xf3\0\0\0\x0c\0\0\
\0\0\0\0\x01\x06\0\0\0\x0d\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x0b\0\0\0\0\x02\0\
\0\0\0\0\0\x0e\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\x01\x0b\x04\0\
\0\x02\0\0\0\x10\0\0\x01\x10\0\0\0\x10\0\0\0\0\0\0\x01\x14\0\0\0\x11\0\0\0\x40\
\0\0\0\0\x02\0\0\0\0\0\0\x55\0\0\0\0\x02\0\0\0\0\0\0\x56\0\0\0\0\x02\0\0\0\0\0\
\0\x57\0\0\0\0\x02\0\0\0\0\0\0\x14\0\0\0\0\x0a\0\0\0\0\0\0\x59\0\0\x01\x1b\x08\
\0\0\0\0\0\0\x16\0\0\x01\x26\x04\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x17\0\0\0\0\0\
\0\0\0\x05\0\0\x01\0\0\0\x04\0\0\x01\x2f\0\0\0\x18\0\0\0\0\0\0\x01\x35\x04\0\0\
\x01\0\0\0\x04\0\0\x01\x42\0\0\0\x19\0\0\0\0\0\0\x01\x4b\x08\0\0\0\0\0\0\x1a\0\
\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x01\x5b\0\0\0\x04\0\0\0\0\0\0\x01\x60\x08\0\0\
\0\0\0\0\x1c\0\0\x01\x6e\x08\0\0\0\0\0\0\x1d\0\0\0\0\x04\0\0\x01\0\0\0\x08\0\0\
\x01\x79\0\0\0\x1e\0\0\0\0\0\0\x01\x81\x08\0\0\0\0\0\0\x1f\0\0\x01\x85\x08\0\0\
\0\0\0\0\x20\0\0\x01\x8b\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\x01\x95\x01\0\0\0\
\0\0\0\x04\0\0\0\x20\0\0\x01\xa2\x08\0\0\0\0\0\0\x21\0\0\x01\xaa\x04\0\0\x04\0\
\0\0\x20\0\0\x01\xb0\0\0\0\x1b\0\0\0\0\0\0\x01\xb6\0\0\0\x24\0\0\0\x40\0\0\x01\
\xc0\0\0\0\x25\0\0\0\x60\0\0\x01\xc4\0\0\0\x28\0\0\0\x80\0\0\x01\xce\x08\0\0\0\
\0\0\0\x18\0\0\x01\xdd\x04\0\0\x01\0\0\0\x04\0\0\x01\xf3\0\0\0\x26\0\0\0\0\0\0\
\x01\xf8\x08\0\0\0\0\0\0\x27\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x01\x79\0\0\0\
\x04\0\0\0\0\0\0\x02\x01\x04\0\0\x02\0\0\0\x10\0\0\0\xf3\0\0\0\x29\0\0\0\0\0\0\
\x02\x0b\0\0\0\x29\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x28\0\0\x02\x10\x08\0\0\0\
\0\0\0\x2b\0\0\x02\x17\x08\0\0\0\0\0\0\x20\0\0\x02\x27\x04\0\0\x06\0\0\0\x20\0\
\0\x01\x5b\0\0\0\x2d\0\0\0\0\0\0\x02\x33\0\0\0\x31\0\0\0\x40\0\0\x02\x37\0\0\0\
\x32\0\0\0\x80\0\0\x02\x40\0\0\0\x33\0\0\0\xa0\0\0\x02\x44\0\0\0\x33\0\0\0\xc0\
\0\0\x02\x49\0\0\0\x04\0\0\0\xe0\0\0\x02\x50\x08\0\0\0\0\0\0\x2e\0\0\0\0\x04\0\
\0\x01\0\0\0\x08\0\0\x01\x42\0\0\0\x2f\0\0\0\0\0\0\x02\x59\x08\0\0\0\0\0\0\x30\
\0\0\0\0\x04\0\0\x02\0\0\0\x08\0\0\x02\x67\0\0\0\x04\0\0\0\0\0\0\x02\x6c\0\0\0\
\x19\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x5b\0\0\x02\x37\x06\0\0\x05\0\0\0\x04\0\
\0\x02\x71\0\0\0\0\0\0\x02\x7d\0\0\0\x01\0\0\x02\x8a\0\0\0\x02\0\0\x02\x97\0\0\
\0\x03\0\0\x02\xa3\0\0\0\x04\0\0\x02\xaf\x08\0\0\0\0\0\0\x34\0\0\0\0\x04\0\0\
\x01\0\0\0\x04\0\0\x02\xb6\0\0\0\x35\0\0\0\0\0\0\x02\xba\x08\0\0\0\0\0\0\x36\0\
\0\x02\xc0\x08\0\0\0\0\0\0\x21\0\0\0\0\x02\0\0\0\0\0\0\x38\0\0\0\0\x0a\0\0\0\0\
\0\0\x5c\0\0\x02\xd1\x04\0\0\x06\0\0\0\x20\0\0\x02\xdf\0\0\0\x3a\0\0\0\0\0\0\
\x02\xe5\0\0\0\x21\0\0\0\x40\0\0\x02\xea\0\0\0\x21\0\0\0\x60\0\0\x02\xf5\0\0\0\
\x21\0\0\0\x80\0\0\x02\xfe\0\0\0\x21\0\0\0\xa0\0\0\x03\x08\0\0\0\x2a\0\0\0\xc0\
\0\0\x03\x11\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\x03\x1f\x08\0\0\0\0\0\0\x3c\0\0\
\x03\x23\x08\0\0\0\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\
\x5a\0\0\0\0\x02\0\0\0\0\0\0\x58\0\0\x03\x29\x08\0\0\0\0\0\0\x41\0\0\x03\x32\
\x08\0\0\0\0\0\0\x42\0\0\x03\x36\x08\0\0\0\0\0\0\x21\0\0\x03\x3c\x08\0\0\0\0\0\
\0\x44\0\0\x03\x42\x08\0\0\0\0\0\0\x04\0\0\x03\x51\x0e\0\0\0\0\0\0\x43\0\0\0\
\x01\0\0\x03\x58\x0e\0\0\0\0\0\0\x42\0\0\0\x01\0\0\x03\x61\x0e\0\0\0\0\0\0\x42\
\0\0\0\x01\0\0\x03\x6b\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x48\0\0\0\x4b\0\0\0\x80\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x4b\
\0\0\0\x07\0\0\x03\x70\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x03\x84\x0e\0\0\0\0\0\
\0\x4a\0\0\0\x01\0\0\x03\x8f\x0e\0\0\0\0\0\0\x4a\0\0\0\x01\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\x4b\0\0\0\x07\0\0\x03\x9b\x0e\0\0\0\0\0\0\x4e\0\0\0\x01\
\0\0\x03\xa5\x0e\0\0\0\0\0\0\x4e\0\0\0\x01\0\0\x03\xb0\x0e\0\0\0\0\0\0\x04\0\0\
\0\x01\0\0\x03\xbc\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x48\0\0\0\x4b\0\0\0\x04\0\0\x03\xc9\x0e\0\0\0\0\0\0\x53\0\0\0\x01\0\0\x03\
\xd2\x07\0\0\0\0\0\0\0\0\0\x01\x14\x07\0\0\0\0\0\0\0\0\0\x03\xdb\x07\0\0\0\0\0\
\0\0\0\0\x03\xe1\x07\0\0\0\0\0\0\0\0\0\x03\xef\x07\0\0\0\0\0\0\0\0\0\x03\xff\
\x07\0\0\0\0\0\0\0\0\0\x02\x33\x07\0\0\0\0\0\0\0\0\0\x04\x0a\x07\0\0\0\0\0\0\0\
\0\0\x06\x2f\x0f\0\0\x09\0\0\x07\x4c\0\0\0\x45\0\0\0\0\0\0\0\x04\0\0\0\x46\0\0\
\0\x04\0\0\0\x04\0\0\0\x47\0\0\0\x08\0\0\0\x04\0\0\0\x4c\0\0\0\x0c\0\0\x03\x80\
\0\0\0\x4d\0\0\x03\x8c\0\0\x03\x80\0\0\0\x4f\0\0\x07\x0c\0\0\0\x1c\0\0\0\x50\0\
\0\x07\x28\0\0\0\x1c\0\0\0\x51\0\0\x07\x44\0\0\0\x04\0\0\0\x52\0\0\x07\x48\0\0\
\0\x04\0\0\x06\x34\x0f\0\0\x01\0\0\0\x04\0\0\0\x54\0\0\0\0\0\0\0\x04\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\
\0\x69\x6e\x74\0\x70\x72\x6f\x67\x5f\x73\x74\x61\x74\0\x70\x72\x6f\x67\x5f\x63\
\x6c\x6f\x73\x65\0\x66\x69\x6c\x65\0\x66\x5f\x75\0\x66\x5f\x70\x61\x74\x68\0\
\x66\x5f\x69\x6e\x6f\x64\x65\0\x66\x5f\x6f\x70\0\x66\x5f\x6c\x6f\x63\x6b\0\x66\
\x5f\x63\x6f\x75\x6e\x74\0\x66\x5f\x66\x6c\x61\x67\x73\0\x66\x5f\x6d\x6f\x64\
\x65\0\x66\x5f\x70\x6f\x73\x5f\x6c\x6f\x63\x6b\0\x66\x5f\x70\x6f\x73\0\x66\x5f\
\x6f\x77\x6e\x65\x72\0\x66\x5f\x63\x72\x65\x64\0\x66\x5f\x72\x61\0\x66\x5f\x76\
\x65\x72\x73\x69\x6f\x6e\0\x66\x5f\x73\x65\x63\x75\x72\x69\x74\x79\0\x70\x72\
\x69\x76\x61\x74\x65\x5f\x64\x61\x74\x61\0\x66\x5f\x65\x70\0\x66\x5f\x6d\x61\
\x70\x70\x69\x6e\x67\0\x66\x5f\x77\x62\x5f\x65\x72\x72\0\x66\x5f\x73\x62\x5f\
\x65\x72\x72\0\x66\x75\x5f\x6c\x6c\x69\x73\x74\0\x66\x75\x5f\x72\x63\x75\x68\
\x65\x61\x64\0\x6c\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x6e\x65\x78\x74\0\x63\
\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x66\x75\x6e\x63\0\x70\x61\
\x74\x68\0\x6d\x6e\x74\0\x64\x65\x6e\x74\x72\x79\0\x73\x70\x69\x6e\x6c\x6f\x63\
\x6b\x5f\x74\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x72\x61\
\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\0\
\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6c\x6f\x63\x6b\
\0\x61\x74\x6f\x6d\x69\x63\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\x6d\x69\
\x63\x36\x34\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\
\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x66\x6d\x6f\x64\x65\x5f\x74\0\x6d\x75\x74\x65\x78\0\x6f\
\x77\x6e\x65\x72\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\x71\0\x77\x61\
\x69\x74\x5f\x6c\x69\x73\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\
\x5f\x74\0\x6f\x70\x74\x69\x6d\x69\x73\x74\x69\x63\x5f\x73\x70\x69\x6e\x5f\x71\
\x75\x65\x75\x65\0\x74\x61\x69\x6c\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x6c\x69\
\x73\x74\x5f\x68\x65\x61\x64\0\x70\x72\x65\x76\0\x6c\x6f\x66\x66\x5f\x74\0\x5f\
\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x6c\x6f\x66\x66\x5f\x74\0\x66\x6f\x77\x6e\x5f\
\x73\x74\x72\x75\x63\x74\0\x70\x69\x64\0\x70\x69\x64\x5f\x74\x79\x70\x65\0\x75\
\x69\x64\0\x65\x75\x69\x64\0\x73\x69\x67\x6e\x75\x6d\0\x72\x77\x6c\x6f\x63\x6b\
\x5f\x74\0\x61\x72\x63\x68\x5f\x72\x77\x6c\x6f\x63\x6b\x5f\x74\0\x63\x6e\x74\
\x73\0\x77\x61\x69\x74\0\x50\x49\x44\x54\x59\x50\x45\x5f\x50\x49\x44\0\x50\x49\
\x44\x54\x59\x50\x45\x5f\x54\x47\x49\x44\0\x50\x49\x44\x54\x59\x50\x45\x5f\x50\
\x47\x49\x44\0\x50\x49\x44\x54\x59\x50\x45\x5f\x53\x49\x44\0\x50\x49\x44\x54\
\x59\x50\x45\x5f\x4d\x41\x58\0\x6b\x75\x69\x64\x5f\x74\0\x76\x61\x6c\0\x75\x69\
\x64\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x75\x69\x64\x33\x32\x5f\x74\
\0\x66\x69\x6c\x65\x5f\x72\x61\x5f\x73\x74\x61\x74\x65\0\x73\x74\x61\x72\x74\0\
\x73\x69\x7a\x65\0\x61\x73\x79\x6e\x63\x5f\x73\x69\x7a\x65\0\x72\x61\x5f\x70\
\x61\x67\x65\x73\0\x6d\x6d\x61\x70\x5f\x6d\x69\x73\x73\0\x70\x72\x65\x76\x5f\
\x70\x6f\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x75\x36\
\x34\0\x5f\x5f\x75\x36\x34\0\x65\x72\x72\x73\x65\x71\x5f\x74\0\x75\x33\x32\0\
\x5f\x5f\x75\x33\x32\0\x70\x69\x64\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\
\x5f\x70\x69\x64\x5f\x74\0\x6d\x79\x5f\x70\x69\x64\0\x63\x6e\x74\x5f\x73\x74\
\x61\x74\0\x63\x6e\x74\x5f\x63\x6c\x6f\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x70\x61\x74\
\x68\x73\x5f\x73\x74\x61\x74\0\x70\x61\x74\x68\x73\x5f\x63\x6c\x6f\x73\x65\0\
\x72\x65\x74\x73\x5f\x73\x74\x61\x74\0\x72\x65\x74\x73\x5f\x63\x6c\x6f\x73\x65\
\0\x63\x61\x6c\x6c\x65\x64\x5f\x73\x74\x61\x74\0\x63\x61\x6c\x6c\x65\x64\x5f\
\x63\x6c\x6f\x73\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x66\x73\x6d\x6f\
\x75\x6e\x74\0\x69\x6e\x6f\x64\x65\0\x61\x64\x64\x72\x65\x73\x73\x5f\x73\x70\
\x61\x63\x65\0\x66\x69\x6c\x65\x5f\x6f\x70\x65\x72\x61\x74\x69\x6f\x6e\x73\0\
\x68\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x63\x72\x65\x64\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\
\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\
\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x64\x5f\x70\x61\x74\x68\x2e\x63\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x70\x72\x6f\x67\x5f\x73\
\x74\x61\x74\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x70\x61\x74\x68\x20\x2a\x70\
\x61\x74\x68\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x6b\x73\x74\x61\x74\x20\x2a\
\x73\x74\x61\x74\x2c\0\x09\x70\x69\x64\x5f\x74\x20\x70\x69\x64\x20\x3d\x20\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\
\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x63\x61\x6c\x6c\x65\
\x64\x5f\x73\x74\x61\x74\x20\x3d\x20\x31\x3b\0\x09\x69\x66\x20\x28\x70\x69\x64\
\x20\x21\x3d\x20\x6d\x79\x5f\x70\x69\x64\x29\0\x09\x72\x65\x74\x20\x3d\x20\x62\
\x70\x66\x5f\x64\x5f\x70\x61\x74\x68\x28\x70\x61\x74\x68\x2c\x20\x70\x61\x74\
\x68\x73\x5f\x73\x74\x61\x74\x5b\x63\x6e\x74\x5d\x2c\x20\x4d\x41\x58\x5f\x50\
\x41\x54\x48\x5f\x4c\x45\x4e\x29\x3b\0\x09\x72\x65\x74\x73\x5f\x73\x74\x61\x74\
\x5b\x63\x6e\x74\x5d\x20\x3d\x20\x72\x65\x74\x3b\0\x09\x63\x6e\x74\x5f\x73\x74\
\x61\x74\x2b\x2b\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x70\
\x72\x6f\x67\x5f\x63\x6c\x6f\x73\x65\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x66\
\x69\x6c\x65\x20\x2a\x66\x69\x6c\x65\x2c\x20\x76\x6f\x69\x64\x20\x2a\x69\x64\
\x29\0\x09\x63\x61\x6c\x6c\x65\x64\x5f\x63\x6c\x6f\x73\x65\x20\x3d\x20\x31\x3b\
\0\x09\x09\x09\x20\x70\x61\x74\x68\x73\x5f\x63\x6c\x6f\x73\x65\x5b\x63\x6e\x74\
\x5d\x2c\x20\x4d\x41\x58\x5f\x50\x41\x54\x48\x5f\x4c\x45\x4e\x29\x3b\0\x09\x72\
\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x64\x5f\x70\x61\x74\x68\x28\x26\x66\x69\
\x6c\x65\x2d\x3e\x66\x5f\x70\x61\x74\x68\x2c\0\x09\x72\x65\x74\x73\x5f\x63\x6c\
\x6f\x73\x65\x5b\x63\x6e\x74\x5d\x20\x3d\x20\x72\x65\x74\x3b\0\x09\x63\x6e\x74\
\x5f\x63\x6c\x6f\x73\x65\x2b\x2b\x3b\0\x30\x3a\x31\0\x2e\x62\x73\x73\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x66\x65\x6e\x74\x72\x79\x2f\x73\x65\x63\x75\x72\x69\x74\
\x79\x5f\x69\x6e\x6f\x64\x65\x5f\x67\x65\x74\x61\x74\x74\x72\0\x66\x65\x6e\x74\
\x72\x79\x2f\x66\x69\x6c\x70\x5f\x63\x6c\x6f\x73\x65\0\xeb\x9f\x01\0\0\0\0\x20\
\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\x01\xd4\0\0\x01\xf8\0\0\0\x1c\0\0\0\x08\0\0\
\x06\x3c\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\x06\x5a\0\0\0\x01\0\0\0\0\0\0\0\x06\0\
\0\0\x10\0\0\x06\x3c\0\0\0\x0e\0\0\0\0\0\0\x04\x0f\0\0\x04\x86\0\0\x58\x05\0\0\
\0\x08\0\0\x04\x0f\0\0\x04\xc5\0\0\x64\x0e\0\0\0\x10\0\0\x04\x0f\0\0\x04\xf4\0\
\0\x74\x0e\0\0\0\x30\0\0\x04\x0f\0\0\x04\xc5\0\0\x64\x29\0\0\0\x38\0\0\x04\x0f\
\0\0\x05\x06\0\0\x7c\x0d\0\0\0\x50\0\0\x04\x0f\0\0\x05\x06\0\0\x7c\x06\0\0\0\
\x58\0\0\x04\x0f\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\x04\x0f\0\0\x05\x06\0\0\x7c\x06\
\0\0\0\x78\0\0\x04\x0f\0\0\x05\x1a\0\0\x90\x19\0\0\0\xa0\0\0\x04\x0f\0\0\x05\
\x1a\0\0\x90\x08\0\0\0\xb8\0\0\x04\x0f\0\0\x05\x52\0\0\x98\x02\0\0\0\xd8\0\0\
\x04\x0f\0\0\x05\x52\0\0\x98\x11\0\0\0\xe0\0\0\x04\x0f\0\0\x05\x69\0\0\x9c\x0a\
\0\0\x01\x08\0\0\x04\x0f\0\0\x04\x86\0\0\x58\x05\0\0\x06\x5a\0\0\0\x0e\0\0\0\0\
\0\0\x04\x0f\0\0\x05\x76\0\0\xb0\x05\0\0\0\x08\0\0\x04\x0f\0\0\x04\xc5\0\0\xb8\
\x0e\0\0\0\x10\0\0\x04\x0f\0\0\x05\xac\0\0\xc8\x0f\0\0\0\x30\0\0\x04\x0f\0\0\
\x04\xc5\0\0\xb8\x29\0\0\0\x38\0\0\x04\x0f\0\0\x05\x06\0\0\xd0\x0d\0\0\0\x50\0\
\0\x04\x0f\0\0\x05\x06\0\0\xd0\x06\0\0\0\x58\0\0\x04\x0f\0\0\0\0\0\0\0\0\0\0\0\
\x68\0\0\x04\x0f\0\0\x05\x06\0\0\xd0\x06\0\0\0\x88\0\0\x04\x0f\0\0\x05\xbf\0\0\
\xe8\x05\0\0\0\xb0\0\0\x04\x0f\0\0\x05\xe4\0\0\xe4\x08\0\0\0\xc8\0\0\x04\x0f\0\
\0\x06\x05\0\0\xf0\x02\0\0\0\xe8\0\0\x04\x0f\0\0\x06\x05\0\0\xf0\x12\0\0\0\xf0\
\0\0\x04\x0f\0\0\x06\x1d\0\0\xf4\x0b\0\0\x01\x18\0\0\x04\x0f\0\0\x05\x76\0\0\
\xb0\x05\0\0\0\x10\0\0\x06\x5a\0\0\0\x01\0\0\0\x78\0\0\0\x07\0\0\x06\x2b\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\x2d\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x70\0\0\0\0\0\0\x01\xb0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x20\0\0\0\0\0\0\x01\x18\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\x38\0\0\0\0\0\0\x01\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x05\x60\0\0\0\0\0\0\x07\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\x46\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x60\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xe7\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x68\0\0\0\0\0\0\0\
\x60\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x09\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xc8\0\0\0\0\0\0\0\x60\0\
\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x1f\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x28\0\0\0\0\0\0\x0e\xb0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x24\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\xd8\0\0\0\0\0\0\x02\x34\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_d_path *test_d_path::open(const struct bpf_object_open_opts *opts) { return test_d_path__open_opts(opts); }
struct test_d_path *test_d_path::open_and_load() { return test_d_path__open_and_load(); }
int test_d_path::load(struct test_d_path *skel) { return test_d_path__load(skel); }
int test_d_path::attach(struct test_d_path *skel) { return test_d_path__attach(skel); }
void test_d_path::detach(struct test_d_path *skel) { test_d_path__detach(skel); }
void test_d_path::destroy(struct test_d_path *skel) { test_d_path__destroy(skel); }
const void *test_d_path::elf_bytes(size_t *sz) { return test_d_path__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_d_path__assert(struct test_d_path *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->my_pid) == 4, "unexpected size of 'my_pid'");
	_Static_assert(sizeof(s->bss->cnt_stat) == 4, "unexpected size of 'cnt_stat'");
	_Static_assert(sizeof(s->bss->cnt_close) == 4, "unexpected size of 'cnt_close'");
	_Static_assert(sizeof(s->bss->paths_stat) == 896, "unexpected size of 'paths_stat'");
	_Static_assert(sizeof(s->bss->paths_close) == 896, "unexpected size of 'paths_close'");
	_Static_assert(sizeof(s->bss->rets_stat) == 28, "unexpected size of 'rets_stat'");
	_Static_assert(sizeof(s->bss->rets_close) == 28, "unexpected size of 'rets_close'");
	_Static_assert(sizeof(s->bss->called_stat) == 4, "unexpected size of 'called_stat'");
	_Static_assert(sizeof(s->bss->called_close) == 4, "unexpected size of 'called_close'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_D_PATH_SKEL_H__ */
