/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_HELPER_RESTRICTED_SKEL_H__
#define __TEST_HELPER_RESTRICTED_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_helper_restricted {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *timers;
		struct bpf_map *locks;
	} maps;
	struct {
		struct bpf_program *raw_tp_timer;
		struct bpf_program *raw_tp_spin_lock;
		struct bpf_program *tp_timer;
		struct bpf_program *tp_spin_lock;
		struct bpf_program *kprobe_timer;
		struct bpf_program *kprobe_spin_lock;
		struct bpf_program *perf_event_timer;
		struct bpf_program *perf_event_spin_lock;
	} progs;
	struct {
		struct bpf_link *raw_tp_timer;
		struct bpf_link *raw_tp_spin_lock;
		struct bpf_link *tp_timer;
		struct bpf_link *tp_spin_lock;
		struct bpf_link *kprobe_timer;
		struct bpf_link *kprobe_spin_lock;
		struct bpf_link *perf_event_timer;
		struct bpf_link *perf_event_spin_lock;
	} links;

#ifdef __cplusplus
	static inline struct test_helper_restricted *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_helper_restricted *open_and_load();
	static inline int load(struct test_helper_restricted *skel);
	static inline int attach(struct test_helper_restricted *skel);
	static inline void detach(struct test_helper_restricted *skel);
	static inline void destroy(struct test_helper_restricted *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_helper_restricted__destroy(struct test_helper_restricted *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_helper_restricted__create_skeleton(struct test_helper_restricted *obj);

static inline struct test_helper_restricted *
test_helper_restricted__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_helper_restricted *obj;
	int err;

	obj = (struct test_helper_restricted *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_helper_restricted__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_helper_restricted__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_helper_restricted *
test_helper_restricted__open(void)
{
	return test_helper_restricted__open_opts(NULL);
}

static inline int
test_helper_restricted__load(struct test_helper_restricted *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_helper_restricted *
test_helper_restricted__open_and_load(void)
{
	struct test_helper_restricted *obj;
	int err;

	obj = test_helper_restricted__open();
	if (!obj)
		return NULL;
	err = test_helper_restricted__load(obj);
	if (err) {
		test_helper_restricted__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_helper_restricted__attach(struct test_helper_restricted *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_helper_restricted__detach(struct test_helper_restricted *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_helper_restricted__elf_bytes(size_t *sz);

static inline int
test_helper_restricted__create_skeleton(struct test_helper_restricted *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_helper_restricted";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "timers";
	s->maps[0].map = &obj->maps.timers;

	s->maps[1].name = "locks";
	s->maps[1].map = &obj->maps.locks;

	/* programs */
	s->prog_cnt = 8;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "raw_tp_timer";
	s->progs[0].prog = &obj->progs.raw_tp_timer;
	s->progs[0].link = &obj->links.raw_tp_timer;

	s->progs[1].name = "raw_tp_spin_lock";
	s->progs[1].prog = &obj->progs.raw_tp_spin_lock;
	s->progs[1].link = &obj->links.raw_tp_spin_lock;

	s->progs[2].name = "tp_timer";
	s->progs[2].prog = &obj->progs.tp_timer;
	s->progs[2].link = &obj->links.tp_timer;

	s->progs[3].name = "tp_spin_lock";
	s->progs[3].prog = &obj->progs.tp_spin_lock;
	s->progs[3].link = &obj->links.tp_spin_lock;

	s->progs[4].name = "kprobe_timer";
	s->progs[4].prog = &obj->progs.kprobe_timer;
	s->progs[4].link = &obj->links.kprobe_timer;

	s->progs[5].name = "kprobe_spin_lock";
	s->progs[5].prog = &obj->progs.kprobe_spin_lock;
	s->progs[5].link = &obj->links.kprobe_spin_lock;

	s->progs[6].name = "perf_event_timer";
	s->progs[6].prog = &obj->progs.perf_event_timer;
	s->progs[6].link = &obj->links.perf_event_timer;

	s->progs[7].name = "perf_event_spin_lock";
	s->progs[7].prog = &obj->progs.perf_event_spin_lock;
	s->progs[7].link = &obj->links.perf_event_spin_lock;

	s->data = (void *)test_helper_restricted__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_helper_restricted__elf_bytes(size_t *sz)
{
	*sz = 7120;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\xd0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x10\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x6b\x70\x72\x6f\x62\x65\x2f\
\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x70\x65\x72\x66\x5f\x65\
\x76\x65\x6e\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x74\x65\
\x73\x74\x5f\x68\x65\x6c\x70\x65\x72\x5f\x72\x65\x73\x74\x72\x69\x63\x74\x65\
\x64\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x74\x69\x6d\x65\x72\x5f\x63\x62\0\x4c\
\x42\x42\x31\x5f\x32\0\x4c\x42\x42\x32\x5f\x32\0\x4c\x42\x42\x33\x5f\x32\0\x4c\
\x42\x42\x34\x5f\x32\0\x4c\x42\x42\x35\x5f\x32\0\x4c\x42\x42\x36\x5f\x32\0\x4c\
\x42\x42\x37\x5f\x32\0\x72\x61\x77\x5f\x74\x70\x5f\x74\x69\x6d\x65\x72\0\x74\
\x69\x6d\x65\x72\x73\0\x74\x70\x5f\x74\x69\x6d\x65\x72\0\x6b\x70\x72\x6f\x62\
\x65\x5f\x74\x69\x6d\x65\x72\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x74\
\x69\x6d\x65\x72\0\x72\x61\x77\x5f\x74\x70\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\
\x6b\0\x6c\x6f\x63\x6b\x73\0\x74\x70\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\
\x6b\x70\x72\x6f\x62\x65\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x70\x65\x72\
\x66\x5f\x65\x76\x65\x6e\x74\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x4c\x49\
\x43\x45\x4e\x53\x45\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\
\x5f\x65\x6e\x74\x65\x72\0\x2e\x72\x65\x6c\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\
\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\
\x65\x65\x70\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x73\x79\x73\x5f\x6e\
\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x72\x65\x6c\x70\x65\x72\x66\x5f\x65\x76\
\x65\x6e\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x76\x04\0\xff\xf1\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8f\0\0\0\x04\0\0\0\0\0\
\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\x96\x02\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\0\0\0\x05\0\
\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa6\0\0\0\x06\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x07\0\0\0\0\0\0\0\xc8\0\0\
\0\0\0\0\0\0\0\0\0\xb4\0\0\0\x04\0\0\0\0\0\0\x01\x40\0\0\0\0\0\0\0\0\0\0\0\xbb\
\0\0\0\x05\0\0\0\0\0\0\x01\x40\0\0\0\0\0\0\0\0\0\0\0\xc2\0\0\0\x06\0\0\0\0\0\0\
\x01\x40\0\0\0\0\0\0\0\0\0\0\0\xc9\0\0\0\x07\0\0\0\0\0\0\x01\x40\0\0\0\0\0\0\0\
\0\0\0\0\xd0\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\xdd\x11\0\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xe4\x12\0\0\x05\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xd8\0\0\0\xed\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\
\xfa\x12\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\x01\x0b\x12\0\0\x04\0\0\
\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x78\0\0\x01\x1c\x11\0\0\x09\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\x20\0\0\x01\x22\x12\0\0\x05\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x78\0\0\
\x01\x2f\x12\0\0\x06\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x78\0\0\x01\x40\x12\0\0\
\x07\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x78\0\0\x01\x55\x11\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\
\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\
\x60\0\x10\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x30\0\0\0\0\0\x01\x85\0\0\0\0\0\0\xa9\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\xaa\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\x54\x0b\
\xe4\0\0\0\0\0\0\0\0\x02\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\xab\xbf\x16\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\xac\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\
\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\
\x15\x60\0\x04\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5d\xbf\x16\0\0\0\0\
\0\0\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\
\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\
\x60\0\x10\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x30\0\0\0\0\0\x01\x85\0\0\0\0\0\0\xa9\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\xaa\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\x54\x0b\
\xe4\0\0\0\0\0\0\0\0\x02\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\xab\xbf\x16\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\xac\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\
\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\
\x15\x60\0\x04\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5d\xbf\x16\0\0\0\0\
\0\0\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\
\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\
\x60\0\x10\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x30\0\0\0\0\0\x01\x85\0\0\0\0\0\0\xa9\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\xaa\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\x54\x0b\
\xe4\0\0\0\0\0\0\0\0\x02\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\xab\xbf\x16\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\xac\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\
\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\
\x15\x60\0\x04\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5d\xbf\x16\0\0\0\0\
\0\0\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\
\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\
\x60\0\x10\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x30\0\0\0\0\0\x01\x85\0\0\0\0\0\0\xa9\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\xaa\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\x54\x0b\
\xe4\0\0\0\0\0\0\0\0\x02\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\xab\xbf\x16\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\xac\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\
\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\
\x15\x60\0\x04\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5d\xbf\x16\0\0\0\0\
\0\0\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\
\x11\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\
\x02\0\0\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\
\x11\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\
\x02\0\0\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\
\x11\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\
\x02\0\0\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\
\x11\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\
\x02\0\0\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\x16\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\
\0\0\0\0\0\x02\xd0\0\0\x02\xd0\0\0\x04\x63\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\
\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\
\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\
\0\0\0\x08\0\0\0\x19\x08\0\0\0\0\0\0\x09\0\0\0\x1f\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\0\0\x02\0\0\0\0\0\0\x0b\0\0\0\x2c\x04\0\0\x01\0\0\0\x10\0\0\0\x32\0\0\
\0\x0c\0\0\0\0\0\0\0\x34\x04\0\0\0\0\0\0\x10\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\
\0\x3e\0\0\0\x01\0\0\0\0\0\0\0\x43\0\0\0\x05\0\0\0\x40\0\0\0\x4f\0\0\0\x07\0\0\
\0\x80\0\0\0\x53\0\0\0\x0a\0\0\0\xc0\0\0\0\x59\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\
\0\0\0\x02\0\0\0\0\0\0\x10\0\0\0\x60\x04\0\0\x01\0\0\0\x04\0\0\0\x65\0\0\0\x11\
\0\0\0\0\0\0\0\x67\x04\0\0\x01\0\0\0\x04\0\0\0\x75\0\0\0\x08\0\0\0\0\0\0\0\0\
\x04\0\0\x04\0\0\0\x20\0\0\0\x3e\0\0\0\x01\0\0\0\0\0\0\0\x43\0\0\0\x05\0\0\0\
\x40\0\0\0\x4f\0\0\0\x07\0\0\0\x80\0\0\0\x53\0\0\0\x0f\0\0\0\xc0\0\0\0\x79\x0e\
\0\0\0\0\0\0\x12\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\
\x02\0\0\0\x7f\0\0\0\x14\0\0\0\x83\x0c\0\0\x01\0\0\0\x15\0\0\0\x90\x0c\0\0\x01\
\0\0\0\x15\0\0\0\x99\x0c\0\0\x01\0\0\0\x15\0\0\0\xa6\x0c\0\0\x01\0\0\0\x15\0\0\
\0\xb7\x0c\0\0\x01\0\0\0\x15\0\0\0\xc8\x0c\0\0\x01\0\0\0\x15\0\0\0\xd5\x0c\0\0\
\x01\0\0\0\x15\0\0\0\xe6\x0c\0\0\x01\0\0\0\x15\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\
\0\0\x0d\0\0\x03\0\0\0\x02\0\0\0\xfb\0\0\0\x14\0\0\0\x4f\0\0\0\x1e\0\0\0\x2c\0\
\0\0\x0a\0\0\0\xff\x0c\0\0\0\0\0\0\x1f\0\0\0\0\x0a\0\0\0\0\0\0\x22\0\0\x01\x08\
\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\x04\
\0\0\0\x04\0\0\x01\x0d\x0e\0\0\0\0\0\0\x23\0\0\0\x01\0\0\x03\xfe\x0f\0\0\x01\0\
\0\0\x04\0\0\0\x24\0\0\0\0\0\0\0\x04\0\0\x04\x06\x0f\0\0\x02\0\0\0\x40\0\0\0\
\x0e\0\0\0\0\0\0\0\x20\0\0\0\x13\0\0\0\x20\0\0\0\x20\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\
\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x69\x6d\
\x65\x72\0\x74\0\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\0\x74\x79\x70\x65\0\x6d\
\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\
\x74\x69\x6d\x65\x72\x73\0\x6c\x6f\x63\x6b\0\x6c\0\x62\x70\x66\x5f\x73\x70\x69\
\x6e\x5f\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x6c\x6f\x63\x6b\x73\0\x63\x74\x78\0\
\x72\x61\x77\x5f\x74\x70\x5f\x74\x69\x6d\x65\x72\0\x74\x70\x5f\x74\x69\x6d\x65\
\x72\0\x6b\x70\x72\x6f\x62\x65\x5f\x74\x69\x6d\x65\x72\0\x70\x65\x72\x66\x5f\
\x65\x76\x65\x6e\x74\x5f\x74\x69\x6d\x65\x72\0\x72\x61\x77\x5f\x74\x70\x5f\x73\
\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x74\x70\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\
\x6b\0\x6b\x70\x72\x6f\x62\x65\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x70\
\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\
\x6d\x61\x70\0\x74\x69\x6d\x65\x72\x5f\x63\x62\0\x63\x68\x61\x72\0\x4c\x49\x43\
\x45\x4e\x53\x45\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\
\x68\x65\x6c\x70\x65\x72\x5f\x72\x65\x73\x74\x72\x69\x63\x74\x65\x64\x2e\x63\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x72\x61\x77\x5f\x74\
\x70\x5f\x74\x69\x6d\x65\x72\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\
\x63\x6f\x6e\x73\x74\x20\x69\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\
\x74\x69\x6d\x65\x72\x20\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\
\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x74\x69\x6d\x65\x72\x73\x2c\x20\
\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x74\x69\x6d\x65\x72\x29\x20\x7b\
\0\x09\x09\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x69\x6e\x69\x74\x28\x26\x74\
\x69\x6d\x65\x72\x2d\x3e\x74\x2c\x20\x26\x74\x69\x6d\x65\x72\x73\x2c\x20\x43\
\x4c\x4f\x43\x4b\x5f\x4d\x4f\x4e\x4f\x54\x4f\x4e\x49\x43\x29\x3b\0\x09\x09\x62\
\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x73\x65\x74\x5f\x63\x61\x6c\x6c\x62\x61\
\x63\x6b\x28\x26\x74\x69\x6d\x65\x72\x2d\x3e\x74\x2c\x20\x74\x69\x6d\x65\x72\
\x5f\x63\x62\x29\x3b\0\x09\x09\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x73\x74\
\x61\x72\x74\x28\x26\x74\x69\x6d\x65\x72\x2d\x3e\x74\x2c\x20\x31\x30\x45\x39\
\x2c\x20\x30\x29\x3b\0\x09\x09\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x63\x61\
\x6e\x63\x65\x6c\x28\x26\x74\x69\x6d\x65\x72\x2d\x3e\x74\x29\x3b\0\x69\x6e\x74\
\x20\x72\x61\x77\x5f\x74\x70\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x28\x76\
\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x6c\x6f\x63\x6b\x20\x3d\x20\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\
\x6c\x6f\x63\x6b\x73\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x6c\
\x6f\x63\x6b\x29\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\
\x63\x6b\x28\x26\x6c\x6f\x63\x6b\x2d\x3e\x6c\x29\x3b\0\x09\x09\x62\x70\x66\x5f\
\x73\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x26\x6c\x6f\x63\x6b\x2d\x3e\
\x6c\x29\x3b\0\x69\x6e\x74\x20\x74\x70\x5f\x74\x69\x6d\x65\x72\x28\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x74\x70\x5f\x73\x70\x69\x6e\x5f\
\x6c\x6f\x63\x6b\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\
\x6b\x70\x72\x6f\x62\x65\x5f\x74\x69\x6d\x65\x72\x28\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x29\0\x69\x6e\x74\x20\x6b\x70\x72\x6f\x62\x65\x5f\x73\x70\x69\x6e\
\x5f\x6c\x6f\x63\x6b\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\
\x20\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x74\x69\x6d\x65\x72\x28\x76\
\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x70\x65\x72\x66\x5f\x65\
\x76\x65\x6e\x74\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x28\x76\x6f\x69\x64\
\x20\x2a\x63\x74\x78\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\
\x2e\x74\x65\x78\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x6b\x70\x72\x6f\x62\
\x65\x2f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x70\x65\x72\x66\
\x5f\x65\x76\x65\x6e\x74\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x74\
\0\0\0\x74\0\0\x04\xbc\0\0\x05\x30\0\0\0\0\0\0\0\x08\0\0\x04\x0c\0\0\0\x01\0\0\
\0\0\0\0\0\x20\0\0\x04\x12\0\0\0\x02\0\0\0\0\0\0\0\x16\0\0\0\xd8\0\0\0\x1a\0\0\
\x04\x23\0\0\0\x02\0\0\0\0\0\0\0\x17\0\0\0\xd8\0\0\0\x1b\0\0\x04\x43\0\0\0\x02\
\0\0\0\0\0\0\0\x18\0\0\0\xd8\0\0\0\x1c\0\0\x04\x58\0\0\0\x02\0\0\0\0\0\0\0\x19\
\0\0\0\xd8\0\0\0\x1d\0\0\0\x10\0\0\x04\x0c\0\0\0\x01\0\0\0\0\0\0\x01\x15\0\0\
\x01\x97\0\0\x78\x02\0\0\x04\x12\0\0\0\x12\0\0\0\0\0\0\x01\x15\0\0\x01\xa2\0\0\
\xf0\0\0\0\0\x08\0\0\x01\x15\0\0\x01\xbe\0\0\x90\x0c\0\0\0\x18\0\0\x01\x15\0\0\
\0\0\0\0\0\0\0\0\0\x20\0\0\x01\x15\0\0\x01\xd2\0\0\x98\x0b\0\0\0\x40\0\0\x01\
\x15\0\0\x02\0\0\0\x9c\x06\0\0\0\x48\0\0\x01\x15\0\0\x02\x0e\0\0\xa0\x03\0\0\0\
\x70\0\0\x01\x15\0\0\x02\x45\0\0\xa4\x03\0\0\0\x90\0\0\x01\x15\0\0\x02\x74\0\0\
\xa8\x03\0\0\0\xb8\0\0\x01\x15\0\0\x02\x9b\0\0\xac\x03\0\0\0\xc8\0\0\x01\x15\0\
\0\x01\x97\0\x01\0\x02\0\0\0\xd8\0\0\x01\x15\0\0\x02\xba\0\x01\x70\0\0\0\0\xe0\
\0\0\x01\x15\0\0\x01\xbe\0\0\xc4\x0c\0\0\0\xf0\0\0\x01\x15\0\0\0\0\0\0\0\0\0\0\
\0\xf8\0\0\x01\x15\0\0\x02\xda\0\0\xd0\x09\0\0\x01\x18\0\0\x01\x15\0\0\x03\x05\
\0\0\xd4\x06\0\0\x01\x20\0\0\x01\x15\0\0\x03\x12\0\0\xd8\x03\0\0\x01\x30\0\0\
\x01\x15\0\0\x03\x2d\0\0\xdc\x03\0\0\x01\x40\0\0\x01\x15\0\0\x01\x97\0\x01\x80\
\x02\0\0\x04\x23\0\0\0\x12\0\0\0\0\0\0\x01\x15\0\0\x03\x4a\0\x01\x10\0\0\0\0\
\x08\0\0\x01\x15\0\0\x01\xbe\0\0\x90\x0c\0\0\0\x18\0\0\x01\x15\0\0\0\0\0\0\0\0\
\0\0\0\x20\0\0\x01\x15\0\0\x01\xd2\0\0\x98\x0b\0\0\0\x40\0\0\x01\x15\0\0\x02\0\
\0\0\x9c\x06\0\0\0\x48\0\0\x01\x15\0\0\x02\x0e\0\0\xa0\x03\0\0\0\x70\0\0\x01\
\x15\0\0\x02\x45\0\0\xa4\x03\0\0\0\x90\0\0\x01\x15\0\0\x02\x74\0\0\xa8\x03\0\0\
\0\xb8\0\0\x01\x15\0\0\x02\x9b\0\0\xac\x03\0\0\0\xc8\0\0\x01\x15\0\0\x01\x97\0\
\x01\x20\x02\0\0\0\xd8\0\0\x01\x15\0\0\x03\x62\0\x01\x90\0\0\0\0\xe0\0\0\x01\
\x15\0\0\x01\xbe\0\0\xc4\x0c\0\0\0\xf0\0\0\x01\x15\0\0\0\0\0\0\0\0\0\0\0\xf8\0\
\0\x01\x15\0\0\x02\xda\0\0\xd0\x09\0\0\x01\x18\0\0\x01\x15\0\0\x03\x05\0\0\xd4\
\x06\0\0\x01\x20\0\0\x01\x15\0\0\x03\x12\0\0\xd8\x03\0\0\x01\x30\0\0\x01\x15\0\
\0\x03\x2d\0\0\xdc\x03\0\0\x01\x40\0\0\x01\x15\0\0\x01\x97\0\x01\xa0\x02\0\0\
\x04\x43\0\0\0\x12\0\0\0\0\0\0\x01\x15\0\0\x03\x7e\0\x01\x30\0\0\0\0\x08\0\0\
\x01\x15\0\0\x01\xbe\0\0\x90\x0c\0\0\0\x18\0\0\x01\x15\0\0\0\0\0\0\0\0\0\0\0\
\x20\0\0\x01\x15\0\0\x01\xd2\0\0\x98\x0b\0\0\0\x40\0\0\x01\x15\0\0\x02\0\0\0\
\x9c\x06\0\0\0\x48\0\0\x01\x15\0\0\x02\x0e\0\0\xa0\x03\0\0\0\x70\0\0\x01\x15\0\
\0\x02\x45\0\0\xa4\x03\0\0\0\x90\0\0\x01\x15\0\0\x02\x74\0\0\xa8\x03\0\0\0\xb8\
\0\0\x01\x15\0\0\x02\x9b\0\0\xac\x03\0\0\0\xc8\0\0\x01\x15\0\0\x01\x97\0\x01\
\x40\x02\0\0\0\xd8\0\0\x01\x15\0\0\x03\x9a\0\x01\xb0\0\0\0\0\xe0\0\0\x01\x15\0\
\0\x01\xbe\0\0\xc4\x0c\0\0\0\xf0\0\0\x01\x15\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\x01\
\x15\0\0\x02\xda\0\0\xd0\x09\0\0\x01\x18\0\0\x01\x15\0\0\x03\x05\0\0\xd4\x06\0\
\0\x01\x20\0\0\x01\x15\0\0\x03\x12\0\0\xd8\x03\0\0\x01\x30\0\0\x01\x15\0\0\x03\
\x2d\0\0\xdc\x03\0\0\x01\x40\0\0\x01\x15\0\0\x01\x97\0\x01\xc0\x02\0\0\x04\x58\
\0\0\0\x12\0\0\0\0\0\0\x01\x15\0\0\x03\xba\0\x01\x50\0\0\0\0\x08\0\0\x01\x15\0\
\0\x01\xbe\0\0\x90\x0c\0\0\0\x18\0\0\x01\x15\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\x01\
\x15\0\0\x01\xd2\0\0\x98\x0b\0\0\0\x40\0\0\x01\x15\0\0\x02\0\0\0\x9c\x06\0\0\0\
\x48\0\0\x01\x15\0\0\x02\x0e\0\0\xa0\x03\0\0\0\x70\0\0\x01\x15\0\0\x02\x45\0\0\
\xa4\x03\0\0\0\x90\0\0\x01\x15\0\0\x02\x74\0\0\xa8\x03\0\0\0\xb8\0\0\x01\x15\0\
\0\x02\x9b\0\0\xac\x03\0\0\0\xc8\0\0\x01\x15\0\0\x01\x97\0\x01\x60\x02\0\0\0\
\xd8\0\0\x01\x15\0\0\x03\xda\0\x01\xd0\0\0\0\0\xe0\0\0\x01\x15\0\0\x01\xbe\0\0\
\xc4\x0c\0\0\0\xf0\0\0\x01\x15\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\x01\x15\0\0\x02\
\xda\0\0\xd0\x09\0\0\x01\x18\0\0\x01\x15\0\0\x03\x05\0\0\xd4\x06\0\0\x01\x20\0\
\0\x01\x15\0\0\x03\x12\0\0\xd8\x03\0\0\x01\x30\0\0\x01\x15\0\0\x03\x2d\0\0\xdc\
\x03\0\0\x01\x40\0\0\x01\x15\0\0\x01\x97\0\x01\xe0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\xcc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x10\0\0\0\0\0\0\x02\x88\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x98\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\
\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xa8\0\0\0\0\0\0\
\x01\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xf8\0\0\0\0\0\0\x01\x50\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x01\0\0\0\0\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x48\0\0\0\0\0\0\x01\x50\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x98\0\0\0\0\0\0\x01\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x09\xe8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\x70\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\
\xf0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\x01\x5d\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x30\0\0\0\
\0\0\0\0\x40\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\
\x72\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x70\0\0\0\0\0\
\0\0\x40\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x96\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xb0\0\0\0\0\0\0\0\
\x40\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\xaf\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xf0\0\0\0\0\0\0\0\x40\0\
\0\0\x02\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\xbe\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x30\0\0\0\0\0\0\x07\x4b\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\xc3\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\x80\0\0\0\0\0\0\x05\x50\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_helper_restricted *test_helper_restricted::open(const struct bpf_object_open_opts *opts) { return test_helper_restricted__open_opts(opts); }
struct test_helper_restricted *test_helper_restricted::open_and_load() { return test_helper_restricted__open_and_load(); }
int test_helper_restricted::load(struct test_helper_restricted *skel) { return test_helper_restricted__load(skel); }
int test_helper_restricted::attach(struct test_helper_restricted *skel) { return test_helper_restricted__attach(skel); }
void test_helper_restricted::detach(struct test_helper_restricted *skel) { test_helper_restricted__detach(skel); }
void test_helper_restricted::destroy(struct test_helper_restricted *skel) { test_helper_restricted__destroy(skel); }
const void *test_helper_restricted::elf_bytes(size_t *sz) { return test_helper_restricted__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_helper_restricted__assert(struct test_helper_restricted *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_HELPER_RESTRICTED_SKEL_H__ */
