/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_LEGACY_PRINTK_SKEL_H__
#define __TEST_LEGACY_PRINTK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_legacy_printk {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *my_pid_map;
		struct bpf_map *res_map;
		struct bpf_map *bss;
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *handle_legacy;
		struct bpf_program *handle_modern;
	} progs;
	struct {
		struct bpf_link *handle_legacy;
		struct bpf_link *handle_modern;
	} links;
	struct test_legacy_printk__bss {
		int my_pid_var;
		int res_var;
	} *bss;
	struct test_legacy_printk__rodata_str1_1 {
	} *rodata_str1_1;

#ifdef __cplusplus
	static inline struct test_legacy_printk *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_legacy_printk *open_and_load();
	static inline int load(struct test_legacy_printk *skel);
	static inline int attach(struct test_legacy_printk *skel);
	static inline void detach(struct test_legacy_printk *skel);
	static inline void destroy(struct test_legacy_printk *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_legacy_printk__destroy(struct test_legacy_printk *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_legacy_printk__create_skeleton(struct test_legacy_printk *obj);

static inline struct test_legacy_printk *
test_legacy_printk__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_legacy_printk *obj;
	int err;

	obj = (struct test_legacy_printk *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_legacy_printk__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_legacy_printk__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_legacy_printk *
test_legacy_printk__open(void)
{
	return test_legacy_printk__open_opts(NULL);
}

static inline int
test_legacy_printk__load(struct test_legacy_printk *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_legacy_printk *
test_legacy_printk__open_and_load(void)
{
	struct test_legacy_printk *obj;
	int err;

	obj = test_legacy_printk__open();
	if (!obj)
		return NULL;
	err = test_legacy_printk__load(obj);
	if (err) {
		test_legacy_printk__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_legacy_printk__attach(struct test_legacy_printk *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_legacy_printk__detach(struct test_legacy_printk *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_legacy_printk__elf_bytes(size_t *sz);

static inline int
test_legacy_printk__create_skeleton(struct test_legacy_printk *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_legacy_printk";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "my_pid_map";
	s->maps[0].map = &obj->maps.my_pid_map;

	s->maps[1].name = "res_map";
	s->maps[1].map = &obj->maps.res_map;

	s->maps[2].name = "test_leg.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	s->maps[3].name = ".rodata.str1.1";
	s->maps[3].map = &obj->maps.rodata_str1_1;
	s->maps[3].mmaped = (void **)&obj->rodata_str1_1;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_legacy";
	s->progs[0].prog = &obj->progs.handle_legacy;
	s->progs[0].link = &obj->links.handle_legacy;

	s->progs[1].name = "handle_modern";
	s->progs[1].prog = &obj->progs.handle_modern;
	s->progs[1].link = &obj->links.handle_modern;

	s->data = (void *)test_legacy_printk__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_legacy_printk__elf_bytes(size_t *sz)
{
	*sz = 4056;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x18\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x70\x2f\
\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\
\x73\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x73\x74\x72\x31\x2e\x31\0\x74\x65\x73\
\x74\x5f\x6c\x65\x67\x61\x63\x79\x5f\x70\x72\x69\x6e\x74\x6b\x2e\x63\0\x4c\x42\
\x42\x30\x5f\x36\0\x4c\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\
\x42\x31\x5f\x33\0\x68\x61\x6e\x64\x6c\x65\x5f\x6c\x65\x67\x61\x63\x79\0\x6d\
\x79\x5f\x70\x69\x64\x5f\x6d\x61\x70\0\x72\x65\x73\x5f\x6d\x61\x70\0\x68\x61\
\x6e\x64\x6c\x65\x5f\x6d\x6f\x64\x65\x72\x6e\0\x6d\x79\x5f\x70\x69\x64\x5f\x76\
\x61\x72\0\x72\x65\x73\x5f\x76\x61\x72\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x72\
\x65\x6c\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\
\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\x03\0\0\0\0\0\0\x01\x70\0\0\0\0\0\0\0\0\0\
\0\0\x69\0\0\0\x03\0\0\0\0\0\0\x01\x60\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x03\0\0\
\0\0\0\0\x02\x98\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x03\0\0\0\0\0\0\x02\x80\0\0\0\
\0\0\0\0\0\0\0\0\x7e\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x80\0\0\0\x8c\
\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x97\x11\0\0\x06\0\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\x20\0\0\0\x9f\x12\0\0\x03\0\0\0\0\0\0\x01\x80\0\0\0\0\0\
\0\x01\x28\0\0\0\xad\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xb8\
\x11\0\0\x05\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\xc0\x11\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\
\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x01\xbf\x70\0\0\0\0\0\0\x15\x70\0\x25\0\0\0\0\x85\0\0\0\0\0\0\
\x0e\xbf\x60\0\0\0\0\0\0\x77\x60\0\0\0\0\0\x20\x61\x17\0\0\0\0\0\0\x5d\x16\0\
\x20\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x70\0\0\0\0\0\0\x15\x70\0\x19\0\0\0\
\0\x61\x17\0\0\0\0\0\0\x55\x10\0\x15\0\0\0\0\xb7\x10\0\0\0\0\0\0\x73\xa1\xff\
\xf4\0\0\0\0\xb7\x10\0\0\x20\x25\x64\x0a\x63\xa1\xff\xf0\0\0\0\0\x18\x10\0\0\
\x20\x70\x69\x64\0\0\0\0\x65\x73\x74\x2c\x7b\xa1\xff\xe8\0\0\0\0\x18\x10\0\0\
\x74\x6b\x20\x74\0\0\0\0\x70\x72\x69\x6e\x7b\xa1\xff\xe0\0\0\0\0\x18\x10\0\0\
\x62\x70\x66\x5f\0\0\0\0\x61\x73\x65\x20\x7b\xa1\xff\xd8\0\0\0\0\x18\x10\0\0\
\x63\x79\x2d\x63\0\0\0\0\x4c\x65\x67\x61\x7b\xa1\xff\xd0\0\0\0\0\xbf\x1a\0\0\0\
\0\0\0\x07\x10\0\0\xff\xff\xff\xd0\xb7\x20\0\0\0\0\0\x25\xbf\x36\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x06\xb7\x10\0\0\0\0\0\x01\x63\x71\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\x01\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\xb7\x10\0\0\0\0\0\x01\x77\0\0\0\0\0\
\0\x20\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x5d\x20\0\x1c\0\
\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x55\x10\0\x15\0\
\0\0\0\xb7\x10\0\0\0\0\0\0\x73\xa1\xff\xfc\0\0\0\0\xb7\x10\0\0\x20\x25\x64\x0a\
\x63\xa1\xff\xf8\0\0\0\0\x18\x10\0\0\x20\x70\x69\x64\0\0\0\0\x65\x73\x74\x2c\
\x7b\xa1\xff\xf0\0\0\0\0\x18\x10\0\0\x74\x6b\x20\x74\0\0\0\0\x70\x72\x69\x6e\
\x7b\xa1\xff\xe8\0\0\0\0\x18\x10\0\0\x62\x70\x66\x5f\0\0\0\0\x61\x73\x65\x20\
\x7b\xa1\xff\xe0\0\0\0\0\x18\x10\0\0\x72\x6e\x2d\x63\0\0\0\0\x4d\x6f\x64\x65\
\x7b\xa1\xff\xd8\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xd8\xb7\
\x20\0\0\0\0\0\x25\xbf\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x06\xb7\x10\0\0\0\0\0\
\x01\x63\x61\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x4c\x65\x67\x61\x63\x79\x2d\x63\x61\x73\x65\x20\x62\x70\x66\x5f\x70\x72\x69\
\x6e\x74\x6b\x20\x74\x65\x73\x74\x2c\x20\x70\x69\x64\x20\x25\x64\x0a\0\x4d\x6f\
\x64\x65\x72\x6e\x2d\x63\x61\x73\x65\x20\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\
\x6b\x20\x74\x65\x73\x74\x2c\x20\x70\x69\x64\x20\x25\x64\x0a\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x20\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\x80\0\0\0\x09\0\0\0\x01\0\0\0\
\0\0\0\x01\x98\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\x01\xb8\0\0\0\x0c\0\0\0\x01\xeb\
\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x01\xcc\0\0\x01\xcc\0\0\x03\x2f\0\0\0\0\x02\0\
\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\
\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x07\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x22\0\0\0\x05\0\0\0\x80\0\0\0\
\x28\0\0\0\x06\0\0\0\xc0\0\0\0\x34\x0e\0\0\0\0\0\0\x08\0\0\0\x01\0\0\0\x3f\x0e\
\0\0\0\0\0\0\x08\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\
\x02\0\0\0\x47\0\0\0\x0b\0\0\0\x4b\x0c\0\0\x01\0\0\0\x0c\0\0\0\x59\x0c\0\0\x01\
\0\0\0\x0c\0\0\0\x67\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\x0f\0\0\0\x04\0\0\0\x04\0\0\0\x6c\x0e\0\0\0\0\0\0\x10\0\0\0\x01\0\0\0\0\
\x09\0\0\0\0\0\0\x02\0\0\0\x74\x0e\0\0\0\0\0\0\x12\0\0\0\x01\0\0\0\x7f\x0e\0\0\
\0\0\0\0\x12\0\0\0\x01\0\0\x03\x02\x0f\0\0\x01\0\0\0\x04\0\0\0\x11\0\0\0\0\0\0\
\0\x04\0\0\x03\x0a\x0f\0\0\x02\0\0\0\x08\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\x14\
\0\0\0\x04\0\0\0\x04\0\0\x03\x0f\x0f\0\0\x02\0\0\0\x40\0\0\0\x09\0\0\0\0\0\0\0\
\x20\0\0\0\x0a\0\0\0\x20\0\0\0\x20\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6b\x65\
\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6d\
\x79\x5f\x70\x69\x64\x5f\x6d\x61\x70\0\x72\x65\x73\x5f\x6d\x61\x70\0\x63\x74\
\x78\0\x68\x61\x6e\x64\x6c\x65\x5f\x6c\x65\x67\x61\x63\x79\0\x68\x61\x6e\x64\
\x6c\x65\x5f\x6d\x6f\x64\x65\x72\x6e\0\x63\x68\x61\x72\0\x4c\x49\x43\x45\x4e\
\x53\x45\0\x6d\x79\x5f\x70\x69\x64\x5f\x76\x61\x72\0\x72\x65\x73\x5f\x76\x61\
\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\
\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x6c\x65\x67\
\x61\x63\x79\x5f\x70\x72\x69\x6e\x74\x6b\x2e\x63\0\x69\x6e\x74\x20\x68\x61\x6e\
\x64\x6c\x65\x5f\x6c\x65\x67\x61\x63\x79\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\
\x78\x29\0\x09\x69\x6e\x74\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x2c\x20\x2a\x6d\
\x79\x5f\x70\x69\x64\x2c\x20\x63\x75\x72\x5f\x70\x69\x64\x2c\x20\x2a\x6d\x79\
\x5f\x72\x65\x73\x3b\0\x09\x6d\x79\x5f\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6d\x79\
\x5f\x70\x69\x64\x5f\x6d\x61\x70\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\
\x66\x20\x28\x21\x6d\x79\x5f\x70\x69\x64\x29\0\x09\x63\x75\x72\x5f\x70\x69\x64\
\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\
\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\
\x66\x20\x28\x63\x75\x72\x5f\x70\x69\x64\x20\x21\x3d\x20\x2a\x6d\x79\x5f\x70\
\x69\x64\x29\0\x09\x6d\x79\x5f\x72\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x72\x65\x73\x5f\
\x6d\x61\x70\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x6d\
\x79\x5f\x72\x65\x73\x29\0\x09\x69\x66\x20\x28\x2a\x6d\x79\x5f\x72\x65\x73\x20\
\x3d\x3d\x20\x30\x29\0\x09\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\
\x4c\x65\x67\x61\x63\x79\x2d\x63\x61\x73\x65\x20\x62\x70\x66\x5f\x70\x72\x69\
\x6e\x74\x6b\x20\x74\x65\x73\x74\x2c\x20\x70\x69\x64\x20\x25\x64\x5c\x6e\x22\
\x2c\x20\x63\x75\x72\x5f\x70\x69\x64\x29\x3b\0\x09\x2a\x6d\x79\x5f\x72\x65\x73\
\x20\x3d\x20\x31\x3b\0\x7d\0\x09\x69\x66\x20\x28\x63\x75\x72\x5f\x70\x69\x64\
\x20\x21\x3d\x20\x6d\x79\x5f\x70\x69\x64\x5f\x76\x61\x72\x29\0\x09\x69\x66\x20\
\x28\x72\x65\x73\x5f\x76\x61\x72\x20\x3d\x3d\x20\x30\x29\0\x09\x09\x62\x70\x66\
\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x4d\x6f\x64\x65\x72\x6e\x2d\x63\x61\x73\
\x65\x20\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x20\x74\x65\x73\x74\x2c\x20\
\x70\x69\x64\x20\x25\x64\x5c\x6e\x22\x2c\x20\x63\x75\x72\x5f\x70\x69\x64\x29\
\x3b\0\x09\x72\x65\x73\x5f\x76\x61\x72\x20\x3d\x20\x31\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x72\x65\x73\x5f\x76\x61\x72\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\
\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\0\
\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\x01\xbc\0\0\x01\xd8\0\
\0\0\0\0\0\0\x08\0\0\x03\x15\0\0\0\x02\0\0\0\0\0\0\0\x0d\0\0\x01\x80\0\0\0\x0e\
\0\0\0\x10\0\0\x03\x15\0\0\0\x1b\0\0\0\0\0\0\0\x87\0\0\x01\x05\0\0\x70\0\0\0\0\
\x08\0\0\0\x87\0\0\x01\x22\0\0\x78\x06\0\0\0\x18\0\0\0\x87\0\0\0\0\0\0\0\0\0\0\
\0\x20\0\0\0\x87\0\0\x01\x4c\0\0\x80\x0b\0\0\0\x40\0\0\0\x87\0\0\x01\x7f\0\0\
\x84\x06\0\0\0\x48\0\0\0\x87\0\0\x01\x8d\0\0\x90\x0c\0\0\0\x58\0\0\0\x87\0\0\
\x01\x8d\0\0\x90\x27\0\0\0\x60\0\0\0\x87\0\0\x01\xba\0\0\x94\x11\0\0\0\x68\0\0\
\0\x87\0\0\x01\xba\0\0\x94\x06\0\0\0\x78\0\0\0\x87\0\0\0\0\0\0\0\0\0\0\0\x80\0\
\0\0\x87\0\0\x01\xd3\0\0\xa0\x0b\0\0\0\xa0\0\0\0\x87\0\0\x02\x03\0\0\xa4\x06\0\
\0\0\xa8\0\0\0\x87\0\0\x02\x11\0\0\xb0\x06\0\0\0\xb0\0\0\0\x87\0\0\x02\x11\0\0\
\xb0\x06\0\0\0\xc0\0\0\0\x87\0\0\x02\x24\0\0\xc8\x03\0\0\x01\x68\0\0\0\x87\0\0\
\x02\x64\0\0\xcc\x0a\0\0\x01\x70\0\0\0\x87\0\0\x02\x72\0\0\xd8\x01\0\0\x01\x80\
\0\0\0\x87\0\0\x01\x8d\0\0\xf4\x0c\0\0\x01\x90\0\0\0\x87\0\0\x01\x8d\0\0\xf4\
\x27\0\0\x01\x98\0\0\0\x87\0\0\x02\x74\0\0\xf8\x11\0\0\x01\xb0\0\0\0\x87\0\0\
\x02\x74\0\0\xf8\x06\0\0\x01\xb8\0\0\0\x87\0\0\x02\x90\0\x01\x04\x06\0\0\x01\
\xd0\0\0\0\x87\0\0\x02\x90\0\x01\x04\x06\0\0\x01\xe0\0\0\0\x87\0\0\x02\xa3\0\
\x01\x14\x03\0\0\x02\x88\0\0\0\x87\0\0\x02\xe3\0\x01\x18\x0a\0\0\x02\x90\0\0\0\
\x87\0\0\x02\xf1\0\x01\x20\x09\0\0\x02\x98\0\0\0\x87\0\0\x02\x72\0\x01\x24\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xf4\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\x38\0\0\0\0\0\0\x01\x50\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x02\x88\0\0\0\0\0\0\x02\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x05\x30\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x33\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x34\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x38\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\0\0\0\
\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x78\0\0\0\0\0\0\0\x4a\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\xc8\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x05\xc8\0\0\0\0\0\0\0\x40\0\0\0\x02\0\0\0\x03\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xe6\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x06\x08\0\0\0\0\0\0\x05\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\xeb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0b\x20\0\0\0\0\0\0\x01\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_legacy_printk *test_legacy_printk::open(const struct bpf_object_open_opts *opts) { return test_legacy_printk__open_opts(opts); }
struct test_legacy_printk *test_legacy_printk::open_and_load() { return test_legacy_printk__open_and_load(); }
int test_legacy_printk::load(struct test_legacy_printk *skel) { return test_legacy_printk__load(skel); }
int test_legacy_printk::attach(struct test_legacy_printk *skel) { return test_legacy_printk__attach(skel); }
void test_legacy_printk::detach(struct test_legacy_printk *skel) { test_legacy_printk__detach(skel); }
void test_legacy_printk::destroy(struct test_legacy_printk *skel) { test_legacy_printk__destroy(skel); }
const void *test_legacy_printk::elf_bytes(size_t *sz) { return test_legacy_printk__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_legacy_printk__assert(struct test_legacy_printk *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->my_pid_var) == 4, "unexpected size of 'my_pid_var'");
	_Static_assert(sizeof(s->bss->res_var) == 4, "unexpected size of 'res_var'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_LEGACY_PRINTK_SKEL_H__ */
