/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_LOG_BUF_SKEL_H__
#define __TEST_LOG_BUF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_log_buf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *good_prog;
		struct bpf_program *bad_prog;
	} progs;
	struct {
		struct bpf_link *good_prog;
		struct bpf_link *bad_prog;
	} links;
	struct test_log_buf__rodata {
		int off;
	} *rodata;
	struct test_log_buf__bss {
		int a[4];
	} *bss;

#ifdef __cplusplus
	static inline struct test_log_buf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_log_buf *open_and_load();
	static inline int load(struct test_log_buf *skel);
	static inline int attach(struct test_log_buf *skel);
	static inline void detach(struct test_log_buf *skel);
	static inline void destroy(struct test_log_buf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_log_buf__destroy(struct test_log_buf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_log_buf__create_skeleton(struct test_log_buf *obj);

static inline struct test_log_buf *
test_log_buf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_log_buf *obj;
	int err;

	obj = (struct test_log_buf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_log_buf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_log_buf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_log_buf *
test_log_buf__open(void)
{
	return test_log_buf__open_opts(NULL);
}

static inline int
test_log_buf__load(struct test_log_buf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_log_buf *
test_log_buf__open_and_load(void)
{
	struct test_log_buf *obj;
	int err;

	obj = test_log_buf__open();
	if (!obj)
		return NULL;
	err = test_log_buf__load(obj);
	if (err) {
		test_log_buf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_log_buf__attach(struct test_log_buf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_log_buf__detach(struct test_log_buf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_log_buf__elf_bytes(size_t *sz);

static inline int
test_log_buf__create_skeleton(struct test_log_buf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_log_buf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_log.rodata";
	s->maps[0].map = &obj->maps.rodata;
	s->maps[0].mmaped = (void **)&obj->rodata;

	s->maps[1].name = "test_log.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "good_prog";
	s->progs[0].prog = &obj->progs.good_prog;
	s->progs[0].link = &obj->links.good_prog;

	s->progs[1].name = "bad_prog";
	s->progs[1].prog = &obj->progs.bad_prog;
	s->progs[1].link = &obj->links.bad_prog;

	s->data = (void *)test_log_buf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_log_buf__elf_bytes(size_t *sz)
{
	*sz = 1992;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x48\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\x77\
\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x72\x6f\x64\x61\x74\
\x61\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x6c\
\x6f\x67\x5f\x62\x75\x66\x2e\x63\0\x67\x6f\x6f\x64\x5f\x70\x72\x6f\x67\0\x61\0\
\x62\x61\x64\x5f\x70\x72\x6f\x67\0\x6f\x66\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\x04\0\xff\xf1\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x46\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x50\x11\0\0\x05\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x52\x12\0\0\x03\0\0\0\0\0\0\0\x28\0\0\0\0\0\
\0\0\x58\0\0\0\x5b\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x5f\x11\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x63\x21\0\0\0\0\0\0\x61\x02\0\x04\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\
\x20\x67\x10\0\0\0\0\0\x02\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x21\0\0\0\0\
\0\0\x61\x02\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\x0f\xa0\x47\x50\x4c\0\0\0\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\
\x58\0\0\0\x04\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x01\x34\0\0\x01\
\x34\0\0\x01\x18\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\
\x0d\0\0\x01\0\0\0\x04\0\0\0\x01\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\x01\0\
\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x03\0\0\0\x13\x0c\0\0\x01\0\0\0\x03\0\0\0\0\
\x0a\0\0\0\0\0\0\x08\0\0\0\0\x09\0\0\0\0\0\0\x04\0\0\0\x1c\x0e\0\0\0\0\0\0\x07\
\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x0b\0\0\0\x04\0\0\0\x20\
\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x34\x0e\0\0\0\0\0\0\x0a\0\0\0\x01\0\0\0\
\x36\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\
\x0b\0\0\0\x04\0\0\0\x3b\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\0\xf2\x0f\0\0\x01\0\
\0\0\x04\0\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\xfa\x0f\0\0\x01\0\0\0\x10\0\0\0\x0c\
\0\0\0\0\0\0\0\x10\0\0\0\xff\x0f\0\0\x01\0\0\0\x04\0\0\0\x0f\0\0\0\0\0\0\0\x04\
\0\x63\x74\x78\0\x69\x6e\x74\0\x67\x6f\x6f\x64\x5f\x70\x72\x6f\x67\0\x62\x61\
\x64\x5f\x70\x72\x6f\x67\0\x6f\x66\x66\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x61\0\x63\x68\x61\x72\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\
\x5f\x6c\x6f\x67\x5f\x62\x75\x66\x2e\x63\0\x09\x61\x5b\x30\x5d\x20\x3d\x20\x28\
\x69\x6e\x74\x29\x28\x6c\x6f\x6e\x67\x29\x63\x74\x78\x3b\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x61\x5b\x31\x5d\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x61\x5b\x6f\
\x66\x66\x5d\x3b\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\0\x5c\0\
\0\0\x78\0\0\0\0\0\0\0\x08\0\0\x01\x07\0\0\0\x02\0\0\0\0\0\0\0\x05\0\0\0\x28\0\
\0\0\x06\0\0\0\x10\0\0\x01\x07\0\0\0\x05\0\0\0\0\0\0\0\x44\0\0\0\xbc\0\0\x34\
\x07\0\0\0\x18\0\0\0\x44\0\0\0\xd4\0\0\x38\x02\0\0\0\x28\0\0\0\x44\0\0\0\xe2\0\
\0\x54\x0b\0\0\0\x40\0\0\0\x44\0\0\0\xe2\0\0\x54\x09\0\0\0\x70\0\0\0\x44\0\0\0\
\xe2\0\0\x54\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x8b\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\xc0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\x90\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\x2a\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\
\x14\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\x2f\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\x09\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\0\x30\0\0\0\
\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x7d\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x48\0\0\0\0\0\0\x02\x64\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x82\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\xb0\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_log_buf *test_log_buf::open(const struct bpf_object_open_opts *opts) { return test_log_buf__open_opts(opts); }
struct test_log_buf *test_log_buf::open_and_load() { return test_log_buf__open_and_load(); }
int test_log_buf::load(struct test_log_buf *skel) { return test_log_buf__load(skel); }
int test_log_buf::attach(struct test_log_buf *skel) { return test_log_buf__attach(skel); }
void test_log_buf::detach(struct test_log_buf *skel) { test_log_buf__detach(skel); }
void test_log_buf::destroy(struct test_log_buf *skel) { test_log_buf__destroy(skel); }
const void *test_log_buf::elf_bytes(size_t *sz) { return test_log_buf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_log_buf__assert(struct test_log_buf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->off) == 4, "unexpected size of 'off'");
	_Static_assert(sizeof(s->bss->a) == 16, "unexpected size of 'a'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_LOG_BUF_SKEL_H__ */
