/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_SOCKMAP_INVALID_UPDATE_SKEL_H__
#define __TEST_SOCKMAP_INVALID_UPDATE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_sockmap_invalid_update {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map;
	} maps;
	struct {
		struct bpf_program *bpf_sockmap;
	} progs;
	struct {
		struct bpf_link *bpf_sockmap;
	} links;

#ifdef __cplusplus
	static inline struct test_sockmap_invalid_update *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_sockmap_invalid_update *open_and_load();
	static inline int load(struct test_sockmap_invalid_update *skel);
	static inline int attach(struct test_sockmap_invalid_update *skel);
	static inline void detach(struct test_sockmap_invalid_update *skel);
	static inline void destroy(struct test_sockmap_invalid_update *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_sockmap_invalid_update__destroy(struct test_sockmap_invalid_update *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_sockmap_invalid_update__create_skeleton(struct test_sockmap_invalid_update *obj);

static inline struct test_sockmap_invalid_update *
test_sockmap_invalid_update__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_sockmap_invalid_update *obj;
	int err;

	obj = (struct test_sockmap_invalid_update *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_sockmap_invalid_update__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_sockmap_invalid_update__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_sockmap_invalid_update *
test_sockmap_invalid_update__open(void)
{
	return test_sockmap_invalid_update__open_opts(NULL);
}

static inline int
test_sockmap_invalid_update__load(struct test_sockmap_invalid_update *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_sockmap_invalid_update *
test_sockmap_invalid_update__open_and_load(void)
{
	struct test_sockmap_invalid_update *obj;
	int err;

	obj = test_sockmap_invalid_update__open();
	if (!obj)
		return NULL;
	err = test_sockmap_invalid_update__load(obj);
	if (err) {
		test_sockmap_invalid_update__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_sockmap_invalid_update__attach(struct test_sockmap_invalid_update *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_sockmap_invalid_update__detach(struct test_sockmap_invalid_update *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_sockmap_invalid_update__elf_bytes(size_t *sz);

static inline int
test_sockmap_invalid_update__create_skeleton(struct test_sockmap_invalid_update *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_sockmap_invalid_update";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map";
	s->maps[0].map = &obj->maps.map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_sockmap";
	s->progs[0].prog = &obj->progs.bpf_sockmap;
	s->progs[0].link = &obj->links.bpf_sockmap;

	s->data = (void *)test_sockmap_invalid_update__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_sockmap_invalid_update__elf_bytes(size_t *sz)
{
	*sz = 3320;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xb8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\x63\
\x6b\x6f\x70\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\
\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\
\x75\x70\x64\x61\x74\x65\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x62\x70\x66\x5f\
\x73\x6f\x63\x6b\x6d\x61\x70\0\x6d\x61\x70\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x6f\x70\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x27\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\x03\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\
\0\0\0\x4c\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\x58\x11\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x5c\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x04\xb7\x20\0\0\0\0\0\0\x63\xa2\xff\xfc\0\0\0\0\x79\x21\0\xb8\0\0\0\0\
\x15\x20\0\x07\0\0\0\0\x79\x31\0\xb8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\
\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\x02\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\
\0\0\x05\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x04\x38\0\0\x04\x38\0\0\
\x03\x7a\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x0f\0\0\0\x05\x01\0\0\0\0\
\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x19\x08\0\0\0\0\0\0\
\x09\0\0\0\x1f\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x0b\0\0\0\
\x2c\x08\0\0\0\0\0\0\x0c\0\0\0\x32\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x04\0\
\0\x04\0\0\0\x20\0\0\0\x45\0\0\0\x01\0\0\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\
\0\x56\0\0\0\x07\0\0\0\x80\0\0\0\x5a\0\0\0\x0a\0\0\0\xc0\0\0\0\x60\x0e\0\0\0\0\
\0\0\x0d\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x10\0\0\0\x64\x04\0\0\x28\0\0\0\xd8\
\0\0\0\x71\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x20\0\0\0\x74\0\0\0\x08\0\
\0\0\xa0\0\0\0\x7b\0\0\0\x08\0\0\0\xc0\0\0\0\x86\0\0\0\x08\0\0\0\xe0\0\0\0\x90\
\0\0\0\x12\0\0\x01\0\0\0\0\x9b\0\0\0\x12\0\0\x01\x80\0\0\0\xa5\0\0\0\x08\0\0\
\x02\0\0\0\0\xb1\0\0\0\x08\0\0\x02\x20\0\0\0\xbc\0\0\0\x08\0\0\x02\x40\0\0\0\
\xc8\0\0\0\x08\0\0\x02\x60\0\0\0\xd1\0\0\0\x08\0\0\x02\x80\0\0\0\xd9\0\0\0\x08\
\0\0\x02\xa0\0\0\0\xef\0\0\0\x08\0\0\x02\xc0\0\0\0\xf5\0\0\0\x08\0\0\x02\xe0\0\
\0\0\xfd\0\0\0\x08\0\0\x03\0\0\0\x01\x0a\0\0\0\x08\0\0\x03\x20\0\0\x01\x12\0\0\
\0\x08\0\0\x03\x40\0\0\x01\x1a\0\0\0\x08\0\0\x03\x60\0\0\x01\x22\0\0\0\x08\0\0\
\x03\x80\0\0\x01\x2c\0\0\0\x08\0\0\x03\xa0\0\0\x01\x36\0\0\0\x08\0\0\x03\xc0\0\
\0\x01\x45\0\0\0\x08\0\0\x03\xe0\0\0\x01\x56\0\0\0\x08\0\0\x04\0\0\0\x01\x62\0\
\0\0\x08\0\0\x04\x20\0\0\x01\x6e\0\0\0\x08\0\0\x04\x40\0\0\x01\x7c\0\0\0\x08\0\
\0\x04\x60\0\0\x01\x84\0\0\0\x08\0\0\x04\x80\0\0\x01\x91\0\0\0\x08\0\0\x04\xa0\
\0\0\x01\x9a\0\0\0\x08\0\0\x04\xc0\0\0\x01\xa8\0\0\0\x08\0\0\x04\xe0\0\0\x01\
\xb1\0\0\0\x08\0\0\x05\0\0\0\x01\xbc\0\0\0\x08\0\0\x05\x20\0\0\x01\xc6\0\0\0\
\x0b\0\0\x05\x40\0\0\x01\xd5\0\0\0\x0b\0\0\x05\x80\0\0\0\0\0\0\0\x13\0\0\x05\
\xc0\0\0\0\0\0\0\0\x15\0\0\x06\0\0\0\0\0\0\0\0\x17\0\0\x06\x40\0\0\x01\xe1\0\0\
\0\x08\0\0\x06\x80\0\0\x01\xe9\0\0\0\x08\0\0\x06\xa0\0\0\0\0\x05\0\0\x03\0\0\0\
\x10\0\0\x01\xf7\0\0\0\x12\0\0\0\0\0\0\x01\xfc\0\0\0\x08\0\0\0\0\0\0\x02\x02\0\
\0\0\x12\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x04\0\0\0\x04\0\0\0\
\0\x05\0\0\x01\0\0\0\x08\0\0\x02\x0c\0\0\0\x14\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\
\x1d\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x02\x0f\0\0\0\x16\0\0\0\0\0\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x02\x18\0\0\0\x16\0\0\0\0\0\0\0\
\0\x0d\0\0\x01\0\0\0\x02\0\0\x02\x25\0\0\0\x0f\0\0\x02\x2b\x0c\0\0\x01\0\0\0\
\x18\0\0\x02\x37\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x1a\0\0\0\x04\0\0\0\x04\0\0\x02\x3c\x0e\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\x02\
\x45\x07\0\0\0\0\0\0\0\0\0\x03\x64\x0f\0\0\x01\0\0\0\x20\0\0\0\x0e\0\0\0\0\0\0\
\0\x20\0\0\x03\x6a\x0f\0\0\x01\0\0\0\x04\0\0\0\x1c\0\0\0\0\0\0\0\x04\0\x69\x6e\
\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\
\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\0\x62\x70\x66\x5f\x73\
\x6f\x63\x6b\x5f\x6f\x70\x73\0\x6f\x70\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\
\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\
\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\
\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\
\x74\0\x69\x73\x5f\x66\x75\x6c\x6c\x73\x6f\x63\x6b\0\x73\x6e\x64\x5f\x63\x77\
\x6e\x64\0\x73\x72\x74\x74\x5f\x75\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\
\x6f\x70\x73\x5f\x63\x62\x5f\x66\x6c\x61\x67\x73\0\x73\x74\x61\x74\x65\0\x72\
\x74\x74\x5f\x6d\x69\x6e\0\x73\x6e\x64\x5f\x73\x73\x74\x68\x72\x65\x73\x68\0\
\x72\x63\x76\x5f\x6e\x78\x74\0\x73\x6e\x64\x5f\x6e\x78\x74\0\x73\x6e\x64\x5f\
\x75\x6e\x61\0\x6d\x73\x73\x5f\x63\x61\x63\x68\x65\0\x65\x63\x6e\x5f\x66\x6c\
\x61\x67\x73\0\x72\x61\x74\x65\x5f\x64\x65\x6c\x69\x76\x65\x72\x65\x64\0\x72\
\x61\x74\x65\x5f\x69\x6e\x74\x65\x72\x76\x61\x6c\x5f\x75\x73\0\x70\x61\x63\x6b\
\x65\x74\x73\x5f\x6f\x75\x74\0\x72\x65\x74\x72\x61\x6e\x73\x5f\x6f\x75\x74\0\
\x74\x6f\x74\x61\x6c\x5f\x72\x65\x74\x72\x61\x6e\x73\0\x73\x65\x67\x73\x5f\x69\
\x6e\0\x64\x61\x74\x61\x5f\x73\x65\x67\x73\x5f\x69\x6e\0\x73\x65\x67\x73\x5f\
\x6f\x75\x74\0\x64\x61\x74\x61\x5f\x73\x65\x67\x73\x5f\x6f\x75\x74\0\x6c\x6f\
\x73\x74\x5f\x6f\x75\x74\0\x73\x61\x63\x6b\x65\x64\x5f\x6f\x75\x74\0\x73\x6b\
\x5f\x74\x78\x68\x61\x73\x68\0\x62\x79\x74\x65\x73\x5f\x72\x65\x63\x65\x69\x76\
\x65\x64\0\x62\x79\x74\x65\x73\x5f\x61\x63\x6b\x65\x64\0\x73\x6b\x62\x5f\x6c\
\x65\x6e\0\x73\x6b\x62\x5f\x74\x63\x70\x5f\x66\x6c\x61\x67\x73\0\x61\x72\x67\
\x73\0\x72\x65\x70\x6c\x79\0\x72\x65\x70\x6c\x79\x6c\x6f\x6e\x67\0\x73\x6b\0\
\x73\x6b\x62\x5f\x64\x61\x74\x61\0\x73\x6b\x62\x5f\x64\x61\x74\x61\x5f\x65\x6e\
\x64\0\x73\x6b\x6f\x70\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6d\x61\x70\0\x63\
\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\
\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\
\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x6f\x63\
\x6b\x6d\x61\x70\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x75\x70\x64\x61\x74\x65\
\x2e\x63\0\x69\x6e\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x28\x73\
\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x6f\x70\x73\x20\
\x2a\x73\x6b\x6f\x70\x73\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\
\x20\x30\x3b\0\x09\x69\x66\x20\x28\x73\x6b\x6f\x70\x73\x2d\x3e\x73\x6b\x29\0\
\x09\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\
\x65\x6d\x28\x26\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x2c\x20\x73\x6b\x6f\x70\
\x73\x2d\x3e\x73\x6b\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\
\x3b\0\x30\x3a\x33\x35\x3a\x30\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x73\x6f\x63\x6b\x6f\x70\x73\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\
\0\0\0\0\x14\0\0\0\x14\0\0\0\x7c\0\0\0\x90\0\0\0\x2c\0\0\0\x08\0\0\x03\x72\0\0\
\0\x01\0\0\0\0\0\0\0\x19\0\0\0\x10\0\0\x03\x72\0\0\0\x07\0\0\0\0\0\0\x02\x4e\0\
\0\x02\xd5\0\0\x38\0\0\0\0\x08\0\0\x02\x4e\0\0\x03\x01\0\0\x40\x08\0\0\0\x10\0\
\0\x02\x4e\0\0\x03\x11\0\0\x48\x0d\0\0\0\x18\0\0\x02\x4e\0\0\x03\x11\0\0\x48\
\x06\0\0\0\x20\0\0\x02\x4e\0\0\x03\x21\0\0\x4c\x2a\0\0\0\x38\0\0\x02\x4e\0\0\
\x03\x21\0\0\x4c\x03\0\0\0\x58\0\0\x02\x4e\0\0\x03\x52\0\0\x50\x02\0\0\0\x10\0\
\0\x03\x72\0\0\0\x02\0\0\0\x10\0\0\0\x10\0\0\x03\x5d\0\0\0\0\0\0\0\x20\0\0\0\
\x10\0\0\x03\x5d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x7f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\xa8\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\
\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xd0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\xf0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\x65\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\xf8\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\x71\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x08\0\
\0\0\0\0\0\x07\xca\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x76\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xd8\0\0\0\0\0\0\0\
\xdc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_sockmap_invalid_update *test_sockmap_invalid_update::open(const struct bpf_object_open_opts *opts) { return test_sockmap_invalid_update__open_opts(opts); }
struct test_sockmap_invalid_update *test_sockmap_invalid_update::open_and_load() { return test_sockmap_invalid_update__open_and_load(); }
int test_sockmap_invalid_update::load(struct test_sockmap_invalid_update *skel) { return test_sockmap_invalid_update__load(skel); }
int test_sockmap_invalid_update::attach(struct test_sockmap_invalid_update *skel) { return test_sockmap_invalid_update__attach(skel); }
void test_sockmap_invalid_update::detach(struct test_sockmap_invalid_update *skel) { test_sockmap_invalid_update__detach(skel); }
void test_sockmap_invalid_update::destroy(struct test_sockmap_invalid_update *skel) { test_sockmap_invalid_update__destroy(skel); }
const void *test_sockmap_invalid_update::elf_bytes(size_t *sz) { return test_sockmap_invalid_update__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_sockmap_invalid_update__assert(struct test_sockmap_invalid_update *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SOCKMAP_INVALID_UPDATE_SKEL_H__ */
