/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_TASK_PT_REGS_SKEL_H__
#define __TEST_TASK_PT_REGS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_task_pt_regs {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_uprobe;
	} progs;
	struct {
		struct bpf_link *handle_uprobe;
	} links;
	struct test_task_pt_regs__bss {
		char current_regs[192];
		char ctx_regs[192];
		int uprobe_res;
	} *bss;

#ifdef __cplusplus
	static inline struct test_task_pt_regs *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_task_pt_regs *open_and_load();
	static inline int load(struct test_task_pt_regs *skel);
	static inline int attach(struct test_task_pt_regs *skel);
	static inline void detach(struct test_task_pt_regs *skel);
	static inline void destroy(struct test_task_pt_regs *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_task_pt_regs__destroy(struct test_task_pt_regs *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_task_pt_regs__create_skeleton(struct test_task_pt_regs *obj);

static inline struct test_task_pt_regs *
test_task_pt_regs__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_task_pt_regs *obj;
	int err;

	obj = (struct test_task_pt_regs *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_task_pt_regs__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_task_pt_regs__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_task_pt_regs *
test_task_pt_regs__open(void)
{
	return test_task_pt_regs__open_opts(NULL);
}

static inline int
test_task_pt_regs__load(struct test_task_pt_regs *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_task_pt_regs *
test_task_pt_regs__open_and_load(void)
{
	struct test_task_pt_regs *obj;
	int err;

	obj = test_task_pt_regs__open();
	if (!obj)
		return NULL;
	err = test_task_pt_regs__load(obj);
	if (err) {
		test_task_pt_regs__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_task_pt_regs__attach(struct test_task_pt_regs *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_task_pt_regs__detach(struct test_task_pt_regs *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_task_pt_regs__elf_bytes(size_t *sz);

static inline int
test_task_pt_regs__create_skeleton(struct test_task_pt_regs *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_task_pt_regs";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_tas.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_uprobe";
	s->progs[0].prog = &obj->progs.handle_uprobe;
	s->progs[0].link = &obj->links.handle_uprobe;

	s->data = (void *)test_task_pt_regs__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_task_pt_regs__elf_bytes(size_t *sz)
{
	*sz = 3096;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xd8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x75\x70\x72\
\x6f\x62\x65\x2f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\x2e\x62\x73\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x74\x61\x73\x6b\x5f\
\x70\x74\x5f\x72\x65\x67\x73\x2e\x63\0\x4c\x42\x42\x30\x5f\x33\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\0\x63\x75\x72\x72\x65\x6e\x74\x5f\x72\
\x65\x67\x73\0\x63\x74\x78\x5f\x72\x65\x67\x73\0\x75\x70\x72\x6f\x62\x65\x5f\
\x72\x65\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x75\x70\x72\
\x6f\x62\x65\x2f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x03\0\0\0\0\
\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\x4d\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb0\0\0\0\x5b\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\x68\x11\0\0\
\x04\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\xc0\0\0\0\x71\x11\0\0\x04\0\0\0\0\0\0\x01\
\x80\0\0\0\0\0\0\0\x04\0\0\0\x7c\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\xbf\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\x9e\xbf\x10\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\xaf\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\xc0\xbf\x30\0\0\0\0\
\0\0\x85\0\0\0\0\0\0\x71\x55\0\0\x0a\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb7\x20\0\0\0\0\0\xc0\xbf\x36\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x55\0\0\x04\0\
\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x63\x12\0\0\0\
\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\
\x80\0\0\0\x07\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x03\x44\0\0\x03\
\x44\0\0\x02\xfa\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x04\0\0\x05\0\0\0\xc0\0\
\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x09\0\0\0\x06\0\0\x04\xc0\0\0\0\0\0\0\0\x0c\0\0\
\x05\0\0\0\0\x13\0\0\0\x06\0\0\x05\x80\0\0\0\x19\0\0\0\x06\0\0\x05\xc0\0\0\0\0\
\x05\0\0\x02\0\0\0\x98\0\0\0\x1d\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\
\0\0\x27\x08\0\0\0\0\0\0\x05\0\0\0\0\x04\0\0\x03\0\0\0\x98\0\0\0\x34\0\0\0\x07\
\0\0\0\0\0\0\0\x39\0\0\0\x09\0\0\0\x40\0\0\0\x3d\0\0\0\x0b\0\0\0\xc0\0\0\0\x42\
\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x08\0\
\0\0\x01\0\0\0\x50\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x64\x08\0\0\0\0\0\0\x0a\
\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\0\x6a\0\0\0\x06\0\0\0\0\0\0\0\x6f\0\0\0\x06\
\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x08\0\0\0\x10\0\0\0\0\x05\
\0\0\x02\0\0\0\x10\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x74\0\0\0\x0f\0\0\0\0\0\0\0\
\0\x04\0\0\x03\0\0\0\x10\0\0\0\x7d\0\0\0\x0e\0\0\0\0\0\0\0\x86\0\0\0\x0e\0\0\0\
\x20\0\0\0\x8f\0\0\0\x06\0\0\0\x40\0\0\0\x9d\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\
\0\x74\x84\0\0\x06\0\0\0\x0c\0\0\0\xaa\0\0\0\x10\0\0\0\0\0\0\0\xb0\0\0\0\x12\0\
\0\0\x20\0\0\0\xb8\0\0\0\x12\x01\0\0\x40\0\0\0\xc3\0\0\0\x12\x01\0\0\x41\0\0\0\
\xd0\0\0\0\x12\x03\0\0\x42\0\0\0\xd4\0\0\0\x12\x03\0\0\x5c\0\0\0\xd9\x84\0\0\
\x05\0\0\0\x04\0\0\0\xe7\0\0\0\x11\x08\0\0\0\0\0\0\xed\0\0\0\x11\x01\0\0\x0c\0\
\0\0\xef\0\0\0\x11\x02\0\0\x0d\0\0\0\xf4\0\0\0\x11\x01\0\0\x0f\0\0\0\xf8\0\0\0\
\x11\x10\0\0\x10\0\0\0\xff\x08\0\0\0\0\0\0\x0e\0\0\x01\x05\x08\0\0\0\0\0\0\x11\
\0\0\0\0\x0d\0\0\x01\0\0\0\x14\0\0\x01\x09\0\0\0\x01\0\0\x01\x0d\x01\0\0\0\0\0\
\0\x04\x01\0\0\x20\0\0\x01\x11\x0c\0\0\x01\0\0\0\x13\0\0\x01\x1f\x01\0\0\0\0\0\
\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x16\0\0\0\x08\0\0\0\xc0\0\0\
\x01\x24\x0e\0\0\0\0\0\0\x17\0\0\0\x01\0\0\x01\x31\x0e\0\0\0\0\0\0\x17\0\0\0\
\x01\0\0\x01\x3a\x0e\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x16\0\0\0\x08\0\0\0\x04\0\0\x01\x45\x0e\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\x02\xd9\
\x0f\0\0\x03\0\0\x01\x84\0\0\0\x18\0\0\0\0\0\0\0\xc0\0\0\0\x19\0\0\0\xc0\0\0\0\
\xc0\0\0\0\x1a\0\0\x01\x80\0\0\0\x04\0\0\x02\xde\x0f\0\0\x01\0\0\0\x04\0\0\0\
\x1c\0\0\0\0\0\0\0\x04\0\x70\x74\x5f\x72\x65\x67\x73\0\x6f\x72\x69\x67\x5f\x67\
\x70\x72\x32\0\x66\x6c\x61\x67\x73\0\x63\x72\x31\0\x75\x73\x65\x72\x5f\x72\x65\
\x67\x73\0\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x61\x72\x67\x73\0\
\x70\x73\x77\0\x67\x70\x72\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x70\x73\x77\x5f\x74\0\x6d\x61\x73\x6b\0\x61\x64\x64\x72\0\x74\x70\
\x69\x5f\x69\x6e\x66\x6f\0\x69\x6e\x74\x5f\x63\x6f\x64\x65\0\x69\x6e\x74\x5f\
\x70\x61\x72\x6d\0\x69\x6e\x74\x5f\x70\x61\x72\x6d\x5f\x6c\x6f\x6e\x67\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x73\x63\x68\x69\x64\0\x69\x6e\
\x74\x70\x61\x72\x6d\0\x61\x64\x61\x70\x74\x65\x72\x5f\x49\x4f\0\x64\x69\x72\
\x65\x63\x74\x65\x64\x5f\x69\x72\x71\0\x69\x73\x63\0\x74\x79\x70\x65\0\x73\x75\
\x62\x63\x68\x61\x6e\x6e\x65\x6c\x5f\x69\x64\0\x63\x73\x73\x69\x64\0\x6d\0\x73\
\x73\x69\x64\0\x6f\x6e\x65\0\x73\x63\x68\x5f\x6e\x6f\0\x5f\x5f\x75\x33\x32\0\
\x75\x33\x32\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\
\x72\x6f\x62\x65\0\x63\x68\x61\x72\0\x63\x75\x72\x72\x65\x6e\x74\x5f\x72\x65\
\x67\x73\0\x63\x74\x78\x5f\x72\x65\x67\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x72\
\x65\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\
\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x74\x61\x73\x6b\x5f\x70\x74\x5f\x72\x65\x67\x73\
\x2e\x63\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\
\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\x74\
\x78\x29\0\x09\x63\x75\x72\x72\x65\x6e\x74\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\
\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\x28\
\x29\x3b\0\x09\x72\x65\x67\x73\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x70\
\x74\x5f\x72\x65\x67\x73\x20\x2a\x29\x20\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\
\x70\x74\x5f\x72\x65\x67\x73\x28\x63\x75\x72\x72\x65\x6e\x74\x29\x3b\0\x09\x69\
\x66\x20\x28\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\
\x65\x72\x6e\x65\x6c\x28\x63\x75\x72\x72\x65\x6e\x74\x5f\x72\x65\x67\x73\x2c\
\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x53\x49\x5a\x45\x2c\x20\x72\x65\x67\x73\
\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\
\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x63\x74\x78\x5f\x72\x65\x67\x73\x2c\
\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x53\x49\x5a\x45\x2c\x20\x63\x74\x78\x29\
\x29\0\x09\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\x20\x3d\x20\x31\x3b\0\x7d\0\
\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x75\x70\x72\x6f\x62\x65\x2f\
\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\0\0\xeb\x9f\x01\0\0\0\0\x20\
\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x9c\0\0\0\xb0\0\0\0\0\0\0\0\x08\0\0\x02\xe6\
\0\0\0\x01\0\0\0\0\0\0\0\x15\0\0\0\x10\0\0\x02\xe6\0\0\0\x09\0\0\0\0\0\0\x01\
\x4e\0\0\x01\xcb\0\0\x48\0\0\0\0\x08\0\0\x01\x4e\0\0\x01\xf2\0\0\x5c\x0c\0\0\0\
\x10\0\0\x01\x4e\0\0\x02\x19\0\0\x60\x1c\0\0\0\x20\0\0\x01\x4e\0\0\x02\x4f\0\0\
\x64\x06\0\0\0\x48\0\0\x01\x4e\0\0\x02\x4f\0\0\x64\x06\0\0\0\x50\0\0\x01\x4e\0\
\0\x02\x8d\0\0\x6c\x06\0\0\0\x78\0\0\x01\x4e\0\0\x02\x8d\0\0\x6c\x06\0\0\0\x80\
\0\0\x01\x4e\0\0\x02\xc6\0\0\x7c\x0d\0\0\0\xa0\0\0\x01\x4e\0\0\x02\xd7\0\0\x88\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xab\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\xd8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\xc8\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\x25\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x78\0\0\0\0\0\0\x01\x84\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x78\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\
\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x80\0\0\0\0\0\0\0\x30\
\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x9d\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xb0\0\0\0\0\0\0\x06\x56\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xa2\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x08\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_task_pt_regs *test_task_pt_regs::open(const struct bpf_object_open_opts *opts) { return test_task_pt_regs__open_opts(opts); }
struct test_task_pt_regs *test_task_pt_regs::open_and_load() { return test_task_pt_regs__open_and_load(); }
int test_task_pt_regs::load(struct test_task_pt_regs *skel) { return test_task_pt_regs__load(skel); }
int test_task_pt_regs::attach(struct test_task_pt_regs *skel) { return test_task_pt_regs__attach(skel); }
void test_task_pt_regs::detach(struct test_task_pt_regs *skel) { test_task_pt_regs__detach(skel); }
void test_task_pt_regs::destroy(struct test_task_pt_regs *skel) { test_task_pt_regs__destroy(skel); }
const void *test_task_pt_regs::elf_bytes(size_t *sz) { return test_task_pt_regs__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_task_pt_regs__assert(struct test_task_pt_regs *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->current_regs) == 192, "unexpected size of 'current_regs'");
	_Static_assert(sizeof(s->bss->ctx_regs) == 192, "unexpected size of 'ctx_regs'");
	_Static_assert(sizeof(s->bss->uprobe_res) == 4, "unexpected size of 'uprobe_res'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_TASK_PT_REGS_SKEL_H__ */
