/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_VARLEN_SKEL_H__
#define __TEST_VARLEN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_varlen {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *data;
	} maps;
	struct {
		struct bpf_program *handler64_unsigned;
		struct bpf_program *handler64_signed;
		struct bpf_program *handler32_unsigned;
		struct bpf_program *handler32_signed;
		struct bpf_program *handler_exit;
	} progs;
	struct {
		struct bpf_link *handler64_unsigned;
		struct bpf_link *handler64_signed;
		struct bpf_link *handler32_unsigned;
		struct bpf_link *handler32_signed;
		struct bpf_link *handler_exit;
	} links;
	struct test_varlen__bss {
		char buf_in1[256];
		char buf_in2[256];
		int test_pid;
		bool capture;
		__u64 payload1_len1;
		__u64 payload1_len2;
		__u64 total1;
		char payload1[512];
	} *bss;
	struct test_varlen__data {
		int payload2_len1;
		int payload2_len2;
		int total2;
		char payload2[512];
		int payload3_len1;
		int payload3_len2;
		int total3;
		char payload3[512];
		int payload4_len1;
		int payload4_len2;
		int total4;
		char payload4[512];
	} *data;

#ifdef __cplusplus
	static inline struct test_varlen *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_varlen *open_and_load();
	static inline int load(struct test_varlen *skel);
	static inline int attach(struct test_varlen *skel);
	static inline void detach(struct test_varlen *skel);
	static inline void destroy(struct test_varlen *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_varlen__destroy(struct test_varlen *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_varlen__create_skeleton(struct test_varlen *obj);

static inline struct test_varlen *
test_varlen__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_varlen *obj;
	int err;

	obj = (struct test_varlen *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_varlen__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_varlen__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_varlen *
test_varlen__open(void)
{
	return test_varlen__open_opts(NULL);
}

static inline int
test_varlen__load(struct test_varlen *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_varlen *
test_varlen__open_and_load(void)
{
	struct test_varlen *obj;
	int err;

	obj = test_varlen__open();
	if (!obj)
		return NULL;
	err = test_varlen__load(obj);
	if (err) {
		test_varlen__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_varlen__attach(struct test_varlen *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_varlen__detach(struct test_varlen *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_varlen__elf_bytes(size_t *sz);

static inline int
test_varlen__create_skeleton(struct test_varlen *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_varlen";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_var.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = "test_var.data";
	s->maps[1].map = &obj->maps.data;
	s->maps[1].mmaped = (void **)&obj->data;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handler64_unsigned";
	s->progs[0].prog = &obj->progs.handler64_unsigned;
	s->progs[0].link = &obj->links.handler64_unsigned;

	s->progs[1].name = "handler64_signed";
	s->progs[1].prog = &obj->progs.handler64_signed;
	s->progs[1].link = &obj->links.handler64_signed;

	s->progs[2].name = "handler32_unsigned";
	s->progs[2].prog = &obj->progs.handler32_unsigned;
	s->progs[2].link = &obj->links.handler32_unsigned;

	s->progs[3].name = "handler32_signed";
	s->progs[3].prog = &obj->progs.handler32_signed;
	s->progs[3].link = &obj->links.handler32_signed;

	s->progs[4].name = "handler_exit";
	s->progs[4].prog = &obj->progs.handler_exit;
	s->progs[4].link = &obj->links.handler_exit;

	s->data = (void *)test_varlen__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_varlen__elf_bytes(size_t *sz)
{
	*sz = 10200;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\x98\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x11\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\x77\
\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x72\x61\x77\x5f\x74\x70\
\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\0\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\
\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x74\x70\x2f\x72\
\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x78\x69\
\x74\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x78\
\x69\x74\x5f\x67\x65\x74\x70\x69\x64\0\x2e\x62\x73\x73\0\x2e\x64\x61\x74\x61\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x76\x61\x72\x6c\x65\x6e\x2e\
\x63\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\
\x36\0\x4c\x42\x42\x31\x5f\x37\0\x4c\x42\x42\x31\x5f\x34\0\x4c\x42\x42\x31\x5f\
\x36\0\x4c\x42\x42\x32\x5f\x37\0\x4c\x42\x42\x32\x5f\x34\0\x4c\x42\x42\x32\x5f\
\x36\0\x4c\x42\x42\x33\x5f\x37\0\x4c\x42\x42\x33\x5f\x34\0\x4c\x42\x42\x33\x5f\
\x36\0\x4c\x42\x42\x34\x5f\x32\0\x68\x61\x6e\x64\x6c\x65\x72\x36\x34\x5f\x75\
\x6e\x73\x69\x67\x6e\x65\x64\0\x74\x65\x73\x74\x5f\x70\x69\x64\0\x63\x61\x70\
\x74\x75\x72\x65\0\x70\x61\x79\x6c\x6f\x61\x64\x31\0\x62\x75\x66\x5f\x69\x6e\
\x31\0\x70\x61\x79\x6c\x6f\x61\x64\x31\x5f\x6c\x65\x6e\x31\0\x62\x75\x66\x5f\
\x69\x6e\x32\0\x70\x61\x79\x6c\x6f\x61\x64\x31\x5f\x6c\x65\x6e\x32\0\x74\x6f\
\x74\x61\x6c\x31\0\x68\x61\x6e\x64\x6c\x65\x72\x36\x34\x5f\x73\x69\x67\x6e\x65\
\x64\0\x70\x61\x79\x6c\x6f\x61\x64\x33\0\x70\x61\x79\x6c\x6f\x61\x64\x33\x5f\
\x6c\x65\x6e\x31\0\x70\x61\x79\x6c\x6f\x61\x64\x33\x5f\x6c\x65\x6e\x32\0\x74\
\x6f\x74\x61\x6c\x33\0\x68\x61\x6e\x64\x6c\x65\x72\x33\x32\x5f\x75\x6e\x73\x69\
\x67\x6e\x65\x64\0\x70\x61\x79\x6c\x6f\x61\x64\x32\0\x70\x61\x79\x6c\x6f\x61\
\x64\x32\x5f\x6c\x65\x6e\x31\0\x70\x61\x79\x6c\x6f\x61\x64\x32\x5f\x6c\x65\x6e\
\x32\0\x74\x6f\x74\x61\x6c\x32\0\x68\x61\x6e\x64\x6c\x65\x72\x33\x32\x5f\x73\
\x69\x67\x6e\x65\x64\0\x70\x61\x79\x6c\x6f\x61\x64\x34\0\x70\x61\x79\x6c\x6f\
\x61\x64\x34\x5f\x6c\x65\x6e\x31\0\x70\x61\x79\x6c\x6f\x61\x64\x34\x5f\x6c\x65\
\x6e\x32\0\x74\x6f\x74\x61\x6c\x34\0\x68\x61\x6e\x64\x6c\x65\x72\x5f\x65\x78\
\x69\x74\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\
\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\
\x74\x70\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\0\x2e\x72\x65\x6c\x74\x70\x2f\x72\
\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\0\x2e\x72\x65\x6c\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\
\x6c\x73\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x94\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa2\0\0\0\x03\0\0\0\0\0\0\x01\x48\0\0\0\0\0\
\0\0\0\0\0\0\xa9\0\0\0\x03\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\
\x03\0\0\0\0\0\0\x01\x18\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\x04\0\0\0\0\0\0\x01\x48\0\0\0\0\0\0\0\0\0\0\0\
\xbe\0\0\0\x04\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\xc5\0\0\0\x04\0\0\0\0\0\
\0\x01\x18\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xcc\0\0\0\x05\0\0\0\0\0\0\x01\x78\0\0\0\0\0\0\0\0\0\0\0\xd3\0\0\0\x05\0\
\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\xda\0\0\0\x05\0\0\0\0\0\0\x01\x48\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe1\0\0\0\
\x06\0\0\0\0\0\0\x01\x98\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\x06\0\0\0\0\0\0\0\xf0\
\0\0\0\0\0\0\0\0\0\0\0\xef\0\0\0\x06\0\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf6\0\0\0\x07\0\0\0\0\0\0\
\0\x48\0\0\0\0\0\0\0\0\0\0\0\xfd\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x58\0\0\x01\x10\x11\0\0\x08\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x04\0\0\x01\x19\
\x11\0\0\x08\0\0\0\0\0\0\x02\x04\0\0\0\0\0\0\0\x01\0\0\x01\x21\x11\0\0\x08\0\0\
\0\0\0\0\x02\x20\0\0\0\0\0\0\x02\0\0\0\x01\x2a\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x01\x32\x11\0\0\x08\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\x08\0\
\0\x01\x40\x11\0\0\x08\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\x01\x48\x11\0\0\
\x08\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\x08\0\0\x01\x56\x11\0\0\x08\0\0\0\0\0\0\
\x02\x18\0\0\0\0\0\0\0\x08\0\0\x01\x5d\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x58\0\0\x01\x6e\x11\0\0\x09\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\x02\0\0\0\x01\
\x77\x11\0\0\x09\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\x04\0\0\x01\x85\x11\0\0\x09\
\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\x04\0\0\x01\x93\x11\0\0\x09\0\0\0\0\0\0\x02\
\x14\0\0\0\0\0\0\0\x04\0\0\x01\x9a\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x88\0\0\x01\xad\x11\0\0\x09\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\x02\0\0\0\x01\xb6\
\x11\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\xc4\x11\0\0\x09\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\x01\xd2\x11\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x04\0\0\x01\xd9\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xa8\0\0\x01\
\xea\x11\0\0\x09\0\0\0\0\0\0\x04\x24\0\0\0\0\0\0\x02\0\0\0\x01\xf3\x11\0\0\x09\
\0\0\0\0\0\0\x04\x18\0\0\0\0\0\0\0\x04\0\0\x02\x01\x11\0\0\x09\0\0\0\0\0\0\x04\
\x1c\0\0\0\0\0\0\0\x04\0\0\x02\x0f\x11\0\0\x09\0\0\0\0\0\0\x04\x20\0\0\0\0\0\0\
\0\x04\0\0\x02\x16\x12\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\x02\x23\
\x11\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\
\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x10\0\x23\
\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x15\x10\0\x1f\
\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb7\x20\0\0\0\0\x01\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x73\x25\0\0\x06\0\0\x01\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x10\0\0\0\0\
\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x60\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\
\0\xb7\x20\0\0\0\0\x01\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x73\x25\0\0\x04\0\0\x01\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x10\0\0\0\0\
\0\0\x0f\x60\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\x61\0\0\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x16\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x10\0\x23\0\0\0\0\x18\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x15\x10\0\x1f\0\0\0\0\x18\x60\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\x01\0\x18\
\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x73\xc5\0\0\x06\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x10\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0f\x60\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\x01\0\x18\
\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x73\xc5\0\0\x04\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x10\0\0\0\0\0\0\x0f\x60\0\0\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\x61\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x63\x16\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\
\0\0\0\x5d\x10\0\x29\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\
\0\0\0\x15\x10\0\x25\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\x01\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\x73\xbf\x10\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\0\
\0\0\x20\x25\x10\0\x06\0\0\x01\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x20\0\
\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x61\0\0\0\0\0\0\xbf\x16\0\0\
\0\0\0\0\xb7\x20\0\0\0\0\x01\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x73\xbf\x10\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\x25\
\x10\0\x04\0\0\x01\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x20\0\0\0\0\0\0\
\x0f\x61\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\x61\0\0\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x16\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5d\x10\0\x2d\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x15\x10\0\x29\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\x01\0\x18\x30\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x73\xbf\x10\0\0\0\0\0\0\x67\x10\0\
\0\0\0\0\x20\xbf\x21\0\0\0\0\0\0\xc7\x20\0\0\0\0\0\x20\xc5\x20\0\x07\0\0\0\0\
\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x20\0\0\0\0\0\0\x77\x10\0\0\0\0\0\x20\
\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x61\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\
\xb7\x20\0\0\0\0\x01\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x73\
\xbf\x10\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\xbf\x21\0\0\0\0\0\0\xc7\x20\0\0\0\0\
\0\x20\xc5\x20\0\x05\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x20\0\0\0\
\0\0\0\x77\x10\0\0\0\0\0\x20\x0f\x61\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x1f\x61\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x16\0\0\0\0\
\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\
\xff\xff\xf8\xb7\x20\0\0\0\0\0\x08\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\xbf\
\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x01\x55\x10\0\x01\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\x10\0\
\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\
\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\
\x18\0\0\0\x01\0\0\0\0\0\0\0\x98\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\xb0\0\0\0\
\x17\0\0\0\x01\0\0\0\0\0\0\0\xd8\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\
\x1b\0\0\0\x01\0\0\0\0\0\0\x01\x18\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\x01\x30\0\0\
\0\x1c\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\
\x16\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\
\x1e\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\x98\0\0\0\
\x1f\0\0\0\x01\0\0\0\0\0\0\0\xb0\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\xd8\0\0\0\
\x1a\0\0\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\x20\0\0\0\x01\0\0\0\0\0\0\x01\x18\0\0\0\
\x1e\0\0\0\x01\0\0\0\0\0\0\x01\x30\0\0\0\x21\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\
\x15\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\
\x23\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x23\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\
\x18\0\0\0\x01\0\0\0\0\0\0\0\xb0\0\0\0\x24\0\0\0\x01\0\0\0\0\0\0\0\xc8\0\0\0\
\x23\0\0\0\x01\0\0\0\0\0\0\0\xf0\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\x01\x28\0\0\0\
\x25\0\0\0\x01\0\0\0\0\0\0\x01\x48\0\0\0\x23\0\0\0\x01\0\0\0\0\0\0\x01\x60\0\0\
\0\x26\0\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\
\x16\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x28\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\
\x28\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\xb8\0\0\0\
\x29\0\0\0\x01\0\0\0\0\0\0\0\xd8\0\0\0\x28\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\0\
\x1a\0\0\0\x01\0\0\0\0\0\0\x01\x40\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\x01\x68\0\0\
\0\x28\0\0\0\x01\0\0\0\0\0\0\x01\x80\0\0\0\x2b\0\0\0\x01\xeb\x9f\x01\0\0\0\0\
\x18\0\0\0\0\0\0\x03\x7c\0\0\x03\x7c\0\0\x05\x1b\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\x01\0\0\0\x01\0\0\0\x06\x01\0\0\0\0\0\0\x04\
\x01\0\0\x20\0\0\0\x0a\x0c\0\0\x01\0\0\0\x02\0\0\0\x1d\x0c\0\0\x01\0\0\0\x02\0\
\0\0\x2e\x0c\0\0\x01\0\0\0\x02\0\0\0\x41\x0c\0\0\x01\0\0\0\x02\0\0\0\x52\x0c\0\
\0\x01\0\0\0\x02\0\0\0\x5f\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x0b\0\0\x01\0\0\0\0\x64\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\
\0\0\x78\x0e\0\0\0\0\0\0\x0a\0\0\0\x01\0\0\0\x80\x0e\0\0\0\0\0\0\x0a\0\0\0\x01\
\0\0\0\x88\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\0\x91\x08\0\0\0\0\0\0\x10\0\0\0\
\x96\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\0\x9c\x0e\0\0\0\0\0\0\x0f\0\0\0\x01\0\
\0\0\xa4\x08\0\0\0\0\0\0\x13\0\0\0\xaa\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\xbd\
\x0e\0\0\0\0\0\0\x12\0\0\0\x01\0\0\0\xcb\x0e\0\0\0\0\0\0\x12\0\0\0\x01\0\0\0\
\xd9\x0e\0\0\0\0\0\0\x12\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x0b\0\0\x02\0\0\0\0\xe0\x0e\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\xe9\x0e\0\0\0\0\0\
\0\x03\0\0\0\x01\0\0\0\xf7\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\x01\x05\x0e\0\0\0\
\0\0\0\x03\0\0\0\x01\0\0\x01\x0c\x0e\0\0\0\0\0\0\x17\0\0\0\x01\0\0\x01\x15\x0e\
\0\0\0\0\0\0\x03\0\0\0\x01\0\0\x01\x23\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\x01\
\x31\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\x01\x38\x0e\0\0\0\0\0\0\x17\0\0\0\x01\0\
\0\x01\x41\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\x01\x4f\x0e\0\0\0\0\0\0\x03\0\0\0\
\x01\0\0\x01\x5d\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\x01\x64\x0e\0\0\0\0\0\0\x17\
\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x0b\0\0\0\x04\0\0\x01\x6d\
\x0e\0\0\0\0\0\0\x25\0\0\0\x01\0\0\x04\x98\x0f\0\0\x08\0\0\x04\x20\0\0\0\x0c\0\
\0\0\0\0\0\x01\0\0\0\0\x0d\0\0\x01\0\0\0\x01\0\0\0\0\x0e\0\0\x02\0\0\0\0\x04\0\
\0\0\x11\0\0\x02\x04\0\0\0\x01\0\0\0\x14\0\0\x02\x08\0\0\0\x08\0\0\0\x15\0\0\
\x02\x10\0\0\0\x08\0\0\0\x16\0\0\x02\x18\0\0\0\x08\0\0\0\x18\0\0\x02\x20\0\0\
\x02\0\0\0\x04\x9d\x0f\0\0\x0c\0\0\x06\x24\0\0\0\x19\0\0\0\0\0\0\0\x04\0\0\0\
\x1a\0\0\0\x04\0\0\0\x04\0\0\0\x1b\0\0\0\x08\0\0\0\x04\0\0\0\x1c\0\0\0\x0c\0\0\
\x02\0\0\0\0\x1d\0\0\x02\x0c\0\0\0\x04\0\0\0\x1e\0\0\x02\x10\0\0\0\x04\0\0\0\
\x1f\0\0\x02\x14\0\0\0\x04\0\0\0\x20\0\0\x02\x18\0\0\x02\0\0\0\0\x21\0\0\x04\
\x18\0\0\0\x04\0\0\0\x22\0\0\x04\x1c\0\0\0\x04\0\0\0\x23\0\0\x04\x20\0\0\0\x04\
\0\0\0\x24\0\0\x04\x24\0\0\x02\0\0\0\x04\xa3\x0f\0\0\x01\0\0\0\x04\0\0\0\x26\0\
\0\0\0\0\0\0\x04\0\x72\x65\x67\x73\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x72\
\x36\x34\x5f\x75\x6e\x73\x69\x67\x6e\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x72\x36\
\x34\x5f\x73\x69\x67\x6e\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x72\x33\x32\x5f\x75\
\x6e\x73\x69\x67\x6e\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x72\x33\x32\x5f\x73\x69\
\x67\x6e\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x72\x5f\x65\x78\x69\x74\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x62\x75\x66\x5f\x69\x6e\x31\0\x62\x75\x66\x5f\x69\x6e\x32\0\x74\x65\
\x73\x74\x5f\x70\x69\x64\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x63\x61\x70\
\x74\x75\x72\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x70\x61\x79\x6c\x6f\x61\x64\x31\x5f\x6c\
\x65\x6e\x31\0\x70\x61\x79\x6c\x6f\x61\x64\x31\x5f\x6c\x65\x6e\x32\0\x74\x6f\
\x74\x61\x6c\x31\0\x70\x61\x79\x6c\x6f\x61\x64\x31\0\x70\x61\x79\x6c\x6f\x61\
\x64\x32\x5f\x6c\x65\x6e\x31\0\x70\x61\x79\x6c\x6f\x61\x64\x32\x5f\x6c\x65\x6e\
\x32\0\x74\x6f\x74\x61\x6c\x32\0\x70\x61\x79\x6c\x6f\x61\x64\x32\0\x70\x61\x79\
\x6c\x6f\x61\x64\x33\x5f\x6c\x65\x6e\x31\0\x70\x61\x79\x6c\x6f\x61\x64\x33\x5f\
\x6c\x65\x6e\x32\0\x74\x6f\x74\x61\x6c\x33\0\x70\x61\x79\x6c\x6f\x61\x64\x33\0\
\x70\x61\x79\x6c\x6f\x61\x64\x34\x5f\x6c\x65\x6e\x31\0\x70\x61\x79\x6c\x6f\x61\
\x64\x34\x5f\x6c\x65\x6e\x32\0\x74\x6f\x74\x61\x6c\x34\0\x70\x61\x79\x6c\x6f\
\x61\x64\x34\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\
\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x76\x61\x72\x6c\x65\x6e\x2e\x63\0\x09\x69\x6e\x74\
\x20\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\
\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\
\x32\x3b\0\x09\x69\x66\x20\x28\x74\x65\x73\x74\x5f\x70\x69\x64\x20\x21\x3d\x20\
\x70\x69\x64\x20\x7c\x7c\x20\x21\x63\x61\x70\x74\x75\x72\x65\x29\0\x09\x6c\x65\
\x6e\x20\x3d\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\
\x6b\x65\x72\x6e\x65\x6c\x5f\x73\x74\x72\x28\x70\x61\x79\x6c\x6f\x61\x64\x2c\
\x20\x4d\x41\x58\x5f\x4c\x45\x4e\x2c\x20\x26\x62\x75\x66\x5f\x69\x6e\x31\x5b\
\x30\x5d\x29\x3b\0\x09\x69\x66\x20\x28\x6c\x65\x6e\x20\x3c\x3d\x20\x4d\x41\x58\
\x5f\x4c\x45\x4e\x29\x20\x7b\0\x09\x09\x70\x61\x79\x6c\x6f\x61\x64\x31\x5f\x6c\
\x65\x6e\x31\x20\x3d\x20\x6c\x65\x6e\x3b\0\x09\x09\x70\x61\x79\x6c\x6f\x61\x64\
\x20\x2b\x3d\x20\x6c\x65\x6e\x3b\0\x09\x6c\x65\x6e\x20\x3d\x20\x62\x70\x66\x5f\
\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x73\
\x74\x72\x28\x70\x61\x79\x6c\x6f\x61\x64\x2c\x20\x4d\x41\x58\x5f\x4c\x45\x4e\
\x2c\x20\x26\x62\x75\x66\x5f\x69\x6e\x32\x5b\x30\x5d\x29\x3b\0\x09\x09\x70\x61\
\x79\x6c\x6f\x61\x64\x31\x5f\x6c\x65\x6e\x32\x20\x3d\x20\x6c\x65\x6e\x3b\0\x09\
\x74\x6f\x74\x61\x6c\x31\x20\x3d\x20\x70\x61\x79\x6c\x6f\x61\x64\x20\x2d\x20\
\x28\x76\x6f\x69\x64\x20\x2a\x29\x70\x61\x79\x6c\x6f\x61\x64\x31\x3b\0\x7d\0\
\x09\x69\x66\x20\x28\x6c\x65\x6e\x20\x3e\x3d\x20\x30\x29\x20\x7b\0\x09\x09\x70\
\x61\x79\x6c\x6f\x61\x64\x33\x5f\x6c\x65\x6e\x31\x20\x3d\x20\x6c\x65\x6e\x3b\0\
\x09\x09\x70\x61\x79\x6c\x6f\x61\x64\x33\x5f\x6c\x65\x6e\x32\x20\x3d\x20\x6c\
\x65\x6e\x3b\0\x09\x74\x6f\x74\x61\x6c\x33\x20\x3d\x20\x70\x61\x79\x6c\x6f\x61\
\x64\x20\x2d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x70\x61\x79\x6c\x6f\x61\x64\
\x33\x3b\0\x09\x09\x70\x61\x79\x6c\x6f\x61\x64\x32\x5f\x6c\x65\x6e\x31\x20\x3d\
\x20\x6c\x65\x6e\x3b\0\x09\x09\x70\x61\x79\x6c\x6f\x61\x64\x32\x5f\x6c\x65\x6e\
\x32\x20\x3d\x20\x6c\x65\x6e\x3b\0\x09\x74\x6f\x74\x61\x6c\x32\x20\x3d\x20\x70\
\x61\x79\x6c\x6f\x61\x64\x20\x2d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x70\x61\
\x79\x6c\x6f\x61\x64\x32\x3b\0\x09\x09\x70\x61\x79\x6c\x6f\x61\x64\x34\x5f\x6c\
\x65\x6e\x31\x20\x3d\x20\x6c\x65\x6e\x3b\0\x09\x09\x70\x61\x79\x6c\x6f\x61\x64\
\x34\x5f\x6c\x65\x6e\x32\x20\x3d\x20\x6c\x65\x6e\x3b\0\x09\x74\x6f\x74\x61\x6c\
\x34\x20\x3d\x20\x70\x61\x79\x6c\x6f\x61\x64\x20\x2d\x20\x28\x76\x6f\x69\x64\
\x20\x2a\x29\x70\x61\x79\x6c\x6f\x61\x64\x34\x3b\0\x69\x6e\x74\x20\x68\x61\x6e\
\x64\x6c\x65\x72\x5f\x65\x78\x69\x74\x28\x76\x6f\x69\x64\x20\x2a\x72\x65\x67\
\x73\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\
\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x62\x6c\x61\x2c\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x62\x6c\x61\x29\x2c\x20\x30\x29\x29\0\x2e\x62\x73\x73\0\x2e\
\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x61\x77\x5f\x74\x70\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\
\x5f\x65\x78\x69\x74\0\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\
\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x74\x70\x2f\x72\x61\x77\x5f\x73\
\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\0\x74\x70\x2f\
\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\x5f\x67\
\x65\x74\x70\x69\x64\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\
\0\x04\x2c\0\0\x04\x80\0\0\0\0\0\0\0\x08\0\0\x04\xab\0\0\0\x01\0\0\0\0\0\0\0\
\x04\0\0\x04\xbc\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\x04\xcc\0\0\0\x01\0\0\0\0\0\0\
\0\x06\0\0\x04\xe6\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\x04\xff\0\0\0\x01\0\0\0\0\0\
\0\0\x08\0\0\0\x10\0\0\x04\xab\0\0\0\x0f\0\0\0\0\0\0\x01\x75\0\0\x01\xec\0\0\
\xa8\x0c\0\0\0\x08\0\0\x01\x75\0\0\x01\xec\0\0\xa8\x27\0\0\0\x10\0\0\x01\x75\0\
\0\x02\x19\0\0\xbc\x06\0\0\0\x28\0\0\x01\x75\0\0\x02\x19\0\0\xbc\x16\0\0\0\x50\
\0\0\x01\x75\0\0\x02\x3b\0\0\xc8\x08\0\0\0\x90\0\0\x01\x75\0\0\x02\x7c\0\0\xcc\
\x06\0\0\0\x98\0\0\x01\x75\0\0\x02\x93\0\0\xd4\x11\0\0\0\xb0\0\0\x01\x75\0\0\
\x02\xaa\0\0\xd0\x0b\0\0\0\xc8\0\0\x01\x75\0\0\x02\xbc\0\0\xe0\x08\0\0\0\xf0\0\
\0\x01\x75\0\0\x02\x7c\0\0\xe4\x06\0\0\0\xf8\0\0\x01\x75\0\0\x02\xfd\0\0\xec\
\x11\0\0\x01\x10\0\0\x01\x75\0\0\x02\xaa\0\0\xe8\x0b\0\0\x01\x18\0\0\x01\x75\0\
\0\x03\x14\0\0\xf8\x13\0\0\x01\x30\0\0\x01\x75\0\0\x03\x14\0\0\xf8\x09\0\0\x01\
\x48\0\0\x01\x75\0\0\x03\x3a\0\x01\x04\x01\0\0\x04\xbc\0\0\0\x0f\0\0\0\0\0\0\
\x01\x75\0\0\x01\xec\0\x01\x18\x0c\0\0\0\x08\0\0\x01\x75\0\0\x01\xec\0\x01\x18\
\x27\0\0\0\x10\0\0\x01\x75\0\0\x02\x19\0\x01\x2c\x06\0\0\0\x28\0\0\x01\x75\0\0\
\x02\x19\0\x01\x2c\x16\0\0\0\x50\0\0\x01\x75\0\0\x02\x3b\0\x01\x38\x08\0\0\0\
\x90\0\0\x01\x75\0\0\x03\x3c\0\x01\x3c\x06\0\0\0\x98\0\0\x01\x75\0\0\x03\x4d\0\
\x01\x44\x11\0\0\0\xb0\0\0\x01\x75\0\0\x02\xaa\0\x01\x40\x0b\0\0\0\xc8\0\0\x01\
\x75\0\0\x02\xbc\0\x01\x4c\x08\0\0\0\xf0\0\0\x01\x75\0\0\x03\x3c\0\x01\x50\x06\
\0\0\0\xf8\0\0\x01\x75\0\0\x03\x64\0\x01\x58\x11\0\0\x01\x10\0\0\x01\x75\0\0\
\x02\xaa\0\x01\x54\x0b\0\0\x01\x18\0\0\x01\x75\0\0\x03\x7b\0\x01\x60\x0b\0\0\
\x01\x30\0\0\x01\x75\0\0\x03\x7b\0\x01\x60\x09\0\0\x01\x48\0\0\x01\x75\0\0\x03\
\x3a\0\x01\x6c\x01\0\0\x04\xcc\0\0\0\x0f\0\0\0\0\0\0\x01\x75\0\0\x01\xec\0\x01\
\x80\x0c\0\0\0\x08\0\0\x01\x75\0\0\x01\xec\0\x01\x80\x27\0\0\0\x10\0\0\x01\x75\
\0\0\x02\x19\0\x01\x94\x06\0\0\0\x28\0\0\x01\x75\0\0\x02\x19\0\x01\x94\x16\0\0\
\0\x50\0\0\x01\x75\0\0\x02\x3b\0\x01\xa0\x08\0\0\0\xa8\0\0\x01\x75\0\0\x02\x7c\
\0\x01\xa4\x06\0\0\0\xb0\0\0\x01\x75\0\0\x03\xa1\0\x01\xac\x11\0\0\0\xc8\0\0\
\x01\x75\0\0\x02\xaa\0\x01\xa8\x0b\0\0\0\xe0\0\0\x01\x75\0\0\x02\xbc\0\x01\xb8\
\x08\0\0\x01\x20\0\0\x01\x75\0\0\x02\x7c\0\x01\xbc\x06\0\0\x01\x28\0\0\x01\x75\
\0\0\x03\xb8\0\x01\xc4\x11\0\0\x01\x40\0\0\x01\x75\0\0\x02\xaa\0\x01\xc0\x0b\0\
\0\x01\x48\0\0\x01\x75\0\0\x03\xcf\0\x01\xd0\x0b\0\0\x01\x60\0\0\x01\x75\0\0\
\x03\xcf\0\x01\xd0\x09\0\0\x01\x78\0\0\x01\x75\0\0\x03\x3a\0\x01\xdc\x01\0\0\
\x04\xe6\0\0\0\x0f\0\0\0\0\0\0\x01\x75\0\0\x01\xec\0\x01\xf0\x0c\0\0\0\x08\0\0\
\x01\x75\0\0\x01\xec\0\x01\xf0\x27\0\0\0\x10\0\0\x01\x75\0\0\x02\x19\0\x02\x04\
\x06\0\0\0\x28\0\0\x01\x75\0\0\x02\x19\0\x02\x04\x16\0\0\0\x50\0\0\x01\x75\0\0\
\x02\x3b\0\x02\x10\x08\0\0\0\xb0\0\0\x01\x75\0\0\x03\x3c\0\x02\x14\x06\0\0\0\
\xb8\0\0\x01\x75\0\0\x03\xf5\0\x02\x1c\x11\0\0\0\xd8\0\0\x01\x75\0\0\x02\xaa\0\
\x02\x18\x0b\0\0\0\xf0\0\0\x01\x75\0\0\x02\xbc\0\x02\x24\x08\0\0\x01\x38\0\0\
\x01\x75\0\0\x03\x3c\0\x02\x28\x06\0\0\x01\x40\0\0\x01\x75\0\0\x04\x0c\0\x02\
\x30\x11\0\0\x01\x60\0\0\x01\x75\0\0\x02\xaa\0\x02\x2c\x0b\0\0\x01\x68\0\0\x01\
\x75\0\0\x04\x23\0\x02\x38\x0b\0\0\x01\x80\0\0\x01\x75\0\0\x04\x23\0\x02\x38\
\x09\0\0\x01\x98\0\0\x01\x75\0\0\x03\x3a\0\x02\x44\x01\0\0\x04\xff\0\0\0\x04\0\
\0\0\0\0\0\x01\x75\0\0\x04\x49\0\x02\x50\0\0\0\0\x08\0\0\x01\x75\0\0\0\0\0\0\0\
\0\0\0\0\x10\0\0\x01\x75\0\0\x04\x66\0\x02\x60\x06\0\0\0\x48\0\0\x01\x75\0\0\
\x03\x3a\0\x02\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\x02\x9d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xe0\0\0\0\0\0\0\x04\x50\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x30\0\0\0\0\0\0\x01\x58\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\x88\0\0\0\0\0\0\x01\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x09\xe0\0\0\0\0\0\0\x01\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0b\x68\0\0\0\0\0\0\x01\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x65\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x10\0\0\
\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x81\0\0\
\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x60\0\0\0\0\0\0\x04\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x86\0\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x60\0\0\0\0\0\0\x06\x24\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x8c\0\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x84\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x2b\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x13\x88\0\0\0\0\0\0\0\xb0\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x40\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x14\x38\0\0\0\0\0\0\0\xb0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\x02\x54\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x14\xe8\0\0\0\0\0\0\0\xb0\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\x02\x72\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x15\x98\0\0\0\0\0\0\0\xb0\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\x02\x8f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\
\x48\0\0\0\0\0\0\x08\xaf\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\x02\x94\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\xf8\0\0\0\0\
\0\0\x04\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_varlen *test_varlen::open(const struct bpf_object_open_opts *opts) { return test_varlen__open_opts(opts); }
struct test_varlen *test_varlen::open_and_load() { return test_varlen__open_and_load(); }
int test_varlen::load(struct test_varlen *skel) { return test_varlen__load(skel); }
int test_varlen::attach(struct test_varlen *skel) { return test_varlen__attach(skel); }
void test_varlen::detach(struct test_varlen *skel) { test_varlen__detach(skel); }
void test_varlen::destroy(struct test_varlen *skel) { test_varlen__destroy(skel); }
const void *test_varlen::elf_bytes(size_t *sz) { return test_varlen__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_varlen__assert(struct test_varlen *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->buf_in1) == 256, "unexpected size of 'buf_in1'");
	_Static_assert(sizeof(s->bss->buf_in2) == 256, "unexpected size of 'buf_in2'");
	_Static_assert(sizeof(s->bss->test_pid) == 4, "unexpected size of 'test_pid'");
	_Static_assert(sizeof(s->bss->capture) == 1, "unexpected size of 'capture'");
	_Static_assert(sizeof(s->bss->payload1_len1) == 8, "unexpected size of 'payload1_len1'");
	_Static_assert(sizeof(s->bss->payload1_len2) == 8, "unexpected size of 'payload1_len2'");
	_Static_assert(sizeof(s->bss->total1) == 8, "unexpected size of 'total1'");
	_Static_assert(sizeof(s->bss->payload1) == 512, "unexpected size of 'payload1'");
	_Static_assert(sizeof(s->data->payload2_len1) == 4, "unexpected size of 'payload2_len1'");
	_Static_assert(sizeof(s->data->payload2_len2) == 4, "unexpected size of 'payload2_len2'");
	_Static_assert(sizeof(s->data->total2) == 4, "unexpected size of 'total2'");
	_Static_assert(sizeof(s->data->payload2) == 512, "unexpected size of 'payload2'");
	_Static_assert(sizeof(s->data->payload3_len1) == 4, "unexpected size of 'payload3_len1'");
	_Static_assert(sizeof(s->data->payload3_len2) == 4, "unexpected size of 'payload3_len2'");
	_Static_assert(sizeof(s->data->total3) == 4, "unexpected size of 'total3'");
	_Static_assert(sizeof(s->data->payload3) == 512, "unexpected size of 'payload3'");
	_Static_assert(sizeof(s->data->payload4_len1) == 4, "unexpected size of 'payload4_len1'");
	_Static_assert(sizeof(s->data->payload4_len2) == 4, "unexpected size of 'payload4_len2'");
	_Static_assert(sizeof(s->data->total4) == 4, "unexpected size of 'total4'");
	_Static_assert(sizeof(s->data->payload4) == 512, "unexpected size of 'payload4'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_VARLEN_SKEL_H__ */
