/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_XDP_WITH_DEVMAP_HELPERS_SKEL_H__
#define __TEST_XDP_WITH_DEVMAP_HELPERS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_xdp_with_devmap_helpers {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *dm_ports;
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *xdp_redir_prog;
		struct bpf_program *xdp_dummy_prog;
		struct bpf_program *xdp_dummy_dm;
		struct bpf_program *xdp_dummy_dm_frags;
	} progs;
	struct {
		struct bpf_link *xdp_redir_prog;
		struct bpf_link *xdp_dummy_prog;
		struct bpf_link *xdp_dummy_dm;
		struct bpf_link *xdp_dummy_dm_frags;
	} links;
	struct test_xdp_with_devmap_helpers__rodata_str1_1 {
	} *rodata_str1_1;

#ifdef __cplusplus
	static inline struct test_xdp_with_devmap_helpers *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_xdp_with_devmap_helpers *open_and_load();
	static inline int load(struct test_xdp_with_devmap_helpers *skel);
	static inline int attach(struct test_xdp_with_devmap_helpers *skel);
	static inline void detach(struct test_xdp_with_devmap_helpers *skel);
	static inline void destroy(struct test_xdp_with_devmap_helpers *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_xdp_with_devmap_helpers__destroy(struct test_xdp_with_devmap_helpers *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_xdp_with_devmap_helpers__create_skeleton(struct test_xdp_with_devmap_helpers *obj);

static inline struct test_xdp_with_devmap_helpers *
test_xdp_with_devmap_helpers__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_xdp_with_devmap_helpers *obj;
	int err;

	obj = (struct test_xdp_with_devmap_helpers *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_xdp_with_devmap_helpers__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_xdp_with_devmap_helpers__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_xdp_with_devmap_helpers *
test_xdp_with_devmap_helpers__open(void)
{
	return test_xdp_with_devmap_helpers__open_opts(NULL);
}

static inline int
test_xdp_with_devmap_helpers__load(struct test_xdp_with_devmap_helpers *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_xdp_with_devmap_helpers *
test_xdp_with_devmap_helpers__open_and_load(void)
{
	struct test_xdp_with_devmap_helpers *obj;
	int err;

	obj = test_xdp_with_devmap_helpers__open();
	if (!obj)
		return NULL;
	err = test_xdp_with_devmap_helpers__load(obj);
	if (err) {
		test_xdp_with_devmap_helpers__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_xdp_with_devmap_helpers__attach(struct test_xdp_with_devmap_helpers *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_xdp_with_devmap_helpers__detach(struct test_xdp_with_devmap_helpers *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_xdp_with_devmap_helpers__elf_bytes(size_t *sz);

static inline int
test_xdp_with_devmap_helpers__create_skeleton(struct test_xdp_with_devmap_helpers *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_xdp_with_devmap_helpers";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "dm_ports";
	s->maps[0].map = &obj->maps.dm_ports;

	s->maps[1].name = ".rodata.str1.1";
	s->maps[1].map = &obj->maps.rodata_str1_1;
	s->maps[1].mmaped = (void **)&obj->rodata_str1_1;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xdp_redir_prog";
	s->progs[0].prog = &obj->progs.xdp_redir_prog;
	s->progs[0].link = &obj->links.xdp_redir_prog;

	s->progs[1].name = "xdp_dummy_prog";
	s->progs[1].prog = &obj->progs.xdp_dummy_prog;
	s->progs[1].link = &obj->links.xdp_dummy_prog;

	s->progs[2].name = "xdp_dummy_dm";
	s->progs[2].prog = &obj->progs.xdp_dummy_dm;
	s->progs[2].link = &obj->links.xdp_dummy_dm;

	s->progs[3].name = "xdp_dummy_dm_frags";
	s->progs[3].prog = &obj->progs.xdp_dummy_dm_frags;
	s->progs[3].link = &obj->links.xdp_dummy_dm_frags;

	s->data = (void *)test_xdp_with_devmap_helpers__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_xdp_with_devmap_helpers__elf_bytes(size_t *sz)
{
	*sz = 3328;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\x70\
\0\x78\x64\x70\x2f\x64\x65\x76\x6d\x61\x70\0\x78\x64\x70\x2e\x66\x72\x61\x67\
\x73\x2f\x64\x65\x76\x6d\x61\x70\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\
\x74\x61\x2e\x73\x74\x72\x31\x2e\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\
\x73\x74\x5f\x78\x64\x70\x5f\x77\x69\x74\x68\x5f\x64\x65\x76\x6d\x61\x70\x5f\
\x68\x65\x6c\x70\x65\x72\x73\x2e\x63\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x5f\
\x70\x72\x6f\x67\0\x64\x6d\x5f\x70\x6f\x72\x74\x73\0\x78\x64\x70\x5f\x64\x75\
\x6d\x6d\x79\x5f\x70\x72\x6f\x67\0\x78\x64\x70\x5f\x64\x75\x6d\x6d\x79\x5f\x64\
\x6d\0\x78\x64\x70\x5f\x64\x75\x6d\x6d\x79\x5f\x64\x6d\x5f\x66\x72\x61\x67\x73\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x78\x64\x70\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x6d\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x7c\x11\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x85\x12\0\0\x03\0\0\0\0\0\0\0\x30\0\0\0\
\0\0\0\0\x10\0\0\0\x94\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\xa1\
\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\xb4\x11\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\
\x01\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x33\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\x02\x95\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\x0a\0\x6b\xa2\xff\xf8\0\0\0\0\x18\x20\0\
\0\x6e\x20\x25\x75\0\0\0\0\x75\x20\x6c\x65\x7b\xa2\xff\xf0\0\0\0\0\x18\x20\0\0\
\x65\x76\x20\x25\0\0\0\0\x2d\x3e\x20\x64\x7b\xa2\xff\xe8\0\0\0\0\x18\x20\0\0\
\x20\x25\x75\x20\0\0\0\0\x20\x64\x65\x76\x7b\xa2\xff\xe0\0\0\0\0\x18\x20\0\0\
\x65\x63\x74\x3a\0\0\0\0\x65\x64\x69\x72\x7b\xa2\xff\xd8\0\0\0\0\x18\x20\0\0\
\x61\x70\x20\x72\0\0\0\0\x64\x65\x76\x6d\x7b\xa2\xff\xd0\0\0\0\0\x61\x21\0\0\0\
\0\0\0\x61\x51\0\x04\0\0\0\0\x1f\x52\0\0\0\0\0\0\x61\x41\0\x14\0\0\0\0\x61\x31\
\0\x0c\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xd0\xb7\x20\0\0\0\0\
\0\x2a\x85\0\0\0\0\0\0\x06\xb7\0\0\0\0\0\0\x02\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\
\0\x02\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x64\x65\x76\x6d\x61\x70\x20\x72\x65\x64\x69\x72\x65\x63\x74\x3a\x20\
\x64\x65\x76\x20\x25\x75\x20\x2d\x3e\x20\x64\x65\x76\x20\x25\x75\x20\x6c\x65\
\x6e\x20\x25\x75\x0a\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x01\
\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x02\xea\0\0\0\0\x02\0\
\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x0e\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\
\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x04\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x08\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\
\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\x07\0\0\0\x80\0\0\0\x32\0\0\0\x05\0\0\0\
\xc0\0\0\0\x3e\x0e\0\0\0\0\0\0\x09\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\
\x47\x04\0\0\x06\0\0\0\x18\0\0\0\x4e\0\0\0\x0d\0\0\0\0\0\0\0\x53\0\0\0\x0d\0\0\
\0\x20\0\0\0\x5c\0\0\0\x0d\0\0\0\x40\0\0\0\x66\0\0\0\x0d\0\0\0\x60\0\0\0\x76\0\
\0\0\x0d\0\0\0\x80\0\0\0\x85\0\0\0\x0d\0\0\0\xa0\0\0\0\x94\x08\0\0\0\0\0\0\x0e\
\0\0\0\x9a\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\
\xa7\0\0\0\x0b\0\0\0\xab\x0c\0\0\x01\0\0\0\x0f\0\0\0\xba\x0c\0\0\x01\0\0\0\x0f\
\0\0\0\xc9\x0c\0\0\x01\0\0\0\x0f\0\0\0\xd6\x0c\0\0\x01\0\0\0\x0f\0\0\0\xe9\x01\
\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x04\0\0\
\0\x04\0\0\0\xee\x0e\0\0\0\0\0\0\x15\0\0\0\x01\0\0\x02\xbc\x0f\0\0\x01\0\0\0\
\x20\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\x02\xc2\x0f\0\0\x01\0\0\0\x04\0\0\0\x16\0\
\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\
\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\
\x74\x72\x69\x65\x73\0\x64\x6d\x5f\x70\x6f\x72\x74\x73\0\x78\x64\x70\x5f\x6d\
\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\
\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\
\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\x67\x72\x65\
\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\x78\x64\x70\x5f\x72\x65\
\x64\x69\x72\x5f\x70\x72\x6f\x67\0\x78\x64\x70\x5f\x64\x75\x6d\x6d\x79\x5f\x70\
\x72\x6f\x67\0\x78\x64\x70\x5f\x64\x75\x6d\x6d\x79\x5f\x64\x6d\0\x78\x64\x70\
\x5f\x64\x75\x6d\x6d\x79\x5f\x64\x6d\x5f\x66\x72\x61\x67\x73\0\x63\x68\x61\x72\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\
\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\
\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x74\x65\x73\x74\x5f\x78\x64\x70\x5f\x77\x69\x74\x68\x5f\x64\x65\x76\x6d\x61\
\x70\x5f\x68\x65\x6c\x70\x65\x72\x73\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x62\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x26\x64\
\x6d\x5f\x70\x6f\x72\x74\x73\x2c\x20\x31\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x58\x44\x50\x5f\x50\x41\x53\x53\x3b\0\x69\x6e\x74\x20\x78\x64\
\x70\x5f\x64\x75\x6d\x6d\x79\x5f\x64\x6d\x28\x73\x74\x72\x75\x63\x74\x20\x78\
\x64\x70\x5f\x6d\x64\x20\x2a\x63\x74\x78\x29\0\x09\x63\x68\x61\x72\x20\x66\x6d\
\x74\x5b\x5d\x20\x3d\x20\x22\x64\x65\x76\x6d\x61\x70\x20\x72\x65\x64\x69\x72\
\x65\x63\x74\x3a\x20\x64\x65\x76\x20\x25\x75\x20\x2d\x3e\x20\x64\x65\x76\x20\
\x25\x75\x20\x6c\x65\x6e\x20\x25\x75\x5c\x6e\x22\x3b\0\x09\x76\x6f\x69\x64\x20\
\x2a\x64\x61\x74\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\
\x6e\x67\x29\x63\x74\x78\x2d\x3e\x64\x61\x74\x61\x3b\0\x09\x76\x6f\x69\x64\x20\
\x2a\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\
\x29\x28\x6c\x6f\x6e\x67\x29\x63\x74\x78\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\
\x64\x3b\0\x09\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x6c\x65\x6e\
\x20\x3d\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x2d\x20\x64\x61\x74\x61\x3b\0\
\x09\x62\x70\x66\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x28\x66\
\x6d\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x66\x6d\x74\x29\x2c\0\x2e\x6d\x61\
\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x78\x64\x70\0\x78\x64\x70\x2f\x64\x65\
\x76\x6d\x61\x70\0\x78\x64\x70\x2e\x66\x72\x61\x67\x73\x2f\x64\x65\x76\x6d\x61\
\x70\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x3c\0\0\0\x3c\0\0\0\
\xec\0\0\x01\x28\0\0\0\0\0\0\0\x08\0\0\x02\xca\0\0\0\x02\0\0\0\0\0\0\0\x10\0\0\
\0\x30\0\0\0\x11\0\0\x02\xce\0\0\0\x01\0\0\0\0\0\0\0\x12\0\0\x02\xd9\0\0\0\x01\
\0\0\0\0\0\0\0\x13\0\0\0\x10\0\0\x02\xca\0\0\0\x03\0\0\0\0\0\0\0\xf7\0\0\x01\
\x7f\0\0\x3c\x09\0\0\0\x28\0\0\0\xf7\0\0\x01\x7f\0\0\x3c\x02\0\0\0\x30\0\0\0\
\xf7\0\0\x01\xaa\0\0\x60\x02\0\0\x02\xce\0\0\0\x09\0\0\0\0\0\0\0\xf7\0\0\x01\
\xbc\0\0\x7c\0\0\0\0\x08\0\0\0\xf7\0\0\x01\xe1\0\0\x84\x07\0\0\0\x88\0\0\0\xf7\
\0\0\x02\x1d\0\0\x8c\x22\0\0\0\x90\0\0\0\xf7\0\0\x02\x44\0\0\x88\x26\0\0\0\x98\
\0\0\0\xf7\0\0\x02\x73\0\0\x90\x1e\0\0\0\xa0\0\0\0\xf7\0\0\x02\x98\0\0\x98\x02\
\0\0\0\xb8\0\0\0\xf7\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\xf7\0\0\x02\x98\0\0\x98\
\x02\0\0\0\xd0\0\0\0\xf7\0\0\x01\xaa\0\0\xa4\x02\0\0\x02\xd9\0\0\0\x01\0\0\0\0\
\0\0\0\xf7\0\0\x01\xaa\0\0\xbc\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\xd3\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x18\0\0\0\0\0\0\x01\
\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x20\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x60\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\x40\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\x50\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\x37\0\0\0\x01\0\0\0\0\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x70\0\
\0\0\0\0\0\0\x2a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\x46\
\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x9a\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xbd\0\0\0\x09\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xa0\0\0\0\0\0\0\0\x10\0\0\0\x02\
\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xc5\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xb0\0\0\0\0\0\0\x05\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xca\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\xb8\0\0\0\0\0\0\x01\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_xdp_with_devmap_helpers *test_xdp_with_devmap_helpers::open(const struct bpf_object_open_opts *opts) { return test_xdp_with_devmap_helpers__open_opts(opts); }
struct test_xdp_with_devmap_helpers *test_xdp_with_devmap_helpers::open_and_load() { return test_xdp_with_devmap_helpers__open_and_load(); }
int test_xdp_with_devmap_helpers::load(struct test_xdp_with_devmap_helpers *skel) { return test_xdp_with_devmap_helpers__load(skel); }
int test_xdp_with_devmap_helpers::attach(struct test_xdp_with_devmap_helpers *skel) { return test_xdp_with_devmap_helpers__attach(skel); }
void test_xdp_with_devmap_helpers::detach(struct test_xdp_with_devmap_helpers *skel) { test_xdp_with_devmap_helpers__detach(skel); }
void test_xdp_with_devmap_helpers::destroy(struct test_xdp_with_devmap_helpers *skel) { test_xdp_with_devmap_helpers__destroy(skel); }
const void *test_xdp_with_devmap_helpers::elf_bytes(size_t *sz) { return test_xdp_with_devmap_helpers__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_xdp_with_devmap_helpers__assert(struct test_xdp_with_devmap_helpers *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_XDP_WITH_DEVMAP_HELPERS_SKEL_H__ */
