/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_CORE_AUTOSIZE_SKEL_H__
#define __TEST_CORE_AUTOSIZE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_core_autosize {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_samesize;
		struct bpf_program *handle_downsize;
		struct bpf_program *handle_probed;
		struct bpf_program *handle_signed;
	} progs;
	struct {
		struct bpf_link *handle_samesize;
		struct bpf_link *handle_downsize;
		struct bpf_link *handle_probed;
		struct bpf_link *handle_signed;
	} links;
	struct test_core_autosize__data {
		struct test_struct___real input;
	} *data;
	struct test_core_autosize__bss {
		unsigned long long ptr_samesized;
		unsigned long long val1_samesized;
		unsigned long long val2_samesized;
		unsigned long long val3_samesized;
		unsigned long long val4_samesized;
		struct test_struct___real output_samesized;
		unsigned long long ptr_downsized;
		unsigned long long val1_downsized;
		unsigned long long val2_downsized;
		unsigned long long val3_downsized;
		unsigned long long val4_downsized;
		struct test_struct___real output_downsized;
		unsigned long long ptr_probed;
		unsigned long long val1_probed;
		unsigned long long val2_probed;
		unsigned long long val3_probed;
		unsigned long long val4_probed;
		unsigned long long ptr_signed;
		unsigned long long val1_signed;
		unsigned long long val2_signed;
		unsigned long long val3_signed;
		unsigned long long val4_signed;
		struct test_struct___real output_signed;
	} *bss;

#ifdef __cplusplus
	static inline struct test_core_autosize *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_core_autosize *open_and_load();
	static inline int load(struct test_core_autosize *skel);
	static inline int attach(struct test_core_autosize *skel);
	static inline void detach(struct test_core_autosize *skel);
	static inline void destroy(struct test_core_autosize *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_core_autosize__destroy(struct test_core_autosize *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_core_autosize__create_skeleton(struct test_core_autosize *obj);

static inline struct test_core_autosize *
test_core_autosize__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_core_autosize *obj;
	int err;

	obj = (struct test_core_autosize *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_core_autosize__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_core_autosize__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_core_autosize *
test_core_autosize__open(void)
{
	return test_core_autosize__open_opts(NULL);
}

static inline int
test_core_autosize__load(struct test_core_autosize *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_core_autosize *
test_core_autosize__open_and_load(void)
{
	struct test_core_autosize *obj;
	int err;

	obj = test_core_autosize__open();
	if (!obj)
		return NULL;
	err = test_core_autosize__load(obj);
	if (err) {
		test_core_autosize__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_core_autosize__attach(struct test_core_autosize *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_core_autosize__detach(struct test_core_autosize *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_core_autosize__elf_bytes(size_t *sz);

static inline int
test_core_autosize__create_skeleton(struct test_core_autosize *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_core_autosize";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_cor.data";
	s->maps[0].map = &obj->maps.data;
	s->maps[0].mmaped = (void **)&obj->data;

	s->maps[1].name = "test_cor.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_samesize";
	s->progs[0].prog = &obj->progs.handle_samesize;
	s->progs[0].link = &obj->links.handle_samesize;

	s->progs[1].name = "handle_downsize";
	s->progs[1].prog = &obj->progs.handle_downsize;
	s->progs[1].link = &obj->links.handle_downsize;

	s->progs[2].name = "handle_probed";
	s->progs[2].prog = &obj->progs.handle_probed;
	s->progs[2].link = &obj->links.handle_probed;

	s->progs[3].name = "handle_signed";
	s->progs[3].prog = &obj->progs.handle_signed;
	s->progs[3].link = &obj->links.handle_signed;

	s->data = (void *)test_core_autosize__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_core_autosize__elf_bytes(size_t *sz)
{
	*sz = 9488;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\x10\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\x77\
\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\0\x72\x61\x77\x5f\x74\x70\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x64\
\x61\x74\x61\0\x2e\x62\x73\x73\0\x74\x65\x73\x74\x5f\x63\x6f\x72\x65\x5f\x61\
\x75\x74\x6f\x73\x69\x7a\x65\x2e\x63\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x61\x6d\
\x65\x73\x69\x7a\x65\0\x6f\x75\x74\x70\x75\x74\x5f\x73\x61\x6d\x65\x73\x69\x7a\
\x65\x64\0\x69\x6e\x70\x75\x74\0\x70\x74\x72\x5f\x73\x61\x6d\x65\x73\x69\x7a\
\x65\x64\0\x76\x61\x6c\x31\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x76\x61\
\x6c\x32\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x33\x5f\x73\x61\
\x6d\x65\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x34\x5f\x73\x61\x6d\x65\x73\x69\x7a\
\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\0\x6f\
\x75\x74\x70\x75\x74\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x70\x74\x72\x5f\
\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x31\x5f\x64\x6f\x77\x6e\x73\
\x69\x7a\x65\x64\0\x76\x61\x6c\x33\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\
\x76\x61\x6c\x34\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x32\x5f\
\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x70\x72\x6f\
\x62\x65\x64\0\x70\x74\x72\x5f\x70\x72\x6f\x62\x65\x64\0\x76\x61\x6c\x31\x5f\
\x70\x72\x6f\x62\x65\x64\0\x76\x61\x6c\x32\x5f\x70\x72\x6f\x62\x65\x64\0\x76\
\x61\x6c\x33\x5f\x70\x72\x6f\x62\x65\x64\0\x76\x61\x6c\x34\x5f\x70\x72\x6f\x62\
\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x69\x67\x6e\x65\x64\0\x6f\x75\x74\
\x70\x75\x74\x5f\x73\x69\x67\x6e\x65\x64\0\x76\x61\x6c\x32\x5f\x73\x69\x67\x6e\
\x65\x64\0\x76\x61\x6c\x33\x5f\x73\x69\x67\x6e\x65\x64\0\x76\x61\x6c\x34\x5f\
\x73\x69\x67\x6e\x65\x64\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x74\x72\x5f\
\x73\x69\x67\x6e\x65\x64\0\x76\x61\x6c\x31\x5f\x73\x69\x67\x6e\x65\x64\0\x2e\
\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\0\x2e\
\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\x08\0\0\0\x6a\x11\0\0\x07\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x18\0\0\0\x7b\
\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x81\x11\0\0\x07\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x8f\x11\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x08\0\0\0\x9e\x11\0\0\x07\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\xad\x11\0\
\0\x07\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\xbc\x11\0\0\x07\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x08\0\0\0\xcb\x12\0\0\x03\0\0\0\0\0\0\x01\x08\0\0\0\0\0\0\
\x01\x08\0\0\0\xdb\x11\0\0\x07\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x18\0\0\0\xec\
\x11\0\0\x07\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x08\0\0\0\xfa\x11\0\0\x07\0\0\0\0\
\0\0\0\x48\0\0\0\0\0\0\0\x08\0\0\x01\x09\x11\0\0\x07\0\0\0\0\0\0\0\x58\0\0\0\0\
\0\0\0\x08\0\0\x01\x18\x11\0\0\x07\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x08\0\0\x01\
\x27\x11\0\0\x07\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x08\0\0\x01\x36\x12\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x01\x44\x11\0\0\x07\0\0\0\0\0\0\0\x80\0\0\
\0\0\0\0\0\x08\0\0\x01\x4f\x11\0\0\x07\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x08\0\0\
\x01\x5b\x11\0\0\x07\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x08\0\0\x01\x67\x11\0\0\
\x07\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x08\0\0\x01\x73\x11\0\0\x07\0\0\0\0\0\0\0\
\xa0\0\0\0\0\0\0\0\x08\0\0\x01\x7f\x12\0\0\x04\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\xa8\0\0\x01\x8d\x11\0\0\x07\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x18\0\0\x01\x9b\
\x11\0\0\x07\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\x08\0\0\x01\xa7\x11\0\0\x07\0\0\0\
\0\0\0\0\xc0\0\0\0\0\0\0\0\x08\0\0\x01\xb3\x11\0\0\x07\0\0\0\0\0\0\0\xc8\0\0\0\
\0\0\0\0\x08\0\0\x01\xbf\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\
\xc8\x11\0\0\x07\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x08\0\0\x01\xd3\x11\0\0\x07\0\
\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x08\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x32\0\0\0\0\0\0\x7b\x13\0\0\0\0\0\0\x18\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x43\0\0\0\0\0\0\x79\x32\0\x08\0\0\0\0\x7b\x13\0\
\x08\0\0\0\0\x18\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x43\0\0\0\0\0\0\x61\x32\0\
\x10\0\0\0\0\x18\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x43\0\0\0\0\0\0\x69\x42\0\
\x14\0\0\0\0\x18\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x54\0\0\0\0\0\0\x71\x42\0\
\x16\0\0\0\0\x18\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x54\0\0\0\0\0\0\x63\x13\0\
\x10\0\0\0\0\x69\x32\0\x14\0\0\0\0\x6b\x13\0\x14\0\0\0\0\x71\x22\0\x16\0\0\0\0\
\x73\x12\0\x16\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x32\0\0\0\0\0\0\x7b\
\x13\0\0\0\0\0\0\x18\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x43\0\0\0\0\0\0\x79\
\x32\0\x08\0\0\0\0\x7b\x13\0\x08\0\0\0\0\x18\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x43\0\0\0\0\0\0\x79\x32\0\x18\0\0\0\0\x18\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x43\0\0\0\0\0\0\x79\x32\0\x20\0\0\0\0\x18\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x43\0\0\0\0\0\0\x79\x32\0\x10\0\0\0\0\x18\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x43\0\0\0\0\0\0\x7b\x13\0\x10\0\0\0\0\x79\x32\0\x18\0\0\0\0\x7b\x13\0\x18\
\0\0\0\0\x79\x22\0\x20\0\0\0\0\x7b\x12\0\x20\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\xb7\x90\0\0\0\0\0\0\x7b\xa9\xff\xf8\0\0\0\0\xb7\x10\0\0\0\0\0\x08\
\xb7\x80\0\0\0\0\0\x08\xb7\x20\0\0\0\0\0\x08\x1f\x21\0\0\0\0\0\0\x7b\xa2\xff\
\xf0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\xbf\x7a\0\0\0\0\0\0\x07\x70\0\0\
\xff\xff\xff\xf8\x79\x2a\xff\xf0\0\0\0\0\xbf\x17\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\
\0\xb7\x20\0\0\0\0\0\x08\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x79\x2a\xff\xf8\0\0\0\0\x7b\x12\0\0\0\0\0\0\x7b\xa9\xff\xf8\0\0\0\0\xb7\x10\
\0\0\0\0\0\x08\xb7\x20\0\0\0\0\0\x08\x1f\x21\0\0\0\0\0\0\x7b\xa2\xff\xf0\0\0\0\
\0\xb7\x10\0\0\0\0\0\x08\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\
\0\x79\x2a\xff\xf0\0\0\0\0\xbf\x17\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\xb7\x20\0\0\
\0\0\0\x08\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x2a\xff\
\xf8\0\0\0\0\x7b\x12\0\0\0\0\0\0\x7b\xa9\xff\xf8\0\0\0\0\xb7\x10\0\0\0\0\0\x08\
\xb7\x20\0\0\0\0\0\x08\x1f\x21\0\0\0\0\0\0\x7b\xa2\xff\xf0\0\0\0\0\xb7\x10\0\0\
\0\0\0\x10\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\x79\x2a\xff\
\xf0\0\0\0\0\xbf\x17\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x08\x85\
\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x2a\xff\xf8\0\0\0\0\
\x7b\x12\0\0\0\0\0\0\x7b\xa9\xff\xf8\0\0\0\0\xb7\x10\0\0\0\0\0\x08\xb7\x20\0\0\
\0\0\0\x08\x1f\x21\0\0\0\0\0\0\x7b\xa2\xff\xf0\0\0\0\0\xb7\x10\0\0\0\0\0\x18\
\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x31\0\0\0\0\0\0\x79\x2a\xff\xf0\0\0\0\
\0\xbf\x17\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x08\x85\0\0\0\0\0\
\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x2a\xff\xf8\0\0\0\0\x7b\x12\0\0\
\0\0\0\0\x7b\xa9\xff\xf8\0\0\0\0\xb7\x10\0\0\0\0\0\x08\x1f\x81\0\0\0\0\0\0\x7b\
\xa8\xff\xf0\0\0\0\0\xb7\x10\0\0\0\0\0\x20\x0f\x61\0\0\0\0\0\0\x79\x1a\xff\xf0\
\0\0\0\0\x0f\x71\0\0\0\0\0\0\xbf\x17\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x08\xbf\x36\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x2a\
\xff\xf8\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x32\0\
\x10\0\0\0\0\x7b\x13\0\x10\0\0\0\0\x18\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x43\
\0\0\0\0\0\0\x79\x32\0\x18\0\0\0\0\x7b\x13\0\x18\0\0\0\0\x18\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x7b\x43\0\0\0\0\0\0\x79\x22\0\x20\0\0\0\0\x18\x30\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x7b\x32\0\0\0\0\0\0\x7b\x12\0\x20\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x01\x02\x03\x04\x0a\x0b\x0c\x0d\x10\x20\
\x30\x40\x50\x60\x70\x80\xfe\xed\xb9\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\
\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x07\0\0\0\
\x01\0\0\0\0\0\0\0\x58\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x09\0\0\0\
\x01\0\0\0\0\0\0\0\x98\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\xb8\0\0\0\x0b\0\0\0\
\x01\0\0\0\0\0\0\x01\x08\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x01\x18\0\0\0\x06\0\0\
\0\x01\0\0\0\0\0\0\x01\x38\0\0\0\x0e\0\0\0\x01\0\0\0\0\0\0\x01\x60\0\0\0\x0f\0\
\0\0\x01\0\0\0\0\0\0\x01\x80\0\0\0\x10\0\0\0\x01\0\0\0\0\0\0\x01\xa0\0\0\0\x11\
\0\0\0\x01\0\0\0\0\0\0\x01\xc0\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x06\
\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\xa0\0\0\0\x14\0\
\0\0\x01\0\0\0\0\0\0\0\xf0\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\x01\x30\0\0\0\x15\0\
\0\0\x01\0\0\0\0\0\0\x01\x80\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\x01\xc0\0\0\0\x16\
\0\0\0\x01\0\0\0\0\0\0\x02\x10\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\x02\x50\0\0\0\
\x17\0\0\0\x01\0\0\0\0\0\0\x02\xd0\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\x03\0\0\0\0\
\x1a\0\0\0\x01\0\0\0\0\0\0\x03\x10\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\x03\x30\0\0\
\0\x1b\0\0\0\x01\0\0\0\0\0\0\x03\x58\0\0\0\x1c\0\0\0\x01\0\0\0\0\0\0\x03\x78\0\
\0\0\x1d\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x05\x04\0\0\x05\x04\0\0\
\x07\xac\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\x01\0\0\
\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\
\x02\0\0\0\x19\x04\0\0\x05\0\0\0\x18\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\0\x34\0\0\
\0\x06\0\0\0\x40\0\0\0\x39\0\0\0\x07\0\0\0\x80\0\0\0\x3e\0\0\0\x08\0\0\0\xa0\0\
\0\0\x43\0\0\0\x09\0\0\0\xb0\0\0\0\x48\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\x5b\
\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x68\x01\0\0\0\0\0\0\x02\0\0\0\x10\0\0\0\
\x77\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x85\x0c\0\0\x01\0\0\0\x02\0\0\0\x95\
\x04\0\0\x05\0\0\0\x28\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\0\x34\0\0\0\x0c\0\0\0\
\x40\0\0\0\x39\0\0\0\x0c\0\0\0\x80\0\0\0\x3e\0\0\0\x0c\0\0\0\xc0\0\0\0\x43\0\0\
\0\x0c\0\0\x01\0\0\0\0\xac\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\xba\x0c\0\0\x01\
\0\0\0\x02\0\0\0\xc8\x0c\0\0\x01\0\0\0\x02\0\0\0\xd6\x04\0\0\x05\0\0\0\x28\0\0\
\0\x30\0\0\0\x01\0\0\0\0\0\0\0\x34\0\0\0\x10\0\0\0\x40\0\0\0\x39\0\0\0\x10\0\0\
\0\x80\0\0\0\x3e\0\0\0\x10\0\0\0\xc0\0\0\0\x43\0\0\0\x10\0\0\x01\0\0\0\0\xeb\
\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\xf0\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x13\0\0\0\x04\0\0\0\xf5\x01\0\0\0\0\0\0\
\x04\0\0\0\x20\0\0\x01\x09\x0e\0\0\0\0\0\0\x12\0\0\0\x01\0\0\x01\x12\x04\0\0\
\x06\0\0\0\x18\0\0\0\x30\0\0\0\x07\0\0\0\0\0\0\0\x39\0\0\0\x07\0\0\0\x20\0\0\0\
\x34\0\0\0\x06\0\0\0\x40\0\0\0\x3e\0\0\0\x08\0\0\0\x80\0\0\0\x43\0\0\0\x09\0\0\
\0\x90\0\0\x01\x25\0\0\0\x09\0\0\0\x98\0\0\x01\x2a\x0e\0\0\0\0\0\0\x15\0\0\0\
\x01\0\0\x01\x30\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\x3e\x0e\0\0\0\0\0\0\x06\
\0\0\0\x01\0\0\x01\x4d\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\x5c\x0e\0\0\0\0\0\
\0\x06\0\0\0\x01\0\0\x01\x6b\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\x7a\x0e\0\0\
\0\0\0\0\x15\0\0\0\x01\0\0\x01\x8b\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\x99\
\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\xa8\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\
\x01\xb7\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\xc6\x0e\0\0\0\0\0\0\x06\0\0\0\
\x01\0\0\x01\xd5\x0e\0\0\0\0\0\0\x15\0\0\0\x01\0\0\x01\xe6\x0e\0\0\0\0\0\0\x06\
\0\0\0\x01\0\0\x01\xf1\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x01\xfd\x0e\0\0\0\0\0\
\0\x06\0\0\0\x01\0\0\x02\x09\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x02\x15\x0e\0\0\
\0\0\0\0\x06\0\0\0\x01\0\0\x02\x21\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x02\x2c\
\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x02\x38\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\
\x02\x44\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\x02\x50\x0e\0\0\0\0\0\0\x06\0\0\0\
\x01\0\0\x02\x5c\x0e\0\0\0\0\0\0\x15\0\0\0\x01\0\0\x07\x78\x0f\0\0\x01\0\0\0\
\x04\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\x07\x80\x0f\0\0\x01\0\0\0\x18\0\0\0\x16\0\
\0\0\0\0\0\0\x18\0\0\x07\x86\x0f\0\0\x17\0\0\0\xe8\0\0\0\x17\0\0\0\0\0\0\0\x08\
\0\0\0\x18\0\0\0\x08\0\0\0\x08\0\0\0\x19\0\0\0\x10\0\0\0\x08\0\0\0\x1a\0\0\0\
\x18\0\0\0\x08\0\0\0\x1b\0\0\0\x20\0\0\0\x08\0\0\0\x1c\0\0\0\x28\0\0\0\x18\0\0\
\0\x1d\0\0\0\x40\0\0\0\x08\0\0\0\x1e\0\0\0\x48\0\0\0\x08\0\0\0\x1f\0\0\0\x50\0\
\0\0\x08\0\0\0\x20\0\0\0\x58\0\0\0\x08\0\0\0\x21\0\0\0\x60\0\0\0\x08\0\0\0\x22\
\0\0\0\x68\0\0\0\x18\0\0\0\x23\0\0\0\x80\0\0\0\x08\0\0\0\x24\0\0\0\x88\0\0\0\
\x08\0\0\0\x25\0\0\0\x90\0\0\0\x08\0\0\0\x26\0\0\0\x98\0\0\0\x08\0\0\0\x27\0\0\
\0\xa0\0\0\0\x08\0\0\0\x28\0\0\0\xa8\0\0\0\x08\0\0\0\x29\0\0\0\xb0\0\0\0\x08\0\
\0\0\x2a\0\0\0\xb8\0\0\0\x08\0\0\0\x2b\0\0\0\xc0\0\0\0\x08\0\0\0\x2c\0\0\0\xc8\
\0\0\0\x08\0\0\0\x2d\0\0\0\xd0\0\0\0\x18\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\
\x6e\x64\x6c\x65\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\0\x74\x65\x73\x74\x5f\x73\
\x74\x72\x75\x63\x74\x5f\x5f\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\0\x70\x74\x72\
\0\x76\x61\x6c\x31\0\x76\x61\x6c\x32\0\x76\x61\x6c\x33\0\x76\x61\x6c\x34\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x73\x68\x6f\x72\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\0\x74\x65\x73\x74\
\x5f\x73\x74\x72\x75\x63\x74\x5f\x5f\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x68\x61\x6e\x64\x6c\x65\x5f\
\x70\x72\x6f\x62\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x69\x67\x6e\x65\x64\
\0\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x5f\x5f\x73\x69\x67\x6e\x65\
\x64\0\x6c\x6f\x6e\x67\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x5f\x5f\x72\x65\x61\x6c\0\x5f\
\x70\x61\x64\0\x69\x6e\x70\x75\x74\0\x70\x74\x72\x5f\x73\x61\x6d\x65\x73\x69\
\x7a\x65\x64\0\x76\x61\x6c\x31\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x76\
\x61\x6c\x32\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x33\x5f\x73\
\x61\x6d\x65\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x34\x5f\x73\x61\x6d\x65\x73\x69\
\x7a\x65\x64\0\x6f\x75\x74\x70\x75\x74\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\
\0\x70\x74\x72\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x31\x5f\
\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x76\x61\x6c\x32\x5f\x64\x6f\x77\x6e\x73\
\x69\x7a\x65\x64\0\x76\x61\x6c\x33\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\
\x76\x61\x6c\x34\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x6f\x75\x74\x70\x75\
\x74\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\0\x70\x74\x72\x5f\x70\x72\x6f\x62\
\x65\x64\0\x76\x61\x6c\x31\x5f\x70\x72\x6f\x62\x65\x64\0\x76\x61\x6c\x32\x5f\
\x70\x72\x6f\x62\x65\x64\0\x76\x61\x6c\x33\x5f\x70\x72\x6f\x62\x65\x64\0\x76\
\x61\x6c\x34\x5f\x70\x72\x6f\x62\x65\x64\0\x70\x74\x72\x5f\x73\x69\x67\x6e\x65\
\x64\0\x76\x61\x6c\x31\x5f\x73\x69\x67\x6e\x65\x64\0\x76\x61\x6c\x32\x5f\x73\
\x69\x67\x6e\x65\x64\0\x76\x61\x6c\x33\x5f\x73\x69\x67\x6e\x65\x64\0\x76\x61\
\x6c\x34\x5f\x73\x69\x67\x6e\x65\x64\0\x6f\x75\x74\x70\x75\x74\x5f\x73\x69\x67\
\x6e\x65\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x63\
\x6f\x72\x65\x5f\x61\x75\x74\x6f\x73\x69\x7a\x65\x2e\x63\0\x69\x6e\x74\x20\x68\
\x61\x6e\x64\x6c\x65\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x28\x76\x6f\x69\x64\
\x20\x2a\x63\x74\x78\x29\0\x09\x70\x74\x72\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\
\x64\x20\x3d\x20\x28\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\x29\x69\x6e\x2d\x3e\x70\x74\x72\x3b\0\x09\x6f\x75\x74\x2d\x3e\
\x70\x74\x72\x20\x3d\x20\x69\x6e\x2d\x3e\x70\x74\x72\x3b\0\x09\x6f\x75\x74\x2d\
\x3e\x76\x61\x6c\x31\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x31\x3b\0\x09\x76\
\x61\x6c\x31\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\x20\x3d\x20\x69\x6e\x2d\
\x3e\x76\x61\x6c\x31\x3b\0\x09\x76\x61\x6c\x32\x5f\x73\x61\x6d\x65\x73\x69\x7a\
\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x32\x3b\0\x09\x76\x61\x6c\x33\
\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\
\x6c\x33\x3b\0\x09\x76\x61\x6c\x34\x5f\x73\x61\x6d\x65\x73\x69\x7a\x65\x64\x20\
\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x34\x3b\0\x09\x6f\x75\x74\x2d\x3e\x76\x61\
\x6c\x32\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x32\x3b\0\x09\x6f\x75\x74\x2d\
\x3e\x76\x61\x6c\x33\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x33\x3b\0\x09\x6f\
\x75\x74\x2d\x3e\x76\x61\x6c\x34\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x34\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x68\x61\x6e\
\x64\x6c\x65\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x28\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x29\0\x09\x70\x74\x72\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\x20\
\x3d\x20\x28\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\x29\x69\x6e\x2d\x3e\x70\x74\x72\x3b\0\x09\x76\x61\x6c\x31\x5f\x64\x6f\
\x77\x6e\x73\x69\x7a\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x31\x3b\0\
\x09\x76\x61\x6c\x33\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\x20\x3d\x20\x69\
\x6e\x2d\x3e\x76\x61\x6c\x33\x3b\0\x09\x76\x61\x6c\x34\x5f\x64\x6f\x77\x6e\x73\
\x69\x7a\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x34\x3b\0\x09\x76\x61\
\x6c\x32\x5f\x64\x6f\x77\x6e\x73\x69\x7a\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\
\x76\x61\x6c\x32\x3b\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x70\x72\x6f\
\x62\x65\x64\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x74\x6d\x70\x20\
\x3d\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x63\x6f\x72\x65\x5f\x72\x65\x61\x64\x5f\
\x69\x6e\x74\x28\x26\x74\x6d\x70\x2c\x20\x62\x70\x66\x5f\x63\x6f\x72\x65\x5f\
\x66\x69\x65\x6c\x64\x5f\x73\x69\x7a\x65\x28\x69\x6e\x2d\x3e\x70\x74\x72\x29\
\x2c\x20\x26\x69\x6e\x2d\x3e\x70\x74\x72\x29\x3b\0\x09\x70\x74\x72\x5f\x70\x72\
\x6f\x62\x65\x64\x20\x3d\x20\x74\x6d\x70\x3b\0\x09\x62\x70\x66\x5f\x63\x6f\x72\
\x65\x5f\x72\x65\x61\x64\x5f\x69\x6e\x74\x28\x26\x74\x6d\x70\x2c\x20\x62\x70\
\x66\x5f\x63\x6f\x72\x65\x5f\x66\x69\x65\x6c\x64\x5f\x73\x69\x7a\x65\x28\x69\
\x6e\x2d\x3e\x76\x61\x6c\x31\x29\x2c\x20\x26\x69\x6e\x2d\x3e\x76\x61\x6c\x31\
\x29\x3b\0\x09\x76\x61\x6c\x31\x5f\x70\x72\x6f\x62\x65\x64\x20\x3d\x20\x74\x6d\
\x70\x3b\0\x09\x62\x70\x66\x5f\x63\x6f\x72\x65\x5f\x72\x65\x61\x64\x5f\x69\x6e\
\x74\x28\x26\x74\x6d\x70\x2c\x20\x62\x70\x66\x5f\x63\x6f\x72\x65\x5f\x66\x69\
\x65\x6c\x64\x5f\x73\x69\x7a\x65\x28\x69\x6e\x2d\x3e\x76\x61\x6c\x32\x29\x2c\
\x20\x26\x69\x6e\x2d\x3e\x76\x61\x6c\x32\x29\x3b\0\x09\x76\x61\x6c\x32\x5f\x70\
\x72\x6f\x62\x65\x64\x20\x3d\x20\x74\x6d\x70\x3b\0\x09\x62\x70\x66\x5f\x63\x6f\
\x72\x65\x5f\x72\x65\x61\x64\x5f\x69\x6e\x74\x28\x26\x74\x6d\x70\x2c\x20\x62\
\x70\x66\x5f\x63\x6f\x72\x65\x5f\x66\x69\x65\x6c\x64\x5f\x73\x69\x7a\x65\x28\
\x69\x6e\x2d\x3e\x76\x61\x6c\x33\x29\x2c\x20\x26\x69\x6e\x2d\x3e\x76\x61\x6c\
\x33\x29\x3b\0\x09\x76\x61\x6c\x33\x5f\x70\x72\x6f\x62\x65\x64\x20\x3d\x20\x74\
\x6d\x70\x3b\0\x09\x62\x70\x66\x5f\x63\x6f\x72\x65\x5f\x72\x65\x61\x64\x5f\x69\
\x6e\x74\x28\x26\x74\x6d\x70\x2c\x20\x62\x70\x66\x5f\x63\x6f\x72\x65\x5f\x66\
\x69\x65\x6c\x64\x5f\x73\x69\x7a\x65\x28\x69\x6e\x2d\x3e\x76\x61\x6c\x34\x29\
\x2c\x20\x26\x69\x6e\x2d\x3e\x76\x61\x6c\x34\x29\x3b\0\x09\x76\x61\x6c\x34\x5f\
\x70\x72\x6f\x62\x65\x64\x20\x3d\x20\x74\x6d\x70\x3b\0\x69\x6e\x74\x20\x68\x61\
\x6e\x64\x6c\x65\x5f\x73\x69\x67\x6e\x65\x64\x28\x76\x6f\x69\x64\x20\x2a\x63\
\x74\x78\x29\0\x09\x76\x61\x6c\x32\x5f\x73\x69\x67\x6e\x65\x64\x20\x3d\x20\x69\
\x6e\x2d\x3e\x76\x61\x6c\x32\x3b\0\x09\x6f\x75\x74\x2d\x3e\x76\x61\x6c\x32\x3d\
\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x32\x3b\0\x09\x6f\x75\x74\x2d\x3e\x76\x61\x6c\
\x33\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x33\x3b\0\x09\x76\x61\x6c\x33\x5f\x73\
\x69\x67\x6e\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x33\x3b\0\x09\x6f\
\x75\x74\x2d\x3e\x76\x61\x6c\x34\x3d\x20\x69\x6e\x2d\x3e\x76\x61\x6c\x34\x3b\0\
\x09\x76\x61\x6c\x34\x5f\x73\x69\x67\x6e\x65\x64\x20\x3d\x20\x69\x6e\x2d\x3e\
\x76\x61\x6c\x34\x3b\0\x30\x3a\x30\0\x30\x3a\x31\0\x30\x3a\x32\0\x30\x3a\x33\0\
\x30\x3a\x34\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x64\x61\x74\x61\0\x2e\x62\x73\
\x73\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\xeb\x9f\x01\0\0\0\0\
\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\x04\xf4\0\0\x05\x28\0\0\x02\xe4\0\0\0\x08\
\0\0\x07\x8b\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\x01\x08\0\0\0\x0a\0\0\x07\x9b\0\0\
\0\x02\0\0\0\0\0\0\0\x0d\0\0\x03\0\0\0\0\x0e\0\0\0\x10\0\0\x07\x8b\0\0\0\x26\0\
\0\0\0\0\0\x02\x6a\0\0\x02\xe8\0\x01\x5c\0\0\0\0\x20\0\0\x02\x6a\0\0\x03\x07\0\
\x01\x70\x2a\0\0\0\x28\0\0\x02\x6a\0\0\x03\x35\0\x01\x88\x0b\0\0\0\x30\0\0\x02\
\x6a\0\0\x03\x07\0\x01\x70\x10\0\0\0\x48\0\0\x02\x6a\0\0\x03\x4a\0\x01\x8c\x12\
\0\0\0\x50\0\0\x02\x6a\0\0\x03\x4a\0\x01\x8c\x0c\0\0\0\x58\0\0\x02\x6a\0\0\x03\
\x61\0\x01\x74\x11\0\0\0\x70\0\0\x02\x6a\0\0\x03\x7d\0\x01\x78\x17\0\0\0\x78\0\
\0\x02\x6a\0\0\x03\x7d\0\x01\x78\x11\0\0\0\x90\0\0\x02\x6a\0\0\x03\x99\0\x01\
\x7c\x17\0\0\0\x98\0\0\x02\x6a\0\0\x03\x99\0\x01\x7c\x11\0\0\0\xb0\0\0\x02\x6a\
\0\0\x03\xb5\0\x01\x80\x17\0\0\0\xb8\0\0\x02\x6a\0\0\x03\xb5\0\x01\x80\x11\0\0\
\0\xd0\0\0\x02\x6a\0\0\x03\xd1\0\x01\x90\x0c\0\0\0\xd8\0\0\x02\x6a\0\0\x03\xe8\
\0\x01\x94\x12\0\0\0\xe0\0\0\x02\x6a\0\0\x03\xe8\0\x01\x94\x0c\0\0\0\xe8\0\0\
\x02\x6a\0\0\x03\xff\0\x01\x98\x12\0\0\0\xf0\0\0\x02\x6a\0\0\x03\xff\0\x01\x98\
\x0c\0\0\0\xf8\0\0\x02\x6a\0\0\x04\x16\0\x01\xa0\x02\0\0\x01\x08\0\0\x02\x6a\0\
\0\x04\x21\0\x01\xb0\0\0\0\x01\x28\0\0\x02\x6a\0\0\x04\x40\0\x01\xc4\x2a\0\0\
\x01\x30\0\0\x02\x6a\0\0\x03\x35\0\x01\xdc\x0b\0\0\x01\x38\0\0\x02\x6a\0\0\x04\
\x40\0\x01\xc4\x10\0\0\x01\x50\0\0\x02\x6a\0\0\x03\x4a\0\x01\xe0\x12\0\0\x01\
\x58\0\0\x02\x6a\0\0\x03\x4a\0\x01\xe0\x0c\0\0\x01\x60\0\0\x02\x6a\0\0\x04\x6e\
\0\x01\xc8\x11\0\0\x01\x78\0\0\x02\x6a\0\0\x04\x8a\0\x01\xd0\x17\0\0\x01\x80\0\
\0\x02\x6a\0\0\x04\x8a\0\x01\xd0\x11\0\0\x01\x98\0\0\x02\x6a\0\0\x04\xa6\0\x01\
\xd4\x17\0\0\x01\xa0\0\0\x02\x6a\0\0\x04\xa6\0\x01\xd4\x11\0\0\x01\xb8\0\0\x02\
\x6a\0\0\x04\xc2\0\x01\xcc\x17\0\0\x01\xc0\0\0\x02\x6a\0\0\x04\xc2\0\x01\xcc\
\x11\0\0\x01\xd8\0\0\x02\x6a\0\0\x03\xd1\0\x01\xe4\x0c\0\0\x01\xe0\0\0\x02\x6a\
\0\0\x03\xe8\0\x01\xe8\x12\0\0\x01\xe8\0\0\x02\x6a\0\0\x03\xe8\0\x01\xe8\x0c\0\
\0\x01\xf0\0\0\x02\x6a\0\0\x03\xff\0\x01\xec\x12\0\0\x01\xf8\0\0\x02\x6a\0\0\
\x03\xff\0\x01\xec\x0c\0\0\x02\0\0\0\x02\x6a\0\0\x04\x16\0\x01\xf4\x02\0\0\x07\
\x9b\0\0\0\x28\0\0\0\0\0\0\x02\x6a\0\0\x04\xde\0\x02\x2c\0\0\0\0\x08\0\0\x02\
\x6a\0\0\x04\xfb\0\x02\x40\x06\0\0\0\x20\0\0\x02\x6a\0\0\x05\x05\0\x02\x44\x02\
\0\0\0\x70\0\0\x02\x6a\0\0\0\0\0\0\0\0\0\0\0\x78\0\0\x02\x6a\0\0\x05\x05\0\x02\
\x44\x02\0\0\0\xa0\0\0\x02\x6a\0\0\x05\x47\0\x02\x48\x0d\0\0\0\xb0\0\0\x02\x6a\
\0\0\x05\x47\0\x02\x48\x0f\0\0\0\xb8\0\0\x02\x6a\0\0\x05\x47\0\x02\x48\x0d\0\0\
\0\xc0\0\0\x02\x6a\0\0\x04\xfb\0\x02\x50\x06\0\0\0\xd0\0\0\x02\x6a\0\0\x05\x5a\
\0\x02\x54\x02\0\0\x01\x30\0\0\x02\x6a\0\0\x05\x9e\0\x02\x58\x0e\0\0\x01\x40\0\
\0\x02\x6a\0\0\x05\x9e\0\x02\x58\x10\0\0\x01\x48\0\0\x02\x6a\0\0\x05\x9e\0\x02\
\x58\x0e\0\0\x01\x50\0\0\x02\x6a\0\0\x04\xfb\0\x02\x60\x06\0\0\x01\x60\0\0\x02\
\x6a\0\0\x05\xb2\0\x02\x64\x02\0\0\x01\xc0\0\0\x02\x6a\0\0\x05\xf6\0\x02\x68\
\x0e\0\0\x01\xd0\0\0\x02\x6a\0\0\x05\xf6\0\x02\x68\x10\0\0\x01\xd8\0\0\x02\x6a\
\0\0\x05\xf6\0\x02\x68\x0e\0\0\x01\xe0\0\0\x02\x6a\0\0\x04\xfb\0\x02\x70\x06\0\
\0\x01\xf0\0\0\x02\x6a\0\0\x06\x0a\0\x02\x74\x02\0\0\x02\x50\0\0\x02\x6a\0\0\
\x06\x4e\0\x02\x78\x0e\0\0\x02\x60\0\0\x02\x6a\0\0\x06\x4e\0\x02\x78\x10\0\0\
\x02\x68\0\0\x02\x6a\0\0\x06\x4e\0\x02\x78\x0e\0\0\x02\x70\0\0\x02\x6a\0\0\x04\
\xfb\0\x02\x80\x06\0\0\x02\x80\0\0\x02\x6a\0\0\x06\x62\0\x02\x84\x02\0\0\x02\
\xd0\0\0\x02\x6a\0\0\x06\xa6\0\x02\x88\x0e\0\0\x02\xe0\0\0\x02\x6a\0\0\x06\xa6\
\0\x02\x88\x10\0\0\x02\xe8\0\0\x02\x6a\0\0\x06\xa6\0\x02\x88\x0e\0\0\x02\xf0\0\
\0\x02\x6a\0\0\x04\x16\0\x02\x90\x02\0\0\x03\0\0\0\x02\x6a\0\0\x06\xba\0\x02\
\xa0\0\0\0\x03\x20\0\0\x02\x6a\0\0\x06\xd7\0\x02\xb4\x14\0\0\x03\x28\0\0\x02\
\x6a\0\0\x06\xf0\0\x02\xc4\x0b\0\0\x03\x30\0\0\x02\x6a\0\0\x06\xd7\0\x02\xb4\
\x0e\0\0\x03\x48\0\0\x02\x6a\0\0\x07\x06\0\x02\xc8\x11\0\0\x03\x50\0\0\x02\x6a\
\0\0\x07\x06\0\x02\xc8\x0b\0\0\x03\x58\0\0\x02\x6a\0\0\x07\x1c\0\x02\xb8\x0e\0\
\0\x03\x70\0\0\x02\x6a\0\0\x07\x35\0\x02\xcc\x11\0\0\x03\x78\0\0\x02\x6a\0\0\
\x07\x4b\0\x02\xbc\x0e\0\0\x03\x90\0\0\x02\x6a\0\0\x07\x35\0\x02\xcc\x0b\0\0\
\x03\x98\0\0\x02\x6a\0\0\x04\x16\0\x02\xd4\x02\0\0\0\x10\0\0\x07\x8b\0\0\0\x18\
\0\0\0\x20\0\0\0\x05\0\0\x07\x64\0\0\0\0\0\0\0\x28\0\0\0\x05\0\0\x07\x64\0\0\0\
\0\0\0\0\x48\0\0\0\x05\0\0\x07\x68\0\0\0\0\0\0\0\x50\0\0\0\x05\0\0\x07\x68\0\0\
\0\0\0\0\0\x70\0\0\0\x05\0\0\x07\x6c\0\0\0\0\0\0\0\x90\0\0\0\x05\0\0\x07\x70\0\
\0\0\0\0\0\0\xb0\0\0\0\x05\0\0\x07\x74\0\0\0\0\0\0\0\xd0\0\0\0\x05\0\0\x07\x6c\
\0\0\0\0\0\0\0\xd8\0\0\0\x05\0\0\x07\x70\0\0\0\0\0\0\0\xe0\0\0\0\x05\0\0\x07\
\x70\0\0\0\0\0\0\0\xe8\0\0\0\x05\0\0\x07\x74\0\0\0\0\0\0\0\xf0\0\0\0\x05\0\0\
\x07\x74\0\0\0\0\0\0\x01\x28\0\0\0\x0b\0\0\x07\x64\0\0\0\0\0\0\x01\x30\0\0\0\
\x0b\0\0\x07\x64\0\0\0\0\0\0\x01\x50\0\0\0\x0b\0\0\x07\x68\0\0\0\0\0\0\x01\x58\
\0\0\0\x0b\0\0\x07\x68\0\0\0\0\0\0\x01\x78\0\0\0\x0b\0\0\x07\x70\0\0\0\0\0\0\
\x01\x98\0\0\0\x0b\0\0\x07\x74\0\0\0\0\0\0\x01\xb8\0\0\0\x0b\0\0\x07\x6c\0\0\0\
\0\0\0\x01\xd8\0\0\0\x0b\0\0\x07\x6c\0\0\0\0\0\0\x01\xe0\0\0\0\x0b\0\0\x07\x70\
\0\0\0\0\0\0\x01\xe8\0\0\0\x0b\0\0\x07\x70\0\0\0\0\0\0\x01\xf0\0\0\0\x0b\0\0\
\x07\x74\0\0\0\0\0\0\x01\xf8\0\0\0\x0b\0\0\x07\x74\0\0\0\0\0\0\x07\x9b\0\0\0\
\x15\0\0\0\x10\0\0\0\x0b\0\0\x07\x64\0\0\0\x01\0\0\0\x38\0\0\0\x0b\0\0\x07\x64\
\0\0\0\0\0\0\0\x90\0\0\0\x0b\0\0\x07\x64\0\0\0\x01\0\0\0\xc8\0\0\0\x0b\0\0\x07\
\x68\0\0\0\x01\0\0\0\xe8\0\0\0\x0b\0\0\x07\x68\0\0\0\0\0\0\x01\x20\0\0\0\x0b\0\
\0\x07\x68\0\0\0\x01\0\0\x01\x58\0\0\0\x0b\0\0\x07\x6c\0\0\0\x01\0\0\x01\x78\0\
\0\0\x0b\0\0\x07\x6c\0\0\0\0\0\0\x01\xb0\0\0\0\x0b\0\0\x07\x6c\0\0\0\x01\0\0\
\x01\xe8\0\0\0\x0b\0\0\x07\x70\0\0\0\x01\0\0\x02\x08\0\0\0\x0b\0\0\x07\x70\0\0\
\0\0\0\0\x02\x40\0\0\0\x0b\0\0\x07\x70\0\0\0\x01\0\0\x02\x78\0\0\0\x0b\0\0\x07\
\x74\0\0\0\x01\0\0\x02\x90\0\0\0\x0b\0\0\x07\x74\0\0\0\0\0\0\x02\xb8\0\0\0\x0b\
\0\0\x07\x74\0\0\0\x01\0\0\x03\x20\0\0\0\x0f\0\0\x07\x6c\0\0\0\0\0\0\x03\x28\0\
\0\0\x0f\0\0\x07\x6c\0\0\0\0\0\0\x03\x48\0\0\0\x0f\0\0\x07\x70\0\0\0\0\0\0\x03\
\x50\0\0\0\x0f\0\0\x07\x70\0\0\0\0\0\0\x03\x70\0\0\0\x0f\0\0\x07\x74\0\0\0\0\0\
\0\x03\x90\0\0\0\x0f\0\0\x07\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\x02\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x58\
\0\0\0\0\0\0\x03\x18\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\
\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x70\0\0\0\0\
\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x80\0\0\0\0\0\0\x03\xa8\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x28\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x30\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0b\x48\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\x01\xdf\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0b\x48\0\0\0\0\0\0\0\xe0\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x01\xf3\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\
\x28\0\0\0\0\0\0\0\xf0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\x02\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x18\0\0\
\0\0\0\0\x0c\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x0d\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\xe0\0\0\0\0\0\0\x08\
\x2c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_core_autosize *test_core_autosize::open(const struct bpf_object_open_opts *opts) { return test_core_autosize__open_opts(opts); }
struct test_core_autosize *test_core_autosize::open_and_load() { return test_core_autosize__open_and_load(); }
int test_core_autosize::load(struct test_core_autosize *skel) { return test_core_autosize__load(skel); }
int test_core_autosize::attach(struct test_core_autosize *skel) { return test_core_autosize__attach(skel); }
void test_core_autosize::detach(struct test_core_autosize *skel) { test_core_autosize__detach(skel); }
void test_core_autosize::destroy(struct test_core_autosize *skel) { test_core_autosize__destroy(skel); }
const void *test_core_autosize::elf_bytes(size_t *sz) { return test_core_autosize__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_core_autosize__assert(struct test_core_autosize *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->input) == 24, "unexpected size of 'input'");
	_Static_assert(sizeof(s->bss->ptr_samesized) == 8, "unexpected size of 'ptr_samesized'");
	_Static_assert(sizeof(s->bss->val1_samesized) == 8, "unexpected size of 'val1_samesized'");
	_Static_assert(sizeof(s->bss->val2_samesized) == 8, "unexpected size of 'val2_samesized'");
	_Static_assert(sizeof(s->bss->val3_samesized) == 8, "unexpected size of 'val3_samesized'");
	_Static_assert(sizeof(s->bss->val4_samesized) == 8, "unexpected size of 'val4_samesized'");
	_Static_assert(sizeof(s->bss->output_samesized) == 24, "unexpected size of 'output_samesized'");
	_Static_assert(sizeof(s->bss->ptr_downsized) == 8, "unexpected size of 'ptr_downsized'");
	_Static_assert(sizeof(s->bss->val1_downsized) == 8, "unexpected size of 'val1_downsized'");
	_Static_assert(sizeof(s->bss->val2_downsized) == 8, "unexpected size of 'val2_downsized'");
	_Static_assert(sizeof(s->bss->val3_downsized) == 8, "unexpected size of 'val3_downsized'");
	_Static_assert(sizeof(s->bss->val4_downsized) == 8, "unexpected size of 'val4_downsized'");
	_Static_assert(sizeof(s->bss->output_downsized) == 24, "unexpected size of 'output_downsized'");
	_Static_assert(sizeof(s->bss->ptr_probed) == 8, "unexpected size of 'ptr_probed'");
	_Static_assert(sizeof(s->bss->val1_probed) == 8, "unexpected size of 'val1_probed'");
	_Static_assert(sizeof(s->bss->val2_probed) == 8, "unexpected size of 'val2_probed'");
	_Static_assert(sizeof(s->bss->val3_probed) == 8, "unexpected size of 'val3_probed'");
	_Static_assert(sizeof(s->bss->val4_probed) == 8, "unexpected size of 'val4_probed'");
	_Static_assert(sizeof(s->bss->ptr_signed) == 8, "unexpected size of 'ptr_signed'");
	_Static_assert(sizeof(s->bss->val1_signed) == 8, "unexpected size of 'val1_signed'");
	_Static_assert(sizeof(s->bss->val2_signed) == 8, "unexpected size of 'val2_signed'");
	_Static_assert(sizeof(s->bss->val3_signed) == 8, "unexpected size of 'val3_signed'");
	_Static_assert(sizeof(s->bss->val4_signed) == 8, "unexpected size of 'val4_signed'");
	_Static_assert(sizeof(s->bss->output_signed) == 24, "unexpected size of 'output_signed'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_CORE_AUTOSIZE_SKEL_H__ */
