/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_ENDIAN_SKEL_H__
#define __TEST_ENDIAN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_endian {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *sys_enter;
	} progs;
	struct {
		struct bpf_link *sys_enter;
	} links;
	struct test_endian__bss {
		__u16 in16;
		__u32 in32;
		__u64 in64;
		__u16 out16;
		__u32 out32;
		__u64 out64;
		__u16 const16;
		__u32 const32;
		__u64 const64;
	} *bss;

#ifdef __cplusplus
	static inline struct test_endian *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_endian *open_and_load();
	static inline int load(struct test_endian *skel);
	static inline int attach(struct test_endian *skel);
	static inline void detach(struct test_endian *skel);
	static inline void destroy(struct test_endian *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_endian__destroy(struct test_endian *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_endian__create_skeleton(struct test_endian *obj);

static inline struct test_endian *
test_endian__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_endian *obj;
	int err;

	obj = (struct test_endian *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_endian__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_endian__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_endian *
test_endian__open(void)
{
	return test_endian__open_opts(NULL);
}

static inline int
test_endian__load(struct test_endian *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_endian *
test_endian__open_and_load(void)
{
	struct test_endian *obj;
	int err;

	obj = test_endian__open();
	if (!obj)
		return NULL;
	err = test_endian__load(obj);
	if (err) {
		test_endian__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_endian__attach(struct test_endian *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_endian__detach(struct test_endian *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_endian__elf_bytes(size_t *sz);

static inline int
test_endian__create_skeleton(struct test_endian *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_endian";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_end.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "sys_enter";
	s->progs[0].prog = &obj->progs.sys_enter;
	s->progs[0].link = &obj->links.sys_enter;

	s->data = (void *)test_endian__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_endian__elf_bytes(size_t *sz)
{
	*sz = 2944;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x40\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\x77\
\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x62\x73\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x65\x6e\x64\x69\x61\x6e\x2e\x63\
\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x63\x6f\x6e\x73\x74\x31\x36\0\x63\x6f\
\x6e\x73\x74\x33\x32\0\x63\x6f\x6e\x73\x74\x36\x34\0\x69\x6e\x36\x34\0\x6f\x75\
\x74\x36\x34\0\x69\x6e\x31\x36\0\x6f\x75\x74\x31\x36\0\x69\x6e\x33\x32\0\x6f\
\x75\x74\x33\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x2f\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\x12\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\x20\0\0\0\x47\x11\0\0\x04\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x02\0\0\0\x4f\x11\0\0\x04\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\x04\0\0\0\x57\x11\0\
\0\x04\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x08\0\0\0\x5f\x11\0\0\x04\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x08\0\0\0\x64\x11\0\0\x04\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x08\0\0\0\x6a\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x6f\x11\0\0\
\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x75\x11\0\0\x04\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x04\0\0\0\x7a\x11\0\0\x04\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\
\x04\0\0\0\x80\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\x34\x12\x6b\x12\0\0\0\0\0\0\x18\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\x78\x56\x34\x12\x63\x12\0\0\0\0\0\0\x18\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x20\0\0\x78\x56\x34\x12\0\0\0\0\xf0\xde\xbc\x9a\
\x7b\x12\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\
\xd4\x10\0\0\0\0\0\x40\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\x11\0\0\0\0\0\0\xd4\x10\0\0\0\0\0\x10\
\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6b\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\xd4\x10\0\0\0\0\0\x20\x18\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\x05\
\0\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\x68\0\0\0\x07\0\
\0\0\x01\0\0\0\0\0\0\0\x88\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\xa0\0\0\0\x09\0\0\
\0\x01\0\0\0\0\0\0\0\xc0\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\xd8\0\0\0\x0b\0\0\0\
\x01\0\0\0\0\0\0\0\xf8\0\0\0\x0c\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\
\x02\x04\0\0\x02\x04\0\0\x02\x15\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x0a\0\0\0\
\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x01\0\0\0\x01\0\0\0\x05\x01\0\0\0\
\0\0\0\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x03\0\0\0\x13\x08\0\0\0\0\0\
\0\x07\0\0\0\x19\x01\0\0\0\0\0\0\x02\0\0\0\x10\0\0\0\x28\x0e\0\0\0\0\0\0\x06\0\
\0\0\x01\0\0\0\x2d\x08\0\0\0\0\0\0\x0a\0\0\0\x33\x01\0\0\0\0\0\0\x04\0\0\0\x20\
\0\0\0\x40\x0e\0\0\0\0\0\0\x09\0\0\0\x01\0\0\0\x45\x08\0\0\0\0\0\0\x0d\0\0\0\
\x4b\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\x5e\x0e\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\
\0\x63\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\x69\x0e\0\0\0\0\0\0\x09\0\0\0\x01\0\
\0\0\x6f\x0e\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\0\x75\x0e\0\0\0\0\0\0\x06\0\0\0\x01\
\0\0\0\x7d\x0e\0\0\0\0\0\0\x09\0\0\0\x01\0\0\0\x85\x0e\0\0\0\0\0\0\x0c\0\0\0\
\x01\0\0\0\x8d\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x15\0\0\0\x17\0\0\0\x04\0\0\0\x92\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\xa6\x0e\
\0\0\0\0\0\0\x16\0\0\0\x01\0\0\x01\xf7\x0f\0\0\x09\0\0\0\x30\0\0\0\x08\0\0\0\0\
\0\0\0\x02\0\0\0\x0b\0\0\0\x04\0\0\0\x04\0\0\0\x0e\0\0\0\x08\0\0\0\x08\0\0\0\
\x0f\0\0\0\x10\0\0\0\x02\0\0\0\x10\0\0\0\x14\0\0\0\x04\0\0\0\x11\0\0\0\x18\0\0\
\0\x08\0\0\0\x12\0\0\0\x20\0\0\0\x02\0\0\0\x13\0\0\0\x24\0\0\0\x04\0\0\0\x14\0\
\0\0\x28\0\0\0\x08\0\0\x01\xfc\x0f\0\0\x01\0\0\0\x04\0\0\0\x18\0\0\0\0\0\0\0\
\x04\0\x63\x74\x78\0\x69\x6e\x74\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x5f\
\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\
\x69\x6e\x31\x36\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x69\x6e\x33\x32\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x69\x6e\x36\x34\0\x6f\x75\
\x74\x31\x36\0\x6f\x75\x74\x33\x32\0\x6f\x75\x74\x36\x34\0\x63\x6f\x6e\x73\x74\
\x31\x36\0\x63\x6f\x6e\x73\x74\x33\x32\0\x63\x6f\x6e\x73\x74\x36\x34\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\
\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x65\x6e\x64\x69\x61\x6e\x2e\x63\0\x09\x63\x6f\x6e\
\x73\x74\x31\x36\x20\x3d\x20\x5f\x5f\x5f\x62\x70\x66\x5f\x73\x77\x61\x62\x31\
\x36\x28\x49\x4e\x31\x36\x29\x3b\0\x09\x63\x6f\x6e\x73\x74\x33\x32\x20\x3d\x20\
\x5f\x5f\x5f\x62\x70\x66\x5f\x73\x77\x61\x62\x33\x32\x28\x49\x4e\x33\x32\x29\
\x3b\0\x09\x63\x6f\x6e\x73\x74\x36\x34\x20\x3d\x20\x5f\x5f\x5f\x62\x70\x66\x5f\
\x73\x77\x61\x62\x36\x34\x28\x49\x4e\x36\x34\x29\x3b\0\x09\x6f\x75\x74\x36\x34\
\x20\x3d\x20\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x62\x73\x77\x61\x70\x36\
\x34\x28\x69\x6e\x36\x34\x29\x3b\0\x09\x6f\x75\x74\x31\x36\x20\x3d\x20\x5f\x5f\
\x62\x75\x69\x6c\x74\x69\x6e\x5f\x62\x73\x77\x61\x70\x31\x36\x28\x69\x6e\x31\
\x36\x29\x3b\0\x09\x6f\x75\x74\x33\x32\x20\x3d\x20\x5f\x5f\x62\x75\x69\x6c\x74\
\x69\x6e\x5f\x62\x73\x77\x61\x70\x33\x32\x28\x69\x6e\x33\x32\x29\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\
\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xdc\0\0\0\
\xf0\0\0\0\0\0\0\0\x08\0\0\x02\x04\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\
\x02\x04\0\0\0\x0d\0\0\0\0\0\0\0\xaf\0\0\x01\x26\0\0\x78\x0a\0\0\0\x20\0\0\0\
\xaf\0\0\x01\x46\0\0\x7c\x0a\0\0\0\x40\0\0\0\xaf\0\0\x01\x66\0\0\x80\x0a\0\0\0\
\x68\0\0\0\xaf\0\0\x01\x86\0\0\x74\x1c\0\0\0\x80\0\0\0\xaf\0\0\x01\x86\0\0\x74\
\x0a\0\0\0\x88\0\0\0\xaf\0\0\x01\x86\0\0\x74\x08\0\0\0\xa0\0\0\0\xaf\0\0\x01\
\xa8\0\0\x6c\x1c\0\0\0\xb0\0\0\0\xaf\0\0\x01\xa8\0\0\x6c\x0a\0\0\0\xc0\0\0\0\
\xaf\0\0\x01\xa8\0\0\x6c\x08\0\0\0\xd8\0\0\0\xaf\0\0\x01\xca\0\0\x70\x1c\0\0\0\
\xe8\0\0\0\xaf\0\0\x01\xca\0\0\x70\x0a\0\0\0\xf8\0\0\0\xaf\0\0\x01\xca\0\0\x70\
\x08\0\0\x01\x10\0\0\0\xaf\0\0\x01\xec\0\0\x88\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xac\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\
\0\0\0\0\0\x01\x50\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\
\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x40\0\0\0\0\0\
\0\x01\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\
\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x60\0\0\0\0\0\0\0\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x60\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x89\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\x68\0\0\0\0\0\0\0\x90\0\0\0\x02\0\0\0\x03\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x9e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\xf8\0\0\0\0\0\0\x04\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\xa3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\x30\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_endian *test_endian::open(const struct bpf_object_open_opts *opts) { return test_endian__open_opts(opts); }
struct test_endian *test_endian::open_and_load() { return test_endian__open_and_load(); }
int test_endian::load(struct test_endian *skel) { return test_endian__load(skel); }
int test_endian::attach(struct test_endian *skel) { return test_endian__attach(skel); }
void test_endian::detach(struct test_endian *skel) { test_endian__detach(skel); }
void test_endian::destroy(struct test_endian *skel) { test_endian__destroy(skel); }
const void *test_endian::elf_bytes(size_t *sz) { return test_endian__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_endian__assert(struct test_endian *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->in16) == 2, "unexpected size of 'in16'");
	_Static_assert(sizeof(s->bss->in32) == 4, "unexpected size of 'in32'");
	_Static_assert(sizeof(s->bss->in64) == 8, "unexpected size of 'in64'");
	_Static_assert(sizeof(s->bss->out16) == 2, "unexpected size of 'out16'");
	_Static_assert(sizeof(s->bss->out32) == 4, "unexpected size of 'out32'");
	_Static_assert(sizeof(s->bss->out64) == 8, "unexpected size of 'out64'");
	_Static_assert(sizeof(s->bss->const16) == 2, "unexpected size of 'const16'");
	_Static_assert(sizeof(s->bss->const32) == 4, "unexpected size of 'const32'");
	_Static_assert(sizeof(s->bss->const64) == 8, "unexpected size of 'const64'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_ENDIAN_SKEL_H__ */
