/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_LINK_PINNING_SKEL_H__
#define __TEST_LINK_PINNING_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_link_pinning {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *raw_tp_prog;
		struct bpf_program *tp_btf_prog;
	} progs;
	struct {
		struct bpf_link *raw_tp_prog;
		struct bpf_link *tp_btf_prog;
	} links;
	struct test_link_pinning__bss {
		int in;
		int out;
	} *bss;

#ifdef __cplusplus
	static inline struct test_link_pinning *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_link_pinning *open_and_load();
	static inline int load(struct test_link_pinning *skel);
	static inline int attach(struct test_link_pinning *skel);
	static inline void detach(struct test_link_pinning *skel);
	static inline void destroy(struct test_link_pinning *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_link_pinning__destroy(struct test_link_pinning *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_link_pinning__create_skeleton(struct test_link_pinning *obj);

static inline struct test_link_pinning *
test_link_pinning__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_link_pinning *obj;
	int err;

	obj = (struct test_link_pinning *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_link_pinning__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_link_pinning__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_link_pinning *
test_link_pinning__open(void)
{
	return test_link_pinning__open_opts(NULL);
}

static inline int
test_link_pinning__load(struct test_link_pinning *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_link_pinning *
test_link_pinning__open_and_load(void)
{
	struct test_link_pinning *obj;
	int err;

	obj = test_link_pinning__open();
	if (!obj)
		return NULL;
	err = test_link_pinning__load(obj);
	if (err) {
		test_link_pinning__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_link_pinning__attach(struct test_link_pinning *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_link_pinning__detach(struct test_link_pinning *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_link_pinning__elf_bytes(size_t *sz);

static inline int
test_link_pinning__create_skeleton(struct test_link_pinning *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_link_pinning";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_lin.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "raw_tp_prog";
	s->progs[0].prog = &obj->progs.raw_tp_prog;
	s->progs[0].link = &obj->links.raw_tp_prog;

	s->progs[1].name = "tp_btf_prog";
	s->progs[1].prog = &obj->progs.tp_btf_prog;
	s->progs[1].link = &obj->links.tp_btf_prog;

	s->data = (void *)test_link_pinning__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_link_pinning__elf_bytes(size_t *sz)
{
	*sz = 2096;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x70\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\x77\
\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x74\x70\x5f\x62\x74\x66\
\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x6c\x69\x6e\x6b\x5f\x70\x69\x6e\x6e\x69\x6e\
\x67\x2e\x63\0\x72\x61\x77\x5f\x74\x70\x5f\x70\x72\x6f\x67\0\x69\x6e\0\x6f\x75\
\x74\0\x74\x70\x5f\x62\x74\x66\x5f\x70\x72\x6f\x67\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\0\x2e\x72\x65\x6c\x74\x70\x5f\x62\x74\x66\x2f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x04\0\xff\xf1\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\x12\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x60\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\x63\x11\0\0\x05\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\x67\
\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x73\x11\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\
\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x01\0\0\0\0\0\
\0\0\x18\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\
\x18\0\0\0\x06\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\0\xf8\0\0\0\xf8\0\
\0\x01\x0c\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x0d\0\
\0\x01\0\0\0\x04\0\0\0\x01\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\x01\0\0\x20\
\0\0\0\x09\x0c\0\0\x01\0\0\0\x03\0\0\0\x15\x0c\0\0\x01\0\0\0\x03\0\0\0\x21\x0e\
\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x24\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x28\
\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x0b\
\0\0\0\x04\0\0\0\x2d\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x41\x0e\0\0\0\0\0\0\
\x0a\0\0\0\x01\0\0\0\xdd\x0f\0\0\x02\0\0\0\x08\0\0\0\x07\0\0\0\0\0\0\0\x04\0\0\
\0\x08\0\0\0\x04\0\0\0\x04\0\0\0\xe2\x0f\0\0\x01\0\0\0\x04\0\0\0\x0c\0\0\0\0\0\
\0\0\x04\0\x63\x74\x78\0\x69\x6e\x74\0\x72\x61\x77\x5f\x74\x70\x5f\x70\x72\x6f\
\x67\0\x74\x70\x5f\x62\x74\x66\x5f\x70\x72\x6f\x67\0\x69\x6e\0\x6f\x75\x74\0\
\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\
\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x6c\x69\x6e\x6b\x5f\x70\x69\x6e\x6e\x69\
\x6e\x67\x2e\x63\0\x09\x6f\x75\x74\x20\x3d\x20\x69\x6e\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x30\x3b\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x72\
\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x74\x70\x5f\x62\
\x74\x66\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\
\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x74\0\0\0\x98\0\0\0\0\0\0\0\x08\0\0\0\
\xea\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\xfb\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\
\x10\0\0\0\xea\0\0\0\x03\0\0\0\0\0\0\0\x4a\0\0\0\xc7\0\0\x38\x08\0\0\0\x18\0\0\
\0\x4a\0\0\0\xc7\0\0\x38\x06\0\0\0\x30\0\0\0\x4a\0\0\0\xd2\0\0\x3c\x02\0\0\0\
\xfb\0\0\0\x03\0\0\0\0\0\0\0\x4a\0\0\0\xc7\0\0\x54\x08\0\0\0\x18\0\0\0\x4a\0\0\
\0\xc7\0\0\x54\x06\0\0\0\x30\0\0\0\x4a\0\0\0\xd2\0\0\x58\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xf8\0\0\0\0\0\0\0\xd8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xd0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x22\
\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x08\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x50\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x50\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x02\x58\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\x91\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x02\x78\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\xa6\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\
\x98\0\0\0\0\0\0\x02\x1c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\xab\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb8\0\0\0\0\0\
\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_link_pinning *test_link_pinning::open(const struct bpf_object_open_opts *opts) { return test_link_pinning__open_opts(opts); }
struct test_link_pinning *test_link_pinning::open_and_load() { return test_link_pinning__open_and_load(); }
int test_link_pinning::load(struct test_link_pinning *skel) { return test_link_pinning__load(skel); }
int test_link_pinning::attach(struct test_link_pinning *skel) { return test_link_pinning__attach(skel); }
void test_link_pinning::detach(struct test_link_pinning *skel) { test_link_pinning__detach(skel); }
void test_link_pinning::destroy(struct test_link_pinning *skel) { test_link_pinning__destroy(skel); }
const void *test_link_pinning::elf_bytes(size_t *sz) { return test_link_pinning__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_link_pinning__assert(struct test_link_pinning *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->in) == 4, "unexpected size of 'in'");
	_Static_assert(sizeof(s->bss->out) == 4, "unexpected size of 'out'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_LINK_PINNING_SKEL_H__ */
