/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_SNPRINTF_SKEL_H__
#define __TEST_SNPRINTF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_snprintf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata_cst16;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *handler;
	} progs;
	struct {
		struct bpf_link *handler;
	} links;
	struct test_snprintf__bss {
		__u32 pid;
		char num_out[64];
		char __pad0[4];
		long num_ret;
		char ip_out[64];
		long ip_ret;
		char sym_out[64];
		long sym_ret;
		char addr_out[64];
		long addr_ret;
		char str_out[64];
		long str_ret;
		char over_out[6];
		long over_ret;
		char pad_out[10];
		char __pad1[6];
		long pad_ret;
		char noarg_out[64];
		long noarg_ret;
		long nobuf_ret;
	} *bss;
	struct test_snprintf__rodata_cst16 {
	} *rodata_cst16;
	struct test_snprintf__rodata {
	} *rodata;

#ifdef __cplusplus
	static inline struct test_snprintf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_snprintf *open_and_load();
	static inline int load(struct test_snprintf *skel);
	static inline int attach(struct test_snprintf *skel);
	static inline void detach(struct test_snprintf *skel);
	static inline void destroy(struct test_snprintf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_snprintf__destroy(struct test_snprintf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_snprintf__create_skeleton(struct test_snprintf *obj);

static inline struct test_snprintf *
test_snprintf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_snprintf *obj;
	int err;

	obj = (struct test_snprintf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_snprintf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_snprintf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_snprintf *
test_snprintf__open(void)
{
	return test_snprintf__open_opts(NULL);
}

static inline int
test_snprintf__load(struct test_snprintf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_snprintf *
test_snprintf__open_and_load(void)
{
	struct test_snprintf *obj;
	int err;

	obj = test_snprintf__open();
	if (!obj)
		return NULL;
	err = test_snprintf__load(obj);
	if (err) {
		test_snprintf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_snprintf__attach(struct test_snprintf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_snprintf__detach(struct test_snprintf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_snprintf__elf_bytes(size_t *sz);

static inline int
test_snprintf__create_skeleton(struct test_snprintf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_snprintf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_snp.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = ".rodata.cst16";
	s->maps[1].map = &obj->maps.rodata_cst16;
	s->maps[1].mmaped = (void **)&obj->rodata_cst16;

	s->maps[2].name = "test_snp.rodata";
	s->maps[2].map = &obj->maps.rodata;
	s->maps[2].mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handler";
	s->progs[0].prog = &obj->progs.handler;
	s->progs[0].link = &obj->links.handler;

	s->data = (void *)test_snprintf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_snprintf__elf_bytes(size_t *sz)
{
	*sz = 7696;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x50\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\x77\
\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x62\x73\x73\0\x2e\
\x72\x6f\x64\x61\x74\x61\x2e\x63\x73\x74\x31\x36\0\x2e\x72\x6f\x64\x61\x74\x61\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x73\x6e\x70\x72\x69\x6e\
\x74\x66\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\
\x5f\x5f\x5f\x66\x6d\x74\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\
\x74\x2e\x31\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x32\
\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x33\0\x68\x61\
\x6e\x64\x6c\x65\x72\x2e\x6c\x6f\x6e\x67\x73\x74\x72\0\x68\x61\x6e\x64\x6c\x65\
\x72\x2e\x73\x74\x72\x31\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\
\x74\x2e\x34\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x35\
\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x36\0\x68\x61\
\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x37\0\x68\x61\x6e\x64\x6c\
\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x38\0\x68\x61\x6e\x64\x6c\x65\x72\0\
\x70\x69\x64\0\x6e\x75\x6d\x5f\x6f\x75\x74\0\x6e\x75\x6d\x5f\x72\x65\x74\0\x69\
\x70\x5f\x6f\x75\x74\0\x69\x70\x5f\x72\x65\x74\0\x73\x63\x68\x65\x64\x75\x6c\
\x65\0\x73\x79\x6d\x5f\x6f\x75\x74\0\x73\x79\x6d\x5f\x72\x65\x74\0\x61\x64\x64\
\x72\x5f\x6f\x75\x74\0\x61\x64\x64\x72\x5f\x72\x65\x74\0\x73\x74\x72\x5f\x6f\
\x75\x74\0\x73\x74\x72\x5f\x72\x65\x74\0\x6f\x76\x65\x72\x5f\x6f\x75\x74\0\x6f\
\x76\x65\x72\x5f\x72\x65\x74\0\x70\x61\x64\x5f\x6f\x75\x74\0\x70\x61\x64\x5f\
\x72\x65\x74\0\x6e\x6f\x61\x72\x67\x5f\x6f\x75\x74\0\x6e\x6f\x61\x72\x67\x5f\
\x72\x65\x74\0\x6e\x6f\x62\x75\x66\x5f\x72\x65\x74\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\x04\0\xff\xf1\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x55\0\0\0\x03\0\0\0\0\0\0\x05\x40\0\0\0\0\0\0\0\0\0\0\0\x5c\x01\0\0\
\x06\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x16\0\0\0\x6b\x01\0\0\x06\0\0\0\0\0\0\0\
\x23\0\0\0\0\0\0\0\x0a\0\0\0\x7c\x01\0\0\x06\0\0\0\0\0\0\0\x2d\0\0\0\0\0\0\0\
\x0c\0\0\0\x8d\x01\0\0\x06\0\0\0\0\0\0\0\x39\0\0\0\0\0\0\0\x0b\0\0\0\x9e\x01\0\
\0\x06\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\xae\x01\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x05\0\0\0\xbb\x01\0\0\x06\0\0\0\0\0\0\0\x44\0\0\0\0\0\0\0\x21\
\0\0\0\xcc\x01\0\0\x06\0\0\0\0\0\0\0\x65\0\0\0\0\0\0\0\x0b\0\0\0\xdd\x01\0\0\
\x06\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x0e\0\0\0\xee\x01\0\0\x06\0\0\0\0\0\0\0\
\x7e\0\0\0\0\0\0\0\x0c\0\0\0\xff\x01\0\0\x06\0\0\0\0\0\0\0\x8a\0\0\0\0\0\0\0\
\x1d\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x10\x12\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x50\0\0\x01\x18\x11\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\x01\x1c\x11\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x40\0\0\x01\x24\x11\0\0\x04\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x08\0\0\x01\x2c\
\x11\0\0\x04\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x40\0\0\x01\x33\x11\0\0\x04\0\0\0\
\0\0\0\0\x90\0\0\0\0\0\0\0\x08\0\0\x01\x3a\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\x43\x11\0\0\x04\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x40\0\0\x01\x4b\
\x11\0\0\x04\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x08\0\0\x01\x53\x11\0\0\x04\0\0\0\
\0\0\0\0\xe0\0\0\0\0\0\0\0\x40\0\0\x01\x5c\x11\0\0\x04\0\0\0\0\0\0\x01\x20\0\0\
\0\0\0\0\0\x08\0\0\x01\x65\x11\0\0\x04\0\0\0\0\0\0\x01\x28\0\0\0\0\0\0\0\x40\0\
\0\x01\x6d\x11\0\0\x04\0\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\x08\0\0\x01\x75\x11\0\
\0\x04\0\0\0\0\0\0\x01\x70\0\0\0\0\0\0\0\x06\0\0\x01\x7e\x11\0\0\x04\0\0\0\0\0\
\0\x01\x78\0\0\0\0\0\0\0\x08\0\0\x01\x87\x11\0\0\x04\0\0\0\0\0\0\x01\x80\0\0\0\
\0\0\0\0\x0a\0\0\x01\x8f\x11\0\0\x04\0\0\0\0\0\0\x01\x90\0\0\0\0\0\0\0\x08\0\0\
\x01\x97\x11\0\0\x04\0\0\0\0\0\0\x01\x98\0\0\0\0\0\0\0\x40\0\0\x01\xa1\x11\0\0\
\x04\0\0\0\0\0\0\x01\xd8\0\0\0\0\0\0\0\x08\0\0\x01\xab\x11\0\0\x04\0\0\0\0\0\0\
\x01\xe0\0\0\0\0\0\0\0\x08\0\0\x01\xb5\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\xb4\x10\0\0\x7f\0\0\x01\x63\xa1\xff\xfc\0\0\0\0\xb7\x10\0\0\0\0\0\x01\
\x7b\xa1\xff\xf0\0\0\0\0\xb7\x60\0\0\0\0\0\0\x7b\xa6\xff\xe8\0\0\0\0\x85\0\0\0\
\0\0\0\x0e\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x5e\x10\0\
\x9d\0\0\0\0\x18\x10\0\0\xda\xbb\xad\0\0\0\0\0\0\0\0\0\x7b\xa1\xff\xd8\0\0\0\0\
\xb7\x10\0\0\0\0\x05\x39\x7b\xa1\xff\xd0\0\0\0\0\xb7\x10\0\0\xff\xf9\x86\xce\
\x7b\xa1\xff\xc8\0\0\0\0\xb7\x10\0\0\0\0\0\x96\x7b\xa1\xff\xc0\0\0\0\0\xb7\x10\
\0\0\0\0\0\x09\x7b\xa1\xff\xb8\0\0\0\0\xb7\x10\0\0\xff\xff\xff\xf8\x7b\xa1\xff\
\xb0\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xb0\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x40\x18\x30\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\
\xb4\x50\0\0\0\0\0\x30\x85\0\0\0\0\0\0\xa5\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x10\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xe8\x7b\xa1\
\xff\xb8\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xfc\x7b\xa1\xff\
\xb0\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xb0\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x40\x18\x30\0\0\0\0\0\x23\0\0\0\0\0\0\0\0\
\xb4\x50\0\0\0\0\0\x10\x85\0\0\0\0\0\0\xa5\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x10\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\xa1\xff\xc0\0\0\0\
\0\x7b\xa1\xff\xb8\0\0\0\0\x7b\xa1\xff\xb0\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\
\0\0\xff\xff\xff\xb0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x40\
\x18\x30\0\0\0\0\0\x2d\0\0\0\0\0\0\0\0\xb4\x50\0\0\0\0\0\x18\x85\0\0\0\0\0\0\
\xa5\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x10\0\0\0\0\0\0\x18\x10\0\0\x0a\
\xdd\x4e\x55\0\0\0\0\xff\xff\0\0\x7b\xa1\xff\xc0\0\0\0\0\x7b\xa1\xff\xb8\0\0\0\
\0\x7b\xa6\xff\xb0\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xb0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x40\x18\x30\0\0\0\0\0\x39\0\
\0\0\0\0\0\0\0\xb4\x50\0\0\0\0\0\x18\x85\0\0\0\0\0\0\xa5\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x7b\x10\0\0\0\0\0\0\x18\x10\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\x7b\
\xa1\xff\xe0\0\0\0\0\xb7\x10\0\0\0\0\0\x65\x7b\xa1\xff\xd8\0\0\0\0\xb7\x10\0\0\
\0\0\0\x64\x7b\xa1\xff\xd0\0\0\0\0\xb7\x10\0\0\0\0\0\x63\x7b\xa1\xff\xc8\0\0\0\
\0\xb7\x10\0\0\0\0\0\x62\x7b\xa1\xff\xc0\0\0\0\0\xb7\x10\0\0\0\0\0\x61\x7b\xa1\
\xff\xb8\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\xa1\xff\xb0\0\0\0\0\
\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xb0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb4\x20\0\0\0\0\0\x40\x18\x30\0\0\0\0\0\x44\0\0\0\0\0\0\0\0\xb4\x50\0\0\
\0\0\0\x38\x85\0\0\0\0\0\0\xa5\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x10\0\0\
\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xb0\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x06\x18\x30\0\0\0\0\0\x65\0\0\0\0\0\0\0\0\xbf\
\x46\0\0\0\0\0\0\xb4\x50\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa5\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x04\x7b\xa1\xff\xb8\0\0\0\
\0\x7b\xa1\xff\xb0\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xb0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x0a\x18\x30\0\0\0\0\0\x70\0\
\0\0\0\0\0\0\0\xb4\x50\0\0\0\0\0\x10\x85\0\0\0\0\0\0\xa5\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x7b\x10\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\
\0\0\0\0\0\x40\x18\x30\0\0\0\0\0\x7e\0\0\0\0\0\0\0\0\xbf\x46\0\0\0\0\0\0\xb4\
\x50\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa5\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\
\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x3c\x7b\xa1\xff\xb0\0\0\0\0\xbf\x4a\0\0\0\0\
\0\0\x07\x40\0\0\xff\xff\xff\xb0\xb7\x10\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\0\x18\
\x30\0\0\0\0\0\x8a\0\0\0\0\0\0\0\0\xb4\x50\0\0\0\0\0\x08\x85\0\0\0\0\0\0\xa5\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x10\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x73\x74\x72\x31\0\x6c\x6f\x6e\
\x67\x73\x74\x72\0\x25\x64\x20\x25\x75\x20\x25\x78\x20\x25\x6c\x69\x20\x25\x6c\
\x6c\x75\x20\x25\x6c\x58\0\x25\x70\x69\x34\x20\x25\x70\x49\x36\0\x25\x70\x73\
\x20\x25\x70\x53\x20\x25\x70\x42\0\x25\x70\x4b\x20\x25\x70\x78\x20\x25\x70\0\
\x25\x73\x20\x25\x20\x39\x63\x20\x25\x2b\x32\x63\x20\x25\x2d\x33\x63\x20\x25\
\x30\x34\x63\x20\x25\x30\x63\x20\x25\x2b\x30\x35\x73\0\x25\x25\x6f\x76\x65\x72\
\x66\x6c\x6f\x77\0\x25\x35\x64\x20\x25\x30\x39\x30\x30\x30\x30\x30\x58\0\x73\
\x69\x6d\x70\x6c\x65\x20\x63\x61\x73\x65\0\x6f\x6e\x6c\x79\x20\x69\x6e\x74\x65\
\x72\x65\x73\x74\x65\x64\x20\x69\x6e\x20\x6c\x65\x6e\x67\x74\x68\x20\x25\x64\0\
\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\
\xd0\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\0\xe8\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\x01\
\x08\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\x01\x60\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\
\x01\x78\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\x01\x98\0\0\0\x15\0\0\0\x01\0\0\0\0\0\
\0\x01\xb0\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\x01\xe8\0\0\0\x17\0\0\0\x01\0\0\0\0\
\0\0\x02\0\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\x02\x20\0\0\0\x18\0\0\0\x01\0\0\0\0\
\0\0\x02\x70\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\x02\x88\0\0\0\x0f\0\0\0\x01\0\0\0\
\0\0\0\x02\xa8\0\0\0\x1a\0\0\0\x01\0\0\0\0\0\0\x02\xc0\0\0\0\x0f\0\0\0\x01\0\0\
\0\0\0\0\x03\x28\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\x03\x50\0\0\0\x1b\0\0\0\x01\0\
\0\0\0\0\0\x03\x68\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\x03\x88\0\0\0\x1c\0\0\0\x01\
\0\0\0\0\0\0\x03\xb0\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\x03\xc8\0\0\0\x0f\0\0\0\
\x01\0\0\0\0\0\0\x03\xf0\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\x04\x30\0\0\0\x1f\0\0\
\0\x01\0\0\0\0\0\0\x04\x48\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\x04\x68\0\0\0\x20\0\
\0\0\x01\0\0\0\0\0\0\x04\x80\0\0\0\x21\0\0\0\x01\0\0\0\0\0\0\x04\x98\0\0\0\x0f\
\0\0\0\x01\0\0\0\0\0\0\x04\xc0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\x05\x08\0\0\0\
\x0f\0\0\0\x01\0\0\0\0\0\0\x05\x28\0\0\0\x23\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\
\0\0\0\0\0\0\x05\x6c\0\0\x05\x6c\0\0\x05\x6c\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\
\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x01\0\0\0\x01\0\0\0\
\x05\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x03\0\0\0\x11\
\x08\0\0\0\0\0\0\x07\0\0\0\x17\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x24\x0e\0\0\
\0\0\0\0\x06\0\0\0\x01\0\0\0\x28\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x0b\0\0\0\x40\0\0\0\x2d\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\0\x41\x0e\0\0\0\0\0\0\x0a\0\0\0\x01\0\0\0\x49\x01\0\0\0\0\0\0\x08\x01\
\0\0\x40\0\0\0\x4e\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\x56\x0e\0\0\0\0\0\0\x0a\
\0\0\0\x01\0\0\0\x5d\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\x64\x0e\0\0\0\0\0\0\
\x0a\0\0\0\x01\0\0\0\x6c\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\x74\x0e\0\0\0\0\0\
\0\x0a\0\0\0\x01\0\0\0\x7d\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\x86\x0e\0\0\0\0\
\0\0\x0a\0\0\0\x01\0\0\0\x8e\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x0b\0\0\0\x06\0\0\0\x96\x0e\0\0\0\0\0\0\x17\0\0\0\x01\0\
\0\0\x9f\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x0b\0\0\0\x0a\0\0\0\xa8\x0e\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\xb0\x0e\0\0\0\0\
\0\0\x0d\0\0\0\x01\0\0\0\xb8\x0e\0\0\0\0\0\0\x0a\0\0\0\x01\0\0\0\xc2\x0e\0\0\0\
\0\0\0\x0d\0\0\0\x01\0\0\0\xcc\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\x0a\0\0\0\
\0\0\0\x09\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x0b\0\0\0\x05\0\0\0\xd6\
\x0e\0\0\0\0\0\0\x21\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x0b\0\0\
\0\x08\0\0\0\xe3\x0e\0\0\0\0\0\0\x23\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x20\0\0\0\x0b\0\0\0\x16\0\0\0\xf3\x0e\0\0\0\0\0\0\x25\0\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\x20\0\0\0\x0b\0\0\0\x0a\0\0\x01\x02\x0e\0\0\0\0\0\0\x27\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x0b\0\0\0\x0c\0\0\x01\x13\x0e\0\0\
\0\0\0\0\x29\0\0\0\0\0\0\x01\x24\x0e\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\x20\0\0\0\x0b\0\0\0\x0b\0\0\x01\x2d\x0e\0\0\0\0\0\0\x2c\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x0b\0\0\0\x21\0\0\x01\x3e\x0e\0\0\
\0\0\0\0\x2e\0\0\0\0\0\0\x01\x4f\x0e\0\0\0\0\0\0\x2c\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\x20\0\0\0\x0b\0\0\0\x0e\0\0\x01\x60\x0e\0\0\0\0\0\0\x31\0\0\0\0\
\0\0\x01\x71\x0e\0\0\0\0\0\0\x29\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x20\0\
\0\0\x0b\0\0\0\x1d\0\0\x01\x82\x0e\0\0\0\0\0\0\x34\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x0b\0\0\0\x04\0\0\x01\x93\x0e\0\0\0\0\0\0\x36\0\0\0\x01\
\0\0\x05\x3f\x0f\0\0\x12\0\0\x01\xe8\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\
\0\x04\0\0\0\x40\0\0\0\x0e\0\0\0\x48\0\0\0\x08\0\0\0\x0f\0\0\0\x50\0\0\0\x40\0\
\0\0\x10\0\0\0\x90\0\0\0\x08\0\0\0\x11\0\0\0\x98\0\0\0\x40\0\0\0\x12\0\0\0\xd8\
\0\0\0\x08\0\0\0\x13\0\0\0\xe0\0\0\0\x40\0\0\0\x14\0\0\x01\x20\0\0\0\x08\0\0\0\
\x15\0\0\x01\x28\0\0\0\x40\0\0\0\x16\0\0\x01\x68\0\0\0\x08\0\0\0\x18\0\0\x01\
\x70\0\0\0\x06\0\0\0\x19\0\0\x01\x78\0\0\0\x08\0\0\0\x1b\0\0\x01\x80\0\0\0\x0a\
\0\0\0\x1c\0\0\x01\x90\0\0\0\x08\0\0\0\x1d\0\0\x01\x98\0\0\0\x40\0\0\0\x1e\0\0\
\x01\xd8\0\0\0\x08\0\0\0\x1f\0\0\x01\xe0\0\0\0\x08\0\0\x05\x44\x0f\0\0\x0b\0\0\
\0\xa7\0\0\0\x22\0\0\0\0\0\0\0\x05\0\0\0\x24\0\0\0\x05\0\0\0\x08\0\0\0\x26\0\0\
\0\x0d\0\0\0\x16\0\0\0\x28\0\0\0\x23\0\0\0\x0a\0\0\0\x2a\0\0\0\x2d\0\0\0\x0c\0\
\0\0\x2d\0\0\0\x39\0\0\0\x0b\0\0\0\x2f\0\0\0\x44\0\0\0\x21\0\0\0\x30\0\0\0\x65\
\0\0\0\x0b\0\0\0\x32\0\0\0\x70\0\0\0\x0e\0\0\0\x33\0\0\0\x7e\0\0\0\x0c\0\0\0\
\x35\0\0\0\x8a\0\0\0\x1d\0\0\x05\x4c\x0f\0\0\x01\0\0\0\x04\0\0\0\x37\0\0\0\0\0\
\0\0\x04\0\0\x05\x54\x0f\0\0\x01\0\0\0\0\0\0\0\x2b\0\0\0\0\0\0\0\x01\0\x63\x74\
\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x72\0\x5f\x5f\x75\x33\x32\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x70\x69\x64\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x6e\x75\x6d\x5f\x6f\x75\x74\0\x6c\x6f\x6e\x67\0\x6e\x75\x6d\x5f\x72\x65\x74\0\
\x69\x70\x5f\x6f\x75\x74\0\x69\x70\x5f\x72\x65\x74\0\x73\x79\x6d\x5f\x6f\x75\
\x74\0\x73\x79\x6d\x5f\x72\x65\x74\0\x61\x64\x64\x72\x5f\x6f\x75\x74\0\x61\x64\
\x64\x72\x5f\x72\x65\x74\0\x73\x74\x72\x5f\x6f\x75\x74\0\x73\x74\x72\x5f\x72\
\x65\x74\0\x6f\x76\x65\x72\x5f\x6f\x75\x74\0\x6f\x76\x65\x72\x5f\x72\x65\x74\0\
\x70\x61\x64\x5f\x6f\x75\x74\0\x70\x61\x64\x5f\x72\x65\x74\0\x6e\x6f\x61\x72\
\x67\x5f\x6f\x75\x74\0\x6e\x6f\x61\x72\x67\x5f\x72\x65\x74\0\x6e\x6f\x62\x75\
\x66\x5f\x72\x65\x74\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x73\x74\x72\x31\0\x68\
\x61\x6e\x64\x6c\x65\x72\x2e\x6c\x6f\x6e\x67\x73\x74\x72\0\x68\x61\x6e\x64\x6c\
\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\
\x5f\x66\x6d\x74\x2e\x31\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\
\x74\x2e\x32\0\x73\x63\x68\x65\x64\x75\x6c\x65\0\x68\x61\x6e\x64\x6c\x65\x72\
\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x33\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\
\x5f\x66\x6d\x74\x2e\x34\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\
\x74\x2e\x35\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x36\
\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x37\0\x68\x61\
\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x38\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\
\x6e\x70\x72\x69\x6e\x74\x66\x2e\x63\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\
\x72\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\
\x63\x6f\x6e\x73\x74\x20\x5f\x5f\x75\x38\x20\x65\x78\x5f\x69\x70\x76\x34\x5b\
\x5d\x20\x3d\x20\x7b\x31\x32\x37\x2c\x20\x30\x2c\x20\x30\x2c\x20\x31\x7d\x3b\0\
\x09\x63\x6f\x6e\x73\x74\x20\x5f\x5f\x75\x38\x20\x65\x78\x5f\x69\x70\x76\x36\
\x5b\x5d\x20\x3d\x20\x7b\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\
\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\
\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x31\x7d\x3b\0\x09\x69\x66\
\x20\x28\x28\x69\x6e\x74\x29\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\
\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x21\x3d\x20\x70\
\x69\x64\x29\0\x09\x6e\x75\x6d\x5f\x72\x65\x74\x20\x20\x3d\x20\x42\x50\x46\x5f\
\x53\x4e\x50\x52\x49\x4e\x54\x46\x28\x6e\x75\x6d\x5f\x6f\x75\x74\x2c\x20\x73\
\x69\x7a\x65\x6f\x66\x28\x6e\x75\x6d\x5f\x6f\x75\x74\x29\x2c\0\x09\x69\x70\x5f\
\x72\x65\x74\x20\x20\x20\x3d\x20\x42\x50\x46\x5f\x53\x4e\x50\x52\x49\x4e\x54\
\x46\x28\x69\x70\x5f\x6f\x75\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\x70\
\x5f\x6f\x75\x74\x29\x2c\x20\x22\x25\x70\x69\x34\x20\x25\x70\x49\x36\x22\x2c\0\
\x09\x73\x79\x6d\x5f\x72\x65\x74\x20\x20\x3d\x20\x42\x50\x46\x5f\x53\x4e\x50\
\x52\x49\x4e\x54\x46\x28\x73\x79\x6d\x5f\x6f\x75\x74\x2c\x20\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x73\x79\x6d\x5f\x6f\x75\x74\x29\x2c\x20\x22\x25\x70\x73\x20\
\x25\x70\x53\x20\x25\x70\x42\x22\x2c\0\x09\x61\x64\x64\x72\x5f\x72\x65\x74\x20\
\x3d\x20\x42\x50\x46\x5f\x53\x4e\x50\x52\x49\x4e\x54\x46\x28\x61\x64\x64\x72\
\x5f\x6f\x75\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x61\x64\x64\x72\x5f\x6f\
\x75\x74\x29\x2c\x20\x22\x25\x70\x4b\x20\x25\x70\x78\x20\x25\x70\x22\x2c\0\x09\
\x73\x74\x72\x5f\x72\x65\x74\x20\x20\x3d\x20\x42\x50\x46\x5f\x53\x4e\x50\x52\
\x49\x4e\x54\x46\x28\x73\x74\x72\x5f\x6f\x75\x74\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x73\x74\x72\x5f\x6f\x75\x74\x29\x2c\x20\x22\x25\x73\x20\x25\x20\x39\
\x63\x20\x25\x2b\x32\x63\x20\x25\x2d\x33\x63\x20\x25\x30\x34\x63\x20\x25\x30\
\x63\x20\x25\x2b\x30\x35\x73\x22\x2c\0\x09\x6f\x76\x65\x72\x5f\x72\x65\x74\x20\
\x3d\x20\x42\x50\x46\x5f\x53\x4e\x50\x52\x49\x4e\x54\x46\x28\x6f\x76\x65\x72\
\x5f\x6f\x75\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6f\x76\x65\x72\x5f\x6f\
\x75\x74\x29\x2c\x20\x22\x25\x25\x6f\x76\x65\x72\x66\x6c\x6f\x77\x22\x29\x3b\0\
\x09\x70\x61\x64\x5f\x72\x65\x74\x20\x3d\x20\x42\x50\x46\x5f\x53\x4e\x50\x52\
\x49\x4e\x54\x46\x28\x70\x61\x64\x5f\x6f\x75\x74\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x70\x61\x64\x5f\x6f\x75\x74\x29\x2c\x20\x22\x25\x35\x64\x20\x25\x30\
\x39\x30\x30\x30\x30\x30\x58\x22\x2c\x20\x34\x2c\x20\x34\x29\x3b\0\x09\x6e\x6f\
\x61\x72\x67\x5f\x72\x65\x74\x20\x3d\x20\x42\x50\x46\x5f\x53\x4e\x50\x52\x49\
\x4e\x54\x46\x28\x6e\x6f\x61\x72\x67\x5f\x6f\x75\x74\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x6e\x6f\x61\x72\x67\x5f\x6f\x75\x74\x29\x2c\x20\x22\x73\x69\x6d\
\x70\x6c\x65\x20\x63\x61\x73\x65\x22\x29\x3b\0\x09\x6e\x6f\x62\x75\x66\x5f\x72\
\x65\x74\x20\x3d\x20\x42\x50\x46\x5f\x53\x4e\x50\x52\x49\x4e\x54\x46\x28\x4e\
\x55\x4c\x4c\x2c\x20\x30\x2c\x20\x22\x6f\x6e\x6c\x79\x20\x69\x6e\x74\x65\x72\
\x65\x73\x74\x65\x64\x20\x69\x6e\x20\x6c\x65\x6e\x67\x74\x68\x20\x25\x64\x22\
\x2c\x20\x36\x30\x29\x3b\0\x7d\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x72\x61\x77\x5f\x74\
\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\
\0\0\0\x14\0\0\0\x14\0\0\x02\x9c\0\0\x02\xb0\0\0\0\0\0\0\0\x08\0\0\x05\x5b\0\0\
\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\x05\x5b\0\0\0\x29\0\0\0\0\0\0\x01\x9c\0\
\0\x02\x15\0\0\x98\0\0\0\0\x08\0\0\x01\x9c\0\0\x02\x32\0\0\xa4\x0d\0\0\0\x18\0\
\0\x01\x9c\0\0\x02\x5a\0\0\xa8\x0d\0\0\0\x30\0\0\x01\x9c\0\0\x02\xa4\0\0\xb8\
\x0b\0\0\0\x38\0\0\x01\x9c\0\0\x02\xa4\0\0\xb8\x29\0\0\0\x50\0\0\x01\x9c\0\0\
\x02\xa4\0\0\xb8\x06\0\0\0\x68\0\0\x01\x9c\0\0\x02\xd1\0\0\xc8\x0d\0\0\x01\x08\
\0\0\x01\x9c\0\0\x02\xd1\0\0\xc8\x0b\0\0\x01\x28\0\0\x01\x9c\0\0\x02\xd1\0\0\
\xc8\x0d\0\0\x01\x30\0\0\x01\x9c\0\0\x03\x04\0\0\xd8\x0d\0\0\x01\x40\0\0\x01\
\x9c\0\0\x02\xd1\0\0\xc8\x0d\0\0\x01\x48\0\0\x01\x9c\0\0\x03\x04\0\0\xd8\x0d\0\
\0\x01\x58\0\0\x01\x9c\0\0\x02\xd1\0\0\xc8\x0d\0\0\x01\x60\0\0\x01\x9c\0\0\x03\
\x04\0\0\xd8\x0d\0\0\x01\x98\0\0\x01\x9c\0\0\x03\x04\0\0\xd8\x0b\0\0\x01\xb0\0\
\0\x01\x9c\0\0\x03\x42\0\0\xe4\x0d\0\0\x01\xe0\0\0\x01\x9c\0\0\x02\xd1\0\0\xc8\
\x0d\0\0\x01\xe8\0\0\x01\x9c\0\0\x03\x42\0\0\xe4\x0d\0\0\x02\x20\0\0\x01\x9c\0\
\0\x03\x42\0\0\xe4\x0b\0\0\x02\x48\0\0\x01\x9c\0\0\x03\x85\0\0\xf0\x0d\0\0\x02\
\x68\0\0\x01\x9c\0\0\x02\xd1\0\0\xc8\x0d\0\0\x02\x70\0\0\x01\x9c\0\0\x03\x85\0\
\0\xf0\x0d\0\0\x02\xa8\0\0\x01\x9c\0\0\x03\x85\0\0\xf0\x0b\0\0\x02\xc0\0\0\x01\
\x9c\0\0\x03\xc8\0\0\xfc\x0d\0\0\x03\x48\0\0\x01\x9c\0\0\x02\xd1\0\0\xc8\x0d\0\
\0\x03\x50\0\0\x01\x9c\0\0\x03\xc8\0\0\xfc\x0d\0\0\x03\x88\0\0\x01\x9c\0\0\x03\
\xc8\0\0\xfc\x0b\0\0\x03\xa8\0\0\x01\x9c\0\0\x02\xd1\0\0\xc8\x0d\0\0\x03\xb0\0\
\0\x01\x9c\0\0\x04\x1f\0\x01\x08\x0d\0\0\x03\xf0\0\0\x01\x9c\0\0\x04\x1f\0\x01\
\x08\x0b\0\0\x04\x10\0\0\x01\x9c\0\0\x04\x63\0\x01\x10\x0c\0\0\x04\x28\0\0\x01\
\x9c\0\0\x02\xd1\0\0\xc8\x0d\0\0\x04\x30\0\0\x01\x9c\0\0\x04\x63\0\x01\x10\x0c\
\0\0\x04\x68\0\0\x01\x9c\0\0\x04\x63\0\x01\x10\x0a\0\0\x04\x80\0\0\x01\x9c\0\0\
\x04\xad\0\x01\x18\x0e\0\0\x04\xc0\0\0\x01\x9c\0\0\x04\xad\0\x01\x18\x0c\0\0\
\x04\xe0\0\0\x01\x9c\0\0\x04\xf5\0\x01\x20\x0e\0\0\x04\xf0\0\0\x01\x9c\0\0\x02\
\xd1\0\0\xc8\x0d\0\0\x04\xf8\0\0\x01\x9c\0\0\x04\xf5\0\x01\x20\x0e\0\0\x05\x28\
\0\0\x01\x9c\0\0\x04\xf5\0\x01\x20\x0c\0\0\x05\x40\0\0\x01\x9c\0\0\x05\x3d\0\
\x01\x2c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\xe1\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x28\0\0\0\0\0\0\x03\x78\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xa0\0\0\0\0\0\0\x05\x50\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x0a\xf0\0\0\0\0\0\0\x01\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x0a\xf0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x10\0\0\0\x35\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\
\0\0\0\0\0\0\xa7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x3d\0\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xa7\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x01\xbe\0\0\0\x09\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xb0\0\0\0\0\0\0\x01\xe0\0\0\0\
\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\xd3\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x90\0\0\0\0\0\0\x0a\xf0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\xd8\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x80\0\0\0\0\0\0\x02\xd0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_snprintf *test_snprintf::open(const struct bpf_object_open_opts *opts) { return test_snprintf__open_opts(opts); }
struct test_snprintf *test_snprintf::open_and_load() { return test_snprintf__open_and_load(); }
int test_snprintf::load(struct test_snprintf *skel) { return test_snprintf__load(skel); }
int test_snprintf::attach(struct test_snprintf *skel) { return test_snprintf__attach(skel); }
void test_snprintf::detach(struct test_snprintf *skel) { test_snprintf__detach(skel); }
void test_snprintf::destroy(struct test_snprintf *skel) { test_snprintf__destroy(skel); }
const void *test_snprintf::elf_bytes(size_t *sz) { return test_snprintf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_snprintf__assert(struct test_snprintf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->num_out) == 64, "unexpected size of 'num_out'");
	_Static_assert(sizeof(s->bss->num_ret) == 8, "unexpected size of 'num_ret'");
	_Static_assert(sizeof(s->bss->ip_out) == 64, "unexpected size of 'ip_out'");
	_Static_assert(sizeof(s->bss->ip_ret) == 8, "unexpected size of 'ip_ret'");
	_Static_assert(sizeof(s->bss->sym_out) == 64, "unexpected size of 'sym_out'");
	_Static_assert(sizeof(s->bss->sym_ret) == 8, "unexpected size of 'sym_ret'");
	_Static_assert(sizeof(s->bss->addr_out) == 64, "unexpected size of 'addr_out'");
	_Static_assert(sizeof(s->bss->addr_ret) == 8, "unexpected size of 'addr_ret'");
	_Static_assert(sizeof(s->bss->str_out) == 64, "unexpected size of 'str_out'");
	_Static_assert(sizeof(s->bss->str_ret) == 8, "unexpected size of 'str_ret'");
	_Static_assert(sizeof(s->bss->over_out) == 6, "unexpected size of 'over_out'");
	_Static_assert(sizeof(s->bss->over_ret) == 8, "unexpected size of 'over_ret'");
	_Static_assert(sizeof(s->bss->pad_out) == 10, "unexpected size of 'pad_out'");
	_Static_assert(sizeof(s->bss->pad_ret) == 8, "unexpected size of 'pad_ret'");
	_Static_assert(sizeof(s->bss->noarg_out) == 64, "unexpected size of 'noarg_out'");
	_Static_assert(sizeof(s->bss->noarg_ret) == 8, "unexpected size of 'noarg_ret'");
	_Static_assert(sizeof(s->bss->nobuf_ret) == 8, "unexpected size of 'nobuf_ret'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SNPRINTF_SKEL_H__ */
