/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_SUBPROGS_UNUSED_SKEL_H__
#define __TEST_SUBPROGS_UNUSED_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_subprogs_unused {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *main_prog;
	} progs;
	struct {
		struct bpf_link *main_prog;
	} links;

#ifdef __cplusplus
	static inline struct test_subprogs_unused *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_subprogs_unused *open_and_load();
	static inline int load(struct test_subprogs_unused *skel);
	static inline int attach(struct test_subprogs_unused *skel);
	static inline void detach(struct test_subprogs_unused *skel);
	static inline void destroy(struct test_subprogs_unused *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_subprogs_unused__destroy(struct test_subprogs_unused *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_subprogs_unused__create_skeleton(struct test_subprogs_unused *obj);

static inline struct test_subprogs_unused *
test_subprogs_unused__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_subprogs_unused *obj;
	int err;

	obj = (struct test_subprogs_unused *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_subprogs_unused__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_subprogs_unused__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_subprogs_unused *
test_subprogs_unused__open(void)
{
	return test_subprogs_unused__open_opts(NULL);
}

static inline int
test_subprogs_unused__load(struct test_subprogs_unused *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_subprogs_unused *
test_subprogs_unused__open_and_load(void)
{
	struct test_subprogs_unused *obj;
	int err;

	obj = test_subprogs_unused__open();
	if (!obj)
		return NULL;
	err = test_subprogs_unused__load(obj);
	if (err) {
		test_subprogs_unused__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_subprogs_unused__attach(struct test_subprogs_unused *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_subprogs_unused__detach(struct test_subprogs_unused *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_subprogs_unused__elf_bytes(size_t *sz);

static inline int
test_subprogs_unused__create_skeleton(struct test_subprogs_unused *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_subprogs_unused";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "main_prog";
	s->progs[0].prog = &obj->progs.main_prog;
	s->progs[0].link = &obj->links.main_prog;

	s->data = (void *)test_subprogs_unused__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_subprogs_unused__elf_bytes(size_t *sz)
{
	*sz = 1584;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x30\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x73\x75\x62\x70\x72\x6f\x67\
\x73\x5f\x75\x6e\x75\x73\x65\x64\x2e\x63\0\x75\x6e\x75\x73\x65\x64\x31\0\x6d\
\x61\x69\x6e\x5f\x70\x72\x6f\x67\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x30\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x47\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\
\0\x4f\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x59\x11\0\0\x05\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbc\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\x01\x95\0\0\
\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\xeb\x9f\
\x01\0\0\0\0\x18\0\0\0\0\0\0\0\xc8\0\0\0\xc8\0\0\x01\x2d\0\0\0\x01\x01\0\0\0\0\
\0\0\x04\x01\0\0\x20\0\0\0\0\x0d\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\x01\0\0\0\
\x07\x0c\0\0\x01\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\
\x01\0\0\0\x0f\0\0\0\x04\0\0\0\x13\x0c\0\0\x01\0\0\0\x05\0\0\0\0\x0a\0\0\0\0\0\
\0\x08\0\0\0\x1d\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x07\0\0\0\x0a\0\0\0\x04\0\0\0\x22\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x36\
\x0e\0\0\0\0\0\0\x09\0\0\0\x01\0\0\x01\x0e\x0f\0\0\x01\0\0\0\x04\0\0\0\x0b\0\0\
\0\0\0\0\0\x04\0\x69\x6e\x74\0\x78\0\x75\x6e\x75\x73\x65\x64\x31\0\x63\x74\x78\
\0\x6d\x61\x69\x6e\x5f\x70\x72\x6f\x67\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x4c\x49\x43\x45\x4e\
\x53\x45\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x75\
\x62\x70\x72\x6f\x67\x73\x5f\x75\x6e\x75\x73\x65\x64\x2e\x63\0\x5f\x5f\x61\x74\
\x74\x72\x69\x62\x75\x74\x65\x5f\x5f\x28\x28\x75\x6e\x75\x73\x65\x64\x29\x29\
\x20\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\x20\x75\x6e\x75\
\x73\x65\x64\x31\x28\x69\x6e\x74\x20\x78\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x78\x20\x2b\x20\x31\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x72\x61\x77\x5f\x74\x70\x2f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\
\x24\0\0\0\x24\0\0\0\x54\0\0\0\x78\0\0\0\0\0\0\0\x08\0\0\x01\x16\0\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\x01\x1c\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x10\0\0\x01\x16\0\
\0\0\x03\0\0\0\0\0\0\0\x3e\0\0\0\xbe\0\0\x1c\0\0\0\0\x08\0\0\0\x3e\0\0\0\xf4\0\
\0\x24\x0b\0\0\0\x10\0\0\0\x3e\0\0\0\xf4\0\0\x24\x02\0\0\x01\x1c\0\0\0\x01\0\0\
\0\0\0\0\0\x3e\0\0\x01\x03\0\0\x50\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x6f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\
\xa8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x58\0\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x70\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\x80\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\x88\0\0\0\0\0\0\x02\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\x66\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x98\0\0\
\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_subprogs_unused *test_subprogs_unused::open(const struct bpf_object_open_opts *opts) { return test_subprogs_unused__open_opts(opts); }
struct test_subprogs_unused *test_subprogs_unused::open_and_load() { return test_subprogs_unused__open_and_load(); }
int test_subprogs_unused::load(struct test_subprogs_unused *skel) { return test_subprogs_unused__load(skel); }
int test_subprogs_unused::attach(struct test_subprogs_unused *skel) { return test_subprogs_unused__attach(skel); }
void test_subprogs_unused::detach(struct test_subprogs_unused *skel) { test_subprogs_unused__detach(skel); }
void test_subprogs_unused::destroy(struct test_subprogs_unused *skel) { test_subprogs_unused__destroy(skel); }
const void *test_subprogs_unused::elf_bytes(size_t *sz) { return test_subprogs_unused__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_subprogs_unused__assert(struct test_subprogs_unused *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SUBPROGS_UNUSED_SKEL_H__ */
