/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_TC_NEIGH_SKEL_H__
#define __TEST_TC_NEIGH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_tc_neigh {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *tc_chk;
		struct bpf_program *tc_dst;
		struct bpf_program *tc_src;
	} progs;
	struct {
		struct bpf_link *tc_chk;
		struct bpf_link *tc_dst;
		struct bpf_link *tc_src;
	} links;
	struct test_tc_neigh__rodata {
		__u32 IFINDEX_SRC;
		__u32 IFINDEX_DST;
	} *rodata;

#ifdef __cplusplus
	static inline struct test_tc_neigh *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_tc_neigh *open_and_load();
	static inline int load(struct test_tc_neigh *skel);
	static inline int attach(struct test_tc_neigh *skel);
	static inline void detach(struct test_tc_neigh *skel);
	static inline void destroy(struct test_tc_neigh *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_tc_neigh__destroy(struct test_tc_neigh *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_tc_neigh__create_skeleton(struct test_tc_neigh *obj);

static inline struct test_tc_neigh *
test_tc_neigh__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_tc_neigh *obj;
	int err;

	obj = (struct test_tc_neigh *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_tc_neigh__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_tc_neigh__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_tc_neigh *
test_tc_neigh__open(void)
{
	return test_tc_neigh__open_opts(NULL);
}

static inline int
test_tc_neigh__load(struct test_tc_neigh *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_tc_neigh *
test_tc_neigh__open_and_load(void)
{
	struct test_tc_neigh *obj;
	int err;

	obj = test_tc_neigh__open();
	if (!obj)
		return NULL;
	err = test_tc_neigh__load(obj);
	if (err) {
		test_tc_neigh__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_tc_neigh__attach(struct test_tc_neigh *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_tc_neigh__detach(struct test_tc_neigh *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_tc_neigh__elf_bytes(size_t *sz);

static inline int
test_tc_neigh__create_skeleton(struct test_tc_neigh *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_tc_neigh";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_tc_.rodata";
	s->maps[0].map = &obj->maps.rodata;
	s->maps[0].mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "tc_chk";
	s->progs[0].prog = &obj->progs.tc_chk;
	s->progs[0].link = &obj->links.tc_chk;

	s->progs[1].name = "tc_dst";
	s->progs[1].prog = &obj->progs.tc_dst;
	s->progs[1].link = &obj->links.tc_dst;

	s->progs[2].name = "tc_src";
	s->progs[2].prog = &obj->progs.tc_src;
	s->progs[2].link = &obj->links.tc_src;

	s->data = (void *)test_tc_neigh__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_tc_neigh__elf_bytes(size_t *sz)
{
	*sz = 5376;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\xc0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\
\x5f\x74\x63\x5f\x6e\x65\x69\x67\x68\x2e\x63\0\x4c\x42\x42\x30\x5f\x36\0\x4c\
\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x31\x5f\x35\0\x4c\x42\x42\x31\x5f\x31\x33\0\
\x4c\x42\x42\x31\x5f\x31\x31\0\x4c\x42\x42\x32\x5f\x35\0\x4c\x42\x42\x32\x5f\
\x31\x33\0\x4c\x42\x42\x32\x5f\x31\x31\0\x74\x63\x5f\x63\x68\x6b\0\x74\x63\x5f\
\x64\x73\x74\0\x49\x46\x49\x4e\x44\x45\x58\x5f\x53\x52\x43\0\x74\x63\x5f\x73\
\x72\x63\0\x49\x46\x49\x4e\x44\x45\x58\x5f\x44\x53\x54\0\x5f\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x24\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\0\0\0\x03\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\
\0\0\0\0\x3b\0\0\0\x03\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x03\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x03\0\0\0\0\0\0\x02\x20\0\0\0\
\0\0\0\0\0\0\0\0\x51\0\0\0\x03\0\0\0\0\0\0\x01\x80\0\0\0\0\0\0\0\0\0\0\0\x59\0\
\0\0\x03\0\0\0\0\0\0\x02\xa0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x03\0\0\0\0\0\0\
\x03\xc0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\x03\0\0\0\0\0\0\x03\x20\0\0\0\0\0\0\0\
\0\0\0\0\x70\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x77\x12\0\0\
\x03\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\x01\xa0\0\0\0\x7e\x11\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\x8a\x12\0\0\x03\0\0\0\0\0\0\x02\x28\0\0\0\0\0\0\x01\
\xa0\0\0\0\x91\x11\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\x9d\x11\0\
\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb4\0\0\0\0\0\0\x02\x61\x21\0\x50\0\0\
\0\0\x61\x11\0\x4c\0\0\0\0\xbf\x31\0\0\0\0\0\0\x07\x30\0\0\0\0\0\x0e\x2d\x32\0\
\x0a\0\0\0\0\xb4\0\0\0\0\0\0\0\x61\x21\0\0\0\0\0\0\x56\x20\0\x07\0\0\0\0\x61\
\x21\0\x04\0\0\0\0\x56\x20\0\x05\0\0\0\0\x61\x11\0\x08\0\0\0\0\xb4\0\0\0\0\0\0\
\x01\x16\x10\0\x01\0\0\0\0\xb4\0\0\0\0\0\0\0\x64\0\0\0\0\0\0\x01\x95\0\0\0\0\0\
\0\0\xb4\0\0\0\0\0\0\0\x61\x21\0\x10\0\0\0\0\x16\x20\0\x0c\0\0\x86\xdd\x56\x20\
\0\x2f\0\0\x08\0\x61\x21\0\x4c\0\0\0\0\x61\x31\0\x50\0\0\0\0\xbf\x42\0\0\0\0\0\
\0\x07\x40\0\0\0\0\0\x0e\x2d\x43\0\x2a\0\0\0\0\xbf\x42\0\0\0\0\0\0\x07\x40\0\0\
\0\0\0\x22\x2d\x43\0\x27\0\0\0\0\x61\x22\0\x1e\0\0\0\0\x16\x20\0\x11\xac\x10\
\x01\x64\x05\0\0\x24\0\0\0\0\x61\x21\0\x4c\0\0\0\0\x61\x31\0\x50\0\0\0\0\xbf\
\x42\0\0\0\0\0\0\x07\x40\0\0\0\0\0\x0e\x2d\x43\0\x1f\0\0\0\0\xbf\x42\0\0\0\0\0\
\0\x07\x40\0\0\0\0\0\x36\x2d\x43\0\x1c\0\0\0\0\x61\x32\0\x26\0\0\0\0\x56\x30\0\
\x1a\0\0\0\0\x61\x32\0\x2a\0\0\0\0\x56\x30\0\x18\0\0\0\0\x61\x32\0\x2e\0\0\0\0\
\x56\x30\0\x16\0\x01\xde\xad\x61\x22\0\x32\0\0\0\0\x56\x20\0\x14\xbe\xef\xca\
\xfe\xb4\x20\0\0\0\0\0\0\x63\xa2\xff\xf8\0\0\0\0\xb7\x20\0\0\0\0\0\0\x7b\xa2\
\xff\xf0\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf0\xb4\x20\0\0\0\
\0\0\0\xb4\x40\0\0\0\0\0\x0c\xb7\x50\0\0\0\0\0\0\x85\0\0\0\0\0\0\x09\xbf\x10\0\
\0\0\0\0\0\xb4\0\0\0\0\0\0\x02\xc5\x10\0\x07\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x11\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb4\x30\0\0\0\0\0\0\xb7\x40\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\x98\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x61\x21\0\
\x10\0\0\0\0\x16\x20\0\x0c\0\0\x86\xdd\x56\x20\0\x2f\0\0\x08\0\x61\x21\0\x4c\0\
\0\0\0\x61\x31\0\x50\0\0\0\0\xbf\x42\0\0\0\0\0\0\x07\x40\0\0\0\0\0\x0e\x2d\x43\
\0\x2a\0\0\0\0\xbf\x42\0\0\0\0\0\0\x07\x40\0\0\0\0\0\x22\x2d\x43\0\x27\0\0\0\0\
\x61\x22\0\x1e\0\0\0\0\x16\x20\0\x11\xac\x10\x02\x64\x05\0\0\x24\0\0\0\0\x61\
\x21\0\x4c\0\0\0\0\x61\x31\0\x50\0\0\0\0\xbf\x42\0\0\0\0\0\0\x07\x40\0\0\0\0\0\
\x0e\x2d\x43\0\x1f\0\0\0\0\xbf\x42\0\0\0\0\0\0\x07\x40\0\0\0\0\0\x36\x2d\x43\0\
\x1c\0\0\0\0\x61\x32\0\x26\0\0\0\0\x56\x30\0\x1a\0\0\0\0\x61\x32\0\x2a\0\0\0\0\
\x56\x30\0\x18\0\0\0\0\x61\x32\0\x2e\0\0\0\0\x56\x30\0\x16\0\x02\xde\xad\x61\
\x22\0\x32\0\0\0\0\x56\x20\0\x14\xbe\xef\xca\xfe\xb4\x20\0\0\0\0\0\0\x63\xa2\
\xff\xf8\0\0\0\0\xb7\x20\0\0\0\0\0\0\x7b\xa2\xff\xf0\0\0\0\0\xbf\x3a\0\0\0\0\0\
\0\x07\x30\0\0\xff\xff\xff\xf0\xb4\x20\0\0\0\0\0\0\xb4\x40\0\0\0\0\0\x0c\xb7\
\x50\0\0\0\0\0\0\x85\0\0\0\0\0\0\x09\xbf\x10\0\0\0\0\0\0\xb4\0\0\0\0\0\0\x02\
\xc5\x10\0\x07\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\xb7\x20\0\0\0\0\0\0\xb4\x30\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x98\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\x01\
\xe8\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\x03\x88\0\0\0\x0f\0\0\0\x01\xeb\x9f\x01\0\
\0\0\0\x18\0\0\0\0\0\0\x03\x98\0\0\x03\x98\0\0\x04\xda\0\0\0\0\x02\0\0\0\0\0\0\
\x02\0\0\0\x01\x04\0\0\x22\0\0\0\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\
\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\
\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\
\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\x01\0\0\0\0\
\x5e\0\0\0\x03\0\0\x01\x20\0\0\0\x6e\0\0\0\x03\0\0\x01\x40\0\0\0\x76\0\0\0\x03\
\0\0\x01\x60\0\0\0\x7f\0\0\0\x05\0\0\x01\x80\0\0\0\x82\0\0\0\x03\0\0\x02\x20\0\
\0\0\x87\0\0\0\x03\0\0\x02\x40\0\0\0\x92\0\0\0\x03\0\0\x02\x60\0\0\0\x97\0\0\0\
\x03\0\0\x02\x80\0\0\0\xa0\0\0\0\x03\0\0\x02\xa0\0\0\0\xa8\0\0\0\x03\0\0\x02\
\xc0\0\0\0\xaf\0\0\0\x03\0\0\x02\xe0\0\0\0\xba\0\0\0\x03\0\0\x03\0\0\0\0\xc4\0\
\0\0\x07\0\0\x03\x20\0\0\0\xcf\0\0\0\x07\0\0\x03\xa0\0\0\0\xd9\0\0\0\x03\0\0\
\x04\x20\0\0\0\xe5\0\0\0\x03\0\0\x04\x40\0\0\0\xf0\0\0\0\x03\0\0\x04\x60\0\0\0\
\0\0\0\0\x08\0\0\x04\x80\0\0\0\xfa\0\0\0\x0a\0\0\x04\xc0\0\0\x01\x01\0\0\0\x03\
\0\0\x05\0\0\0\x01\x0a\0\0\0\x03\0\0\x05\x20\0\0\0\0\0\0\0\x0c\0\0\x05\x40\0\0\
\x01\x13\0\0\0\x03\0\0\x05\x80\0\0\x01\x1c\0\0\0\x0e\0\0\x05\xa0\0\0\x01\x28\0\
\0\0\x0a\0\0\x05\xc0\0\0\x01\x31\x08\0\0\0\0\0\0\x04\0\0\x01\x37\x01\0\0\0\0\0\
\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\
\x01\x44\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\x06\0\0\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x58\0\0\0\x09\0\0\0\0\0\
\0\0\0\x02\0\0\0\0\0\0\x1c\0\0\x01\x62\x08\0\0\0\0\0\0\x0b\0\0\x01\x68\x01\0\0\
\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x7b\0\0\0\x0d\0\0\
\0\0\0\0\0\0\x02\0\0\0\0\0\0\x1d\0\0\x01\x7e\x08\0\0\0\0\0\0\x0f\0\0\x01\x83\
\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x11\0\0\x01\x91\0\0\0\
\x01\0\0\x01\x95\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\x01\x99\x0c\0\0\x01\0\0\0\
\x10\0\0\x01\xa0\x0c\0\0\x01\0\0\0\x10\0\0\x01\xa7\x0c\0\0\x01\0\0\0\x10\0\0\0\
\0\x0a\0\0\0\0\0\0\x16\0\0\0\0\x09\0\0\0\0\0\0\x03\0\0\x01\xae\x0e\0\0\0\0\0\0\
\x15\0\0\0\x01\0\0\x01\xba\x0e\0\0\0\0\0\0\x15\0\0\0\x01\0\0\x01\xc6\x01\0\0\0\
\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x06\0\0\0\x04\
\0\0\x01\xcb\x0e\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\x01\xd5\x07\0\0\0\0\0\0\0\0\0\
\x01\xe3\x07\0\0\0\0\0\0\0\0\0\x04\xc7\x0f\0\0\x02\0\0\0\x08\0\0\0\x17\0\0\0\0\
\0\0\0\x04\0\0\0\x18\0\0\0\x04\0\0\0\x04\0\0\x04\xcf\x0f\0\0\x01\0\0\0\x04\0\0\
\0\x1b\0\0\0\0\0\0\0\x04\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\
\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\
\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\
\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\
\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\
\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\
\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\
\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\
\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\
\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\
\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\
\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\
\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\
\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\
\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\
\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\
\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\
\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\
\x72\0\x73\x6b\x62\0\x69\x6e\x74\0\x74\x63\x5f\x63\x68\x6b\0\x74\x63\x5f\x64\
\x73\x74\0\x74\x63\x5f\x73\x72\x63\0\x49\x46\x49\x4e\x44\x45\x58\x5f\x53\x52\
\x43\0\x49\x46\x49\x4e\x44\x45\x58\x5f\x44\x53\x54\0\x63\x68\x61\x72\0\x5f\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\
\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\
\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x74\x65\x73\x74\x5f\x74\x63\x5f\x6e\x65\x69\x67\x68\x2e\x63\0\x69\x6e\x74\
\x20\x74\x63\x5f\x63\x68\x6b\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\
\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x76\x6f\x69\x64\x20\x2a\x64\
\x61\x74\x61\x5f\x65\x6e\x64\x20\x3d\x20\x63\x74\x78\x5f\x70\x74\x72\x28\x73\
\x6b\x62\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\x3b\0\x09\x76\x6f\x69\x64\
\x20\x2a\x64\x61\x74\x61\x20\x3d\x20\x63\x74\x78\x5f\x70\x74\x72\x28\x73\x6b\
\x62\x2d\x3e\x64\x61\x74\x61\x29\x3b\0\x09\x69\x66\x20\x28\x64\x61\x74\x61\x20\
\x2b\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x65\x74\x68\
\x68\x64\x72\x29\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x21\x72\x61\x77\x5b\x30\x5d\x20\x26\x26\x20\x21\x72\x61\
\x77\x5b\x31\x5d\x20\x26\x26\x20\x21\x72\x61\x77\x5b\x32\x5d\x20\x3f\x20\x54\
\x43\x5f\x41\x43\x54\x5f\x53\x48\x4f\x54\x20\x3a\x20\x54\x43\x5f\x41\x43\x54\
\x5f\x4f\x4b\x3b\0\x7d\0\x69\x6e\x74\x20\x74\x63\x5f\x64\x73\x74\x28\x73\x74\
\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\
\x29\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x73\x6b\x62\x2d\x3e\x70\x72\x6f\x74\
\x6f\x63\x6f\x6c\x29\x20\x7b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x69\x70\x34\x68\
\x2d\x3e\x64\x61\x64\x64\x72\x20\x3d\x3d\x20\x61\x64\x64\x72\x3b\0\x09\x69\x66\
\x20\x28\x21\x72\x65\x64\x69\x72\x65\x63\x74\x29\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x76\x36\x5f\x65\x71\x75\x61\x6c\x28\x69\x70\x36\x68\x2d\x3e\x64\x61\x64\
\x64\x72\x2c\x20\x61\x64\x64\x72\x29\x3b\0\x09\x5f\x5f\x62\x75\x69\x6c\x74\x69\
\x6e\x5f\x6d\x65\x6d\x73\x65\x74\x28\x26\x7a\x65\x72\x6f\x2c\x20\x30\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x7a\x65\x72\x6f\x29\x29\x3b\0\x09\x69\x66\x20\x28\
\x62\x70\x66\x5f\x73\x6b\x62\x5f\x73\x74\x6f\x72\x65\x5f\x62\x79\x74\x65\x73\
\x28\x73\x6b\x62\x2c\x20\x30\x2c\x20\x26\x7a\x65\x72\x6f\x2c\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x7a\x65\x72\x6f\x29\x2c\x20\x30\x29\x20\x3c\x20\x30\x29\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\
\x5f\x6e\x65\x69\x67\x68\x28\x49\x46\x49\x4e\x44\x45\x58\x5f\x53\x52\x43\x2c\
\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x2c\x20\x30\x29\x3b\0\x69\x6e\x74\x20\x74\x63\
\x5f\x73\x72\x63\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\
\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\
\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6e\x65\x69\x67\x68\x28\x49\x46\x49\
\x4e\x44\x45\x58\x5f\x44\x53\x54\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x2c\x20\
\x30\x29\x3b\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\
\x63\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\x03\
\x5c\0\0\x03\x80\0\0\0\0\0\0\0\x08\0\0\x04\xd7\0\0\0\x03\0\0\0\0\0\0\0\x12\0\0\
\0\x88\0\0\0\x13\0\0\x02\x28\0\0\0\x14\0\0\0\x10\0\0\x04\xd7\0\0\0\x35\0\0\0\0\
\0\0\x01\xec\0\0\x02\x65\0\x01\x28\0\0\0\0\x08\0\0\x01\xec\0\0\x02\x87\0\x01\
\x30\x13\0\0\0\x10\0\0\x01\xec\0\0\x02\xb1\0\x01\x34\x0f\0\0\0\x18\0\0\x01\xec\
\0\0\x02\xd3\0\x01\x40\x0b\0\0\0\x28\0\0\x01\xec\0\0\x02\xd3\0\x01\x40\x06\0\0\
\0\x38\0\0\x01\xec\0\0\x03\x01\0\x01\x4c\x0a\0\0\0\x40\0\0\x01\xec\0\0\x03\x01\
\0\x01\x4c\x11\0\0\0\x48\0\0\x01\xec\0\0\x03\x01\0\x01\x4c\x15\0\0\0\x50\0\0\
\x01\xec\0\0\x03\x01\0\x01\x4c\x1c\0\0\0\x58\0\0\x01\xec\0\0\x03\x01\0\x01\x4c\
\x20\0\0\0\x80\0\0\x01\xec\0\0\x03\x42\0\x01\x50\x01\0\0\0\x88\0\0\x01\xec\0\0\
\x03\x44\0\x01\x5c\0\0\0\0\x90\0\0\x01\xec\0\0\x03\x66\0\x01\x70\x0f\0\0\0\x98\
\0\0\x01\xec\0\0\x03\x66\0\x01\x70\x02\0\0\0\xa8\0\0\x01\xec\0\0\x02\xb1\0\0\
\xac\x0f\0\0\0\xb0\0\0\x01\xec\0\0\x02\x87\0\0\xa8\x13\0\0\0\xb8\0\0\x01\xec\0\
\0\x02\xd3\0\0\xb8\x0b\0\0\0\xc8\0\0\x01\xec\0\0\x02\xd3\0\0\xb8\x06\0\0\0\xe8\
\0\0\x01\xec\0\0\x03\x80\0\0\xd4\x0f\0\0\0\xf0\0\0\x01\xec\0\0\x03\x9d\0\x01\
\x94\x06\0\0\x01\0\0\0\x01\xec\0\0\x02\xb1\0\0\xf0\x0f\0\0\x01\x08\0\0\x01\xec\
\0\0\x02\x87\0\0\xec\x13\0\0\x01\x10\0\0\x01\xec\0\0\x02\xd3\0\0\xfc\x0b\0\0\
\x01\x20\0\0\x01\xec\0\0\x02\xd3\0\0\xfc\x06\0\0\x01\x40\0\0\x01\xec\0\0\x03\
\xad\0\x01\x18\x09\0\0\x01\x78\0\0\x01\xec\0\0\x03\x9d\0\x01\x94\x06\0\0\x01\
\x88\0\0\x01\xec\0\0\x03\xd2\0\x01\xa0\x02\0\0\x01\xb0\0\0\x01\xec\0\0\x03\xfd\
\0\x01\xa4\x06\0\0\x01\xe0\0\0\x01\xec\0\0\x03\xfd\0\x01\xa4\x06\0\0\x01\xe8\0\
\0\x01\xec\0\0\x04\x3b\0\x01\xb0\x1c\0\0\x02\0\0\0\x01\xec\0\0\x04\x3b\0\x01\
\xb0\x09\0\0\x02\x20\0\0\x01\xec\0\0\x03\x42\0\x01\xb4\x01\0\0\x02\x28\0\0\x01\
\xec\0\0\x04\x70\0\x01\xc0\0\0\0\x02\x30\0\0\x01\xec\0\0\x03\x66\0\x01\xd4\x0f\
\0\0\x02\x38\0\0\x01\xec\0\0\x03\x66\0\x01\xd4\x02\0\0\x02\x48\0\0\x01\xec\0\0\
\x02\xb1\0\0\xac\x0f\0\0\x02\x50\0\0\x01\xec\0\0\x02\x87\0\0\xa8\x13\0\0\x02\
\x58\0\0\x01\xec\0\0\x02\xd3\0\0\xb8\x0b\0\0\x02\x68\0\0\x01\xec\0\0\x02\xd3\0\
\0\xb8\x06\0\0\x02\x88\0\0\x01\xec\0\0\x03\x80\0\0\xd4\x0f\0\0\x02\x90\0\0\x01\
\xec\0\0\x03\x9d\0\x01\xf8\x06\0\0\x02\xa0\0\0\x01\xec\0\0\x02\xb1\0\0\xf0\x0f\
\0\0\x02\xa8\0\0\x01\xec\0\0\x02\x87\0\0\xec\x13\0\0\x02\xb0\0\0\x01\xec\0\0\
\x02\xd3\0\0\xfc\x0b\0\0\x02\xc0\0\0\x01\xec\0\0\x02\xd3\0\0\xfc\x06\0\0\x02\
\xe0\0\0\x01\xec\0\0\x03\xad\0\x01\x18\x09\0\0\x03\x18\0\0\x01\xec\0\0\x03\x9d\
\0\x01\xf8\x06\0\0\x03\x28\0\0\x01\xec\0\0\x03\xd2\0\x02\x04\x02\0\0\x03\x50\0\
\0\x01\xec\0\0\x03\xfd\0\x02\x08\x06\0\0\x03\x80\0\0\x01\xec\0\0\x03\xfd\0\x02\
\x08\x06\0\0\x03\x88\0\0\x01\xec\0\0\x04\x92\0\x02\x14\x1c\0\0\x03\xa0\0\0\x01\
\xec\0\0\x04\x92\0\x02\x14\x09\0\0\x03\xc0\0\0\x01\xec\0\0\x03\x42\0\x02\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xbc\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\x98\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x02\x98\0\0\0\0\0\0\x03\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x06\x60\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\x1c\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x68\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xa7\0\0\
\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x70\0\0\0\0\0\0\0\x20\
\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xae\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x90\0\0\0\0\0\0\x08\x8a\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xb3\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x20\0\0\0\0\0\0\x03\xa0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_tc_neigh *test_tc_neigh::open(const struct bpf_object_open_opts *opts) { return test_tc_neigh__open_opts(opts); }
struct test_tc_neigh *test_tc_neigh::open_and_load() { return test_tc_neigh__open_and_load(); }
int test_tc_neigh::load(struct test_tc_neigh *skel) { return test_tc_neigh__load(skel); }
int test_tc_neigh::attach(struct test_tc_neigh *skel) { return test_tc_neigh__attach(skel); }
void test_tc_neigh::detach(struct test_tc_neigh *skel) { test_tc_neigh__detach(skel); }
void test_tc_neigh::destroy(struct test_tc_neigh *skel) { test_tc_neigh__destroy(skel); }
const void *test_tc_neigh::elf_bytes(size_t *sz) { return test_tc_neigh__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_tc_neigh__assert(struct test_tc_neigh *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->IFINDEX_SRC) == 4, "unexpected size of 'IFINDEX_SRC'");
	_Static_assert(sizeof(s->rodata->IFINDEX_DST) == 4, "unexpected size of 'IFINDEX_DST'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_TC_NEIGH_SKEL_H__ */
