/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_TRACE_EXT_TRACING_SKEL_H__
#define __TEST_TRACE_EXT_TRACING_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_trace_ext_tracing {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fentry;
		struct bpf_program *fexit;
	} progs;
	struct {
		struct bpf_link *fentry;
		struct bpf_link *fexit;
	} links;
	struct test_trace_ext_tracing__bss {
		__u64 fentry_called;
		__u64 fexit_called;
	} *bss;

#ifdef __cplusplus
	static inline struct test_trace_ext_tracing *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_trace_ext_tracing *open_and_load();
	static inline int load(struct test_trace_ext_tracing *skel);
	static inline int attach(struct test_trace_ext_tracing *skel);
	static inline void detach(struct test_trace_ext_tracing *skel);
	static inline void destroy(struct test_trace_ext_tracing *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_trace_ext_tracing__destroy(struct test_trace_ext_tracing *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_trace_ext_tracing__create_skeleton(struct test_trace_ext_tracing *obj);

static inline struct test_trace_ext_tracing *
test_trace_ext_tracing__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_trace_ext_tracing *obj;
	int err;

	obj = (struct test_trace_ext_tracing *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_trace_ext_tracing__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_trace_ext_tracing__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_trace_ext_tracing *
test_trace_ext_tracing__open(void)
{
	return test_trace_ext_tracing__open_opts(NULL);
}

static inline int
test_trace_ext_tracing__load(struct test_trace_ext_tracing *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_trace_ext_tracing *
test_trace_ext_tracing__open_and_load(void)
{
	struct test_trace_ext_tracing *obj;
	int err;

	obj = test_trace_ext_tracing__open();
	if (!obj)
		return NULL;
	err = test_trace_ext_tracing__load(obj);
	if (err) {
		test_trace_ext_tracing__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_trace_ext_tracing__attach(struct test_trace_ext_tracing *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_trace_ext_tracing__detach(struct test_trace_ext_tracing *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_trace_ext_tracing__elf_bytes(size_t *sz);

static inline int
test_trace_ext_tracing__create_skeleton(struct test_trace_ext_tracing *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_trace_ext_tracing";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_tra.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "fentry";
	s->progs[0].prog = &obj->progs.fentry;
	s->progs[0].link = &obj->links.fentry;

	s->progs[1].name = "fexit";
	s->progs[1].prog = &obj->progs.fexit;
	s->progs[1].link = &obj->links.fexit;

	s->data = (void *)test_trace_ext_tracing__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_trace_ext_tracing__elf_bytes(size_t *sz)
{
	*sz = 5848;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x18\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\x6e\
\x74\x72\x79\x2f\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\
\x65\x73\x73\x5f\x6e\x65\x77\0\x66\x65\x78\x69\x74\x2f\x74\x65\x73\x74\x5f\x70\
\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x2e\x62\x73\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x74\x72\x61\x63\x65\
\x5f\x65\x78\x74\x5f\x74\x72\x61\x63\x69\x6e\x67\x2e\x63\0\x66\x65\x6e\x74\x72\
\x79\0\x66\x65\x6e\x74\x72\x79\x5f\x63\x61\x6c\x6c\x65\x64\0\x66\x65\x78\x69\
\x74\0\x66\x65\x78\x69\x74\x5f\x63\x61\x6c\x6c\x65\x64\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x74\x65\x73\x74\x5f\
\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x2e\x72\
\x65\x6c\x66\x65\x78\x69\x74\x2f\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x6d\x64\
\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x59\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x72\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x79\x11\0\0\
\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x87\x12\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x38\0\0\0\x8d\x11\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\
\0\x9a\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x79\x11\0\0\0\0\0\0\x61\
\x11\0\x70\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb4\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x61\x11\0\x70\0\0\0\0\x18\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x05\0\0\0\x01\0\0\0\0\
\0\0\0\x10\0\0\0\x07\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x09\x28\0\0\
\x09\x28\0\0\x07\x1e\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x01\0\0\0\0\0\0\x08\
\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\x01\0\0\
\0\0\0\0\x04\x01\0\0\x20\0\0\0\x1c\x0c\0\0\x01\0\0\0\x03\0\0\0\x23\x84\0\0\x51\
\0\0\0\xe0\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\xc0\0\0\0\0\0\0\0\
\x15\0\0\x01\0\0\0\0\x2b\0\0\0\x1d\0\0\x01\x40\0\0\0\0\0\0\0\x1f\0\0\x02\xc0\0\
\0\0\x2e\0\0\0\x0c\0\0\x03\x40\0\0\0\x34\0\0\0\x23\0\0\x03\x80\0\0\0\x38\0\0\0\
\x23\0\0\x03\xa0\0\0\0\x41\0\0\0\x24\0\0\x03\xc0\0\0\0\x49\0\0\0\x24\0\0\x03\
\xd0\0\0\0\x51\0\0\0\x24\0\0\x03\xe0\0\0\0\x5f\0\0\0\x28\0\0\x03\xf0\0\0\0\x6f\
\0\0\0\x26\x01\0\x03\xf0\0\0\0\x76\0\0\0\x26\x01\0\x03\xf1\0\0\0\x7c\0\0\0\x26\
\x02\0\x03\xf2\0\0\0\x83\0\0\0\x26\x01\0\x03\xf4\0\0\0\x8a\0\0\0\x26\x01\0\x03\
\xf5\0\0\0\x94\0\0\0\x26\x01\0\x03\xf6\0\0\0\x9f\0\0\0\x26\x01\0\x03\xf7\0\0\0\
\xaa\0\0\0\x26\0\0\x03\xf8\0\0\0\xbc\0\0\0\x2a\0\0\x04\0\0\0\0\xca\0\0\0\x28\0\
\0\x04\0\0\0\0\xdc\0\0\0\x26\x03\0\x04\0\0\0\0\xe5\0\0\0\x26\x01\0\x04\x03\0\0\
\0\xef\0\0\0\x26\x01\0\x04\x04\0\0\0\xf8\0\0\0\x26\x02\0\x04\x05\0\0\x01\x02\0\
\0\0\x26\x01\0\x04\x07\0\0\x01\x0b\0\0\0\x26\x01\0\x04\x08\0\0\x01\x13\0\0\0\
\x26\x01\0\x04\x09\0\0\x01\x1b\0\0\0\x26\x01\0\x04\x0a\0\0\x01\x2c\0\0\0\x26\
\x01\0\x04\x0b\0\0\x01\x37\0\0\0\x26\x01\0\x04\x0c\0\0\x01\x3e\0\0\0\x26\x01\0\
\x04\x0d\0\0\x01\x4c\0\0\0\x26\x01\0\x04\x0e\0\0\x01\x5b\0\0\0\x26\x01\0\x04\
\x0f\0\0\x01\x66\0\0\0\x28\0\0\x04\x10\0\0\x01\x80\0\0\0\x26\x01\0\x04\x10\0\0\
\x01\x8d\0\0\0\x26\x01\0\x04\x11\0\0\x01\x9e\0\0\0\x26\x02\0\x04\x12\0\0\x01\
\xa9\0\0\0\x26\x01\0\x04\x14\0\0\x01\xbd\0\0\0\x26\x01\0\x04\x15\0\0\x01\xd0\0\
\0\0\x26\x01\0\x04\x16\0\0\x01\xe1\0\0\0\x26\x01\0\x04\x17\0\0\x01\xef\0\0\0\
\x26\x02\0\x04\x18\0\0\x01\xfe\0\0\0\x26\x01\0\x04\x1a\0\0\x02\x0c\0\0\0\x26\
\x01\0\x04\x1b\0\0\x02\x20\0\0\0\x26\x01\0\x04\x1c\0\0\x02\x30\0\0\0\x26\x01\0\
\x04\x1d\0\0\x02\x41\0\0\0\x26\x01\0\x04\x1e\0\0\x02\x55\0\0\0\x26\x01\0\x04\
\x1f\0\0\x02\x60\0\0\0\x26\x01\0\x04\x20\0\0\x02\x6d\0\0\0\x26\x01\0\x04\x21\0\
\0\x02\x7c\0\0\0\x26\x01\0\x04\x22\0\0\x02\x86\0\0\0\x26\x01\0\x04\x23\0\0\x02\
\x8f\0\0\0\x26\x01\0\x04\x24\0\0\x02\x9d\0\0\0\x24\0\0\x04\x30\0\0\0\0\0\0\0\
\x2b\0\0\x04\x40\0\0\x02\xa6\0\0\0\x29\0\0\x04\x60\0\0\x02\xaf\0\0\0\x04\0\0\
\x04\x80\0\0\x02\xb7\0\0\0\x29\0\0\x04\xa0\0\0\x02\xbc\0\0\0\x2e\0\0\x04\xc0\0\
\0\x02\xc7\0\0\0\x24\0\0\x04\xd0\0\0\0\0\0\0\0\x2f\0\0\x04\xe0\0\0\x02\xd0\0\0\
\0\x29\0\0\x05\0\0\0\0\0\0\0\0\x30\0\0\x05\x20\0\0\0\0\0\0\0\x31\0\0\x05\x40\0\
\0\x02\xd8\0\0\0\x24\0\0\x05\x50\0\0\x02\xef\0\0\0\x24\0\0\x05\x60\0\0\x03\x04\
\0\0\0\x24\0\0\x05\x70\0\0\x03\x15\0\0\0\x2e\0\0\x05\x80\0\0\x03\x1e\0\0\0\x24\
\0\0\x05\x90\0\0\x03\x2f\0\0\0\x24\0\0\x05\xa0\0\0\x03\x3e\0\0\0\x24\0\0\x05\
\xb0\0\0\x03\x49\0\0\0\x2a\0\0\x05\xc0\0\0\x03\x55\0\0\0\x32\0\0\x05\xc0\0\0\
\x03\x5a\0\0\0\x32\0\0\x05\xe0\0\0\x03\x5e\0\0\0\x33\0\0\x06\0\0\0\x03\x63\0\0\
\0\x33\0\0\x06\x40\0\0\x03\x68\0\0\0\x23\0\0\x06\x80\0\0\x03\x71\0\0\0\x34\0\0\
\x06\xa0\0\0\x03\x77\0\0\0\x38\0\0\x06\xc0\0\0\0\0\x05\0\0\x04\0\0\0\x18\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\x03\x82\0\0\0\x0d\0\0\0\0\0\0\x03\x89\0\0\0\x0f\0\0\0\
\0\0\0\x03\x8e\0\0\0\x11\0\0\0\0\0\0\0\0\x04\0\0\x03\0\0\0\x18\0\0\x03\x96\0\0\
\0\x09\0\0\0\0\0\0\x03\x9b\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\0\x80\0\0\
\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x05\0\0\x02\0\0\0\x08\0\0\x03\xa0\0\0\0\x0b\0\
\0\0\0\0\0\x03\xa4\0\0\0\x0c\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x3e\0\0\x03\xb0\
\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\x03\xbe\x04\0\0\x03\0\0\0\x18\0\0\x03\xc6\0\
\0\0\x0c\0\0\0\0\0\0\x03\xd8\0\0\0\x0e\0\0\0\x40\0\0\x03\xe1\0\0\0\x0e\0\0\0\
\x80\0\0\0\0\x02\0\0\0\0\0\0\x0d\0\0\x03\xe9\x04\0\0\x02\0\0\0\x10\0\0\x03\x96\
\0\0\0\x10\0\0\0\0\0\0\x03\x9b\0\0\0\x10\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x0f\
\0\0\x03\xf3\x04\0\0\x01\0\0\0\x08\0\0\x03\x96\0\0\0\x12\0\0\0\0\0\0\0\0\x02\0\
\0\0\0\0\0\x11\0\0\0\0\x05\0\0\x02\0\0\0\x08\0\0\x03\xfe\0\0\0\x14\0\0\0\0\0\0\
\x04\x01\0\0\0\x04\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x3f\0\0\0\0\x05\0\0\x02\0\0\
\0\x08\0\0\x04\x12\0\0\0\x16\0\0\0\0\0\0\x04\x19\0\0\0\x1a\0\0\0\0\0\0\x04\x27\
\x08\0\0\0\0\0\0\x17\0\0\x04\x2f\x08\0\0\0\0\0\0\x18\0\0\x04\x33\x08\0\0\0\0\0\
\0\x19\0\0\x04\x39\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\x04\x43\x08\0\0\0\0\0\0\
\x1b\0\0\x04\x47\x08\0\0\0\0\0\0\x02\0\0\x04\x4d\x01\0\0\0\0\0\0\x01\x01\0\0\
\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x1e\0\0\0\x30\0\0\x04\x52\x01\0\
\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x05\0\0\x03\0\0\0\x10\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\x04\x66\0\0\0\x0f\0\0\0\0\0\0\x04\x79\0\0\0\x0c\0\0\0\0\0\0\0\0\x04\0\0\
\x02\0\0\0\x10\0\0\x04\x83\0\0\0\x0c\0\0\0\0\0\0\x04\x8f\0\0\0\x21\0\0\0\x40\0\
\0\0\0\x02\0\0\0\0\0\0\x22\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\x04\x9a\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x04\xa7\x08\0\0\0\0\0\0\x25\0\0\x04\
\xad\x01\0\0\0\0\0\0\x02\0\0\0\x10\0\0\x04\xbc\x08\0\0\0\0\0\0\x27\0\0\x04\xc1\
\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x1e\0\
\0\0\0\0\0\x04\xcf\x08\0\0\0\0\0\0\x23\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x29\0\0\
\0\x1e\0\0\0\0\0\0\0\0\x05\0\0\x02\0\0\0\x04\0\0\x04\xd5\0\0\0\x2c\0\0\0\0\0\0\
\0\0\0\0\0\x2d\0\0\0\0\0\0\x04\xda\x08\0\0\0\0\0\0\x29\0\0\0\0\x04\0\0\x02\0\0\
\0\x04\0\0\x04\xe1\0\0\0\x24\0\0\0\0\0\0\x04\xec\0\0\0\x24\0\0\0\x10\0\0\x04\
\xf8\x08\0\0\0\0\0\0\x24\0\0\0\0\x05\0\0\x02\0\0\0\x04\0\0\x04\xff\0\0\0\x23\0\
\0\0\0\0\0\x05\x07\0\0\0\x23\0\0\0\0\0\0\0\0\x05\0\0\x02\0\0\0\x04\0\0\x05\x12\
\0\0\0\x29\0\0\0\0\0\0\x05\x17\0\0\0\x29\0\0\0\0\0\0\0\0\x05\0\0\x02\0\0\0\x02\
\0\0\x05\x29\0\0\0\x2e\0\0\0\0\0\0\x05\x38\0\0\0\x26\0\0\0\0\0\0\x05\x46\x08\0\
\0\0\0\0\0\x23\0\0\0\0\x02\0\0\0\0\0\0\x27\0\0\x05\x55\x08\0\0\0\0\0\0\x35\0\0\
\x05\x60\x04\0\0\x01\0\0\0\x04\0\0\x05\x70\0\0\0\x36\0\0\0\0\0\0\x05\x75\x08\0\
\0\0\0\0\0\x37\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x05\x7e\0\0\0\x04\0\0\0\0\0\0\
\0\0\x02\0\0\0\0\0\0\x40\0\0\x05\x86\x0c\0\0\x01\0\0\0\x03\0\0\x05\x8c\x0e\0\0\
\0\0\0\0\x1b\0\0\0\x01\0\0\x05\x9a\x0e\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x1e\0\0\0\x04\0\0\x05\xa7\x0e\0\0\0\0\0\0\x3c\0\0\
\0\x01\0\0\x05\xb0\x07\0\0\0\0\0\0\0\0\0\x05\xbb\x07\0\0\0\0\0\0\0\0\0\x05\xc0\
\x07\0\0\0\0\0\0\0\0\0\x06\xd6\x0f\0\0\x02\0\0\0\x10\0\0\0\x3a\0\0\0\0\0\0\0\
\x08\0\0\0\x3b\0\0\0\x08\0\0\0\x08\0\0\x06\xdb\x0f\0\0\x01\0\0\0\x04\0\0\0\x3d\
\0\0\0\0\0\0\0\x04\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x66\x65\x6e\x74\x72\x79\0\x73\
\x6b\x5f\x62\x75\x66\x66\0\x63\x62\0\x5f\x6e\x66\x63\x74\0\x6c\x65\x6e\0\x64\
\x61\x74\x61\x5f\x6c\x65\x6e\0\x6d\x61\x63\x5f\x6c\x65\x6e\0\x68\x64\x72\x5f\
\x6c\x65\x6e\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x5f\x5f\
\x63\x6c\x6f\x6e\x65\x64\x5f\x6f\x66\x66\x73\x65\x74\0\x63\x6c\x6f\x6e\x65\x64\
\0\x6e\x6f\x68\x64\x72\0\x66\x63\x6c\x6f\x6e\x65\0\x70\x65\x65\x6b\x65\x64\0\
\x68\x65\x61\x64\x5f\x66\x72\x61\x67\0\x70\x66\x6d\x65\x6d\x61\x6c\x6c\x6f\x63\
\0\x70\x70\x5f\x72\x65\x63\x79\x63\x6c\x65\0\x61\x63\x74\x69\x76\x65\x5f\x65\
\x78\x74\x65\x6e\x73\x69\x6f\x6e\x73\0\x68\x65\x61\x64\x65\x72\x73\x5f\x73\x74\
\x61\x72\x74\0\x5f\x5f\x70\x6b\x74\x5f\x74\x79\x70\x65\x5f\x6f\x66\x66\x73\x65\
\x74\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x69\x67\x6e\x6f\x72\x65\x5f\x64\x66\0\
\x6e\x66\x5f\x74\x72\x61\x63\x65\0\x69\x70\x5f\x73\x75\x6d\x6d\x65\x64\0\x6f\
\x6f\x6f\x5f\x6f\x6b\x61\x79\0\x6c\x34\x5f\x68\x61\x73\x68\0\x73\x77\x5f\x68\
\x61\x73\x68\0\x77\x69\x66\x69\x5f\x61\x63\x6b\x65\x64\x5f\x76\x61\x6c\x69\x64\
\0\x77\x69\x66\x69\x5f\x61\x63\x6b\x65\x64\0\x6e\x6f\x5f\x66\x63\x73\0\x65\x6e\
\x63\x61\x70\x73\x75\x6c\x61\x74\x69\x6f\x6e\0\x65\x6e\x63\x61\x70\x5f\x68\x64\
\x72\x5f\x63\x73\x75\x6d\0\x63\x73\x75\x6d\x5f\x76\x61\x6c\x69\x64\0\x5f\x5f\
\x70\x6b\x74\x5f\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\x5f\x6f\x66\
\x66\x73\x65\x74\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x63\x73\
\x75\x6d\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x65\x5f\x73\x77\0\x63\x73\x75\x6d\x5f\
\x6c\x65\x76\x65\x6c\0\x64\x73\x74\x5f\x70\x65\x6e\x64\x69\x6e\x67\x5f\x63\x6f\
\x6e\x66\x69\x72\x6d\0\x6d\x6f\x6e\x6f\x5f\x64\x65\x6c\x69\x76\x65\x72\x79\x5f\
\x74\x69\x6d\x65\0\x74\x63\x5f\x73\x6b\x69\x70\x5f\x63\x6c\x61\x73\x73\x69\x66\
\x79\0\x74\x63\x5f\x61\x74\x5f\x69\x6e\x67\x72\x65\x73\x73\0\x6e\x64\x69\x73\
\x63\x5f\x6e\x6f\x64\x65\x74\x79\x70\x65\0\x69\x70\x76\x73\x5f\x70\x72\x6f\x70\
\x65\x72\x74\x79\0\x69\x6e\x6e\x65\x72\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x5f\
\x74\x79\x70\x65\0\x72\x65\x6d\x63\x73\x75\x6d\x5f\x6f\x66\x66\x6c\x6f\x61\x64\
\0\x6f\x66\x66\x6c\x6f\x61\x64\x5f\x66\x77\x64\x5f\x6d\x61\x72\x6b\0\x6f\x66\
\x66\x6c\x6f\x61\x64\x5f\x6c\x33\x5f\x66\x77\x64\x5f\x6d\x61\x72\x6b\0\x72\x65\
\x64\x69\x72\x65\x63\x74\x65\x64\0\x66\x72\x6f\x6d\x5f\x69\x6e\x67\x72\x65\x73\
\x73\0\x6e\x66\x5f\x73\x6b\x69\x70\x5f\x65\x67\x72\x65\x73\x73\0\x64\x65\x63\
\x72\x79\x70\x74\x65\x64\0\x73\x6c\x6f\x77\x5f\x67\x72\x6f\0\x63\x73\x75\x6d\
\x5f\x6e\x6f\x74\x5f\x69\x6e\x65\x74\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x70\
\x72\x69\x6f\x72\x69\x74\x79\0\x73\x6b\x62\x5f\x69\x69\x66\0\x68\x61\x73\x68\0\
\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\
\x73\x65\x63\x6d\x61\x72\x6b\0\x69\x6e\x6e\x65\x72\x5f\x74\x72\x61\x6e\x73\x70\
\x6f\x72\x74\x5f\x68\x65\x61\x64\x65\x72\0\x69\x6e\x6e\x65\x72\x5f\x6e\x65\x74\
\x77\x6f\x72\x6b\x5f\x68\x65\x61\x64\x65\x72\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\
\x63\x5f\x68\x65\x61\x64\x65\x72\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x74\x72\
\x61\x6e\x73\x70\x6f\x72\x74\x5f\x68\x65\x61\x64\x65\x72\0\x6e\x65\x74\x77\x6f\
\x72\x6b\x5f\x68\x65\x61\x64\x65\x72\0\x6d\x61\x63\x5f\x68\x65\x61\x64\x65\x72\
\0\x68\x65\x61\x64\x65\x72\x73\x5f\x65\x6e\x64\0\x74\x61\x69\x6c\0\x65\x6e\x64\
\0\x68\x65\x61\x64\0\x64\x61\x74\x61\0\x74\x72\x75\x65\x73\x69\x7a\x65\0\x75\
\x73\x65\x72\x73\0\x65\x78\x74\x65\x6e\x73\x69\x6f\x6e\x73\0\x72\x62\x6e\x6f\
\x64\x65\0\x6c\x69\x73\x74\0\x6c\x6c\x5f\x6e\x6f\x64\x65\0\x6e\x65\x78\x74\0\
\x70\x72\x65\x76\0\x64\x65\x76\0\x64\x65\x76\x5f\x73\x63\x72\x61\x74\x63\x68\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x72\x62\x5f\x6e\x6f\x64\
\x65\0\x5f\x5f\x72\x62\x5f\x70\x61\x72\x65\x6e\x74\x5f\x63\x6f\x6c\x6f\x72\0\
\x72\x62\x5f\x72\x69\x67\x68\x74\0\x72\x62\x5f\x6c\x65\x66\x74\0\x6c\x69\x73\
\x74\x5f\x68\x65\x61\x64\0\x6c\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x73\x6b\0\
\x69\x70\x5f\x64\x65\x66\x72\x61\x67\x5f\x6f\x66\x66\x73\x65\x74\0\x74\x73\x74\
\x61\x6d\x70\0\x73\x6b\x62\x5f\x6d\x73\x74\x61\x6d\x70\x5f\x6e\x73\0\x6b\x74\
\x69\x6d\x65\x5f\x74\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x63\x68\x61\x72\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\
\x63\x70\x5f\x74\x73\x6f\x72\x74\x65\x64\x5f\x61\x6e\x63\x68\x6f\x72\0\x5f\x73\
\x6b\x5f\x72\x65\x64\x69\x72\0\x5f\x73\x6b\x62\x5f\x72\x65\x66\x64\x73\x74\0\
\x64\x65\x73\x74\x72\x75\x63\x74\x6f\x72\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\
\x68\x6f\x72\x74\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\
\x68\x61\x72\0\x5f\x5f\x75\x33\x32\0\x63\x73\x75\x6d\0\x5f\x5f\x77\x73\x75\x6d\
\0\x63\x73\x75\x6d\x5f\x73\x74\x61\x72\x74\0\x63\x73\x75\x6d\x5f\x6f\x66\x66\
\x73\x65\x74\0\x5f\x5f\x62\x65\x31\x36\0\x6e\x61\x70\x69\x5f\x69\x64\0\x73\x65\
\x6e\x64\x65\x72\x5f\x63\x70\x75\0\x6d\x61\x72\x6b\0\x72\x65\x73\x65\x72\x76\
\x65\x64\x5f\x74\x61\x69\x6c\x72\x6f\x6f\x6d\0\x69\x6e\x6e\x65\x72\x5f\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\0\x69\x6e\x6e\x65\x72\x5f\x69\x70\x70\x72\x6f\x74\x6f\
\0\x73\x6b\x5f\x62\x75\x66\x66\x5f\x64\x61\x74\x61\x5f\x74\0\x72\x65\x66\x63\
\x6f\x75\x6e\x74\x5f\x74\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x73\x74\x72\x75\
\x63\x74\0\x72\x65\x66\x73\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\
\x74\x65\x72\0\x66\x65\x78\x69\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x63\x61\x6c\
\x6c\x65\x64\0\x66\x65\x78\x69\x74\x5f\x63\x61\x6c\x6c\x65\x64\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x6e\x65\x74\x5f\x64\x65\x76\x69\x63\x65\0\x73\x6f\x63\
\x6b\0\x73\x6b\x62\x5f\x65\x78\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\
\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\
\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x74\x65\x73\x74\x5f\x74\x72\x61\x63\x65\x5f\x65\x78\x74\x5f\x74\x72\x61\x63\
\x69\x6e\x67\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\
\x65\x6e\x74\x72\x79\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6b\x5f\x62\x75\
\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x66\x65\x6e\x74\x72\x79\x5f\x63\x61\x6c\
\x6c\x65\x64\x20\x3d\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x3b\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x78\x69\x74\x2c\x20\x73\x74\x72\
\x75\x63\x74\x20\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x66\
\x65\x78\x69\x74\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\x73\x6b\x62\x2d\x3e\
\x6c\x65\x6e\x3b\0\x30\x3a\x36\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x66\x65\x6e\x74\x72\x79\x2f\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x6d\x64\x5f\
\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x66\x65\x78\x69\x74\x2f\x74\x65\x73\
\x74\x5f\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\
\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x94\0\0\0\xb8\0\
\0\0\x34\0\0\0\x08\0\0\x06\xe3\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\x07\x01\0\0\0\
\x01\0\0\0\0\0\0\0\x39\0\0\0\x10\0\0\x06\xe3\0\0\0\x04\0\0\0\0\0\0\x05\xc8\0\0\
\x06\x4a\0\0\x28\x05\0\0\0\x08\0\0\x05\xc8\0\0\x06\x74\0\0\x30\x17\0\0\0\x10\0\
\0\x05\xc8\0\0\x06\x74\0\0\x30\x10\0\0\0\x28\0\0\x05\xc8\0\0\x06\x4a\0\0\x28\
\x05\0\0\x07\x01\0\0\0\x04\0\0\0\0\0\0\x05\xc8\0\0\x06\x8f\0\0\x4c\x05\0\0\0\
\x08\0\0\x05\xc8\0\0\x06\xb8\0\0\x54\x16\0\0\0\x10\0\0\x05\xc8\0\0\x06\xb8\0\0\
\x54\x0f\0\0\0\x28\0\0\x05\xc8\0\0\x06\x8f\0\0\x4c\x05\0\0\0\x10\0\0\x06\xe3\0\
\0\0\x01\0\0\0\x08\0\0\0\x06\0\0\x06\xd2\0\0\0\0\0\0\x07\x01\0\0\0\x01\0\0\0\
\x08\0\0\0\x06\0\0\x06\xd2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\xf4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x38\0\0\0\0\
\0\0\0\xd8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\x38\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\0\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x48\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x02\x80\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x02\x80\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\xa3\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\
\x88\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\xc5\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x98\0\0\
\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\xe6\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa8\0\0\0\0\0\0\
\x10\x5e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xeb\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x08\0\0\0\0\0\0\x01\x0c\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_trace_ext_tracing *test_trace_ext_tracing::open(const struct bpf_object_open_opts *opts) { return test_trace_ext_tracing__open_opts(opts); }
struct test_trace_ext_tracing *test_trace_ext_tracing::open_and_load() { return test_trace_ext_tracing__open_and_load(); }
int test_trace_ext_tracing::load(struct test_trace_ext_tracing *skel) { return test_trace_ext_tracing__load(skel); }
int test_trace_ext_tracing::attach(struct test_trace_ext_tracing *skel) { return test_trace_ext_tracing__attach(skel); }
void test_trace_ext_tracing::detach(struct test_trace_ext_tracing *skel) { test_trace_ext_tracing__detach(skel); }
void test_trace_ext_tracing::destroy(struct test_trace_ext_tracing *skel) { test_trace_ext_tracing__destroy(skel); }
const void *test_trace_ext_tracing::elf_bytes(size_t *sz) { return test_trace_ext_tracing__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_trace_ext_tracing__assert(struct test_trace_ext_tracing *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->fentry_called) == 8, "unexpected size of 'fentry_called'");
	_Static_assert(sizeof(s->bss->fexit_called) == 8, "unexpected size of 'fexit_called'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_TRACE_EXT_TRACING_SKEL_H__ */
