/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __TRACE_VPRINTK_LSKEL_SKEL_H__
#define __TRACE_VPRINTK_LSKEL_SKEL_H__

#include <bpf/skel_internal.h>

struct trace_vprintk_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc bss;
		struct bpf_map_desc rodata;
	} maps;
	struct {
		struct bpf_prog_desc sys_enter;
	} progs;
	struct {
		int sys_enter_fd;
	} links;
	struct trace_vprintk_lskel__bss {
		int null_data_vprintk_ret;
		int trace_vprintk_ret;
		int trace_vprintk_ran;
	} *bss;
	struct trace_vprintk_lskel__rodata {
	} *rodata;
};

static inline int
trace_vprintk_lskel__sys_enter__attach(struct trace_vprintk_lskel *skel)
{
	int prog_fd = skel->progs.sys_enter.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.sys_enter_fd = fd;
	return fd;
}

static inline int
trace_vprintk_lskel__attach(struct trace_vprintk_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : trace_vprintk_lskel__sys_enter__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
trace_vprintk_lskel__detach(struct trace_vprintk_lskel *skel)
{
	skel_closenz(skel->links.sys_enter_fd);
}
static void
trace_vprintk_lskel__destroy(struct trace_vprintk_lskel *skel)
{
	if (!skel)
		return;
	trace_vprintk_lskel__detach(skel);
	skel_closenz(skel->progs.sys_enter.prog_fd);
	skel_free_map_data(skel->bss, skel->maps.bss.initial_value, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	skel_free_map_data(skel->rodata, skel->maps.rodata.initial_value, 4096);
	skel_closenz(skel->maps.rodata.map_fd);
	skel_free(skel);
}
static inline struct trace_vprintk_lskel *
trace_vprintk_lskel__open(void)
{
	struct trace_vprintk_lskel *skel;

	skel = skel_alloc(sizeof(*skel));
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->bss = skel_prep_map_data((void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0", 4096, 12);
	if (!skel->bss)
		goto cleanup;
	skel->maps.bss.initial_value = (__u64) (long) skel->bss;
	skel->rodata = skel_prep_map_data((void *)"\
\x31\0\x33\0\x35\0\x37\0\x39\0\x25\x70\x53\x0a\0\x09\0\x25\x73\x2c\x25\x64\x2c\
\x25\x73\x2c\x25\x64\x2c\x25\x73\x2c\x25\x64\x2c\x25\x73\x2c\x25\x64\x2c\x25\
\x73\x2c\x25\x64\x20\x25\x64\x0a\0", 4096, 51);
	if (!skel->rodata)
		goto cleanup;
	skel->maps.rodata.initial_value = (__u64) (long) skel->rodata;
	return skel;
cleanup:
	trace_vprintk_lskel__destroy(skel);
	return NULL;
}

static inline int
trace_vprintk_lskel__load(struct trace_vprintk_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 3568;
	opts.data = (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\
\0\0\0\x18\0\0\0\0\0\0\x02\x3c\0\0\x02\x3c\0\0\x02\x3f\0\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\
\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x02\0\0\0\x13\x01\0\0\0\0\0\0\x01\
\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x07\0\0\0\x04\0\0\0\x18\
\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x2c\x0e\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\
\x35\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\0\x4b\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\
\0\x5d\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x05\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x07\0\0\0\x02\0\0\0\x6f\x0e\0\0\0\0\0\0\x0d\0\0\0\
\0\0\0\0\x7d\x0e\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x8d\x0e\0\0\0\0\0\0\x0d\0\0\0\0\
\0\0\0\x9c\x0e\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\xac\x0e\0\0\0\0\0\0\x0d\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x07\0\0\0\x05\0\0\0\xbb\x0e\0\0\0\0\0\
\0\x13\0\0\0\0\0\0\0\xc7\x0e\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\x0c\0\0\0\x07\0\0\0\x22\0\0\0\xd9\x0e\0\0\0\0\0\0\x16\0\0\0\0\0\0\x02\
\x0d\x0f\0\0\x01\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\x02\x15\x0f\0\0\x03\
\0\0\0\x0c\0\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\x0a\0\0\0\x04\0\0\0\x04\0\0\0\x0b\
\0\0\0\x08\0\0\0\x04\0\0\x02\x1a\x0f\0\0\x08\0\0\0\x33\0\0\0\x0e\0\0\0\0\0\0\0\
\x02\0\0\0\x0f\0\0\0\x02\0\0\0\x02\0\0\0\x10\0\0\0\x04\0\0\0\x02\0\0\0\x11\0\0\
\0\x06\0\0\0\x02\0\0\0\x12\0\0\0\x08\0\0\0\x02\0\0\0\x14\0\0\0\x0a\0\0\0\x05\0\
\0\0\x15\0\0\0\x0f\0\0\0\x02\0\0\0\x17\0\0\0\x11\0\0\0\x22\0\x63\x74\x78\0\x69\
\x6e\x74\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x63\x68\x61\x72\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x6e\x75\x6c\x6c\x5f\x64\x61\x74\x61\x5f\x76\x70\x72\x69\
\x6e\x74\x6b\x5f\x72\x65\x74\0\x74\x72\x61\x63\x65\x5f\x76\x70\x72\x69\x6e\x74\
\x6b\x5f\x72\x65\x74\0\x74\x72\x61\x63\x65\x5f\x76\x70\x72\x69\x6e\x74\x6b\x5f\
\x72\x61\x6e\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x2e\x6f\x6e\x65\0\x73\x79\
\x73\x5f\x65\x6e\x74\x65\x72\x2e\x74\x68\x72\x65\x65\0\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\x2e\x66\x69\x76\x65\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x2e\x73\
\x65\x76\x65\x6e\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x2e\x6e\x69\x6e\x65\0\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x2e\x66\0\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x2e\
\x5f\x5f\x5f\x66\x6d\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x72\x61\
\x63\x65\x5f\x76\x70\x72\x69\x6e\x74\x6b\x2e\x63\0\x09\x62\x70\x66\x5f\x70\x72\
\x69\x6e\x74\x6b\x28\x22\x5c\x74\x22\x29\x3b\0\x09\x74\x72\x61\x63\x65\x5f\x76\
\x70\x72\x69\x6e\x74\x6b\x5f\x72\x65\x74\x20\x3d\x20\x5f\x5f\x62\x70\x66\x5f\
\x76\x70\x72\x69\x6e\x74\x6b\x28\x22\x25\x73\x2c\x25\x64\x2c\x25\x73\x2c\x25\
\x64\x2c\x25\x73\x2c\x25\x64\x2c\x25\x73\x2c\x25\x64\x2c\x25\x73\x2c\x25\x64\
\x20\x25\x64\x5c\x6e\x22\x2c\0\x09\x6e\x75\x6c\x6c\x5f\x64\x61\x74\x61\x5f\x76\
\x70\x72\x69\x6e\x74\x6b\x5f\x72\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x74\x72\
\x61\x63\x65\x5f\x76\x70\x72\x69\x6e\x74\x6b\x28\x66\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x66\x29\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x30\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x2e\x72\x6f\x64\x61\x74\x61\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\
\x30\x78\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x93\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x0c\0\0\0\x01\0\0\x04\0\0\0\0\0\0\0\0\0\x74\x72\x61\x63\x65\x5f\
\x76\x70\x2e\x62\x73\x73\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x33\0\
\0\0\x01\0\0\x04\x80\0\0\0\0\0\0\0\0\x74\x72\x61\x63\x65\x5f\x76\x70\x2e\x72\
\x6f\x64\x61\x74\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\
\0\x31\0\x33\0\x35\0\x37\0\x39\0\x25\x70\x53\x0a\0\x09\0\x25\x73\x2c\x25\x64\
\x2c\x25\x73\x2c\x25\x64\x2c\x25\x73\x2c\x25\x64\x2c\x25\x73\x2c\x25\x64\x2c\
\x25\x73\x2c\x25\x64\x20\x25\x64\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\
\0\0\0\0\0\x18\x16\0\0\0\0\0\x01\0\0\0\0\0\0\0\x0f\xb4\x20\0\0\0\0\0\x02\x85\0\
\0\0\0\0\0\x06\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x61\x12\0\0\0\0\0\0\x04\
\x10\0\0\0\0\0\x01\x63\x21\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x0a\x7b\xa2\xff\xf0\0\
\0\0\0\x18\x26\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\x7b\xa2\xff\xe8\0\0\0\0\xb7\x20\
\0\0\0\0\0\x08\x7b\xa2\xff\xe0\0\0\0\0\x18\x26\0\0\0\0\0\x01\0\0\0\0\0\0\0\x06\
\x7b\xa2\xff\xd8\0\0\0\0\xb7\x20\0\0\0\0\0\x06\x7b\xa2\xff\xd0\0\0\0\0\x18\x26\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\x04\x7b\xa2\xff\xc8\0\0\0\0\xb7\x20\0\0\0\0\0\x04\
\x7b\xa2\xff\xc0\0\0\0\0\x18\x26\0\0\0\0\0\x01\0\0\0\0\0\0\0\x02\x7b\xa2\xff\
\xb8\0\0\0\0\xb7\x20\0\0\0\0\0\x02\x7b\xa2\xff\xb0\0\0\0\0\x18\x26\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\x7b\xa2\xff\xa8\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\
\0\0\0\x20\x7b\xa1\xff\xf8\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\
\xa8\x18\x16\0\0\0\0\0\x01\0\0\0\0\0\0\0\x11\xb4\x20\0\0\0\0\0\x22\xb4\x40\0\0\
\0\0\0\x58\x85\0\0\0\0\0\0\xb1\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x63\x10\0\
\0\0\0\0\0\x18\x16\0\0\0\0\0\x01\0\0\0\0\0\0\0\x0a\xb4\x20\0\0\0\0\0\x05\xb7\
\x30\0\0\0\0\0\0\xb4\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb1\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x63\x10\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\xea\0\0\x01\x63\0\0\x68\x02\0\0\0\x04\0\0\0\xea\0\0\
\x01\x76\0\0\x70\x16\0\0\0\x26\0\0\0\xea\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\xea\0\
\0\x01\x76\0\0\x70\x16\0\0\0\x2c\0\0\0\xea\0\0\x01\x76\0\0\x70\x14\0\0\0\x2f\0\
\0\0\xea\0\0\x01\xbf\0\0\x80\x1a\0\0\0\x35\0\0\0\xea\0\0\x01\xbf\0\0\x80\x18\0\
\0\0\x38\0\0\0\xea\0\0\x02\x02\0\0\x84\x02\0\0\0\x1a\0\0\0\x3a\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\x79\x73\
\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x5f\x5f\x73\x33\x39\
\x30\x78\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0";
	opts.insns_sz = 2088;
	opts.insns = (void *)"\
\xbf\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\x78\xb7\x20\0\
\0\0\0\0\x88\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x05\0\0\x17\0\0\0\0\x61\
\x1a\xff\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x7c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x80\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\
\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xbf\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xb0\x63\x10\0\0\0\
\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xac\x63\x10\0\
\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xa0\x7b\
\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x18\x16\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\x98\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x12\x18\x26\0\0\0\0\0\0\
\0\0\0\0\0\0\x09\x98\xb7\x30\0\0\0\0\0\x1c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\
\0\0\xc5\x70\xff\xd1\0\0\0\0\x63\xa7\xff\x78\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xe8\x63\x10\0\0\0\0\0\0\x61\x06\0\x1c\0\0\
\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xc4\x63\x10\0\0\0\
\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x09\xb8\xb7\x30\0\0\
\0\0\0\x48\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\xc0\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x17\0\0\0\0\0\0\x79\x36\0\x20\0\0\0\0\x15\
\x30\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\xb7\x20\0\0\0\0\0\x0c\
\x61\x06\0\x04\0\0\0\0\x45\0\0\x02\0\0\0\x01\x85\0\0\0\0\0\0\x94\x05\0\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\x71\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x02\0\0\0\0\
\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x18\x63\x10\0\0\0\0\0\0\x18\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\x0a\x10\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x20\x7b\x10\0\0\
\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x0a\x28\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x02\x18\x26\0\0\0\0\0\0\0\0\0\0\
\0\0\x0a\x18\xb7\x30\0\0\0\0\0\x20\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\
\x70\xff\x9c\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x0a\x68\x63\x10\0\0\0\0\0\0\x61\x06\0\x2c\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\
\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x44\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\
\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x38\xb7\x30\0\0\0\0\0\x48\x85\0\0\0\0\0\0\xa6\
\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x8c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x63\x17\0\0\0\0\0\0\x79\x36\0\x30\0\0\0\0\x15\x30\0\x08\0\0\0\0\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x0a\x80\xb7\x20\0\0\0\0\0\x33\x61\x06\0\x04\0\0\0\0\x45\
\0\0\x02\0\0\0\x01\x85\0\0\0\0\0\0\x94\x05\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\x71\
\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x02\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\
\0\0\0\0\0\0\x0a\xc0\x63\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\
\xb8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xc8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\x0a\x80\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xd0\x7b\x10\0\0\
\0\0\0\0\xb7\x10\0\0\0\0\0\x02\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xc0\xb7\x30\
\0\0\0\0\0\x20\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x68\0\0\0\0\
\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x02\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\
\0\0\0\0\0\0\x0a\xe0\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x16\x18\x26\0\0\0\0\
\0\0\0\0\0\0\0\0\x0a\xe0\xb7\x30\0\0\0\0\0\x04\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\
\0\0\0\0\xc5\x70\xff\x5b\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xe8\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x58\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x0a\xf0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x50\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0c\xc0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\
\x98\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0c\xc8\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x0d\xa8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x0d\x48\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\xc8\x7b\x10\0\0\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\xc0\x7b\x10\0\0\
\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x60\x63\x10\
\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x64\x63\
\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x68\
\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x0d\x90\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0d\xd8\xb7\x20\0\
\0\0\0\0\x16\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\
\x70\0\0\0\0\0\0\xc5\x70\xff\x25\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0d\
\x48\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\
\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0d\x48\xb7\x30\0\0\0\0\0\x8c\
\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0d\
\xb8\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\xc5\x70\xff\x13\0\0\0\0\x63\xa7\xff\x80\0\0\0\0\x61\x1a\xff\x78\0\0\0\
\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x0a\xff\
\x80\0\0\0\0\x63\x60\0\x38\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x01\
\0\0\0\0\0\0\x63\x60\0\x18\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\
\x01\0\0\0\0\0\0\x63\x60\0\x28\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->bss = skel_finalize_map_data(&skel->maps.bss.initial_value,
					4096, PROT_READ | PROT_WRITE, skel->maps.bss.map_fd);
	if (!skel->bss)
		return -ENOMEM;
	skel->rodata = skel_finalize_map_data(&skel->maps.rodata.initial_value,
					4096, PROT_READ, skel->maps.rodata.map_fd);
	if (!skel->rodata)
		return -ENOMEM;
	return 0;
}

static inline struct trace_vprintk_lskel *
trace_vprintk_lskel__open_and_load(void)
{
	struct trace_vprintk_lskel *skel;

	skel = trace_vprintk_lskel__open();
	if (!skel)
		return NULL;
	if (trace_vprintk_lskel__load(skel)) {
		trace_vprintk_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

__attribute__((unused)) static void
trace_vprintk_lskel__assert(struct trace_vprintk_lskel *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->null_data_vprintk_ret) == 4, "unexpected size of 'null_data_vprintk_ret'");
	_Static_assert(sizeof(s->bss->trace_vprintk_ret) == 4, "unexpected size of 'trace_vprintk_ret'");
	_Static_assert(sizeof(s->bss->trace_vprintk_ran) == 4, "unexpected size of 'trace_vprintk_ran'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TRACE_VPRINTK_LSKEL_SKEL_H__ */
