/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __XDP_REDIRECT_MULTI_KERN_SKEL_H__
#define __XDP_REDIRECT_MULTI_KERN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct xdp_redirect_multi_kern {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_all;
		struct bpf_map *map_egress;
		struct bpf_map *mac_map;
	} maps;
	struct {
		struct bpf_program *xdp_redirect_map_multi_prog;
		struct bpf_program *xdp_redirect_map_all_prog;
		struct bpf_program *xdp_devmap_prog;
	} progs;
	struct {
		struct bpf_link *xdp_redirect_map_multi_prog;
		struct bpf_link *xdp_redirect_map_all_prog;
		struct bpf_link *xdp_devmap_prog;
	} links;

#ifdef __cplusplus
	static inline struct xdp_redirect_multi_kern *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct xdp_redirect_multi_kern *open_and_load();
	static inline int load(struct xdp_redirect_multi_kern *skel);
	static inline int attach(struct xdp_redirect_multi_kern *skel);
	static inline void detach(struct xdp_redirect_multi_kern *skel);
	static inline void destroy(struct xdp_redirect_multi_kern *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
xdp_redirect_multi_kern__destroy(struct xdp_redirect_multi_kern *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xdp_redirect_multi_kern__create_skeleton(struct xdp_redirect_multi_kern *obj);

static inline struct xdp_redirect_multi_kern *
xdp_redirect_multi_kern__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xdp_redirect_multi_kern *obj;
	int err;

	obj = (struct xdp_redirect_multi_kern *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = xdp_redirect_multi_kern__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	xdp_redirect_multi_kern__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct xdp_redirect_multi_kern *
xdp_redirect_multi_kern__open(void)
{
	return xdp_redirect_multi_kern__open_opts(NULL);
}

static inline int
xdp_redirect_multi_kern__load(struct xdp_redirect_multi_kern *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xdp_redirect_multi_kern *
xdp_redirect_multi_kern__open_and_load(void)
{
	struct xdp_redirect_multi_kern *obj;
	int err;

	obj = xdp_redirect_multi_kern__open();
	if (!obj)
		return NULL;
	err = xdp_redirect_multi_kern__load(obj);
	if (err) {
		xdp_redirect_multi_kern__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
xdp_redirect_multi_kern__attach(struct xdp_redirect_multi_kern *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xdp_redirect_multi_kern__detach(struct xdp_redirect_multi_kern *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *xdp_redirect_multi_kern__elf_bytes(size_t *sz);

static inline int
xdp_redirect_multi_kern__create_skeleton(struct xdp_redirect_multi_kern *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "xdp_redirect_multi_kern";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_all";
	s->maps[0].map = &obj->maps.map_all;

	s->maps[1].name = "map_egress";
	s->maps[1].map = &obj->maps.map_egress;

	s->maps[2].name = "mac_map";
	s->maps[2].map = &obj->maps.mac_map;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xdp_redirect_map_multi_prog";
	s->progs[0].prog = &obj->progs.xdp_redirect_map_multi_prog;
	s->progs[0].link = &obj->links.xdp_redirect_map_multi_prog;

	s->progs[1].name = "xdp_redirect_map_all_prog";
	s->progs[1].prog = &obj->progs.xdp_redirect_map_all_prog;
	s->progs[1].link = &obj->links.xdp_redirect_map_all_prog;

	s->progs[2].name = "xdp_devmap_prog";
	s->progs[2].prog = &obj->progs.xdp_devmap_prog;
	s->progs[2].link = &obj->links.xdp_devmap_prog;

	s->data = (void *)xdp_redirect_multi_kern__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *xdp_redirect_multi_kern__elf_bytes(size_t *sz)
{
	*sz = 4552;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x08\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\x70\
\0\x78\x64\x70\x2f\x64\x65\x76\x6d\x61\x70\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x75\
\x6c\x74\x69\x5f\x6b\x65\x72\x6e\x2e\x63\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\
\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\
\x42\x32\x5f\x33\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\
\x70\x5f\x6d\x75\x6c\x74\x69\x5f\x70\x72\x6f\x67\0\x6d\x61\x70\x5f\x61\x6c\x6c\
\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x61\x6c\
\x6c\x5f\x70\x72\x6f\x67\0\x6d\x61\x70\x5f\x65\x67\x72\x65\x73\x73\0\x78\x64\
\x70\x5f\x64\x65\x76\x6d\x61\x70\x5f\x70\x72\x6f\x67\0\x6d\x61\x63\x5f\x6d\x61\
\x70\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x78\x64\x70\0\x2e\x72\
\x65\x6c\x78\x64\x70\x2f\x64\x65\x76\x6d\x61\x70\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x2e\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x03\0\0\0\0\0\0\0\xd8\0\
\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\x03\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\x56\
\0\0\0\x03\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x03\0\0\0\0\0\0\0\
\xd0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x64\0\0\0\x04\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x6b\x12\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\x87\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\0\0\0\x8f\x12\0\0\x03\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x30\0\0\0\xa9\x11\0\
\0\x05\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\0\xb4\x12\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xe8\0\0\0\xc4\x11\0\0\x05\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x20\
\0\0\0\xcc\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb4\0\0\0\0\0\0\x01\
\x61\x31\0\x04\0\0\0\0\x61\x21\0\0\0\0\0\0\xbf\x42\0\0\0\0\0\0\x07\x40\0\0\0\0\
\0\x0e\x2d\x43\0\x15\0\0\0\0\x71\x32\0\x0d\0\0\0\0\x71\x22\0\x0c\0\0\0\0\x64\
\x20\0\0\0\0\0\x08\x4c\x23\0\0\0\0\0\0\x16\x20\0\x06\0\0\x86\xdd\x56\x20\0\x0a\
\0\0\x08\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\0\xb7\x30\0\0\
\0\0\0\x18\x05\0\0\x09\0\0\0\0\x61\x21\0\x0c\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\x05\0\0\x04\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb4\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x08\x85\0\0\0\0\0\0\x33\x95\0\0\
\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\0\xb7\x30\0\0\
\0\0\0\x18\x85\0\0\0\0\0\0\x33\x95\0\0\0\0\0\0\0\x61\x21\0\x04\0\0\0\0\x61\x61\
\0\0\0\0\0\0\x61\x11\0\x14\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xb4\0\0\0\0\0\0\x01\
\xbf\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x0e\x2d\x12\0\x14\0\0\0\0\xbf\x2a\0\0\0\
\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\
\0\0\0\0\x01\xbf\x10\0\0\0\0\0\0\xb4\0\0\0\0\0\0\x02\x15\x10\0\x0c\0\0\0\0\x71\
\x21\0\x05\0\0\0\0\x73\x62\0\x0b\0\0\0\0\x71\x21\0\x04\0\0\0\0\x73\x62\0\x0a\0\
\0\0\0\x71\x21\0\x03\0\0\0\0\x73\x62\0\x09\0\0\0\0\x71\x21\0\x02\0\0\0\0\x73\
\x62\0\x08\0\0\0\0\x71\x21\0\x01\0\0\0\0\x73\x62\0\x07\0\0\0\0\x71\x11\0\0\0\0\
\0\0\x73\x61\0\x06\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\
\x90\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\xb0\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\
\xe0\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\x50\0\0\0\x0e\0\0\0\x01\xeb\x9f\x01\0\0\
\0\0\x18\0\0\0\0\0\0\x03\x74\0\0\x03\x74\0\0\x04\x09\0\0\0\0\x02\0\0\0\0\0\0\
\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x0e\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\
\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\
\x02\0\0\0\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\x04\0\0\
\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\
\0\0\x40\0\0\0\x27\0\0\0\x05\0\0\0\x80\0\0\0\x32\0\0\0\x07\0\0\0\xc0\0\0\0\x3e\
\x0e\0\0\0\0\0\0\x09\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x19\0\0\0\0\x02\0\0\0\0\0\0\x0e\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\x02\0\0\0\0\0\0\x10\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x80\0\0\0\0\x04\0\0\x04\0\0\0\x20\
\0\0\0\x19\0\0\0\x0b\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\x0d\
\0\0\0\x80\0\0\0\x32\0\0\0\x0f\0\0\0\xc0\0\0\0\x46\x0e\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\0\x02\0\0\0\0\0\0\x14\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x16\0\0\0\x51\x08\0\0\0\0\0\0\x17\0\0\0\x57\
\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x19\0\0\0\x64\x08\0\0\0\
\0\0\0\x1a\0\0\0\x6b\x08\0\0\0\0\0\0\x1b\0\0\0\x71\x01\0\0\0\0\0\0\x08\0\0\0\
\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\0\0\x13\0\0\0\0\0\0\0\x84\0\0\0\
\x15\0\0\0\x40\0\0\0\x88\0\0\0\x18\0\0\0\x80\0\0\0\x32\0\0\0\x0f\0\0\0\xc0\0\0\
\0\x8e\x0e\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x1f\0\0\0\x96\x04\
\0\0\x06\0\0\0\x18\0\0\0\x9d\0\0\0\x16\0\0\0\0\0\0\0\xa2\0\0\0\x16\0\0\0\x20\0\
\0\0\xab\0\0\0\x16\0\0\0\x40\0\0\0\xb5\0\0\0\x16\0\0\0\x60\0\0\0\xc5\0\0\0\x16\
\0\0\0\x80\0\0\0\xd4\0\0\0\x16\0\0\0\xa0\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\
\xe3\0\0\0\x1e\0\0\0\xe7\x0c\0\0\x01\0\0\0\x20\0\0\x01\x03\x0c\0\0\x01\0\0\0\
\x20\0\0\x01\x1d\x0c\0\0\x01\0\0\0\x20\0\0\x01\x2d\x01\0\0\0\0\0\0\x01\x01\0\0\
\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x04\0\0\0\x04\0\0\x01\x32\x0e\0\
\0\0\0\0\0\x25\0\0\0\x01\0\0\x03\xec\x0f\0\0\x03\0\0\0\x60\0\0\0\x0a\0\0\0\0\0\
\0\0\x20\0\0\0\x12\0\0\0\x20\0\0\0\x20\0\0\0\x1d\0\0\0\x40\0\0\0\x20\0\0\x03\
\xf2\x0f\0\0\x01\0\0\0\x04\0\0\0\x26\0\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\
\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\
\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6d\x61\x70\x5f\x61\
\x6c\x6c\0\x6d\x61\x70\x5f\x65\x67\x72\x65\x73\x73\0\x5f\x5f\x75\x33\x32\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x62\x65\x36\x34\0\x5f\
\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x63\x5f\x6d\x61\x70\
\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\
\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\
\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\
\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x63\x74\x78\0\
\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x6d\x75\
\x6c\x74\x69\x5f\x70\x72\x6f\x67\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\
\x74\x5f\x6d\x61\x70\x5f\x61\x6c\x6c\x5f\x70\x72\x6f\x67\0\x78\x64\x70\x5f\x64\
\x65\x76\x6d\x61\x70\x5f\x70\x72\x6f\x67\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x32\x31\x34\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x78\x64\x70\x5f\x72\
\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x75\x6c\x74\x69\x5f\x6b\x65\x72\x6e\x2e\
\x63\0\x69\x6e\x74\x20\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\
\x61\x70\x5f\x6d\x75\x6c\x74\x69\x5f\x70\x72\x6f\x67\x28\x73\x74\x72\x75\x63\
\x74\x20\x78\x64\x70\x5f\x6d\x64\x20\x2a\x63\x74\x78\x29\0\x09\x76\x6f\x69\x64\
\x20\x2a\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\
\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x63\x74\x78\x2d\x3e\x64\x61\x74\x61\x5f\x65\
\x6e\x64\x3b\0\x09\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\x61\x20\x3d\x20\x28\x76\
\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x63\x74\x78\x2d\x3e\x64\x61\
\x74\x61\x3b\0\x09\x69\x66\x20\x28\x64\x61\x74\x61\x20\x2b\x20\x6e\x68\x5f\x6f\
\x66\x66\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\x68\x5f\x70\x72\
\x6f\x74\x6f\x20\x3d\x20\x65\x74\x68\x2d\x3e\x68\x5f\x70\x72\x6f\x74\x6f\x3b\0\
\x09\x69\x66\x20\x28\x68\x5f\x70\x72\x6f\x74\x6f\x20\x3d\x3d\x20\x62\x70\x66\
\x5f\x68\x74\x6f\x6e\x73\x28\x45\x54\x48\x5f\x50\x5f\x49\x50\x29\x29\0\x09\x09\
\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\
\x5f\x6d\x61\x70\x28\x26\x6d\x61\x70\x5f\x61\x6c\x6c\x2c\x20\x30\x2c\0\x09\x09\
\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\
\x5f\x6d\x61\x70\x28\x26\x6d\x61\x70\x5f\x61\x6c\x6c\x2c\x20\x69\x66\x5f\x69\
\x6e\x64\x65\x78\x2c\x20\x30\x29\x3b\0\x09\x09\x72\x65\x74\x75\x72\x6e\x20\x62\
\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x26\x6d\x61\
\x70\x5f\x61\x6c\x6c\x2c\x20\x30\x2c\x20\x42\x50\x46\x5f\x46\x5f\x42\x52\x4f\
\x41\x44\x43\x41\x53\x54\x29\x3b\0\x7d\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\
\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x26\x6d\x61\
\x70\x5f\x65\x67\x72\x65\x73\x73\x2c\x20\x30\x2c\0\x09\x5f\x5f\x75\x33\x32\x20\
\x6b\x65\x79\x20\x3d\x20\x63\x74\x78\x2d\x3e\x65\x67\x72\x65\x73\x73\x5f\x69\
\x66\x69\x6e\x64\x65\x78\x3b\0\x09\x6d\x61\x63\x20\x3d\x20\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6d\x61\x63\
\x5f\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x6d\x61\
\x63\x29\0\x09\x09\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\x6d\x63\x70\
\x79\x28\x65\x74\x68\x2d\x3e\x68\x5f\x73\x6f\x75\x72\x63\x65\x2c\x20\x6d\x61\
\x63\x2c\x20\x45\x54\x48\x5f\x41\x4c\x45\x4e\x29\x3b\0\x2e\x6d\x61\x70\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x78\x64\x70\0\x78\x64\x70\x2f\x64\x65\x76\x6d\
\x61\x70\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\x01\
\xb4\0\0\x01\xe0\0\0\0\0\0\0\0\x08\0\0\x03\xfa\0\0\0\x02\0\0\0\0\0\0\0\x21\0\0\
\0\xe0\0\0\0\x22\0\0\x03\xfe\0\0\0\x01\0\0\0\0\0\0\0\x23\0\0\0\x10\0\0\x03\xfa\
\0\0\0\x0f\0\0\0\0\0\0\x01\x3b\0\0\x01\xbe\0\0\x98\0\0\0\0\x08\0\0\x01\x3b\0\0\
\x01\xf2\0\0\xa0\x26\0\0\0\x10\0\0\x01\x3b\0\0\x02\x21\0\0\xa4\x22\0\0\0\x18\0\
\0\x01\x3b\0\0\x02\x48\0\0\xc0\x0b\0\0\0\x28\0\0\x01\x3b\0\0\x02\x48\0\0\xc0\
\x06\0\0\0\x30\0\0\x01\x3b\0\0\x02\x67\0\0\xcc\x11\0\0\0\x50\0\0\x01\x3b\0\0\
\x02\x80\0\0\xd8\x06\0\0\0\x60\0\0\x01\x3b\0\0\x02\xa5\0\0\xdc\x0a\0\0\0\x88\0\
\0\x01\x3b\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\x01\x3b\0\0\x02\xcc\0\0\xec\x0a\0\0\0\
\xb0\0\0\x01\x3b\0\0\x02\xfe\0\0\xf8\x0a\0\0\0\xd0\0\0\x01\x3b\0\0\0\0\0\0\0\0\
\0\0\0\xd8\0\0\x01\x3b\0\0\x03\x37\0\0\xfc\x01\0\0\0\xe0\0\0\x01\x3b\0\0\x03\
\x39\0\x01\x14\x09\0\0\x01\x08\0\0\x01\x3b\0\0\x03\x39\0\x01\x14\x02\0\0\x03\
\xfe\0\0\0\x0b\0\0\0\0\0\0\x01\x3b\0\0\x01\xf2\0\x01\x30\x26\0\0\0\x08\0\0\x01\
\x3b\0\0\x02\x21\0\x01\x34\x22\0\0\0\x10\0\0\x01\x3b\0\0\x03\x62\0\x01\x38\x13\
\0\0\0\x18\0\0\x01\x3b\0\0\x03\x62\0\x01\x38\x08\0\0\0\x28\0\0\x01\x3b\0\0\x02\
\x48\0\x01\x50\x0b\0\0\0\x38\0\0\x01\x3b\0\0\x02\x48\0\x01\x50\x06\0\0\0\x48\0\
\0\x01\x3b\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\x01\x3b\0\0\x03\x84\0\x01\x5c\x08\0\0\
\0\x78\0\0\x01\x3b\0\0\x03\xb0\0\x01\x60\x06\0\0\0\x80\0\0\x01\x3b\0\0\x03\xba\
\0\x01\x64\x03\0\0\0\xe0\0\0\x01\x3b\0\0\x03\x37\0\x01\x70\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xfa\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\x40\0\0\0\0\0\0\x01\x80\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\xc0\0\0\0\0\0\0\x01\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xd0\0\0\
\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\
\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb8\0\0\0\0\0\0\0\x60\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x18\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x05\x20\0\0\0\0\0\0\0\x40\0\0\0\x02\0\0\0\x03\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xdd\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x05\x60\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\xec\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x05\x70\0\0\0\0\0\0\x07\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\xf1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\
\x08\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct xdp_redirect_multi_kern *xdp_redirect_multi_kern::open(const struct bpf_object_open_opts *opts) { return xdp_redirect_multi_kern__open_opts(opts); }
struct xdp_redirect_multi_kern *xdp_redirect_multi_kern::open_and_load() { return xdp_redirect_multi_kern__open_and_load(); }
int xdp_redirect_multi_kern::load(struct xdp_redirect_multi_kern *skel) { return xdp_redirect_multi_kern__load(skel); }
int xdp_redirect_multi_kern::attach(struct xdp_redirect_multi_kern *skel) { return xdp_redirect_multi_kern__attach(skel); }
void xdp_redirect_multi_kern::detach(struct xdp_redirect_multi_kern *skel) { xdp_redirect_multi_kern__detach(skel); }
void xdp_redirect_multi_kern::destroy(struct xdp_redirect_multi_kern *skel) { xdp_redirect_multi_kern__destroy(skel); }
const void *xdp_redirect_multi_kern::elf_bytes(size_t *sz) { return xdp_redirect_multi_kern__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
xdp_redirect_multi_kern__assert(struct xdp_redirect_multi_kern *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __XDP_REDIRECT_MULTI_KERN_SKEL_H__ */
